<?php
/**
 * Header
 */
?>
<!DOCTYPE html>
<!--[if IE]>
	<script src="<?php bloginfo('template_url'); ?>/js/plugins/html5shiv.js"></script>
<![endif]-->
<!--[if IE 8]><html class="no-js lt-ie9 ie8" lang="en" ><![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<!--[if gte IE 9]>
  <style type="text/css">
    .gradient {filter: none;}
  </style>
<![endif]-->
     
<head>
    <!-- Set up Meta -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" charset="<?php bloginfo('charset'); ?>" />

    <!-- Add Favicon -->
    <link rel="shortcut icon" href="<?php echo get_stylesheet_directory_uri(); ?>/favicon.ico" />
    <link type="image/png" href="<?php bloginfo('template_url'); ?>/favicon.png" rel="icon">
    <link type="image/png" href="<?php bloginfo('template_url'); ?>/favicon.png" rel="shortcut icon">
    <link type="image/png" href="<?php bloginfo('template_url'); ?>/favicon.png" rel="apple-touch-icon">
   
    <!-- Add Open Sans Condensed -->
    <link href='http://fonts.googleapis.com/css?family=Open+Sans+Condensed:300,700' rel='stylesheet' type='text/css'>
   <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700,800' rel='stylesheet' type='text/css'>
    
    <!-- Set the viewport width to device width for mobile -->
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">

    <title><?php wp_title('|', true, 'right'); ?><?php bloginfo('name'); ?></title>

    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<header>  
    
    <div class="row">
	
	<div class="large-12 columns">
	    
	    <div class="logo">
		<a href="<?php bloginfo('url'); ?>"><img src="<?php echo get_header_image(); ?>" />
		<h2 class="tagline absolute"><?php bloginfo('description'); ?></h2></a>
		<span>© Marie-Benoîte Fertin</span>
	    </div>
	</div><!--end of .columns -->
	
    </div>
    
    <div class="row">
	
	<div class="large-12 columns">
	    
	    <nav class="top-bar" data-topbar>
		<ul class="title-area">
		    <li class="name"></li>
		    <li class="toggle-topbar menu-icon"><a href="#"><span>Menu</span></a></li>
		</ul>
		 <section class="top-bar-section">
		    <?php wp_nav_menu( array( 'theme_location' => 'header-menu', 'fallback_cb' => 'foundation_page_menu', 'walker' => new foundation_navigation() ) ); ?>
		</section>
	  </nav>  
	    
	</div><!--end of .columns -->
	
    </div> <!-- END of ROW -->

</header><!--END of header -->
