/* DUPLICATOR MYSQL SCRIPT CREATED ON : October 27, 2014, 6:23 pm */

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext NOT NULL,
  `comment_author_email` varchar(100) NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) NOT NULL DEFAULT '',
  `comment_type` varchar(20) NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` mediumblob NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) NOT NULL DEFAULT '',
  `link_name` varchar(255) NOT NULL DEFAULT '',
  `link_image` varchar(255) NOT NULL DEFAULT '',
  `link_target` varchar(25) NOT NULL DEFAULT '',
  `link_description` varchar(255) NOT NULL DEFAULT '',
  `link_visible` varchar(20) NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) NOT NULL DEFAULT '',
  `link_notes` mediumtext NOT NULL,
  `link_rss` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(64) NOT NULL DEFAULT '',
  `option_value` longtext NOT NULL,
  `autoload` varchar(20) NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`)
) ENGINE=InnoDB AUTO_INCREMENT=1383 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=InnoDB AUTO_INCREMENT=1767 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext NOT NULL,
  `post_title` text NOT NULL,
  `post_excerpt` text NOT NULL,
  `post_status` varchar(20) NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) NOT NULL DEFAULT 'open',
  `post_password` varchar(20) NOT NULL DEFAULT '',
  `post_name` varchar(200) NOT NULL DEFAULT '',
  `to_ping` text NOT NULL,
  `pinged` text NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=360 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL DEFAULT '',
  `slug` varchar(200) NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `slug` (`slug`),
  KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=InnoDB AUTO_INCREMENT=809 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) NOT NULL DEFAULT '',
  `user_pass` varchar(64) NOT NULL DEFAULT '',
  `user_nicename` varchar(50) NOT NULL DEFAULT '',
  `user_email` varchar(100) NOT NULL DEFAULT '',
  `user_url` varchar(100) NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(60) NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`)
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=utf8;


/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("1", "20141025_pascalinegrue", "544b8ba53d4762297141025113813", "100", "2014-10-25 11:38:23", "pascalinegrue", "O:11:\"DUP_Package\":16:{s:2:\"ID\";i:1;s:4:\"Name\";s:22:\"20141025_pascalinegrue\";s:4:\"Hash\";s:29:\"544b8ba53d4762297141025113813\";s:8:\"NameHash\";s:52:\"20141025_pascalinegrue_544b8ba53d4762297141025113813\";s:7:\"Version\";s:5:\"0.5.8\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:77:\"/home/www/client/www/CPT011/krooga.net/clients/pascalinegrue/wp-snapshots/tmp\";s:8:\"StoreURL\";s:53:\"http://krooga.net/clients/pascalinegrue/wp-snapshots/\";s:8:\"ScanFile\";s:62:\"20141025_pascalinegrue_544b8ba53d4762297141025113813_scan.json\";s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":17:{s:10:\"FilterDirs\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"File\";s:64:\"20141025_pascalinegrue_544b8ba53d4762297141025113813_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:60:\"/home/www/client/www/CPT011/krooga.net/clients/pascalinegrue\";s:4:\"Size\";i:32087199;s:12:\"WarnFileSize\";a:0:{}s:12:\"WarnFileName\";a:0:{}s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:5:\"Links\";a:0:{}s:8:\"OmitDirs\";a:0:{}s:9:\"OmitFiles\";a:0:{}s:10:\"\0*\0Package\";r:1;s:28:\"\0DUP_Archive\0filterDirsArray\";a:0:{}s:28:\"\0DUP_Archive\0filterExtsArray\";a:0:{}}s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";s:66:\"20141025_pascalinegrue_544b8ba53d4762297141025113813_installer.php\";s:4:\"Size\";i:424445;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSSLAdmin\";i:0;s:12:\"OptsSSLLogin\";i:0;s:11:\"OptsCacheWP\";i:0;s:13:\"OptsCachePath\";i:0;s:10:\"OptsURLNew\";s:0:\"\";s:10:\"\0*\0Package\";r:1;}s:8:\"Database\";O:12:\"DUP_Database\":9:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";i:1214912;s:4:\"File\";s:65:\"20141025_pascalinegrue_544b8ba53d4762297141025113813_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"\0*\0Package\";r:1;s:25:\"\0DUP_Database\0dbStorePath\";s:143:\"/home/www/client/www/CPT011/krooga.net/clients/pascalinegrue/wp-snapshots/tmp/20141025_pascalinegrue_544b8ba53d4762297141025113813_database.sql\";}}");
INSERT INTO `wp_duplicator_packages` VALUES("2", "20141025_pascalinegrue", "544e8d9db7cf07183141027182325", "20", "2014-10-27 18:23:44", "pascalinegrue", "O:11:\"DUP_Package\":16:{s:2:\"ID\";i:2;s:4:\"Name\";s:22:\"20141025_pascalinegrue\";s:4:\"Hash\";s:29:\"544e8d9db7cf07183141027182325\";s:8:\"NameHash\";s:52:\"20141025_pascalinegrue_544e8d9db7cf07183141027182325\";s:7:\"Version\";s:5:\"0.5.8\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:77:\"/home/www/client/www/CPT011/krooga.net/clients/pascalinegrue/wp-snapshots/tmp\";s:8:\"StoreURL\";s:53:\"http://krooga.net/clients/pascalinegrue/wp-snapshots/\";s:8:\"ScanFile\";s:62:\"20141025_pascalinegrue_544e8d9db7cf07183141027182325_scan.json\";s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":17:{s:10:\"FilterDirs\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"File\";s:64:\"20141025_pascalinegrue_544e8d9db7cf07183141027182325_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:60:\"/home/www/client/www/CPT011/krooga.net/clients/pascalinegrue\";s:4:\"Size\";i:0;s:12:\"WarnFileSize\";a:0:{}s:12:\"WarnFileName\";a:0:{}s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:5:\"Links\";a:0:{}s:8:\"OmitDirs\";a:0:{}s:9:\"OmitFiles\";a:0:{}s:10:\"\0*\0Package\";O:11:\"DUP_Package\":16:{s:2:\"ID\";N;s:4:\"Name\";s:22:\"20141025_pascalinegrue\";s:4:\"Hash\";s:29:\"544e8d9db7cf07183141027182325\";s:8:\"NameHash\";s:52:\"20141025_pascalinegrue_544e8d9db7cf07183141027182325\";s:7:\"Version\";s:5:\"0.5.8\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:77:\"/home/www/client/www/CPT011/krooga.net/clients/pascalinegrue/wp-snapshots/tmp\";s:8:\"StoreURL\";s:53:\"http://krooga.net/clients/pascalinegrue/wp-snapshots/\";s:8:\"ScanFile\";N;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";r:15;s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";s:66:\"20141025_pascalinegrue_544e8d9db7cf07183141027182325_installer.php\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSSLAdmin\";i:0;s:12:\"OptsSSLLogin\";i:0;s:11:\"OptsCacheWP\";i:0;s:13:\"OptsCachePath\";i:0;s:10:\"OptsURLNew\";s:0:\"\";s:10:\"\0*\0Package\";r:30;}s:8:\"Database\";O:12:\"DUP_Database\":9:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:65:\"20141025_pascalinegrue_544e8d9db7cf07183141027182325_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"\0*\0Package\";r:1;s:25:\"\0DUP_Database\0dbStorePath\";N;}}s:28:\"\0DUP_Archive\0filterDirsArray\";a:0:{}s:28:\"\0DUP_Archive\0filterExtsArray\";a:0:{}}s:9:\"Installer\";r:45;s:8:\"Database\";r:57;}");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "http://krooga.net/clients/pascalinegrue/", "yes");
INSERT INTO `wp_options` VALUES("2", "blogname", "Pascaline Grue", "yes");
INSERT INTO `wp_options` VALUES("3", "blogdescription", "Docteur Pascaline GRUÉ-FERTIN", "yes");
INSERT INTO `wp_options` VALUES("4", "users_can_register", "1", "yes");
INSERT INTO `wp_options` VALUES("5", "admin_email", "manon.russias@gmail.com", "yes");
INSERT INTO `wp_options` VALUES("6", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("7", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("8", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("9", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "posts_per_rss", "4", "yes");
INSERT INTO `wp_options` VALUES("12", "rss_use_excerpt", "1", "yes");
INSERT INTO `wp_options` VALUES("13", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("17", "default_category", "1", "yes");
INSERT INTO `wp_options` VALUES("18", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("19", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_pingback_flag", "0", "yes");
INSERT INTO `wp_options` VALUES("21", "posts_per_page", "4", "yes");
INSERT INTO `wp_options` VALUES("22", "date_format", "j F Y", "yes");
INSERT INTO `wp_options` VALUES("23", "time_format", "G \\h i \\m\\i\\n", "yes");
INSERT INTO `wp_options` VALUES("24", "links_updated_date_format", "j F Y G \\h i \\m\\i\\n", "yes");
INSERT INTO `wp_options` VALUES("25", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("26", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("27", "permalink_structure", "/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("28", "gzipcompression", "0", "yes");
INSERT INTO `wp_options` VALUES("29", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("30", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("31", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("32", "active_plugins", "a:15:{i:0;s:29:\"acf-repeater/acf-repeater.php\";i:1;s:53:\"acf-wordpress-wysiwyg-field-master/acf-wp_wysiwyg.php\";i:2;s:37:\"admin-in-english/admin-in-english.php\";i:3;s:30:\"advanced-custom-fields/acf.php\";i:4;s:39:\"categories-images/categories-images.php\";i:5;s:43:\"custom-post-type-ui/custom-post-type-ui.php\";i:6;s:33:\"duplicate-post/duplicate-post.php\";i:7;s:25:\"duplicator/duplicator.php\";i:8;s:31:\"easy-fancybox/easy-fancybox.php\";i:9;s:55:\"easy-foundation-shortcodes/osc_foundation_shortcode.php\";i:10;s:59:\"list-custom-taxonomy-widget/list-custom-taxonomy-widget.php\";i:11;s:43:\"new-user-email-set-up/newuseremailsetup.php\";i:12;s:47:\"regenerate-thumbnails/regenerate-thumbnails.php\";i:13;s:40:\"tag-list-widget/taxonomy-list-widget.php\";i:14;s:35:\"wp-approve-user/wp-approve-user.php\";}", "yes");
INSERT INTO `wp_options` VALUES("33", "home", "http://krooga.net/clients/pascalinegrue/", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "advanced_edit", "0", "yes");
INSERT INTO `wp_options` VALUES("37", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("38", "gmt_offset", "1", "yes");
INSERT INTO `wp_options` VALUES("39", "default_email_category", "1", "yes");
INSERT INTO `wp_options` VALUES("40", "recently_edited", "a:5:{i:0;s:106:\"/home/www/client/www/CPT011/krooga.net/clients/pascalinegrue/wp-content/themes/foundation-simple/style.css\";i:2;s:110:\"/home/www/client/www/CPT011/krooga.net/clients/pascalinegrue/wp-content/themes/foundation-simple/functions.php\";i:3;s:115:\"/home/www/client/www/CPT011/krooga.net/clients/pascalinegrue/wp-content/themes/foundation-simple/templates/home.php\";i:4;s:92:\"/home/www/client/www/CPT011/krooga.net/pascalinegrue/wp-content/themes/theme45510/slider.php\";i:5;s:96:\"/home/www/client/www/CPT011/krooga.net/pascalinegrue/wp-content/themes/theme45510/main-style.css\";}", "no");
INSERT INTO `wp_options` VALUES("41", "template", "foundation-simple", "yes");
INSERT INTO `wp_options` VALUES("42", "stylesheet", "foundation-simple", "yes");
INSERT INTO `wp_options` VALUES("43", "comment_whitelist", "1", "yes");
INSERT INTO `wp_options` VALUES("44", "blacklist_keys", "", "no");
INSERT INTO `wp_options` VALUES("45", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("46", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("47", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("48", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("49", "db_version", "29630", "yes");
INSERT INTO `wp_options` VALUES("50", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("51", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("52", "blog_public", "0", "yes");
INSERT INTO `wp_options` VALUES("53", "default_link_category", "2", "yes");
INSERT INTO `wp_options` VALUES("54", "show_on_front", "page", "yes");
INSERT INTO `wp_options` VALUES("55", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("56", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("57", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("58", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("59", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("60", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("61", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("62", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("63", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("64", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("65", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("66", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("67", "image_default_link_type", "", "yes");
INSERT INTO `wp_options` VALUES("68", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("69", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("70", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("71", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("72", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("73", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("74", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("75", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("76", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("77", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("78", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("79", "widget_categories", "a:2:{i:2;a:4:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("80", "widget_text", "a:3:{i:1;a:0:{}i:2;a:3:{s:5:\"title\";s:0:\"\";s:4:\"text\";s:87:\"COPYRIGHT 2014 Pascaline Grué\r\n<br>WEBSITE DESIGN AND DEVELOPMENT BY MEDIUM WELL steak\";s:6:\"filter\";b:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("81", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("82", "uninstall_plugins", "a:1:{s:61:\"no-right-click-images-plugin/no-right-click-images-plugin.php\";s:23:\"kpg_no_rc_img_uninstall\";}", "no");
INSERT INTO `wp_options` VALUES("83", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("84", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("85", "page_on_front", "50", "yes");
INSERT INTO `wp_options` VALUES("86", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("87", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("88", "initial_db_version", "27916", "yes");
INSERT INTO `wp_options` VALUES("89", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:63:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:9:\"add_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:35:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("90", "widget_search", "a:3:{i:2;a:1:{s:5:\"title\";s:0:\"\";}i:3;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("91", "widget_recent-posts", "a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("92", "widget_recent-comments", "a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("93", "widget_archives", "a:2:{i:2;a:3:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("94", "widget_meta", "a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("95", "sidebars_widgets", "a:6:{s:24:\"foundation_sidebar_right\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:19:\"wp_inactive_widgets\";a:0:{}s:15:\"foundation_home\";a:2:{i:0;s:8:\"search-3\";i:1;s:22:\"taxonomy_list_widget-2\";}s:16:\"foundation_suivi\";a:1:{i:0;s:13:\"lc_taxonomy-2\";}s:17:\"foundation_footer\";a:1:{i:0;s:6:\"text-2\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("96", "cron", "a:5:{i:1414434660;a:1:{s:20:\"wp_maybe_auto_update\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1414437400;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1414454530;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1414497834;a:1:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("124", "_transient_twentyfourteen_category_count", "1", "yes");
INSERT INTO `wp_options` VALUES("136", "theme_mods_twentyfourteen", "a:1:{s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1401813606;s:4:\"data\";a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("137", "current_theme", "Foundation Simple", "yes");
INSERT INTO `wp_options` VALUES("138", "theme_mods_theme45510", "a:3:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:11:\"header_menu\";i:2;}s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1412019302;s:4:\"data\";a:7:{s:19:\"wp_inactive_widgets\";a:0:{}s:12:\"main-sidebar\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:16:\"footer-sidebar-1\";a:0:{}s:16:\"footer-sidebar-2\";a:0:{}s:16:\"footer-sidebar-3\";a:0:{}s:16:\"footer-sidebar-4\";a:0:{}s:16:\"footer-sidebar-5\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("139", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("140", "suppress_filters", "1", "yes");
INSERT INTO `wp_options` VALUES("141", "cherry_version", "2.3", "yes");
INSERT INTO `wp_options` VALUES("142", "cherry_force_update", "0", "yes");
INSERT INTO `wp_options` VALUES("143", "optionsframework", "a:2:{s:2:\"id\";s:6:\"cherry\";s:12:\"knownoptions\";a:2:{i:0;s:10:\"theme45510\";i:1;s:6:\"cherry\";}}", "yes");
INSERT INTO `wp_options` VALUES("144", "theme45510", "a:80:{s:15:\"body_background\";a:5:{s:5:\"color\";s:0:\"\";s:5:\"image\";s:0:\"\";s:6:\"repeat\";s:6:\"repeat\";s:8:\"position\";s:10:\"top center\";s:10:\"attachment\";s:6:\"scroll\";}s:12:\"header_color\";s:0:\"\";s:11:\"links_color\";s:7:\"#383838\";s:17:\"links_color_hover\";s:0:\"\";s:14:\"google_mixed_3\";a:6:{s:4:\"size\";s:4:\"13px\";s:4:\"face\";s:28:\"Arial, Helvetica, sans-serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"23px\";s:5:\"color\";s:7:\"#828282\";}s:10:\"h1_heading\";a:6:{s:4:\"size\";s:4:\"22px\";s:4:\"face\";s:40:\"Georgia, \"Times New Roman\", Times, serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"32px\";s:5:\"color\";s:7:\"#484848\";}s:10:\"h2_heading\";a:6:{s:4:\"size\";s:4:\"22px\";s:4:\"face\";s:40:\"Georgia, \"Times New Roman\", Times, serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"32px\";s:5:\"color\";s:7:\"#484848\";}s:10:\"h3_heading\";a:6:{s:4:\"size\";s:4:\"22px\";s:4:\"face\";s:40:\"Georgia, \"Times New Roman\", Times, serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"32px\";s:5:\"color\";s:7:\"#484848\";}s:10:\"h4_heading\";a:6:{s:4:\"size\";s:4:\"22px\";s:4:\"face\";s:40:\"Georgia, \"Times New Roman\", Times, serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"32px\";s:5:\"color\";s:7:\"#484848\";}s:10:\"h5_heading\";a:6:{s:4:\"size\";s:4:\"12px\";s:4:\"face\";s:28:\"Arial, Helvetica, sans-serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"18px\";s:5:\"color\";s:7:\"#333333\";}s:10:\"h6_heading\";a:6:{s:4:\"size\";s:4:\"12px\";s:4:\"face\";s:28:\"Arial, Helvetica, sans-serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"18px\";s:5:\"color\";s:7:\"#333333\";}s:15:\"g_search_box_id\";s:2:\"no\";s:16:\"g_breadcrumbs_id\";s:3:\"yes\";s:10:\"custom_css\";s:0:\"\";s:9:\"logo_type\";s:10:\"image_logo\";s:15:\"logo_typography\";a:6:{s:4:\"size\";s:4:\"40px\";s:4:\"face\";s:40:\"Georgia, \"Times New Roman\", Times, serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"48px\";s:5:\"color\";s:7:\"#565656\";}s:8:\"logo_url\";s:76:\"http://krooga.net/pascalinegrue/wp-content/themes/theme45510/images/logo.png\";s:7:\"favicon\";s:72:\"http://krooga.net/pascalinegrue/wp-content/themes/theme45510/favicon.ico\";s:15:\"menu_typography\";a:6:{s:4:\"size\";s:4:\"16px\";s:4:\"face\";s:40:\"Georgia, \"Times New Roman\", Times, serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"italic\";s:10:\"lineheight\";s:4:\"26px\";s:5:\"color\";s:7:\"#ffffff\";}s:8:\"sf_delay\";s:4:\"1000\";s:14:\"sf_f_animation\";s:4:\"show\";s:15:\"sf_sl_animation\";s:4:\"show\";s:8:\"sf_speed\";s:6:\"normal\";s:9:\"sf_arrows\";s:5:\"false\";s:17:\"mobile_menu_label\";s:14:\"Navigate to...\";s:11:\"slider_type\";s:13:\"camera_slider\";s:9:\"sl_effect\";s:10:\"simpleFade\";s:10:\"sl_columns\";s:2:\"12\";s:7:\"sl_rows\";s:1:\"8\";s:9:\"sl_banner\";s:6:\"fadeIn\";s:12:\"sl_pausetime\";s:4:\"7000\";s:18:\"sl_animation_speed\";s:4:\"1500\";s:12:\"sl_slideshow\";s:5:\"false\";s:13:\"sl_thumbnails\";s:5:\"false\";s:14:\"sl_control_nav\";s:4:\"true\";s:10:\"sl_dir_nav\";s:5:\"false\";s:15:\"sl_dir_nav_hide\";s:5:\"false\";s:20:\"sl_play_pause_button\";s:5:\"false\";s:9:\"sl_loader\";s:2:\"no\";s:13:\"acc_show_post\";s:0:\"\";s:13:\"acc_slideshow\";s:5:\"false\";s:15:\"acc_hover_pause\";s:4:\"true\";s:13:\"acc_pausetime\";s:4:\"6000\";s:19:\"acc_animation_speed\";s:3:\"600\";s:10:\"acc_easing\";s:12:\"easeOutCubic\";s:11:\"acc_trigger\";s:9:\"mouseover\";s:18:\"acc_starting_slide\";s:1:\"0\";s:9:\"blog_text\";s:4:\"Blog\";s:12:\"blog_related\";s:13:\"Related Posts\";s:16:\"blog_sidebar_pos\";s:5:\"right\";s:15:\"post_image_size\";s:5:\"large\";s:17:\"single_image_size\";s:5:\"large\";s:10:\"load_image\";s:4:\"true\";s:12:\"post_excerpt\";s:4:\"true\";s:9:\"post_meta\";s:0:\"\";s:9:\"post_date\";s:3:\"yes\";s:11:\"post_author\";s:3:\"yes\";s:14:\"post_permalink\";s:3:\"yes\";s:13:\"post_category\";s:3:\"yes\";s:8:\"post_tag\";s:3:\"yes\";s:12:\"post_comment\";s:3:\"yes\";s:10:\"post_views\";s:3:\"yes\";s:9:\"post_like\";s:3:\"yes\";s:12:\"post_dislike\";s:3:\"yes\";s:12:\"folio_filter\";s:3:\"cat\";s:11:\"folio_title\";s:3:\"yes\";s:13:\"folio_excerpt\";s:3:\"yes\";s:19:\"folio_excerpt_count\";s:2:\"20\";s:9:\"folio_btn\";s:3:\"yes\";s:10:\"folio_meta\";s:3:\"yes\";s:14:\"folio_lightbox\";s:3:\"yes\";s:11:\"layout_mode\";s:7:\"fitRows\";s:12:\"items_count2\";s:1:\"8\";s:12:\"items_count3\";s:1:\"9\";s:12:\"items_count4\";s:2:\"12\";s:11:\"footer_text\";s:0:\"\";s:7:\"ga_code\";s:0:\"\";s:8:\"feed_url\";s:0:\"\";s:11:\"footer_menu\";s:5:\"false\";s:22:\"footer_menu_typography\";a:6:{s:4:\"size\";s:4:\"18px\";s:4:\"face\";s:40:\"Georgia, \"Times New Roman\", Times, serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"italic\";s:10:\"lineheight\";s:4:\"20px\";s:5:\"color\";s:7:\"#b6b6b6\";}}", "yes");
INSERT INTO `wp_options` VALUES("151", "cherry_new_version", "2.4", "yes");
INSERT INTO `wp_options` VALUES("152", "cherry_url_info", "http://www.cherryframework.com/update/cherry-framework-update-2-4/", "yes");
INSERT INTO `wp_options` VALUES("184", "widget_pages", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("185", "widget_calendar", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("186", "widget_tag_cloud", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("187", "widget_nav_menu", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("188", "widget_social_networks", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("189", "widget_ad_125_125-widget", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("190", "widget_my_postwidget", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("191", "widget_my-recent-comments", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("192", "widget_my_poststypewidget", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("193", "widget_my_flickrwidget", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("194", "widget_widget_cherry_vcard", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("195", "widget_my_facebook_widget", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("196", "_transient_random_seed", "2e5fd41b36febbf4fbbce7eaa48d4301", "yes");
INSERT INTO `wp_options` VALUES("233", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("303", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:19:\"mrussias@krooga.com\";s:7:\"version\";s:5:\"3.9.2\";s:9:\"timestamp\";i:1410960892;}", "yes");
INSERT INTO `wp_options` VALUES("340", "recently_activated", "a:3:{s:29:\"wp-mail-smtp/wp_mail_smtp.php\";i:1414004773;s:37:\"new-user-approve/new-user-approve.php\";i:1413999329;s:61:\"no-right-click-images-plugin/no-right-click-images-plugin.php\";i:1413910997;}", "yes");
INSERT INTO `wp_options` VALUES("372", "WPLANG", "", "yes");
INSERT INTO `wp_options` VALUES("373", "db_upgraded", "", "yes");
INSERT INTO `wp_options` VALUES("376", "can_compress_scripts", "0", "yes");
INSERT INTO `wp_options` VALUES("378", "theme_mods_CherryFramework", "a:2:{i:0;b:0;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1412019314;s:4:\"data\";a:6:{s:19:\"wp_inactive_widgets\";a:0:{}s:12:\"main-sidebar\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:16:\"footer-sidebar-1\";a:0:{}s:16:\"footer-sidebar-2\";a:0:{}s:16:\"footer-sidebar-3\";a:0:{}s:16:\"footer-sidebar-4\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("379", "cherry", "a:80:{s:15:\"body_background\";a:5:{s:5:\"color\";s:0:\"\";s:5:\"image\";s:0:\"\";s:6:\"repeat\";s:6:\"repeat\";s:8:\"position\";s:10:\"top center\";s:10:\"attachment\";s:6:\"scroll\";}s:12:\"header_color\";s:0:\"\";s:11:\"links_color\";s:7:\"#0088cc\";s:17:\"links_color_hover\";s:0:\"\";s:14:\"google_mixed_3\";a:6:{s:4:\"size\";s:4:\"12px\";s:4:\"face\";s:28:\"Arial, Helvetica, sans-serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"18px\";s:5:\"color\";s:7:\"#333333\";}s:10:\"h1_heading\";a:6:{s:4:\"size\";s:4:\"30px\";s:4:\"face\";s:28:\"Arial, Helvetica, sans-serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"35px\";s:5:\"color\";s:7:\"#333333\";}s:10:\"h2_heading\";a:6:{s:4:\"size\";s:4:\"22px\";s:4:\"face\";s:28:\"Arial, Helvetica, sans-serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"22px\";s:5:\"color\";s:7:\"#333333\";}s:10:\"h3_heading\";a:6:{s:4:\"size\";s:4:\"18px\";s:4:\"face\";s:28:\"Arial, Helvetica, sans-serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"18px\";s:5:\"color\";s:7:\"#333333\";}s:10:\"h4_heading\";a:6:{s:4:\"size\";s:4:\"14px\";s:4:\"face\";s:28:\"Arial, Helvetica, sans-serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"18px\";s:5:\"color\";s:7:\"#333333\";}s:10:\"h5_heading\";a:6:{s:4:\"size\";s:4:\"12px\";s:4:\"face\";s:28:\"Arial, Helvetica, sans-serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"18px\";s:5:\"color\";s:7:\"#333333\";}s:10:\"h6_heading\";a:6:{s:4:\"size\";s:4:\"12px\";s:4:\"face\";s:28:\"Arial, Helvetica, sans-serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"18px\";s:5:\"color\";s:7:\"#333333\";}s:15:\"g_search_box_id\";s:3:\"yes\";s:16:\"g_breadcrumbs_id\";s:3:\"yes\";s:10:\"custom_css\";s:0:\"\";s:9:\"logo_type\";s:10:\"image_logo\";s:15:\"logo_typography\";a:6:{s:4:\"size\";s:4:\"40px\";s:4:\"face\";s:28:\"Arial, Helvetica, sans-serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"48px\";s:5:\"color\";s:7:\"#049CDB\";}s:8:\"logo_url\";s:81:\"http://krooga.net/pascalinegrue/wp-content/themes/CherryFramework/images/logo.png\";s:7:\"favicon\";s:77:\"http://krooga.net/pascalinegrue/wp-content/themes/CherryFramework/favicon.ico\";s:15:\"menu_typography\";a:6:{s:4:\"size\";s:4:\"12px\";s:4:\"face\";s:28:\"Arial, Helvetica, sans-serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"18px\";s:5:\"color\";s:7:\"#1133AA\";}s:8:\"sf_delay\";s:4:\"1000\";s:14:\"sf_f_animation\";s:4:\"show\";s:15:\"sf_sl_animation\";s:4:\"show\";s:8:\"sf_speed\";s:6:\"normal\";s:9:\"sf_arrows\";s:5:\"false\";s:17:\"mobile_menu_label\";s:14:\"Navigate to...\";s:11:\"slider_type\";s:13:\"camera_slider\";s:9:\"sl_effect\";s:6:\"random\";s:10:\"sl_columns\";s:1:\"6\";s:7:\"sl_rows\";s:1:\"6\";s:9:\"sl_banner\";s:14:\"fadeFromBottom\";s:12:\"sl_pausetime\";s:4:\"7000\";s:18:\"sl_animation_speed\";s:4:\"1500\";s:12:\"sl_slideshow\";s:4:\"true\";s:13:\"sl_thumbnails\";s:4:\"true\";s:14:\"sl_control_nav\";s:4:\"true\";s:10:\"sl_dir_nav\";s:4:\"true\";s:15:\"sl_dir_nav_hide\";s:5:\"false\";s:20:\"sl_play_pause_button\";s:4:\"true\";s:9:\"sl_loader\";s:2:\"no\";s:13:\"acc_show_post\";s:0:\"\";s:13:\"acc_slideshow\";s:5:\"false\";s:15:\"acc_hover_pause\";s:4:\"true\";s:13:\"acc_pausetime\";s:4:\"6000\";s:19:\"acc_animation_speed\";s:3:\"600\";s:10:\"acc_easing\";s:12:\"easeOutCubic\";s:11:\"acc_trigger\";s:9:\"mouseover\";s:18:\"acc_starting_slide\";s:1:\"0\";s:9:\"blog_text\";s:4:\"Blog\";s:12:\"blog_related\";s:13:\"Related Posts\";s:16:\"blog_sidebar_pos\";s:5:\"right\";s:15:\"post_image_size\";s:6:\"normal\";s:17:\"single_image_size\";s:6:\"normal\";s:10:\"load_image\";s:4:\"true\";s:12:\"post_excerpt\";s:4:\"true\";s:9:\"post_meta\";s:4:\"line\";s:9:\"post_date\";s:3:\"yes\";s:11:\"post_author\";s:3:\"yes\";s:14:\"post_permalink\";s:3:\"yes\";s:13:\"post_category\";s:3:\"yes\";s:8:\"post_tag\";s:3:\"yes\";s:12:\"post_comment\";s:3:\"yes\";s:10:\"post_views\";s:3:\"yes\";s:9:\"post_like\";s:3:\"yes\";s:12:\"post_dislike\";s:3:\"yes\";s:12:\"folio_filter\";s:3:\"cat\";s:11:\"folio_title\";s:3:\"yes\";s:13:\"folio_excerpt\";s:3:\"yes\";s:19:\"folio_excerpt_count\";s:2:\"20\";s:9:\"folio_btn\";s:3:\"yes\";s:10:\"folio_meta\";s:3:\"yes\";s:14:\"folio_lightbox\";s:3:\"yes\";s:11:\"layout_mode\";s:7:\"fitRows\";s:12:\"items_count2\";s:1:\"8\";s:12:\"items_count3\";s:1:\"9\";s:12:\"items_count4\";s:2:\"12\";s:11:\"footer_text\";s:0:\"\";s:7:\"ga_code\";s:0:\"\";s:8:\"feed_url\";s:0:\"\";s:11:\"footer_menu\";s:4:\"true\";s:22:\"footer_menu_typography\";a:6:{s:4:\"size\";s:4:\"12px\";s:4:\"face\";s:28:\"Arial, Helvetica, sans-serif\";s:9:\"character\";s:5:\"latin\";s:5:\"style\";s:6:\"normal\";s:10:\"lineheight\";s:4:\"18px\";s:5:\"color\";s:7:\"#0088CC\";}}", "yes");
INSERT INTO `wp_options` VALUES("380", "theme_mods_twentytwelve", "a:2:{i:0;b:0;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1412020726;s:4:\"data\";a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("387", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:57:\"https://downloads.wordpress.org/release/wordpress-4.0.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:57:\"https://downloads.wordpress.org/release/wordpress-4.0.zip\";s:10:\"no_content\";s:68:\"https://downloads.wordpress.org/release/wordpress-4.0-no-content.zip\";s:11:\"new_bundled\";s:69:\"https://downloads.wordpress.org/release/wordpress-4.0-new-bundled.zip\";s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:3:\"4.0\";s:7:\"version\";s:3:\"4.0\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"3.8\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1414419155;s:15:\"version_checked\";s:3:\"4.0\";s:12:\"translations\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("392", "_site_transient_timeout_wporg_theme_feature_list", "1412031510", "yes");
INSERT INTO `wp_options` VALUES("393", "_site_transient_wporg_theme_feature_list", "a:4:{s:6:\"Colors\";a:15:{i:0;s:5:\"black\";i:1;s:4:\"blue\";i:2;s:5:\"brown\";i:3;s:4:\"gray\";i:4;s:5:\"green\";i:5;s:6:\"orange\";i:6;s:4:\"pink\";i:7;s:6:\"purple\";i:8;s:3:\"red\";i:9;s:6:\"silver\";i:10;s:3:\"tan\";i:11;s:5:\"white\";i:12;s:6:\"yellow\";i:13;s:4:\"dark\";i:14;s:5:\"light\";}s:6:\"Layout\";a:9:{i:0;s:12:\"fixed-layout\";i:1;s:12:\"fluid-layout\";i:2;s:17:\"responsive-layout\";i:3;s:10:\"one-column\";i:4;s:11:\"two-columns\";i:5;s:13:\"three-columns\";i:6;s:12:\"four-columns\";i:7;s:12:\"left-sidebar\";i:8;s:13:\"right-sidebar\";}s:8:\"Features\";a:20:{i:0;s:19:\"accessibility-ready\";i:1;s:8:\"blavatar\";i:2;s:10:\"buddypress\";i:3;s:17:\"custom-background\";i:4;s:13:\"custom-colors\";i:5;s:13:\"custom-header\";i:6;s:11:\"custom-menu\";i:7;s:12:\"editor-style\";i:8;s:21:\"featured-image-header\";i:9;s:15:\"featured-images\";i:10;s:15:\"flexible-header\";i:11;s:20:\"front-page-post-form\";i:12;s:19:\"full-width-template\";i:13;s:12:\"microformats\";i:14;s:12:\"post-formats\";i:15;s:20:\"rtl-language-support\";i:16;s:11:\"sticky-post\";i:17;s:13:\"theme-options\";i:18;s:17:\"threaded-comments\";i:19;s:17:\"translation-ready\";}s:7:\"Subject\";a:3:{i:0;s:7:\"holiday\";i:1;s:13:\"photoblogging\";i:2;s:8:\"seasonal\";}}", "yes");
INSERT INTO `wp_options` VALUES("394", "_site_transient_update_themes", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1414419160;s:7:\"checked\";a:2:{s:17:\"foundation-simple\";s:3:\"1.0\";s:14:\"twentyfourteen\";s:3:\"1.2\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("395", "theme_mods_foundation-simple", "a:5:{i:0;b:0;s:18:\"nav_menu_locations\";a:2:{s:11:\"header-menu\";i:2;s:11:\"footer-menu\";i:3;}s:16:\"background_color\";s:6:\"e3e3e3\";s:12:\"header_image\";s:83:\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/header-image.jpg\";s:17:\"header_image_data\";a:5:{s:13:\"attachment_id\";i:52;s:3:\"url\";s:83:\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/header-image.jpg\";s:13:\"thumbnail_url\";s:83:\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/header-image.jpg\";s:5:\"width\";i:960;s:6:\"height\";i:240;}}", "yes");
INSERT INTO `wp_options` VALUES("403", "acf_version", "4.3.9", "yes");
INSERT INTO `wp_options` VALUES("408", "fancybox_enableImg", "1", "yes");
INSERT INTO `wp_options` VALUES("409", "fancybox_enableInline", "", "yes");
INSERT INTO `wp_options` VALUES("410", "fancybox_enablePDF", "", "yes");
INSERT INTO `wp_options` VALUES("411", "fancybox_enableSWF", "", "yes");
INSERT INTO `wp_options` VALUES("412", "fancybox_enableSVG", "", "yes");
INSERT INTO `wp_options` VALUES("413", "fancybox_enableYoutube", "", "yes");
INSERT INTO `wp_options` VALUES("414", "fancybox_enableVimeo", "", "yes");
INSERT INTO `wp_options` VALUES("415", "fancybox_enableDailymotion", "", "yes");
INSERT INTO `wp_options` VALUES("416", "fancybox_enableiFrame", "1", "yes");
INSERT INTO `wp_options` VALUES("417", "fancybox_attributeLimit", "", "yes");
INSERT INTO `wp_options` VALUES("418", "fancybox_autoClick", "1", "yes");
INSERT INTO `wp_options` VALUES("419", "fancybox_metaData", "", "yes");
INSERT INTO `wp_options` VALUES("420", "fancybox_overlayShow", "1", "yes");
INSERT INTO `wp_options` VALUES("421", "fancybox_hideOnOverlayClick", "1", "yes");
INSERT INTO `wp_options` VALUES("422", "fancybox_overlayOpacity", "", "yes");
INSERT INTO `wp_options` VALUES("423", "fancybox_overlayColor", "", "yes");
INSERT INTO `wp_options` VALUES("424", "fancybox_overlaySpotlight", "", "yes");
INSERT INTO `wp_options` VALUES("425", "fancybox_showCloseButton", "1", "yes");
INSERT INTO `wp_options` VALUES("426", "fancybox_backgroundColor", "#fff", "yes");
INSERT INTO `wp_options` VALUES("427", "fancybox_paddingColor", "#fff", "yes");
INSERT INTO `wp_options` VALUES("428", "fancybox_textColor", "inherit", "yes");
INSERT INTO `wp_options` VALUES("429", "fancybox_frameOpacity", "1.0", "yes");
INSERT INTO `wp_options` VALUES("430", "fancybox_borderRadius", "", "yes");
INSERT INTO `wp_options` VALUES("431", "fancybox_width", "", "yes");
INSERT INTO `wp_options` VALUES("432", "fancybox_height", "", "yes");
INSERT INTO `wp_options` VALUES("433", "fancybox_padding", "", "yes");
INSERT INTO `wp_options` VALUES("434", "fancybox_centerOnScroll", "1", "yes");
INSERT INTO `wp_options` VALUES("435", "fancybox_enableEscapeButton", "1", "yes");
INSERT INTO `wp_options` VALUES("436", "fancybox_autoScale", "1", "yes");
INSERT INTO `wp_options` VALUES("437", "fancybox_speedIn", "", "yes");
INSERT INTO `wp_options` VALUES("438", "fancybox_speedOut", "", "yes");
INSERT INTO `wp_options` VALUES("439", "fancybox_autoAttribute", ".jpg .jpeg .png", "yes");
INSERT INTO `wp_options` VALUES("440", "fancybox_autoAttributeLimit", "", "yes");
INSERT INTO `wp_options` VALUES("441", "fancybox_transitionIn", "elastic", "yes");
INSERT INTO `wp_options` VALUES("442", "fancybox_easingIn", "easeOutBack", "yes");
INSERT INTO `wp_options` VALUES("443", "fancybox_transitionOut", "elastic", "yes");
INSERT INTO `wp_options` VALUES("444", "fancybox_easingOut", "easeInBack", "yes");
INSERT INTO `wp_options` VALUES("445", "fancybox_opacity", "", "yes");
INSERT INTO `wp_options` VALUES("446", "fancybox_hideOnContentClick", "", "yes");
INSERT INTO `wp_options` VALUES("447", "fancybox_titleShow", "1", "yes");
INSERT INTO `wp_options` VALUES("448", "fancybox_titlePosition", "over", "yes");
INSERT INTO `wp_options` VALUES("449", "fancybox_titleFromAlt", "1", "yes");
INSERT INTO `wp_options` VALUES("450", "fancybox_autoGallery", "1", "yes");
INSERT INTO `wp_options` VALUES("451", "fancybox_showNavArrows", "1", "yes");
INSERT INTO `wp_options` VALUES("452", "fancybox_enableKeyboardNav", "1", "yes");
INSERT INTO `wp_options` VALUES("453", "fancybox_mouseWheel", "1", "yes");
INSERT INTO `wp_options` VALUES("454", "fancybox_cyclic", "", "yes");
INSERT INTO `wp_options` VALUES("455", "fancybox_changeSpeed", "", "yes");
INSERT INTO `wp_options` VALUES("456", "fancybox_changeFade", "", "yes");
INSERT INTO `wp_options` VALUES("457", "fancybox_autoSelector", "div.gallery", "yes");
INSERT INTO `wp_options` VALUES("462", "fancybox_iFrameScrolling", "auto", "yes");
INSERT INTO `wp_options` VALUES("463", "fancybox_iFramewidth", "70%", "yes");
INSERT INTO `wp_options` VALUES("464", "fancybox_iFrameheight", "70%", "yes");
INSERT INTO `wp_options` VALUES("465", "fancybox_iFramepadding", "0", "yes");
INSERT INTO `wp_options` VALUES("466", "fancybox_iFrametitleShow", "", "yes");
INSERT INTO `wp_options` VALUES("467", "fancybox_iFrametitlePosition", "float", "yes");
INSERT INTO `wp_options` VALUES("468", "fancybox_iFrametitleFromAlt", "", "yes");
INSERT INTO `wp_options` VALUES("473", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("513", "widget_taxonomy_list_widget", "a:2:{i:2;a:14:{s:8:\"taxonomy\";s:8:\"post_tag\";s:15:\"max_name_length\";i:0;s:6:\"cutoff\";s:3:\"…\";s:9:\"delimiter\";s:2:\"nl\";s:5:\"limit\";i:20;s:5:\"order\";s:3:\"ASC\";s:7:\"orderby\";s:4:\"name\";s:9:\"threshold\";i:0;s:6:\"incexc\";s:7:\"exclude\";s:10:\"incexc_ids\";a:0:{}s:10:\"hide_empty\";b:1;s:11:\"post_counts\";b:0;s:3:\"rel\";s:8:\"nofollow\";s:5:\"title\";s:8:\"Keywords\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("522", "EFS_CUSTOM_CSS", "", "yes");
INSERT INTO `wp_options` VALUES("557", "cpt_custom_post_types", "a:2:{i:0;a:21:{s:4:\"name\";s:8:\"conseils\";s:5:\"label\";s:8:\"Conseils\";s:14:\"singular_label\";s:7:\"Conseil\";s:11:\"description\";s:0:\"\";s:6:\"public\";s:1:\"1\";s:7:\"show_ui\";s:1:\"1\";s:11:\"has_archive\";s:1:\"0\";s:19:\"exclude_from_search\";s:1:\"0\";s:15:\"capability_type\";s:4:\"post\";s:12:\"hierarchical\";s:1:\"1\";s:7:\"rewrite\";s:1:\"1\";s:12:\"rewrite_slug\";s:0:\"\";s:17:\"rewrite_withfront\";s:1:\"1\";s:9:\"query_var\";s:1:\"1\";s:13:\"menu_position\";s:1:\"7\";s:12:\"show_in_menu\";s:1:\"1\";s:19:\"show_in_menu_string\";s:0:\"\";s:9:\"menu_icon\";s:0:\"\";i:0;a:6:{i:0;s:5:\"title\";i:1;s:6:\"editor\";i:2;s:7:\"excerpt\";i:3;s:8:\"comments\";i:4;s:9:\"thumbnail\";i:5;s:15:\"page-attributes\";}i:1;a:1:{i:0;s:19:\"conseils-categories\";}i:2;a:12:{s:9:\"menu_name\";s:0:\"\";s:7:\"add_new\";s:0:\"\";s:12:\"add_new_item\";s:0:\"\";s:4:\"edit\";s:0:\"\";s:9:\"edit_item\";s:0:\"\";s:8:\"new_item\";s:0:\"\";s:4:\"view\";s:0:\"\";s:9:\"view_item\";s:0:\"\";s:12:\"search_items\";s:0:\"\";s:9:\"not_found\";s:0:\"\";s:18:\"not_found_in_trash\";s:0:\"\";s:6:\"parent\";s:0:\"\";}}i:1;a:21:{s:4:\"name\";s:13:\"suivi-medical\";s:5:\"label\";s:13:\"Suivi Medical\";s:14:\"singular_label\";s:13:\"Suivi Medical\";s:11:\"description\";s:0:\"\";s:6:\"public\";s:1:\"1\";s:7:\"show_ui\";s:1:\"1\";s:11:\"has_archive\";s:1:\"1\";s:19:\"exclude_from_search\";s:1:\"0\";s:15:\"capability_type\";s:4:\"post\";s:12:\"hierarchical\";s:1:\"1\";s:7:\"rewrite\";s:1:\"1\";s:12:\"rewrite_slug\";s:0:\"\";s:17:\"rewrite_withfront\";s:1:\"1\";s:9:\"query_var\";s:1:\"1\";s:13:\"menu_position\";s:1:\"6\";s:12:\"show_in_menu\";s:1:\"1\";s:19:\"show_in_menu_string\";s:0:\"\";s:9:\"menu_icon\";s:0:\"\";i:0;a:7:{i:0;s:5:\"title\";i:1;s:6:\"editor\";i:2;s:7:\"excerpt\";i:3;s:8:\"comments\";i:4;s:9:\"thumbnail\";i:5;s:6:\"author\";i:6;s:15:\"page-attributes\";}i:1;a:2:{i:0;s:8:\"post_tag\";i:1;s:7:\"medical\";}i:2;a:12:{s:9:\"menu_name\";s:0:\"\";s:7:\"add_new\";s:0:\"\";s:12:\"add_new_item\";s:0:\"\";s:4:\"edit\";s:0:\"\";s:9:\"edit_item\";s:0:\"\";s:8:\"new_item\";s:0:\"\";s:4:\"view\";s:0:\"\";s:9:\"view_item\";s:0:\"\";s:12:\"search_items\";s:0:\"\";s:9:\"not_found\";s:0:\"\";s:18:\"not_found_in_trash\";s:0:\"\";s:6:\"parent\";s:0:\"\";}}}", "yes");
INSERT INTO `wp_options` VALUES("560", "cpt_custom_tax_types", "a:2:{i:0;a:11:{s:4:\"name\";s:7:\"medical\";s:5:\"label\";s:24:\"Suivi Medical Categories\";s:14:\"singular_label\";s:22:\"Suivi Medical Category\";s:12:\"hierarchical\";s:1:\"1\";s:7:\"show_ui\";s:1:\"1\";s:9:\"query_var\";s:1:\"1\";s:7:\"rewrite\";s:1:\"1\";s:12:\"rewrite_slug\";s:0:\"\";s:17:\"show_admin_column\";s:1:\"1\";i:0;a:12:{s:12:\"search_items\";s:0:\"\";s:13:\"popular_items\";s:0:\"\";s:9:\"all_items\";s:0:\"\";s:11:\"parent_item\";s:0:\"\";s:17:\"parent_item_colon\";s:0:\"\";s:9:\"edit_item\";s:0:\"\";s:11:\"update_item\";s:0:\"\";s:12:\"add_new_item\";s:0:\"\";s:13:\"new_item_name\";s:0:\"\";s:26:\"separate_items_with_commas\";s:0:\"\";s:19:\"add_or_remove_items\";s:0:\"\";s:21:\"choose_from_most_used\";s:0:\"\";}i:1;a:1:{i:0;s:13:\"suivi-medical\";}}i:1;a:11:{s:4:\"name\";s:19:\"conseils-categories\";s:5:\"label\";s:19:\"Conseils Categories\";s:14:\"singular_label\";s:17:\"Conseils Category\";s:12:\"hierarchical\";s:1:\"1\";s:7:\"show_ui\";s:1:\"1\";s:9:\"query_var\";s:1:\"1\";s:7:\"rewrite\";s:1:\"1\";s:12:\"rewrite_slug\";s:0:\"\";s:17:\"show_admin_column\";s:1:\"1\";i:0;a:12:{s:12:\"search_items\";s:0:\"\";s:13:\"popular_items\";s:0:\"\";s:9:\"all_items\";s:0:\"\";s:11:\"parent_item\";s:0:\"\";s:17:\"parent_item_colon\";s:0:\"\";s:9:\"edit_item\";s:0:\"\";s:11:\"update_item\";s:0:\"\";s:12:\"add_new_item\";s:0:\"\";s:13:\"new_item_name\";s:0:\"\";s:26:\"separate_items_with_commas\";s:0:\"\";s:19:\"add_or_remove_items\";s:0:\"\";s:21:\"choose_from_most_used\";s:0:\"\";}i:1;a:1:{i:0;s:8:\"conseils\";}}}", "yes");
INSERT INTO `wp_options` VALUES("570", "duplicate_post_copyexcerpt", "1", "yes");
INSERT INTO `wp_options` VALUES("571", "duplicate_post_copyattachments", "0", "yes");
INSERT INTO `wp_options` VALUES("572", "duplicate_post_copychildren", "0", "yes");
INSERT INTO `wp_options` VALUES("573", "duplicate_post_copystatus", "0", "yes");
INSERT INTO `wp_options` VALUES("574", "duplicate_post_taxonomies_blacklist", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("575", "duplicate_post_show_row", "1", "yes");
INSERT INTO `wp_options` VALUES("576", "duplicate_post_show_adminbar", "1", "yes");
INSERT INTO `wp_options` VALUES("577", "duplicate_post_show_submitbox", "1", "yes");
INSERT INTO `wp_options` VALUES("578", "duplicate_post_version", "2.6", "yes");
INSERT INTO `wp_options` VALUES("581", "_transient_timeout_feed_c809918297b2c893fd8504c06adcaf00", "1412263751", "no");
INSERT INTO `wp_options` VALUES("582", "_transient_feed_c809918297b2c893fd8504c06adcaf00", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:51:\"\n	\n	\n	\n	\n	\n	\n		\n		\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"WebDevStudios.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"http://webdevstudios.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"WordPress Website Development and Design\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 30 Sep 2014 22:36:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"http://wordpress.org/?v=3.9.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"Lisa Sabin-Wilson at Prestige Conference 2014!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"http://webdevstudios.com/2014/09/30/lisa-sabin-wilson-at-prestige-conference-2014/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"http://webdevstudios.com/2014/09/30/lisa-sabin-wilson-at-prestige-conference-2014/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 30 Sep 2014 14:49:47 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:7:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:4:\"Team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:7:\"Twitter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"WordCamp\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:6;a:5:{s:4:\"data\";s:16:\"WordPress Meetup\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"http://webdevstudios.com/?p=8519\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:469:\"The Prestige Conference is taking place in Downtown Minneapolis, Minnesota from Friday, October 3rd to Saturday; October 4th. This conference is unlike any other! They have sought out the BEST speakers in the WordPress Community to speak on topics related to the economics of WordPress, &#8230; <a class=\"more-link\" href=\"http://webdevstudios.com/2014/09/30/lisa-sabin-wilson-at-prestige-conference-2014/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Melissa Hoppe\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2556:\"<p><a href=\"http://webdevstudios.com/wp-content/uploads/2014/09/Prestige-Conference.png\"><img class=\"alignright wp-image-8520 size-full\" src=\"http://webdevstudios.com/wp-content/uploads/2014/09/Prestige-Conference.png\" alt=\"Prestige Conference\" width=\"310\" height=\"191\" /></a>The <a href=\"http://prestigeconf.com/\">Prestige Conference</a> is taking place in Downtown Minneapolis, Minnesota from Friday, October 3rd to Saturday; October 4th. This conference is unlike any other! They have sought out the BEST speakers in the WordPress Community to speak on topics related to the economics of WordPress, with the target audience being entrepreneurs in the WordPress industry.  We are honored to have our very own <a title=\"Lisa Sabin-Wilson\" href=\"http://webdevstudios.com/team/lisa-sabin-wilson/\">Lisa Sabin-Wilson</a> on the esteemed speakers roster!</p>\n<p>Lisa will be speaking on Saturday, October 4th from 11 AM to 11:45 AM. The topic of her presentation is &#8220;<em>You Should Charge More</em>&#8220;. Here is a short description of what you can expect &#8211;</p>\n<blockquote><p>As freelancers and entrepreneurs, we are in charge of assigning value to the work that we do. In 2004, as a freelancer, Lisa sold her first WordPress project for $75. Ten years later, as a partner in a thriving web design and development agency, she is frequently involved in projects 1000 times that much, often more.</p>\n<p>There are different considerations in pricing as a freelancer, and pricing as an agency. Lisa explores these considerations and shares her insight into common mistakes she made in her career as a freelancer, as well as pricing lessons, strategies and advice she is using today.</p>\n<p>This session will explore different pricing models, help you identify signs that your rates might be too low and some similarities and differences between freelancing vs. agency pricing strategies. You&#8217;ll find out how she gradually increased her pricing as a freelancer because one of her (paying) clients encouraged her to do so, and you should be prepared for Lisa to encourage you to do the same!</p></blockquote>\n<p>If you can&#8217;t be at the conference physically, that&#8217;s okay. They&#8217;re live streaming the entire thing! You can purchase tickets <a href=\"http://prestigeconf.com/tickets/\">here</a>.</p>\n<p>Lisa is proud to speak alongside the <a href=\"http://prestigeconf.com/#speakers\">best of the best</a> in the WordPress community. As always, she is excited to connect with fellow WordPress lovers both new and seasoned.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"http://webdevstudios.com/2014/09/30/lisa-sabin-wilson-at-prestige-conference-2014/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"Why Grids Matter:  A review from chaos to order\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"http://webdevstudios.com/2014/09/26/why-grids-matter-a-review-from-chaos-to-order/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"http://webdevstudios.com/2014/09/26/why-grids-matter-a-review-from-chaos-to-order/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 26 Sep 2014 16:51:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:6:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:13:\"Employee Post\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:4:\"Team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"Tutorial\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"http://webdevstudios.com/?p=8507\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:379:\"For ages, grids have hung prose on pages to the benefit of humanity and to its curse at times. The topic of grids is lost to some, especially in a world that moves so fast. Designers have to, at times, &#8230; <a class=\"more-link\" href=\"http://webdevstudios.com/2014/09/26/why-grids-matter-a-review-from-chaos-to-order/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"simon\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:11259:\"<p>For ages, grids have hung prose on pages to the benefit of humanity and to its curse at times. The topic of grids is lost to some, especially in a world that moves so fast. Designers have to, at times, initiate the creative process on a computer without even so much as a sketch. On the other hand, grids are held as the construct of beauty by many. Yet, we as designers must know the limits of our craft before limits can be broken <i>the right way</i>.</p>\n<p>If you have no idea what I am talking about, let me try to explain. Grids make sense out of nonsense. In a world that seems chaotic and void of order, if you look closely at nature and ourselves we can see a mysterious link through the prism of a grid.</p>\n<p>Grid Systems are everywhere. Look in the mirror, your face is a grid (of sorts). Look at the Parthenon &#8211; it’s a grid though not completely as some say. Look at the Mona Lisa &#8211; there’s a vanishing point. Look at a magazine or a car, all of which have grid like measures and with all the same “limitations” we so often complain about.</p>\n<p>What you’ll read here will be more for art than science, more history than future, more vegetable than cupcake. There are plenty of resources to the latter with snippets galore and with much needed code monkey snark.</p>\n<p>By definition grid systems are limited to the graphic design world and world of design. In this post I want to share how there are shared qualities in the natural world and the digital one. Here my goal is to sharpen our craft by sharing my own experiences with grids and it’s cousins like the Golden Ratio or Fibonacci number, etc.</p>\n<p><b>Chaos</b></p>\n<p>This is not a post to dictate to others that using a grid is the only way to success. Because, it is not. Rather, this is a post to cultivate an appreciation for grid-driven design, while taking from the natural world. Even if you don’t leverage grids, there is a historic and mysterious value.</p>\n<div id=\"attachment_8511\" style=\"width: 218px\" class=\"wp-caption alignright\"><a href=\"http://webdevstudios.com/wp-content/uploads/2014/09/66439_254x191.jpg\"><img class=\" wp-image-8511\" src=\"http://webdevstudios.com/wp-content/uploads/2014/09/66439_254x191.jpg\" alt=\"Graphic Designer - David Carson\" width=\"208\" height=\"157\" /></a><p class=\"wp-caption-text\">Graphic Designer &#8211; David Carson</p></div>\n<p>I write and ponder this as a humble designer that started without using grids in the late 80’s. <a href=\"http://en.wikipedia.org/wiki/David_Carson_(graphic_designer)\">David Carson</a> believes a good designer should bring in who he or she is, what shaped them, and their history. David was my hero at the time.</p>\n<p>I emulated his approach to design / life and the time he spent surfing appealed to me. So in the 90’s that is exactly what I did. I rejected a scholarship to a prestigious art school and learned from life. These experiences are adventures that my midwestern wife appreciates and shakes her head. I surfed for a better part of a decade and designed for clients like United Colors of Benetton. I was in the apparel industry as a creative director for a now defunct jean company. It was a good time for me. That’s where I am coming from &#8211; a life rich in experience and endeavoring in the arts.</p>\n<p>David Carson doesn’t depend on grids so much, but depends on intuition and I completely agree with this approach. I prefer to call it intelligent intuition as “gut feeling” seems to create risk aversion from even the most adventurous among us. A lot more emphasis should be based on intelligent intuition when designers are trained. Yet, higher schools of learning turn away from intuition as having any real measurable value. The funny thing is these gut feelings a lot of times are based on what the designer has seen and experienced which are Grid Systems. Intrinsically, I believe all artists and designers are skewed by grids even while not knowing it.</p>\n<p>Within every human living in what seems to be a chaotic universe there is an underlying order. This is a bit philosophical, but I want to emphasize designers have to develop a taste for appreciation of art with critical thinking.</p>\n<blockquote><p>  Via <a href=\"http://www.creativebloq.com/design/designers-guide-golden-ratio-12121546\" target=\"_blank\">Creative Bloq</a><a href=\"http://webdevstudios.com/wp-content/uploads/2014/09/fibonaccispiral.jpg\"><img class=\"aligncenter size-full wp-image-8512\" src=\"http://webdevstudios.com/wp-content/uploads/2014/09/fibonaccispiral.jpg\" alt=\"fibonaccispiral\" width=\"535\" height=\"338\" /></a></p>\n<p style=\"color: #333333\">It&#8217;s believed that the Golden Ratio has been in use for at least 4,000 years in human art and design, but it may be even longer than that &#8211; some people argue that the Ancient Egyptians used the principle to build the pyramids. In more contemporary times, the Golden Ratio can be observed in music, art, and design all around you.</p>\n</blockquote>\n<p>You may say that the Golden Ratio or Fibonacci numbers don’t mean anything to web designers&#8217; work or are not even related to grids, but it really does and they are. I make no claims that I totally understand what I am so humbly trying to communicate. In fact, it’s overwhelming to me. But, I can observe this world, I see patterns therein, and for our purposes observe grids.</p>\n<p>I consider Golden Ratio, Fibonacci number, Golden Mean, Golden String, Grids, Grid Systems, are different yet the same. They are locked in place in the natural world and if done right on your next WordPress theme, which is hopefully created by WebDevStudios.</p>\n<p>Design without grids can be wonderful. Having experienced it first hand professionally, it was then and is now fun. But, there is more to the grid (order) story.</p>\n<p><b>Order</b></p>\n<p>For ages designers (whatever the label) have been tasked with creating on pages that are limited by page edges. Think from book spine to bleeding page edge. The measure and the page are set and it’s values are simple for the implementation of any design works. That is to say, we design limited by the width, height, and page content of the work to be delivered. Simple right?</p>\n<p>So works like typographically heavy invitations, photography, or paintings can use grids in a broad sense. We won’t ponder the immense mystery of Golden Ratio and a like, but to me these are all linked under a purposeful creative order with beauty as the goal. It’s also worth noting that there is a lot of debate and misconceptions on related subject matter.</p>\n<p>I am not here to blaze a trail and solve those misconceptions. Here I will just observe, know, and  communicate what I think I know. For example, the Parthenon does share the golden ratio, but not totally. You get the point.</p>\n<p>Having said that, I have never met someone that didn’t love beautiful things and those beautiful things are naturally suspended in order.</p>\n<p><b>Hey, Grid Face</b></p>\n<p>Look in the mirror and there is a grid staring back at you. All faces are different, but there is an intrinsic order that is undeniable. As a trained illustrator we were taught to start with boxes &#8211; grids. That isn’t something that is asymmetric or totally unique just to you. We can observe there are faces of varying sizes on a grid like there are also pages of different sizes using a grid. This is amazing! Consider for a moment that there is a grid that we all share &#8211; our face.</p>\n<p>Via <a href=\"http://www.goldennumber.net/golden-ratio-myth/\">Golden Number</a></p>\n<blockquote>\n<p style=\"color: #232323\">“<a href=\"http://www.goldennumber.net/beauty/\">Does the human face reflect golden ratios in its proportions?</a> Not everyone will agree, but there is much evidence to demonstrate that the answer is ‘Yes.’”</p>\n</blockquote>\n<p>We love beauty and by extension order not chaos.</p>\n<p><span class=\'embed-youtube\' style=\'text-align:center; display: block;\'><iframe class=\'youtube-player\' type=\'text/html\' width=\'640\' height=\'390\' src=\'http://www.youtube.com/embed/kKWV-uU_SoI?version=3&#038;rel=1&#038;fs=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;wmode=transparent\' frameborder=\'0\'></iframe></span></p>\n<p><b>Grid Zen</b></p>\n<p>I recall discussing design with a new business school graduate. He told me in no uncertain terms, “design means nothing”. In other words, what he meant to say was that design as a part of a business strategy is not a driving factor in it’s success. That’s quite a claim.</p>\n<p>Consider Nike for a moment. Does design matter for them? Are they just an outlier? Well, maybe Apple doesn’t need design. I guess Microsoft’s brand refresh was for not? The real truth is some companies are successful <i>despite not having any taste to begin with</i>, but that doesn’t mean design doesn’t matter. That means some companies are just lucky.</p>\n<p>Today we have a set of viewports that are changing and iterating over time. So a work may require you to design for responsive design with no limit on height most times.</p>\n<p>Many say that there are no longer page edges or grids just content driving the design of a grid &#8211; inward to outward. I would disagree about edges, but agree on content. Of course, content or in marketing parlance “value”, should always drive work and I think in a sense successful initiatives always do.</p>\n<p>The real difference now is there are just more edges. Not only are there still the same edges in a book, but now there are more edges in the form of viewports. There are more edges, not less. There are more opportunities, not less.</p>\n<p><b>All paths lead to Grids.</b></p>\n<p>The paths of designers are varied as shells on a beach. Some have been trained from print forward and some straight into web design from other mediums. Some couldn’t draw to save their life. We are different in the design universe, yet we are the same.</p>\n<p>Some designers design by intelligent intuition and some don’t. Yet we can observe, that while some are outwardly grid agnostic, they subconsciously design with Grid Systems pointed towards a greater order with beauty as the goal.</p>\n<p>As a trained artist I can tell you that my process for illustrating isn’t so different when I am creating a website design. I start with a draft and using boxes I illustrate a human face. In web design I start with sketches, then finalize the work from sketch to grid.</p>\n<p>If you were to (without mortal limitations) travel in one direction forever into space you would be limited by direction but not the destination. Design is similar. The design life is a paradoxical one. Because, we are limited. But, only because of ourselves and what we think we know.</p>\n<p>I hear many times from colleagues that grids are useless and mean nothing. I think they are speaking on the actual code with which they are frustratingly trying to theme a design. I get that. However, grids and all it’s related cousins hold immense hidden value to those designers especially. And, it should be an arrow in your quiver too. If it isn’t, maybe you should look in the mirror. Because, looking back at you is a beautiful grid.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"http://webdevstudios.com/2014/09/26/why-grids-matter-a-review-from-chaos-to-order/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:54:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"How To QA WordPress Websites Like A Pro!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"http://webdevstudios.com/2014/09/18/how-to-qa-wordpress-websites-like-a-pro/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"http://webdevstudios.com/2014/09/18/how-to-qa-wordpress-websites-like-a-pro/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 18 Sep 2014 15:24:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:13:\"Employee Post\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:6:\"How To\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:4:\"Team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"http://webdevstudios.com/?p=8491\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:380:\"You&#8217;ve pushed your final bit of code and crossed the final item off of your to-do list. Now it&#8217;s just time to sit back, relax and wait for all of the praise on a job well done to come rolling in, &#8230; <a class=\"more-link\" href=\"http://webdevstudios.com/2014/09/18/how-to-qa-wordpress-websites-like-a-pro/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Corey Collins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:9018:\"<p>You&#8217;ve pushed your final bit of code and crossed the final item off of your to-do list. Now it&#8217;s just time to sit back, relax and wait for all of the praise on a job well done to come rolling in, right?</p>\n<p>Wrong.</p>\n<h2>WRONG WRONG WRONG.</h2>\n<p>Just because you think you&#8217;re done with a site doesn&#8217;t mean that you&#8217;re actually done with the site. I&#8217;m pretty sure Confucius said that. And what that means, basically, is that once you&#8217;ve pushed your &#8220;final&#8221; code and crossed off that final to-do there are still one million things left for you to do. Yes, you think everything looks good in whatever browser you&#8217;ve been working in, but have you considered other browsers and their thoughts? Their feelings? The way they handle your pseudo elements, or the way they display an SVG font as a craggly mess? You didn&#8217;t think about that, did you?</p>\n<h2>GOD, YOU&#8217;RE SO INSENSITIVE!</h2>\n<p>But we can help with that insensitivity.  That lack of a second-thought you give to the way your favorite browser works on another operating system, and the way your least-favorite browser mangles all of the delicate beauty you&#8217;ve painfully crafted over the last six weeks.</p>\n<p>Around these parts, it used to be that I would complete a site and proudly watch as it entered the QA process.  I would smile along with any other designers with whom I had worked on the project, a little smug in our belief that the entire QA process would be totally fruitless for the QA&#8217;er.  How could they find anything wrong with something so wonderful?  We&#8217;ve made their job so easy!  Soon, there wouldn&#8217;t even be a need for a QA&#8217;er to QA anything what with all of the certified gold we were churning out.</p>\n<blockquote><p><span style=\"color: #000000\">Let me like myself sometimes</span><br style=\"color: #000000\" /><span style=\"color: #000000\">Let me be narcissistic sometimes</span><br style=\"color: #000000\" /><span style=\"color: #000000\">I&#8217;m not like this all the time</span></p>\n<p>- Everyone Everywhere, &#8220;<a title=\"Everyone Everywhere, &quot;I Feel Fine by Everyone Everywhere&quot;\" href=\"http://everyoneeverywhere.bandcamp.com/track/i-feel-fine-by-everyone-everywhere\" target=\"_blank\">I Feel Fine by Everyone Everywhere</a>&#8220;</p></blockquote>\n<p>It is in those moments where I now realize how gravely I overestimated our aforementioned gold and how deeply I underestimated the QA prowess of one Lisa Sabin-Wilson.  You don&#8217;t know true shame until you&#8217;ve passed off a site for QA and see it come back with three dozen new to-dos.  Well, until you look at the to-dos and realize how easily these QA issues could have been fixed.  You can tell yourself whatever you need to tell yourself to try and feel better about it &#8211; you&#8217;ve been looking at it for so long that it&#8217;s easy to miss the little things.  Right?  That&#8217;s a real thing, right?  What it comes down to, though, is that you&#8217;ve overlooked some pretty obvious and easy things and being called out on those via the QA process is like a punch to the head, heart and ego.</p>\n<blockquote><p><span style=\"color: #000000\">I want to smash things</span><br style=\"color: #000000\" /><span style=\"color: #000000\">I want a coffee</span><br style=\"color: #000000\" /><span style=\"color: #000000\">I want to punch myself repeatedly</span></p>\n<p>- Everyone Everywhere, &#8220;<a title=\"Everyone Everywhere, &quot;I Feel Exhausted&quot;\" href=\"http://everyoneeverywhere.bandcamp.com/track/i-feel-exhausted\" target=\"_blank\">I Feel Exhausted</a>&#8220;</p></blockquote>\n<p>It didn&#8217;t take long for me to realize that I needed to change the way I was doing things so the resulting product would have a much easier and simpler QA process once it left my hands.  Damn it, I&#8217;d QA the site myself before I even handed it off to someone else!  As a Front-End Lead at WebDevStudios, that came as part of the job so my rallying cry to myself is more of a way to pump myself up than me shaking the foundation of QA itself.  But hey, if you can&#8217;t be proud of the work you&#8217;re doing and get yourself excited to do it, then what&#8217;s the point of doing anything?  Why even get out of bed?  Why even wake up, ya damn bum?</p>\n<p>So, what&#8217;s the big secret?  How do I QA sites before I pass them off for a final review, ensuring that all of the little things have been sewn up?</p>\n<h2>Spreadsheets.</h2>\n<p>Yep.  Spreadsheets.</p>\n<p>I didn&#8217;t know what would be the best way to organize my QA thoughts.  I broke out a pen and paper and scrawled chicken scratch into shoddy columns, making notes of which browser rendered something too weird to accept.  Even then, though, you can miss things because you&#8217;re still working against your own brain and memory.  Work-as-you-go QA still allows for things to be left behind.</p>\n<p>My first step in the QA process is to visit the WordPress dashboard.  I look at the sidebar and begin making a list of all of the various post types.  Posts and Pages, of course, but then any other custom post types that may have been registered.  We&#8217;re not just listing the post types, though &#8211; we want to be as granular as possible.  Post archives, single posts, post type-specific sidebars, etc.</p>\n<p>What about taxonomies?  Categories, tags, custom taxonomies &#8211; you&#8217;re going to want to make sure you&#8217;re looking at those, too.  Sure, maybe you&#8217;re using a single archive template file to power all of your archive pages, but don&#8217;t be so sure that something weird won&#8217;t crop up on a custom taxonomy page just because your category archive page looks terrific.  Expect the unexpected, and then go fix it.</p>\n<p>And for the love of God, don&#8217;t forget the search results or 404 pages.</p>\n<p>When all is said and done, I wind up with something like this:</p>\n<p><a href=\"http://webdevstudios.com/wp-content/uploads/2014/09/Screenshot-2014-09-17-22.34.15.png\"><img class=\"alignnone size-large wp-image-8492\" src=\"http://webdevstudios.com/wp-content/uploads/2014/09/Screenshot-2014-09-17-22.34.15-1024x478.png\" alt=\"A shiny new QA spreadsheet\" width=\"640\" height=\"298\" /></a></p>\n<p>While I walk through the QA process, browser-by-browser, I eventually wind up with something like this:</p>\n<p><a href=\"http://webdevstudios.com/wp-content/uploads/2014/09/Screenshot-2014-09-17-22.39.49.png\"><img class=\"alignnone size-large wp-image-8493\" src=\"http://webdevstudios.com/wp-content/uploads/2014/09/Screenshot-2014-09-17-22.39.49-1024x594.png\" alt=\"Christmas comes but once a year\" width=\"640\" height=\"371\" /></a></p>\n<p>It&#8217;s the most wonderful time of the year, isn&#8217;t it?</p>\n<p>As you can see, I block cells out with green if they&#8217;re good to go and red if they&#8217;re bad to go.  In addition to the red menace, I&#8217;ll add a number with a corresponding note that falls below.  This way, I can organize my thoughts and add individual, granular tasks into Basecamp so I can help track the process a bit more.  Plus, rather than fixing everything immediately as I see it, this allows me to see if there are any trends across browsers (this is why you see numbers repeating across columns).  If something is breaking in all but one or two browsers, then maybe it&#8217;s something I&#8217;m doing wrong and not something the browsers are doing wrong.</p>\n<p>Since implementing this method for myself, I really feel that the quality of my QA&#8217;ing has increased exponentially.  Now, instead of just running through the site and telling myself I&#8217;ve checked off all of the possible pages, page templates, post type archives, etc., I can sit confidently knowing that &#8211; yes, I DID check that post type out or no, I did NOT remember to check a specific page template.  At this point, I&#8217;ll add it to my spreadsheet and start the process on that single item once again.  Maybe you&#8217;re telling yourself that, in the final stages of QA, you&#8217;d rather just check the items you may have forgotten without opening up the spreadsheet again.  But what&#8217;s the point of that?  If you&#8217;re writing everything down and making notes of everything you&#8217;re seeing, you can rest assured that you have absolutely, positively, 100% checked everything that you had needed to check.</p>\n<p>I&#8217;m not saying that this is the best way or the only way to QA.  Everyone works differently and what works best for one person may not work as well for the next.  For me, though, being able to block out each portion of the site and make a visual mark of the work I&#8217;ve done QA&#8217;ing it has been hugely beneficial.</p>\n<p>Want to give it a whirl?  <a title=\"QA Spreadsheet\" href=\"https://dl.dropboxusercontent.com/u/37615265/QA%20Spreadsheet.xlsx\" target=\"_blank\">Download this handy spreadsheet</a> and get on your way!  Go on, get!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"http://webdevstudios.com/2014/09/18/how-to-qa-wordpress-websites-like-a-pro/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"4\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"Chris Reynolds Speaking at WordCamp Salt Lake City\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"http://webdevstudios.com/2014/09/10/chris-reynolds-speaking-at-wordcamp-salt-lake-city/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"http://webdevstudios.com/2014/09/10/chris-reynolds-speaking-at-wordcamp-salt-lake-city/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 10 Sep 2014 15:00:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:6:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:4:\"Team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:8:\"WordCamp\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:16:\"WordPress Meetup\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"http://webdevstudios.com/?p=8467\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:421:\"WordCamp Salt Lake City is taking place on Saturday, September 13th at the City and County Building. During this event, you will have the opportunity to meet WDS team member, Chris Reynolds. Chris has been involved with WordCamp Salt Lake &#8230; <a class=\"more-link\" href=\"http://webdevstudios.com/2014/09/10/chris-reynolds-speaking-at-wordcamp-salt-lake-city/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Melissa Hoppe\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2160:\"<p><a href=\"http://webdevstudios.com/wp-content/uploads/2014/09/WordCamp-Salt-Lake-City.png\"><img class=\"alignright wp-image-8468 size-medium\" src=\"http://webdevstudios.com/wp-content/uploads/2014/09/WordCamp-Salt-Lake-City-287x300.png\" alt=\"WordCamp Salt Lake City\" width=\"287\" height=\"300\" /></a><a href=\"http://2014.slc.wordcamp.org/\">WordCamp Salt Lake City</a> is taking place on Saturday, September 13th at the City and County Building. During this event, you will have the opportunity to meet WDS team member, <a title=\"Chris Reynolds\" href=\"http://webdevstudios.com/team/chris-reynolds/\">Chris Reynolds</a>. Chris has been involved with WordCamp Salt Lake City since 2011, both speaking and co-organizing. This year is no different &#8212; he helped organize the event and he will be presenting to the attendees.</p>\n<p>You can catch Chris&#8217; presentation on <strong>Saturday, September 13th at 9:50 AM</strong> in the developer track. He will be speaking to you about <a style=\"font-style: italic;color: #1982d1\" title=\"Speaker Announcement — Chris Reynolds\" href=\"http://2014.slc.wordcamp.org/2014/08/12/speaker-announcement-chris-reynolds/\">Why Hacking WordPress Search Isn’t Some Big Scary Thing</a>. Here is a short description of his talk &#8211;</p>\n<blockquote><p><span style=\"color: #3c363e\">Developers can be a stubborn lot. We like to focus on the things we know really well, and things we don’t deal with as often can be seen as “hard”. Search is one of those things that gets written off a lot, few devs I know will deal with it (voluntarily), and almost everyone will tell you “WordPress search sucks.” In this presentation you will learn that not only do you know more about how search works than you thought you did, but maybe give you a better understanding of how WordPress works as a whole, as well as showing you some cool tricks that you can do with WordPress search.</span></p></blockquote>\n<p>Chris is excited to connect with people who share his love for WordPress; both those he&#8217;s met and those he has yet to meet. If you see Chris around the venue, don&#8217;t be afraid to go up to him and chat!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"http://webdevstudios.com/2014/09/10/chris-reynolds-speaking-at-wordcamp-salt-lake-city/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:54:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"WDS Welcomes Nate Schaumburg!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"http://webdevstudios.com/2014/09/09/wds-welcomes-nate-schaumburg/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"http://webdevstudios.com/2014/09/09/wds-welcomes-nate-schaumburg/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 09 Sep 2014 19:22:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:4:\"Team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:7:\"Twitter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"http://webdevstudios.com/?p=8477\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:405:\"WDS is proud to announce our newest team member, Nate Schaumburg! He will be joining as a Front-End developer. Nate, a native of Wisconsin, has been developing websites since 2004. In 2007, he discovered WordPress and began developing themes as &#8230; <a class=\"more-link\" href=\"http://webdevstudios.com/2014/09/09/wds-welcomes-nate-schaumburg/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Melissa Hoppe\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1301:\"<p><a href=\"http://webdevstudios.com/wp-content/uploads/2014/09/schaumburg.jpg\"><img class=\"alignright size-medium wp-image-8478\" src=\"http://webdevstudios.com/wp-content/uploads/2014/09/schaumburg-300x300.jpg\" alt=\"schaumburg\" width=\"300\" height=\"300\" /></a>WDS is proud to announce our newest team member, <a title=\"Nate Schaumburg\" href=\"http://webdevstudios.com/team/nate-schaumburg/\">Nate Schaumburg</a>! He will be joining as a Front-End developer.</p>\n<p>Nate, a native of Wisconsin, has been developing websites since 2004. In 2007, he discovered WordPress and began developing themes as a hobby and for freelance work. He has worked with top theme developers from WordPress.com and looks forward to working on great client projects for WebDevStudios.</p>\n<p>Prior to web development, Nate was an aviation enthusiast. He has flight hours in both single engine planes and gliders.</p>\n<p>For fun, Nate develops free themes for the <a href=\"https://ghost.org/\" target=\"_blank\">ghost.org</a> platform. He also enjoys going to the shooting range. You can follow Nate&#8217;s love of WordPress on <a href=\"https://twitter.com/___nate\" target=\"_blank\">Twitter</a>.</p>\n<p>We are excited to have Nate joining the team and can&#8217;t wait to see what awesomeness he will add to our amazing team!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"http://webdevstudios.com/2014/09/09/wds-welcomes-nate-schaumburg/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:54:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"Ben Lobaugh Joins WDS as Developer Lead!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"http://webdevstudios.com/2014/09/08/ben-lobaugh-joins-wds-as-developer-lead/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"http://webdevstudios.com/2014/09/08/ben-lobaugh-joins-wds-as-developer-lead/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 08 Sep 2014 16:04:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:4:\"Team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:7:\"Twitter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"http://webdevstudios.com/?p=8469\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:393:\"WDS is proud to welcome our newest team member, Ben Lobaugh! He is joining us as a Developer Lead. Ben is a native born Washingtonian currently living in the beautiful Seattle area. He has been involved in the open source &#8230; <a class=\"more-link\" href=\"http://webdevstudios.com/2014/09/08/ben-lobaugh-joins-wds-as-developer-lead/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Melissa Hoppe\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3265:\"<p><a href=\"http://webdevstudios.com/wp-content/uploads/2014/09/IMG_8172.jpg\"><img class=\"alignright size-medium wp-image-8470\" src=\"http://webdevstudios.com/wp-content/uploads/2014/09/IMG_8172-300x225.jpg\" alt=\"IMG_8172\" width=\"300\" height=\"225\" /></a>WDS is proud to welcome our newest team member, <a title=\"Ben Lobaugh\" href=\"http://webdevstudios.com/team/ben-lobaugh/\">Ben Lobaugh</a>! He is joining us as a Developer Lead.</p>\n<p>Ben is a native born Washingtonian currently living in the beautiful Seattle area. He has been involved in the open source community since 1998 and wrote his first line of code over 14 years ago! His web career has involved working with companies small and large, hyper-local and multi-national.</p>\n<p>Ben first encountered WordPress due to laziness. All his work used to be on fully custom solutions for clients and as such he wrote his own blogging software, sort of. It worked well enough to make a post but did not have any features. After a couple years of no progress, Ben installed WordPress to handle just the blogging portion of his website. As WordPress progressed it became powerful enough to meet the needs of his more generalized clients and he switched to it full-time and stopped writing custom solutions. After moving to Seattle, Ben found and became involved in the WordPress Meetup group and the rest is history. Being involved in the WordPress community is a rich and fulfilling experience.</p>\n<p>In his free time, Ben is the editor of the <a href=\"http://make.wordpress.org/docs/\">WordPress.org Plugin Developer Handbook</a>, outdoorsy adventurer, and intrepid sailor. He owns a beautiful 23&#8242; sailboat named <a href=\"http://ben.lobaugh.net/blog/887/new-toy-north-american-spirit-23-zzzippety-doo-dah\">zzZippety Doo Dah</a> (Zippey for short) that he takes out for leisurely cruises and <a href=\"http://ben.lobaugh.net/ship-log/a-weekend-at-blake-island\">island adventures</a>. Ben&#8217;s other boat is a <a href=\"http://ben.lobaugh.net/ship-log/introducing-my-new-1977-33-carver\">33&#8242; Carver cabin-cruiser</a> that he is currently in the process of turning into a liveaboard. Nothing beats being on the water and letting a boat gently rock you to sleep.</p>\n<p>When asked why he was excited to join WDS, Ben had this to say &#8211;</p>\n<blockquote><p>Everyone in the WordPress community has heard of <a title=\"Brad Williams\" href=\"http://webdevstudios.com/team/brad-williams/\">Brad Williams</a>, <a title=\"Lisa Sabin-Wilson\" href=\"http://webdevstudios.com/team/lisa-sabin-wilson/\">Lisa Sabin-Wilson</a>, and <a title=\"Brian Messenlehner\" href=\"http://webdevstudios.com/team/brian-messenlehner/\">Brian Messenlehner</a>. Not only are they highly regarded WordPressers; they are genuinely good people. After a delicious but painful outing with Brad at the most delicious build your own burger joint in Orange County, I knew WebDevStudios would be a great place to work. As I got to know the team and projects I became more impressed with the company. I found myself referring clients to WebDevStudios and knew it was a match made in heaven.</p></blockquote>\n<p>We are extremely excited to have Ben joining the team. We can&#8217;t wait to see what he will bring to an already spectacular team!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"http://webdevstudios.com/2014/09/08/ben-lobaugh-joins-wds-as-developer-lead/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:66:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"Better Responsive Typography\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"http://webdevstudios.com/2014/09/04/better-responsive-typography/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"http://webdevstudios.com/2014/09/04/better-responsive-typography/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 04 Sep 2014 15:52:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:9:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:13:\"Employee Post\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:6:\"How To\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"Products\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:8:\"Snippets\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:6;a:5:{s:4:\"data\";s:4:\"Team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:7;a:5:{s:4:\"data\";s:8:\"Tutorial\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:8;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"http://webdevstudios.com/?p=8459\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:386:\"Any smartphone user has probably noticed and been annoyed by sites (even responsive ones) that are difficult to read or just don’t look quite right. I know I&#8217;ve been annoyed by trying to view a website on my phone and &#8230; <a class=\"more-link\" href=\"http://webdevstudios.com/2014/09/04/better-responsive-typography/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Zack Rothauser\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:5466:\"<p>Any smartphone user has probably noticed and been annoyed by sites (even responsive ones) that are difficult to read or just don’t look quite right. I know I&#8217;ve been annoyed by trying to view a website on my phone and having to strain to read the text, or given up waiting on a page to load due to a slow connection or just a half-considered mobile layout. With more and more web traffic coming from mobile users, web designers have to be concerned with how readable text is on any type of screen.</p>\n<h2>Font Size</h2>\n<p>What device are you currently reading this article on, and how far away are you sitting? Most people sit between 18 and 24 inches from a desktop or laptop display, but hold a phone or tablet significantly closer. To make up for this distance, you can use larger type for larger displays and smaller type on mobile displays. However, the line length needs to be considered along with the type size and layout.</p>\n<h2>Line Length and Line Height</h2>\n<p>An often-overlooked element of typography on the web is line length. According Robert Bringhurst, in <em>The Elements of Typographic Style</em>, the optimal line length is between 45 and 75 characters, with 66 characters being the “ideal”. Setting the body text of a website in this range allows the user to read quicker and stay engaged longer.</p>\n<p>Line height should go along with line length. As the screen becomes wider and the line becomes longer, the space between lines needs to increase so that the eye can quickly find the next line. Too much space between lines can look awkward on smaller screens. So whereas a line-height of around 1.5 may work well for desktop displays, a line-height of 1.2 may be better for mobile devices. However, there is no ideal line-height, so it may take some adjustments to find the best line height for the various screen sizes.</p>\n<h2>Web Fonts on Mobile</h2>\n<p>Should you include web fonts for narrow screens, or use them only on desktop displays? Web fonts by now are a standard practice for many reasons — consistency between browsers and OSes, better designed typefaces, and giving the site a unique look. But if you use more than one, they can quickly add on 300–400KB to a page’s size, increasing load time and bandwidth usage, which is especially important to consider for mobile devices.</p>\n<p>One of the issues with using the system fonts on mobile devices is inconsistency. Android devices only come with 4 fonts, which are not included on iOS, Windows, or Mac devices. If we want to provide a consistent experience for our website across devices, we will have to include at least <strong>some</strong> web fonts.</p>\n<p>How can this be done without adding on too much weight to a page? Reduce the number of fonts loaded on mobile. This is easily done with media queries and mobile-first practices. Even if a font is defined with <code>@font-face</code>, it will only be downloaded by the browser if it is used somewhere in the site’s CSS. A mobile browser will disregard any fonts mentioned within media queries that don’t apply to the device, so if you load the heaviest fonts inside of your <code>min-width</code> media queries, you can avoid downloading them on mobile devices.This way, you can create a subset of your web fonts to be loaded on a mobile device.</p>\n<p>Here, I&#8217;m only downloading Open Sans at two font weights on mobile, and adding in a different typeface for desktop users. The user will see a bit more consistency because we&#8217;re at least using Open Sans for both mobile and desktop, but they can avoid downloading any extra fonts beyond that.</p>\n<pre class=\"prettyprint linenums lang-cs\">/* Declare the font-faces, but they won\'t necessarily be downloaded until they\'re used */\n@font-face {\n	font-family: \'Open Sans\';\n	font-style: normal;\n	font-weight: 400;\n	src: local(\'Open Sans\'), local(\'OpenSans\'), url(http://fonts.gstatic.com/s/opensans/v10/cJZKeOuBrn4kERxqtaUH3ZBw1xU1rKptJj_0jans920.woff2) format(\'woff2\');\n}\n\n@font-face {\n	font-family: \'Open Sans\';\n	font-style: normal;\n	font-weight: 700;\n	src: local(\'Open Sans Bold\'), local(\'OpenSans-Bold\'), url(http://fonts.gstatic.com/s/opensans/v10/k3k702ZOKiLJc3WVjuplzBampu5_7CjHW5spxoeN3Vs.woff2) format(\'woff2\');\n}\n\n@font-face {\n	font-family: \'PT Serif\';\n	font-style: normal;\n	font-weight: 700;\n	src: local(\'PT Serif Bold\'), local(\'PTSerif-Bold\'), url(http://fonts.gstatic.com/s/ptserif/v8/QABk9IxT-LFTJ_dQzv7xpJQV2lvL5Ba9FjAYK6Lx0Qk.woff2) format(\'woff2\');\n}\n\n\n/* Mobile layout by default */\n/* We\'ll only use one web font here */\nbody {\n	font-family: &quot;Open Sans&quot;, sans-serif;\n	font-size: 16px;\n	line-height: 1.25;\n}\n\n/* Use the same font for headings on mobile */\nh1 {\n	font-weight: bold;\n	font-size: 36px;\n}\n\nh2 {\n	font-weight: bold;\n	font-size: 24px\n}\n\n@media (min-width: 768px) {\n	body {\n		line-height: 1.5;\n	}\n	\n	/* Now that we\'re at a larger screen size, we\'ll load the second font */\n	/* The browser will only download PT Serif if the screen size is wider than 768px */\n	h1, h2 {\n		font-family: &quot;PT Serif&quot;, serif;\n	}\n}</pre>\n<h2>Read More:</h2>\n<p><a href=\"http://trentwalton.com/2012/06/19/fluid-type/\">“Fluid Type”</a> by Trent Walton</p>\n<p><a href=\"http://frankchimero.com/talks/what-screens-want/transcript/\">“What Screens Want”</a> by Frank Chimero</p>\n<p><em><a href=\"http://www.abookapart.com/products/on-web-typography\">On Web Typography</a></em> by Jason Santa Maria</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"http://webdevstudios.com/2014/09/04/better-responsive-typography/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:66:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"Integrating Font Awesome icons in bbPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"http://webdevstudios.com/2014/08/28/integrating-font-awesome-icons-in-bbpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"http://webdevstudios.com/2014/08/28/integrating-font-awesome-icons-in-bbpress/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 28 Aug 2014 18:33:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:9:{i:0;a:5:{s:4:\"data\";s:7:\"bbPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:13:\"Employee Post\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:6:\"How To\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"Snippets\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:4:\"Team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:6;a:5:{s:4:\"data\";s:8:\"Tutorial\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:7;a:5:{s:4:\"data\";s:7:\"Twitter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:8;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"http://webdevstudios.com/?p=8438\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:439:\"The amount of thought and time that goes into designing a universally accepted icon is amazing.  Choosing when to utilize icons to represent interfacing elements is paramount to whether users will understand, and seamlessly navigate areas of a website. Previously, &#8230; <a class=\"more-link\" href=\"http://webdevstudios.com/2014/08/28/integrating-font-awesome-icons-in-bbpress/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Damon Cook\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:12181:\"<p>The amount of thought and time that goes into designing a universally accepted icon is amazing.  Choosing when to utilize icons to represent interfacing elements is paramount to whether users will understand, and seamlessly navigate areas of a website.</p>\n<p>Previously, website icons consisted of small images, and sometimes image sprites. Creating and maintaining these images was cumbersome, and integration tedious at times.</p>\n<p><img class=\"alignright  wp-image-8439\" src=\"http://webdevstudios.com/wp-content/uploads/2014/08/font-awesome-logo-300x300.png\" alt=\"Font Awesome icon fonts FTW!\" width=\"187\" height=\"187\" />Recently, icon fonts have paved the way for expedient delivery of icons. Libraries of font icons have become prevalent, one of which is <a href=\"http://fortawesome.github.io/Font-Awesome/\" target=\"_blank\">Font Awesome</a>.</p>\n<p>Let&#8217;s get started with integrating Font Awesome icons with bbPress forums, but first I would like to point out this bbPress Trac ticket that created the filter necessary to add this functionality. This may be a helpful reference: &#8220;<a href=\"https://bbpress.trac.wordpress.org/ticket/2090\">New Filters for Topic/Reply Admin Links</a>.&#8221;</p>\n<p>First we must enqueue the Font Awesome library script in our theme. Although, you could use a plugin: <a href=\"https://wordpress.org/plugins/font-awesome/\">Font Awesome Icons</a>, but we&#8217;re going to be smart about it since we&#8217;re going to be utilizing Font Awesome in other areas of our site, and keep it in our theme.</p>\n<p><code>wp_enqueue</code> to the rescue!</p>\n<pre class=\"prettyprint lang-php\">$cdn_url = \'//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css\';\n\nwp_register_style( \'font-awesome\', $cdn_url );\n\nwp_enqueue_style( \'font-awesome\' );</pre>\n<p>Drop that snippet in your theme&#8217;s <code>functions.php</code> file, and now we have Font Awesome loading on every page. (Of course, if you would like to limit loading to only the necessary pages you could use one of the many handy-dandy <a href=\"https://codex.wordpress.org/Conditional_Tags\">conditionals</a>.)</p>\n<p>We&#8217;re going to start by adding an icon to bbPress&#8217;s default &#8216;Edit&#8217; link for a topic.</p>\n<div id=\"attachment_8445\" style=\"width: 658px\" class=\"wp-caption aligncenter\"><img class=\"wp-image-8445 size-full\" src=\"http://webdevstudios.com/wp-content/uploads/2014/08/Screenshot-2014-08-28-11.25.091.png\" alt=\"bbPress\'s bbp_topic_admin_links\" width=\"648\" height=\"103\" /><p class=\"wp-caption-text\">bbPress&#8217;s bbp_topic_admin_links</p></div>\n<p>We&#8217;ll hook into the <code>bbp_topic_admin_links</code> filter and add our icon font, like so (again, <code>functions.php</code>):</p>\n<pre class=\"prettyprint lang-php\">/**\n * bbPress - replace topic edit links with Font Awesome icons\n */\nfunction bbp_topic_icon_admin_link( $links ) {\n\n   $links[\'edit\'] = bbp_get_topic_edit_link( array(\n      \'edit_text\' =&gt; \'&lt;i class=&quot;fa fa-edit&quot; title=&quot;\'. __( \'Edit topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;\'. __( \'Edit\', \'wds-tutorial-example\' ),\n   ) );\n\n   return $links;\n}\nadd_filter( \'bbp_topic_admin_links\', \'bbp_topic_icon_admin_link\' );\n</pre>\n<p>That gives us this:</p>\n<div id=\"attachment_8446\" style=\"width: 654px\" class=\"wp-caption aligncenter\"><img class=\"size-full wp-image-8446\" src=\"http://webdevstudios.com/wp-content/uploads/2014/08/Screenshot-2014-08-28-12.01.17.png\" alt=\"bbPress topic links with Font Awesome edit icon\" width=\"644\" height=\"97\" /><p class=\"wp-caption-text\">bbPress topic links with Font Awesome edit icon</p></div>\n<p>Now we&#8217;ll want to do the same for the reply to topic area by tying into the <code>bbp_reply_admin_links</code> filter so it&#8217;ll look like this:</p>\n<div id=\"attachment_8447\" style=\"width: 670px\" class=\"wp-caption aligncenter\"><img class=\"size-full wp-image-8447\" src=\"http://webdevstudios.com/wp-content/uploads/2014/08/bbpress-edit-icon.gif\" alt=\"bbPress edit icon for topic and reply\" width=\"660\" height=\"536\" /><p class=\"wp-caption-text\">bbPress edit icon for topic and reply (animated .gif)</p></div>\n<p>We can hook into reply links with this (<code>functions.php</code>):</p>\n<pre class=\"prettyprint lang-bsh\">/**\n * bbPress - replace reply links with Font Awesome icons\n */\nfunction bbp_reply_icon_admin_links( $links ) {\n\n   $links[\'edit\'] = bbp_get_reply_edit_link( array(\n      \'edit_text\' =&gt; \'&lt;i class=&quot;fa fa-edit&quot; title=&quot;\'. __( \'Edit topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;\'. __( \'Edit\', \'wds-tutorial-example\' ),\n   ) );\n\n   return $links;\n}\nadd_filter( \'bbp_reply_admin_links\', \'bbp_reply_icon_admin_links\' );</pre>\n<p>Of course, you can add an icon to any one of those links, and even replace the link altogether, like:</p>\n<pre class=\"prettyprint linenums lang-bsh\">&lt;?php\n/**\n * bbPress - replace topic edit links with Font Awesome icons\n */\nfunction bbp_topic_icon_admin_link( $links ) {\n\n   $links[\'edit\'] = bbp_get_topic_edit_link( array(\n      \'edit_text\' =&gt; \'&lt;i class=&quot;fa fa-edit&quot; title=&quot;\'. __( \'Edit Topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Edit\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\'\n   ) );\n\n   $links[\'close\'] = bbp_get_topic_close_link( array(\n      \'close_text\' =&gt; \'&lt;i class=&quot;fa fa-toggle-on&quot; title=&quot;\'. __( \'Close topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Close\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\',\n      \'open_text\'  =&gt; \'&lt;i class=&quot;fa fa-toggle-off&quot; title=&quot;\'. __( \'Open topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Open\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\',\n   ) );\n\n   $links[\'stick\'] = bbp_get_topic_stick_link( array(\n      \'stick_text\'   =&gt; \'&lt;i class=&quot;fa fa-bookmark&quot; title=&quot;\'. __( \'Stick topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Stick\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\',\n      \'unstick_text\' =&gt; \'&lt;i class=&quot;fa fa-bookmark-o&quot; title=&quot;\'. __( \'Unstick topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Unstick\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\',\n      \'super_text\'   =&gt; \'&lt;i class=&quot;fa fa-asterisk&quot; title=&quot;\'. __( \'Stick to front\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Stick to front\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\',\n   ) );\n\n   $links[\'merge\'] = bbp_get_topic_merge_link( array(\n      \'merge_text\' =&gt; \'&lt;i class=&quot;fa fa-exchange&quot; title=&quot;\'. __( \'Merge topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Merge\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\'\n   ) );\n\n   $links[\'trash\'] = bbp_get_topic_trash_link( array(\n      \'trash_text\'   =&gt; \'&lt;i class=&quot;fa fa-trash&quot; title=&quot;\'. __( \'Trash topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;Trash&lt;/span&gt;\',\n      \'restore_text\' =&gt; \'&lt;i class=&quot;fa fa-restore&quot; title=&quot;\'. __( \'Restore topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Restore\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\',\n      \'delete_text\'  =&gt; \'&lt;i class=&quot;fa fa-times&quot; title=&quot;\'. __( \'Delete topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Delete\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\',\n   ) );\n\n   $links[\'spam\'] = bbp_get_topic_spam_link( array(\n      \'spam_text\'   =&gt; \'&lt;i class=&quot;fa fa-exclamation&quot; title=&quot;\'. __( \'Mark as spam\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Spam\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\',\n      \'unspam_text\' =&gt; \'&lt;i class=&quot;fa fa-exclamation-circle&quot; title=&quot;\'. __( \'Unmark as spam\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Unspam\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\',\n   ) );\n\n   $links[\'reply\'] = bbp_get_topic_reply_link( array(\n      \'reply_text\' =&gt; \'&lt;i class=&quot;fa fa-reply&quot; title=&quot;\'. __( \'Reply\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Reply\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\'\n   ) );\n\n   return $links;\n}\nadd_filter( \'bbp_topic_admin_links\', \'bbp_topic_icon_admin_link\' );\n\n\n/**\n * bbPress - replace reply links with Font Awesome icons\n */\nfunction bbp_reply_icon_admin_links( $links ) {\n\n   $links[\'edit\'] = bbp_get_reply_edit_link( array(\n      \'edit_text\' =&gt; \'&lt;i class=&quot;fa fa-edit&quot; title=&quot;\'. __( \'Edit topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Edit\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\'\n   ) );\n\n   $links[\'move\'] = bbp_get_reply_move_link( array(\n      \'split_text\' =&gt; \'&lt;i class=&quot;fa fa-arrow-circle-right&quot; title=&quot;\'. __( \'Move topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Move\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\'\n   ) );\n\n   $links[\'split\'] = bbp_get_topic_split_link( array(\n      \'split_text\' =&gt; \'&lt;i class=&quot;fa fa-code-fork&quot; title=&quot;\'. __( \'Split topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Split\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\'\n   ) );\n\n   $links[\'trash\'] = bbp_get_reply_trash_link( array(\n      \'trash_text\'   =&gt; \'&lt;i class=&quot;fa fa-trash&quot; title=&quot;\'. __( \'Trash topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Trash\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\',\n      \'restore_text\' =&gt; \'&lt;i class=&quot;fa fa-restore&quot; title=&quot;\'. __( \'Restore topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Restore\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\',\n      \'delete_text\'  =&gt; \'&lt;i class=&quot;fa fa-times&quot; title=&quot;\'. __( \'Delete topic\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Delete\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\',\n   ) );\n\n   $links[\'spam\'] = bbp_get_reply_spam_link( array(\n      \'spam_text\'   =&gt; \'&lt;i class=&quot;fa fa-exclamation&quot; title=&quot;\'. __( \'Mark as spam\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Spam\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\',\n      \'unspam_text\' =&gt; \'&lt;i class=&quot;fa fa-exclamation-circle&quot; title=&quot;\'. __( \'Unmark as spam\', \'wds-tutorial-example\' ) .\'&quot;&gt;&lt;/i&gt;&lt;span class=&quot;screen-reader-text&quot;&gt;\'. __( \'Unspam\', \'wds-tutorial-example\' ) .\'&lt;/span&gt;\',\n   ) );\n\n   return $links;\n}\nadd_filter( \'bbp_reply_admin_links\', \'bbp_reply_icon_admin_links\' );\n</pre>\n<p>Which will give you this:</p>\n<div id=\"attachment_8450\" style=\"width: 670px\" class=\"wp-caption aligncenter\"><img class=\"size-full wp-image-8450\" src=\"http://webdevstudios.com/wp-content/uploads/2014/08/bbpress-edit-icon-all.gif\" alt=\"replace all bbPress topic and reply links with font icon\" width=\"660\" height=\"536\" /><p class=\"wp-caption-text\">Replace all bbPress topic and reply links with font icon (animated .gif)</p></div>\n<p>But that is just <em><strong>crazy TOWN</strong></em>! Would you know what each icon represented if you were a new user trying to interact with that forum? Me neither. So be careful when and where you use such a recipe (for disaster?).</p>\n<p>Integrating icons into modern web interfaces is a continuing challenge that can be fun if used properly. Have fun!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"http://webdevstudios.com/2014/08/28/integrating-font-awesome-icons-in-bbpress/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:72:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:38:\"Using APIs to Integrate with WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"http://webdevstudios.com/2014/08/21/using-apis-to-integrate-with-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"http://webdevstudios.com/2014/08/21/using-apis-to-integrate-with-wordpress/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 21 Aug 2014 20:11:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:11:{i:0;a:5:{s:4:\"data\";s:3:\"API\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:13:\"Employee Post\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:6:\"How To\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:7:\"Plugins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:6;a:5:{s:4:\"data\";s:16:\"Products We Love\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:7;a:5:{s:4:\"data\";s:8:\"Snippets\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:8;a:5:{s:4:\"data\";s:4:\"Team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:9;a:5:{s:4:\"data\";s:8:\"Tutorial\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:10;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"http://webdevstudios.com/?p=8419\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:397:\"What is an API? API stands for &#8220;application programming interface&#8221; but that does not help explain what an API is. The simplest way I could explain what an API is: a way to handle data somewhere other than where you &#8230; <a class=\"more-link\" href=\"http://webdevstudios.com/2014/08/21/using-apis-to-integrate-with-wordpress/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Patrick Garman\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:9627:\"<p>What is an API? API stands for &#8220;application programming interface&#8221; but that does not help explain what an API is. The simplest way I could explain what an API is: a way to handle data somewhere other than where you are. A good example that is probably being used on many WordPress websites is a typical Twitter widget. Depending on the widget different API&#8217;s may be being used there, and it is displayed in different ways but no matter what way you do it what is happening is your website is using the Twitter API to retrieve and display tweets. However, API does not always mean connecting to an external website and getting data; you could be sending data, or you could even be working with data within your own website. The WordPress <a href=\"https://codex.wordpress.org/Settings_API\">settings API</a> is an API for managing your WordPress settings; that is when you are not using <a href=\"https://github.com/WebDevStudios/Custom-Metaboxes-and-Fields-for-WordPress/\">CMB</a>!</p>\n<p>When working with APIs in PHP you typically see cURL being used to connect to other servers to get or send data. cURL is great, except when the web server does not have cURL installed. So how do you make sure that your plugin or widget that uses APIs will work on as many of the varying server environments across the whole 20% of the internet WordPress powers? WordPress offers you a <a href=\"http://codex.wordpress.org/HTTP_API\">HTTP API</a> that you can use to access other APIs! Instead of using cURL to send a GET or POST data, we use the <a href=\"http://codex.wordpress.org/Function_Reference/wp_remote_get\">wp_remote_get()</a> or <a href=\"http://codex.wordpress.org/Function_Reference/wp_remote_post\">wp_remote_post()</a> functions and simply pass in a URL and what data we want to send. I will be using these and</p>\n<p>Greg Rickaby, one of our lead designers, and I put our heads together a little while back and extracted an <a href=\"https://github.com/WebDevStudios/WDS-Instagram\">Instagram widget</a> we had created for a client site into its own plugin. This plugin and widget is very simple and will grow later, but it is a perfect proof of concept for accessing an API and then using that data. I will be examining how we went from our goal of using the Instagram API to create a widget that will grab the latest X shared photos, cache them, and then display them. For the purposes of this post, I am going to skip creating the widget itself, but you can check out the <a href=\"https://github.com/WebDevStudios/WDS-Instagram\">source code on our GitHub</a>!</p>\n<p>Most API&#8217;s require some form of authentication in order to use the API. The same way you need to login to your Instagram account to share your pictures, you need to login to get your data. For our purposes, we will need to create a &#8220;client&#8221; within Instagram &#8211; this is what you will authenticate to the API with. To get the credentials you will need to login to the Instagram developers console and register a client. Where it asks for your website and oAuth redirect URL you can enter your website URL in both fields (we are not dealing with oAuth today but they are required). Once registered you will be given your client ID which we will use to authenticate with the API.</p>\n<p><img class=\"aligncenter size-full wp-image-8420\" src=\"http://webdevstudios.com/wp-content/uploads/2014/08/instagram-add-client.png\" alt=\"Add Instagram API Client\" width=\"757\" height=\"397\" /></p>\n<p>Now that we have our keys to the Instagram API, we can start getting our data! Let&#8217;s step through the function below and examine how we can use the <a href=\"http://codex.wordpress.org/HTTP_API\">WordPress HTTP API</a> to connect to Instagram, authenticate with our new client ID, and cache this response locally for a short period of time to help improve performance and reduce the number of API calls made on every page load.</p>\n<p>To cache our data we are going to use the <a href=\"http://codex.wordpress.org/Transients_API\">Transients API</a>, and to do this we need a unique key that is no more than 45 characters in length. While this can sometimes at times be a bit difficult to have a readable AND short key I&#8217;ve found that having a readable prefix and concatenating that with an MD5 hash of some unique data will give me a unique and short key, every time. When this key is passed into <a href=\"http://codex.wordpress.org/Function_Reference/get_transient\">get_transient()</a> if cached data is available it will be returned, otherwise it will return <code>false</code>. If cached data is available skip all the processing and just return it! This will help keep your site running as quick as it can.</p>\n<pre class=\"prettyprint lang-php\">$key = \'wds_instagram_widget_\' . md5( $this-&gt;id, $args[\'count\'] );\nif ( false === ( $instagrams = get_transient( $key ) ) ) {\n// ...\n}</pre>\n<p>When results are not cached yet though, we need to make that API call. To do this we build the URL that we need to access, which in this case required passing the Instagram user ID (not the username, the integer ID) along with a two query args for the client ID we create earlier and the count of how many photos we want returned. Once the URL has been created, we pass it to <a href=\"http://codex.wordpress.org/Function_Reference/wp_remote_get\">wp_remote_get()</a> wrapped in the <a href=\"http://codex.wordpress.org/Function_Reference/add_query_arg\">add_query_arg()</a> function to add the data we need to pass along. Every HTTP request made is going to return a status code with its response in the header, a good quick way to make sure that you are getting the response you expect is to check this code. Typically a good response is going to return a 200, if we do not receive a 200 code (using the <a href=\"http://codex.wordpress.org/Function_Reference/wp_remote_retrieve_response_code\">wp_remote_retrieve_response_code()</a> function to check the response) from this endpoint of the Instagram API something did not go quite right and we are just going to bail out right now by returning <code>false</code>.</p>\n<pre class=\"prettyprint lang-php\">$api_url = \'https://api.instagram.com/v1/users/\' . esc_html( $user_id ) . \'/media/recent/\';\n$response = wp_remote_get( add_query_arg( array(\n	\'client_id\' =&amp;gt; esc_html( $client_id ),\n	\'count\'     =&amp;gt; absint( $count )\n), $api_url ) );\n\n// Is the API up?\nif ( ! 200 == wp_remote_retrieve_response_code( $response ) ) {\n	return false;\n}</pre>\n<p>If you were to access that URL directly once built you would see a nice blob of machine readable JSON! That JSON may mean nothing to you but once WordPress can get it&#8217;s hands around it, <a href=\"http://php.net/manual/en/function.json-decode.php\">json_decode()</a> will turn that JSON into a usable PHP object, or if you pass <code>true</code> as the second argument, you will be returned an array. Just in case the API is acting up, or the user ID is wrong, or a client ID is wrong, or for any other reason if we are not returned an array. If the response is not an array, just like before bail out and return <code>false</code>.</p>\n<pre class=\"prettyprint lang-php\">$instagrams = json_decode( wp_remote_retrieve_body( $response ), true );\n\n// Are the results in an array?\nif ( ! is_array( $instagrams ) ) {\n	return false;\n}</pre>\n<p>Finally, once we have received our data and verified it is what we are expecting as well, we can we can save it to a transient using the key from before and cache so the next site visitor can get their page just a little bit faster.</p>\n<pre class=\"prettyprint lang-php\">set_transient( $key, $instagrams, apply_filters( \'wds_instagram_widget_cache_lifetime\', 1 * HOUR_IN_SECONDS ) );</pre>\n<p>Putting it all together when we display our widget we can use this function to query the Instagram API for a users photos. Once we verify we did not return false in those few cases with a simple loop our photos are being displayed.</p>\n<pre class=\"prettyprint lang-php\">$instagram = $this-&gt;get_instagrams( array(\n   \'user_id\'   =&gt; $instance[\'user_id\'],\n   \'client_id\' =&gt; $instance[\'client_id\'],\n   \'count\'     =&gt; $instance[\'count\'],\n) );\n\n// If we have Instagrams\nif ( false !== $instagram ) : ?&gt;\n\n   &lt;?php\n      // Allow the image resolution to be filtered to use any available image resolutions from Instagram\n      // low_resolution, thumbnail, standard_resolution\n      $image_res = apply_filters( \'wds_instagram_widget_image_resolution\', \'standard_resolution\' );\n\n      echo $args[\'before_widget\'];\n      echo $args[\'before_title\'] . esc_html( $title ) . $args[\'after_title\'];\n   ?&gt;\n\n   &lt;ul class=&quot;instagram-widget&quot;&gt;\n\n   &lt;?php\n      foreach( $instagram[\'data\'] as $key =&gt; $image ) {\n         echo apply_filters( \'wds_instagram_widget_image_html\', sprintf( \'&lt;li&gt;&lt;a href=&quot;%1$s&quot;&gt;&lt;img class=&quot;instagram-image&quot; src=&quot;%2$s&quot; alt=&quot;%3$s&quot; title=&quot;%3$s&quot; /&gt;&lt;/a&gt;&lt;/li&gt;\',\n            $image[\'link\'],\n            $image[\'images\'][ $image_res ][\'url\'],\n            $image[\'caption\'][\'text\']\n         ), $image );\n      }\n   ?&gt;\n\n      &lt;a href=&quot;https://instagram.com/&lt;?php echo esc_html( $username ); ?&gt;&quot;&gt;&lt;?php printf( __( \'Follow %1$s on Instagram\', \'wds-instagram\' ), esc_html( $username ) ); ?&gt;&lt;/a&gt;\n   &lt;/ul&gt;\n\n&lt;?php endif;</pre>\n<p>That&#8217;s it! You have successfully integrated Instagram into WordPress using their API. Using these basic concepts you can expand to integrate just about anything you want; so long as it has an API.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"http://webdevstudios.com/2014/08/21/using-apis-to-integrate-with-wordpress/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:54:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"WDS Welcomes Suzette Franck!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"http://webdevstudios.com/2014/08/18/wds-welcomes-suzette-franck/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"http://webdevstudios.com/2014/08/18/wds-welcomes-suzette-franck/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 18 Aug 2014 18:20:17 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:4:\"Team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:7:\"Twitter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"http://webdevstudios.com/?p=8392\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:411:\"WebDevStudios is proud to announce our newest Front End Developer &#8211; Suzette Franck! Suzette has been in web development for over twenty years; she started making hand-coded HTML websites on Geocities with font tags and tables back in 1995. Since &#8230; <a class=\"more-link\" href=\"http://webdevstudios.com/2014/08/18/wds-welcomes-suzette-franck/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Melissa Hoppe\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1442:\"<p><a href=\"http://webdevstudios.com/wp-content/uploads/2014/08/suzette-WDS1.jpg\"><img class=\"alignright wp-image-8394 size-medium\" src=\"http://webdevstudios.com/wp-content/uploads/2014/08/suzette-WDS1-300x300.jpg\" alt=\"suzette-WDS\" width=\"300\" height=\"300\" /></a>WebDevStudios is proud to announce our newest Front End Developer &#8211; Suzette Franck!</p>\n<p>Suzette has been in web development for over twenty years; she started making hand-coded HTML websites on Geocities with font tags and tables back in 1995. Since then, she has taught herself CSS, Sass, PHP, MySQL, as well as becoming a WordPress expert; evangelizing and presenting at over twenty-two WordCamps across the country and multiple WordPress meetups in Southern California where she resides, about all aspects of building and maintaining sites on WordPress.</p>\n<p>Suzette is passionate about WordPress the application as well as the WordPress Open Source Community and loves to code and teach others the wonders of WordPress. She is a purveyor of lowbrow art, and when she is not WordPressing, she is painting or visiting Los Angeles art galleries to add more work to her growing art collection.</p>\n<p>We are excited to have Suzette joining the WDS team and can&#8217;t wait to see what she can add to an already amazing team! You can follow Suzette&#8217;s art passion and WordPress love on <a href=\"https://twitter.com/suzette_franck\">Twitter</a>.</p>\n<p>&nbsp;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"http://webdevstudios.com/2014/08/18/wds-welcomes-suzette-franck/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"hourly\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:2:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";s:4:\"href\";s:41:\"http://feeds.feedburner.com/webdevstudios\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:3:\"rel\";s:3:\"hub\";s:4:\"href\";s:32:\"http://pubsubhubbub.appspot.com/\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:42:\"http://rssnamespace.org/feedburner/ext/1.0\";a:3:{s:4:\"info\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:3:\"uri\";s:13:\"webdevstudios\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:14:\"emailServiceId\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"webdevstudios\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:18:\"feedburnerHostname\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://feedburner.google.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:10:{s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:4:\"etag\";s:27:\"hfRV0HNtdGeJ96TMsAUzZTS3g8M\";s:13:\"last-modified\";s:29:\"Thu, 02 Oct 2014 03:04:03 GMT\";s:4:\"date\";s:29:\"Thu, 02 Oct 2014 03:25:25 GMT\";s:7:\"expires\";s:29:\"Thu, 02 Oct 2014 03:25:25 GMT\";s:13:\"cache-control\";s:18:\"private, max-age=0\";s:22:\"x-content-type-options\";s:7:\"nosniff\";s:16:\"x-xss-protection\";s:13:\"1; mode=block\";s:6:\"server\";s:3:\"GSE\";s:18:\"alternate-protocol\";s:14:\"80:quic,p=0.01\";}s:5:\"build\";s:14:\"20140929194346\";}", "no");
INSERT INTO `wp_options` VALUES("583", "_transient_timeout_feed_mod_c809918297b2c893fd8504c06adcaf00", "1412263751", "no");
INSERT INTO `wp_options` VALUES("584", "_transient_feed_mod_c809918297b2c893fd8504c06adcaf00", "1412220551", "no");
INSERT INTO `wp_options` VALUES("593", "widget_sticky-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("596", "widget_lc_taxonomy", "a:2:{i:2;a:10:{s:5:\"title\";s:10:\"Categories\";s:8:\"taxonomy\";s:7:\"medical\";s:7:\"orderby\";s:4:\"name\";s:6:\"ascdsc\";s:3:\"asc\";s:7:\"exclude\";s:0:\"\";s:13:\"expandoptions\";s:6:\"expand\";s:7:\"childof\";s:0:\"\";s:12:\"hierarchical\";i:1;s:5:\"count\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("661", "zci_options", "a:1:{s:19:\"excluded_taxonomies\";a:2:{s:8:\"post_tag\";s:8:\"post_tag\";s:7:\"medical\";s:7:\"medical\";}}", "yes");
INSERT INTO `wp_options` VALUES("664", "z_taxonomy_image26", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/bébé.jpg", "yes");
INSERT INTO `wp_options` VALUES("666", "z_taxonomy_image27", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/enfants.jpg", "yes");
INSERT INTO `wp_options` VALUES("668", "z_taxonomy_image24", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Nouveau-né.jpg", "yes");
INSERT INTO `wp_options` VALUES("670", "z_taxonomy_image25", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/petit-enfant.jpg", "yes");
INSERT INTO `wp_options` VALUES("687", "z_taxonomy_image28", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/nouveau_ne.jpg", "yes");
INSERT INTO `wp_options` VALUES("732", "simplr_reg_fields", "O:8:\"stdClass\":1:{s:6:\"custom\";a:3:{s:10:\"first_name\";a:10:{s:3:\"key\";s:10:\"first_name\";s:5:\"label\";s:24:\"Nom et prénom du parent\";s:8:\"required\";s:3:\"yes\";s:4:\"type\";s:4:\"text\";s:13:\"custom_column\";s:2:\"no\";s:15:\"show_in_profile\";s:3:\"yes\";s:13:\"options_array\";a:1:{i:0;s:0:\"\";}s:9:\"reg-field\";s:10:\"badc2f9fd2\";s:16:\"_wp_http_referer\";s:113:\"/clients/pascalinegrue/wp-admin/options-general.php?page=simplr_reg_set&regview=fields&action=edit&key=first_name\";s:12:\"submit-field\";s:12:\"Save Changes\";}s:10:\"child_name\";a:10:{s:5:\"label\";s:28:\"Nom et prénom de l’enfant\";s:3:\"key\";s:10:\"child_name\";s:13:\"custom_column\";s:2:\"no\";s:8:\"required\";s:3:\"yes\";s:15:\"show_in_profile\";s:3:\"yes\";s:4:\"type\";s:4:\"text\";s:13:\"options_array\";a:1:{i:0;s:0:\"\";}s:9:\"reg-field\";s:10:\"badc2f9fd2\";s:16:\"_wp_http_referer\";s:97:\"/clients/pascalinegrue/wp-admin/options-general.php?page=simplr_reg_set&regview=fields&action=add\";s:12:\"submit-field\";s:9:\"Add Field\";}s:11:\"email_field\";a:10:{s:5:\"label\";s:12:\"Adresse mail\";s:3:\"key\";s:11:\"email_field\";s:13:\"custom_column\";s:2:\"no\";s:8:\"required\";s:3:\"yes\";s:15:\"show_in_profile\";s:3:\"yes\";s:4:\"type\";s:4:\"text\";s:13:\"options_array\";a:1:{i:0;s:0:\"\";}s:9:\"reg-field\";s:10:\"badc2f9fd2\";s:16:\"_wp_http_referer\";s:97:\"/clients/pascalinegrue/wp-admin/options-general.php?page=simplr_reg_set&regview=fields&action=add\";s:12:\"submit-field\";s:9:\"Add Field\";}}}", "yes");
INSERT INTO `wp_options` VALUES("734", "_transient_simplr_profile_transient", "a:3:{s:10:\"first_name\";a:10:{s:3:\"key\";s:10:\"first_name\";s:5:\"label\";s:24:\"Nom et prénom du parent\";s:8:\"required\";s:3:\"yes\";s:4:\"type\";s:4:\"text\";s:13:\"custom_column\";s:2:\"no\";s:15:\"show_in_profile\";s:3:\"yes\";s:13:\"options_array\";a:1:{i:0;s:0:\"\";}s:9:\"reg-field\";s:10:\"badc2f9fd2\";s:16:\"_wp_http_referer\";s:113:\"/clients/pascalinegrue/wp-admin/options-general.php?page=simplr_reg_set&regview=fields&action=edit&key=first_name\";s:12:\"submit-field\";s:12:\"Save Changes\";}s:10:\"child_name\";a:10:{s:5:\"label\";s:28:\"Nom et prénom de l’enfant\";s:3:\"key\";s:10:\"child_name\";s:13:\"custom_column\";s:2:\"no\";s:8:\"required\";s:3:\"yes\";s:15:\"show_in_profile\";s:3:\"yes\";s:4:\"type\";s:4:\"text\";s:13:\"options_array\";a:1:{i:0;s:0:\"\";}s:9:\"reg-field\";s:10:\"badc2f9fd2\";s:16:\"_wp_http_referer\";s:97:\"/clients/pascalinegrue/wp-admin/options-general.php?page=simplr_reg_set&regview=fields&action=add\";s:12:\"submit-field\";s:9:\"Add Field\";}s:11:\"email_field\";a:10:{s:5:\"label\";s:12:\"Adresse mail\";s:3:\"key\";s:11:\"email_field\";s:13:\"custom_column\";s:2:\"no\";s:8:\"required\";s:3:\"yes\";s:15:\"show_in_profile\";s:3:\"yes\";s:4:\"type\";s:4:\"text\";s:13:\"options_array\";a:1:{i:0;s:0:\"\";}s:9:\"reg-field\";s:10:\"badc2f9fd2\";s:16:\"_wp_http_referer\";s:97:\"/clients/pascalinegrue/wp-admin/options-general.php?page=simplr_reg_set&regview=fields&action=add\";s:12:\"submit-field\";s:9:\"Add Field\";}}", "yes");
INSERT INTO `wp_options` VALUES("739", "simplr_reg_options", "O:8:\"stdClass\":8:{s:13:\"email_message\";N;s:13:\"default_email\";s:19:\"mrussias@krooga.com\";s:10:\"stylesheet\";s:0:\"\";s:6:\"styles\";s:3:\"yes\";s:10:\"style_skin\";s:11:\"default.css\";s:17:\"register_redirect\";s:0:\"\";s:9:\"thank_you\";s:0:\"\";s:16:\"profile_redirect\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("745", "simplr_field_sort", "a:3:{i:0;s:10:\"first_name\";i:1;s:10:\"child_name\";i:2;s:11:\"email_field\";}", "yes");
INSERT INTO `wp_options` VALUES("768", "z_taxonomy_image29", "", "yes");
INSERT INTO `wp_options` VALUES("770", "z_taxonomy_image30", "", "yes");
INSERT INTO `wp_options` VALUES("772", "z_taxonomy_image31", "", "yes");
INSERT INTO `wp_options` VALUES("774", "z_taxonomy_image32", "", "yes");
INSERT INTO `wp_options` VALUES("776", "z_taxonomy_image33", "", "yes");
INSERT INTO `wp_options` VALUES("778", "z_taxonomy_image34", "", "yes");
INSERT INTO `wp_options` VALUES("780", "z_taxonomy_image35", "", "yes");
INSERT INTO `wp_options` VALUES("782", "z_taxonomy_image36", "", "yes");
INSERT INTO `wp_options` VALUES("784", "z_taxonomy_image37", "", "yes");
INSERT INTO `wp_options` VALUES("786", "z_taxonomy_image38", "", "yes");
INSERT INTO `wp_options` VALUES("792", "cpto_options", "a:3:{s:8:\"autosort\";s:1:\"1\";s:9:\"adminsort\";s:1:\"1\";s:10:\"capability\";s:4:\"read\";}", "yes");
INSERT INTO `wp_options` VALUES("794", "CPT_configured", "TRUE", "yes");
INSERT INTO `wp_options` VALUES("814", "z_taxonomy_image39", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/alimentation-bébé.jpg", "yes");
INSERT INTO `wp_options` VALUES("816", "z_taxonomy_image40", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/au-qutidien-bébé.jpg", "yes");
INSERT INTO `wp_options` VALUES("818", "z_taxonomy_image41", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/alimentation-enfant.jpg", "yes");
INSERT INTO `wp_options` VALUES("821", "z_taxonomy_image42", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/au-quotidien-enfant.jpg", "yes");
INSERT INTO `wp_options` VALUES("823", "z_taxonomy_image43", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/la-naissance.jpg", "yes");
INSERT INTO `wp_options` VALUES("825", "z_taxonomy_image44", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/alimentation.jpg", "yes");
INSERT INTO `wp_options` VALUES("827", "z_taxonomy_image45", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/alimentation-petit-enfant.jpg", "yes");
INSERT INTO `wp_options` VALUES("829", "z_taxonomy_image46", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/au-quotidien-petit-enfant.jpg", "yes");
INSERT INTO `wp_options` VALUES("860", "_site_transient_timeout_browser_06e6d26812d7fab57d803bf9bdce1e85", "1413548115", "yes");
INSERT INTO `wp_options` VALUES("861", "_site_transient_browser_06e6d26812d7fab57d803bf9bdce1e85", "a:9:{s:8:\"platform\";s:9:\"Macintosh\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"37.0.2062.124\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("909", "_site_transient_timeout_browser_812102977ed1c790e3b80677c32900d5", "1413793556", "yes");
INSERT INTO `wp_options` VALUES("910", "_site_transient_browser_812102977ed1c790e3b80677c32900d5", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"38.0.2125.101\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("949", "medical_children", "a:2:{i:29;a:3:{i:0;i:32;i:1;i:33;i:2;i:34;}i:30;a:4:{i:0;i:35;i:1;i:36;i:2;i:37;i:3;i:38;}}", "yes");
INSERT INTO `wp_options` VALUES("976", "_site_transient_timeout_browser_37a8d5eb041a12687e2a2a45a54eb138", "1414002086", "yes");
INSERT INTO `wp_options` VALUES("977", "_site_transient_browser_37a8d5eb041a12687e2a2a45a54eb138", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"37.0.2062.124\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("1003", "z_taxonomy_image47", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/au-quotidien.jpg", "yes");
INSERT INTO `wp_options` VALUES("1007", "z_taxonomy_image48", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/eveil-et-dvpt-bébé.jpg", "yes");
INSERT INTO `wp_options` VALUES("1012", "z_taxonomy_image49", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/eveil-et-dvpt-enfant.jpg", "yes");
INSERT INTO `wp_options` VALUES("1015", "z_taxonomy_image50", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/eveil-et-dvpt-petit-enfant.jpg", "yes");
INSERT INTO `wp_options` VALUES("1021", "z_taxonomy_image51", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/a-lecole-enfant.jpg", "yes");
INSERT INTO `wp_options` VALUES("1083", "EFS_FOUNDATION_JS_LOCATION", "2", "yes");
INSERT INTO `wp_options` VALUES("1084", "EFS_FOUNDATION_JS_CDN_PATH", "http://cdn.jsdelivr.net/foundation/5.0.2/js/foundation.min.js", "yes");
INSERT INTO `wp_options` VALUES("1085", "EFS_FOUNDATION_CSS_LOCATION", "2", "yes");
INSERT INTO `wp_options` VALUES("1086", "EFS_EDITOR_OPT", "icon", "yes");
INSERT INTO `wp_options` VALUES("1087", "EFS_THEME", "5", "yes");
INSERT INTO `wp_options` VALUES("1115", "_site_transient_timeout_browser_0e91f79fe9972e394983e587b008523e", "1414515715", "yes");
INSERT INTO `wp_options` VALUES("1116", "_site_transient_browser_0e91f79fe9972e394983e587b008523e", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"38.0.2125.104\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("1141", "rewrite_rules", "a:100:{s:16:\"suivi-medical/?$\";s:33:\"index.php?post_type=suivi-medical\";s:46:\"suivi-medical/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_type=suivi-medical&feed=$matches[1]\";s:41:\"suivi-medical/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_type=suivi-medical&feed=$matches[1]\";s:33:\"suivi-medical/page/([0-9]{1,})/?$\";s:51:\"index.php?post_type=suivi-medical&paged=$matches[1]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:48:\"medical/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:46:\"index.php?medical=$matches[1]&feed=$matches[2]\";s:43:\"medical/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:46:\"index.php?medical=$matches[1]&feed=$matches[2]\";s:36:\"medical/([^/]+)/page/?([0-9]{1,})/?$\";s:47:\"index.php?medical=$matches[1]&paged=$matches[2]\";s:18:\"medical/([^/]+)/?$\";s:29:\"index.php?medical=$matches[1]\";s:60:\"conseils-categories/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:58:\"index.php?conseils-categories=$matches[1]&feed=$matches[2]\";s:55:\"conseils-categories/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:58:\"index.php?conseils-categories=$matches[1]&feed=$matches[2]\";s:48:\"conseils-categories/([^/]+)/page/?([0-9]{1,})/?$\";s:59:\"index.php?conseils-categories=$matches[1]&paged=$matches[2]\";s:30:\"conseils-categories/([^/]+)/?$\";s:41:\"index.php?conseils-categories=$matches[1]\";s:34:\"conseils/.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:44:\"conseils/.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:64:\"conseils/.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:59:\"conseils/.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:59:\"conseils/.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:27:\"conseils/(.+?)/trackback/?$\";s:35:\"index.php?conseils=$matches[1]&tb=1\";s:35:\"conseils/(.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?conseils=$matches[1]&paged=$matches[2]\";s:42:\"conseils/(.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?conseils=$matches[1]&cpage=$matches[2]\";s:27:\"conseils/(.+?)(/[0-9]+)?/?$\";s:47:\"index.php?conseils=$matches[1]&page=$matches[2]\";s:39:\"suivi-medical/.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:49:\"suivi-medical/.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:69:\"suivi-medical/.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:64:\"suivi-medical/.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:64:\"suivi-medical/.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:32:\"suivi-medical/(.+?)/trackback/?$\";s:40:\"index.php?suivi-medical=$matches[1]&tb=1\";s:52:\"suivi-medical/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?suivi-medical=$matches[1]&feed=$matches[2]\";s:47:\"suivi-medical/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?suivi-medical=$matches[1]&feed=$matches[2]\";s:40:\"suivi-medical/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?suivi-medical=$matches[1]&paged=$matches[2]\";s:47:\"suivi-medical/(.+?)/comment-page-([0-9]{1,})/?$\";s:53:\"index.php?suivi-medical=$matches[1]&cpage=$matches[2]\";s:32:\"suivi-medical/(.+?)(/[0-9]+)?/?$\";s:52:\"index.php?suivi-medical=$matches[1]&page=$matches[2]\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:39:\"index.php?&page_id=50&cpage=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:20:\"(.?.+?)(/[0-9]+)?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:27:\"[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\"[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\"[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:20:\"([^/]+)/trackback/?$\";s:31:\"index.php?name=$matches[1]&tb=1\";s:40:\"([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:35:\"([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:28:\"([^/]+)/page/?([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&paged=$matches[2]\";s:35:\"([^/]+)/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&cpage=$matches[2]\";s:20:\"([^/]+)(/[0-9]+)?/?$\";s:43:\"index.php?name=$matches[1]&page=$matches[2]\";s:16:\"[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:26:\"[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:46:\"[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";}", "yes");
INSERT INTO `wp_options` VALUES("1175", "conseils-categories_children", "a:4:{i:26;a:3:{i:0;i:39;i:1;i:40;i:2;i:48;}i:27;a:4:{i:0;i:41;i:1;i:42;i:2;i:49;i:3;i:51;}i:24;a:3:{i:0;i:43;i:1;i:44;i:2;i:47;}i:25;a:3:{i:0;i:45;i:1;i:46;i:2;i:50;}}", "yes");
INSERT INTO `wp_options` VALUES("1186", "_site_transient_timeout_browser_79079366e4b0c0e64e10b70710c3fb52", "1414583944", "yes");
INSERT INTO `wp_options` VALUES("1187", "_site_transient_browser_79079366e4b0c0e64e10b70710c3fb52", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:17:\"Internet Explorer\";s:7:\"version\";s:3:\"8.0\";s:10:\"update_url\";s:51:\"http://www.microsoft.com/windows/internet-explorer/\";s:7:\"img_src\";s:45:\"http://s.wordpress.org/images/browsers/ie.png\";s:11:\"img_src_ssl\";s:44:\"https://wordpress.org/images/browsers/ie.png\";s:15:\"current_version\";s:1:\"9\";s:7:\"upgrade\";b:1;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("1199", "mail_from", "", "yes");
INSERT INTO `wp_options` VALUES("1200", "mail_from_name", "", "yes");
INSERT INTO `wp_options` VALUES("1201", "mailer", "mail", "yes");
INSERT INTO `wp_options` VALUES("1202", "mail_set_return_path", "", "yes");
INSERT INTO `wp_options` VALUES("1203", "smtp_host", "localhost", "yes");
INSERT INTO `wp_options` VALUES("1204", "smtp_port", "25", "yes");
INSERT INTO `wp_options` VALUES("1205", "smtp_ssl", "none", "yes");
INSERT INTO `wp_options` VALUES("1206", "smtp_auth", "", "yes");
INSERT INTO `wp_options` VALUES("1207", "smtp_user", "", "yes");
INSERT INTO `wp_options` VALUES("1208", "smtp_pass", "", "yes");
INSERT INTO `wp_options` VALUES("1210", "NewUserEmailAdminOptions", "a:10:{s:4:\"html\";s:9:\"text/HTML\";s:11:\"fromaddress\";s:13:\"PascalineGrue\";s:4:\"from\";s:14:\"Pascaline Grue\";s:15:\"adminnotifydiff\";s:2:\"no\";s:11:\"adminnotify\";s:110:\"If you want the admin notification email sent to a different address than the one defined above, enter it here\";s:7:\"subject\";s:40:\"Bienvenue sur le site de Pascaline Grué\";s:4:\"text\";s:315:\"Bienvenue %username% voici vos identifiants.<br /> <br /> <strong>Utilisateur :</strong> %username%<br /> <strong>Mot de passe :</strong> %password%<br /> %loginurl%																																																																																																																																																						\";s:5:\"admin\";s:3:\"yes\";s:12:\"adminsubject\";s:45:\"%blogname% - Nouvelle demande d\\\'identifiants\";s:9:\"admintext\";s:307:\"Vous avez reçu une nouvelle demande d\\\'identifiants sur le site :<br /> <strong>Utilisateur :</strong> %username%<br /> <strong>Email :</strong> %useremail%																																																																																																																																																						\";}", "yes");
INSERT INTO `wp_options` VALUES("1217", "_site_transient_timeout_available_translations", "1414009049", "yes");
INSERT INTO `wp_options` VALUES("1218", "_site_transient_available_translations", "a:41:{s:2:\"ar\";a:8:{s:8:\"language\";s:2:\"ar\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 15:44:04\";s:12:\"english_name\";s:6:\"Arabic\";s:11:\"native_name\";s:14:\"العربية\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/4.0/ar.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:2;s:3:\"ara\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"المتابعة\";}}s:2:\"az\";a:8:{s:8:\"language\";s:2:\"az\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-16 07:24:25\";s:12:\"english_name\";s:11:\"Azerbaijani\";s:11:\"native_name\";s:16:\"Azərbaycan dili\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/4.0/az.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:2;s:3:\"aze\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Davam\";}}s:5:\"bg_BG\";a:8:{s:8:\"language\";s:5:\"bg_BG\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-29 11:17:33\";s:12:\"english_name\";s:9:\"Bulgarian\";s:11:\"native_name\";s:18:\"Български\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/bg_BG.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bg\";i:2;s:3:\"bul\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:22:\"Продължение\";}}s:5:\"bs_BA\";a:8:{s:8:\"language\";s:5:\"bs_BA\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 15:47:16\";s:12:\"english_name\";s:7:\"Bosnian\";s:11:\"native_name\";s:8:\"Bosanski\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/bs_BA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bs\";i:2;s:3:\"bos\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:2:\"ca\";a:8:{s:8:\"language\";s:2:\"ca\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-07 17:14:09\";s:12:\"english_name\";s:7:\"Catalan\";s:11:\"native_name\";s:7:\"Català\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/4.0/ca.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ca\";i:2;s:3:\"cat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:2:\"cy\";a:8:{s:8:\"language\";s:2:\"cy\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 16:43:49\";s:12:\"english_name\";s:5:\"Welsh\";s:11:\"native_name\";s:7:\"Cymraeg\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/4.0/cy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cy\";i:2;s:3:\"cym\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Parhau\";}}s:5:\"da_DK\";a:8:{s:8:\"language\";s:5:\"da_DK\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-15 12:11:24\";s:12:\"english_name\";s:6:\"Danish\";s:11:\"native_name\";s:5:\"Dansk\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/da_DK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"da\";i:2;s:3:\"dan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Forts&#230;t\";}}s:5:\"de_DE\";a:8:{s:8:\"language\";s:5:\"de_DE\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-05 15:23:15\";s:12:\"english_name\";s:6:\"German\";s:11:\"native_name\";s:7:\"Deutsch\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/de_DE.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Fortfahren\";}}s:5:\"en_AU\";a:8:{s:8:\"language\";s:5:\"en_AU\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-06 00:56:37\";s:12:\"english_name\";s:19:\"English (Australia)\";s:11:\"native_name\";s:19:\"English (Australia)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/en_AU.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_GB\";a:8:{s:8:\"language\";s:5:\"en_GB\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 08:52:52\";s:12:\"english_name\";s:12:\"English (UK)\";s:11:\"native_name\";s:12:\"English (UK)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/en_GB.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_CA\";a:8:{s:8:\"language\";s:5:\"en_CA\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-05 00:31:07\";s:12:\"english_name\";s:16:\"English (Canada)\";s:11:\"native_name\";s:16:\"English (Canada)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/en_CA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"es_ES\";a:8:{s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 17:40:25\";s:12:\"english_name\";s:15:\"Spanish (Spain)\";s:11:\"native_name\";s:8:\"Español\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/es_ES.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"es\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_PE\";a:8:{s:8:\"language\";s:5:\"es_PE\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 07:49:30\";s:12:\"english_name\";s:14:\"Spanish (Peru)\";s:11:\"native_name\";s:17:\"Español de Perú\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/es_PE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"es\";i:2;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CL\";a:8:{s:8:\"language\";s:5:\"es_CL\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 19:47:01\";s:12:\"english_name\";s:15:\"Spanish (Chile)\";s:11:\"native_name\";s:17:\"Español de Chile\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/es_CL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"es\";i:2;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"eu\";a:8:{s:8:\"language\";s:2:\"eu\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-05 06:55:23\";s:12:\"english_name\";s:6:\"Basque\";s:11:\"native_name\";s:7:\"Euskara\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/4.0/eu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eu\";i:2;s:3:\"eus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Jarraitu\";}}s:5:\"fa_IR\";a:8:{s:8:\"language\";s:5:\"fa_IR\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-05 15:58:20\";s:12:\"english_name\";s:7:\"Persian\";s:11:\"native_name\";s:10:\"فارسی\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/fa_IR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:2:\"fi\";a:8:{s:8:\"language\";s:2:\"fi\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 15:17:25\";s:12:\"english_name\";s:7:\"Finnish\";s:11:\"native_name\";s:5:\"Suomi\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/4.0/fi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fi\";i:2;s:3:\"fin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Jatka\";}}s:5:\"fr_FR\";a:8:{s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-15 09:49:19\";s:12:\"english_name\";s:15:\"French (France)\";s:11:\"native_name\";s:9:\"Français\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/fr_FR.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"fr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:2:\"gd\";a:8:{s:8:\"language\";s:2:\"gd\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-05 17:37:43\";s:12:\"english_name\";s:15:\"Scottish Gaelic\";s:11:\"native_name\";s:9:\"Gàidhlig\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/4.0/gd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"gd\";i:2;s:3:\"gla\";i:3;s:3:\"gla\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"Lean air adhart\";}}s:5:\"gl_ES\";a:8:{s:8:\"language\";s:5:\"gl_ES\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 01:18:12\";s:12:\"english_name\";s:8:\"Galician\";s:11:\"native_name\";s:6:\"Galego\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/gl_ES.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gl\";i:2;s:3:\"glg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"he_IL\";a:8:{s:8:\"language\";s:5:\"he_IL\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 22:57:38\";s:12:\"english_name\";s:6:\"Hebrew\";s:11:\"native_name\";s:16:\"עִבְרִית\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/he_IL.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"he\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"להמשיך\";}}s:2:\"hr\";a:8:{s:8:\"language\";s:2:\"hr\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-20 14:09:34\";s:12:\"english_name\";s:8:\"Croatian\";s:11:\"native_name\";s:8:\"Hrvatski\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/4.0/hr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hr\";i:2;s:3:\"hrv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:5:\"hu_HU\";a:8:{s:8:\"language\";s:5:\"hu_HU\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 19:12:04\";s:12:\"english_name\";s:9:\"Hungarian\";s:11:\"native_name\";s:6:\"Magyar\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/hu_HU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hu\";i:2;s:3:\"hun\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Tovább\";}}s:5:\"id_ID\";a:8:{s:8:\"language\";s:5:\"id_ID\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 11:26:19\";s:12:\"english_name\";s:10:\"Indonesian\";s:11:\"native_name\";s:16:\"Bahasa Indonesia\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/id_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"id\";i:2;s:3:\"ind\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Lanjutkan\";}}s:5:\"it_IT\";a:8:{s:8:\"language\";s:5:\"it_IT\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-26 10:09:26\";s:12:\"english_name\";s:7:\"Italian\";s:11:\"native_name\";s:8:\"Italiano\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/it_IT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"it\";i:2;s:3:\"ita\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:2:\"ja\";a:8:{s:8:\"language\";s:2:\"ja\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 14:03:10\";s:12:\"english_name\";s:8:\"Japanese\";s:11:\"native_name\";s:9:\"日本語\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/4.0/ja.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"ja\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"続ける\";}}s:5:\"ko_KR\";a:8:{s:8:\"language\";s:5:\"ko_KR\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 07:54:33\";s:12:\"english_name\";s:6:\"Korean\";s:11:\"native_name\";s:9:\"한국어\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/ko_KR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ko\";i:2;s:3:\"kor\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"계속\";}}s:5:\"my_MM\";a:8:{s:8:\"language\";s:5:\"my_MM\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-06 08:41:35\";s:12:\"english_name\";s:7:\"Burmese\";s:11:\"native_name\";s:15:\"ဗမာစာ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/my_MM.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"my\";i:2;s:3:\"mya\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:54:\"ဆက်လက်လုပ်ေဆာင်ပါ။\";}}s:5:\"nb_NO\";a:8:{s:8:\"language\";s:5:\"nb_NO\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 20:51:26\";s:12:\"english_name\";s:19:\"Norwegian (Bokmål)\";s:11:\"native_name\";s:13:\"Norsk bokmål\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/nb_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nb\";i:2;s:3:\"nob\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsett\";}}s:5:\"nl_NL\";a:8:{s:8:\"language\";s:5:\"nl_NL\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-17 06:23:19\";s:12:\"english_name\";s:5:\"Dutch\";s:11:\"native_name\";s:10:\"Nederlands\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/nl_NL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"pl_PL\";a:8:{s:8:\"language\";s:5:\"pl_PL\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-13 18:15:43\";s:12:\"english_name\";s:6:\"Polish\";s:11:\"native_name\";s:6:\"Polski\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/pl_PL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pl\";i:2;s:3:\"pol\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Kontynuuj\";}}s:5:\"pt_BR\";a:8:{s:8:\"language\";s:5:\"pt_BR\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-25 19:24:48\";s:12:\"english_name\";s:19:\"Portuguese (Brazil)\";s:11:\"native_name\";s:20:\"Português do Brasil\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/pt_BR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pt\";i:2;s:3:\"por\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_PT\";a:8:{s:8:\"language\";s:5:\"pt_PT\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-18 15:36:05\";s:12:\"english_name\";s:21:\"Portuguese (Portugal)\";s:11:\"native_name\";s:10:\"Português\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/pt_PT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"ru_RU\";a:8:{s:8:\"language\";s:5:\"ru_RU\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 05:25:55\";s:12:\"english_name\";s:7:\"Russian\";s:11:\"native_name\";s:14:\"Русский\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/ru_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ru\";i:2;s:3:\"rus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продолжить\";}}s:5:\"sk_SK\";a:8:{s:8:\"language\";s:5:\"sk_SK\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-20 13:05:09\";s:12:\"english_name\";s:6:\"Slovak\";s:11:\"native_name\";s:11:\"Slovenčina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/sk_SK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sk\";i:2;s:3:\"slk\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Pokračovať\";}}s:5:\"sr_RS\";a:8:{s:8:\"language\";s:5:\"sr_RS\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 15:37:38\";s:12:\"english_name\";s:7:\"Serbian\";s:11:\"native_name\";s:23:\"Српски језик\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/sr_RS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sr\";i:2;s:3:\"srp\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:14:\"Настави\";}}s:5:\"sv_SE\";a:8:{s:8:\"language\";s:5:\"sv_SE\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 11:49:49\";s:12:\"english_name\";s:7:\"Swedish\";s:11:\"native_name\";s:7:\"Svenska\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/sv_SE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sv\";i:2;s:3:\"swe\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Fortsätt\";}}s:2:\"th\";a:8:{s:8:\"language\";s:2:\"th\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 12:51:45\";s:12:\"english_name\";s:4:\"Thai\";s:11:\"native_name\";s:9:\"ไทย\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/4.0/th.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"th\";i:2;s:3:\"tha\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"ต่อไป\";}}s:5:\"tr_TR\";a:8:{s:8:\"language\";s:5:\"tr_TR\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-05 17:57:59\";s:12:\"english_name\";s:7:\"Turkish\";s:11:\"native_name\";s:8:\"Türkçe\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/tr_TR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tr\";i:2;s:3:\"tur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Devam\";}}s:5:\"zh_TW\";a:8:{s:8:\"language\";s:5:\"zh_TW\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-05 06:58:31\";s:12:\"english_name\";s:16:\"Chinese (Taiwan)\";s:11:\"native_name\";s:12:\"繁體中文\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/zh_TW.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}s:5:\"zh_CN\";a:8:{s:8:\"language\";s:5:\"zh_CN\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-05 00:41:46\";s:12:\"english_name\";s:15:\"Chinese (China)\";s:11:\"native_name\";s:12:\"简体中文\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/zh_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"继续\";}}}", "yes");
INSERT INTO `wp_options` VALUES("1229", "_transient_new_user_approve_user_statuses", "a:3:{s:7:\"pending\";a:0:{}s:8:\"approved\";a:3:{i:0;O:7:\"WP_User\":7:{s:4:\"data\";O:8:\"stdClass\":10:{s:2:\"ID\";s:2:\"46\";s:10:\"user_login\";s:7:\"Denis 3\";s:9:\"user_pass\";s:32:\"a5dce2da57d77160190917363b1dbb38\";s:13:\"user_nicename\";s:7:\"denis-3\";s:10:\"user_email\";s:19:\"richmandh@gmail.com\";s:8:\"user_url\";s:0:\"\";s:15:\"user_registered\";s:19:\"2014-10-22 17:34:00\";s:19:\"user_activation_key\";s:0:\"\";s:11:\"user_status\";s:1:\"0\";s:12:\"display_name\";s:7:\"Denis 3\";}s:2:\"ID\";i:46;s:4:\"caps\";a:1:{s:10:\"subscriber\";b:1;}s:7:\"cap_key\";s:15:\"wp_capabilities\";s:5:\"roles\";a:1:{i:0;s:10:\"subscriber\";}s:7:\"allcaps\";a:3:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;s:10:\"subscriber\";b:1;}s:6:\"filter\";N;}i:1;O:7:\"WP_User\":7:{s:4:\"data\";O:8:\"stdClass\":10:{s:2:\"ID\";s:2:\"45\";s:10:\"user_login\";s:7:\"Denis S\";s:9:\"user_pass\";s:32:\"35e8f3e0f2f038984f0b971a329f10d8\";s:13:\"user_nicename\";s:7:\"denis-s\";s:10:\"user_email\";s:20:\"thedenisdh@gmail.com\";s:8:\"user_url\";s:0:\"\";s:15:\"user_registered\";s:19:\"2014-10-22 17:31:39\";s:19:\"user_activation_key\";s:0:\"\";s:11:\"user_status\";s:1:\"0\";s:12:\"display_name\";s:7:\"Denis S\";}s:2:\"ID\";i:45;s:4:\"caps\";a:1:{s:10:\"subscriber\";b:1;}s:7:\"cap_key\";s:15:\"wp_capabilities\";s:5:\"roles\";a:1:{i:0;s:10:\"subscriber\";}s:7:\"allcaps\";a:3:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;s:10:\"subscriber\";b:1;}s:6:\"filter\";N;}i:2;O:7:\"WP_User\":7:{s:4:\"data\";O:8:\"stdClass\":10:{s:2:\"ID\";s:1:\"1\";s:10:\"user_login\";s:13:\"pascalinegrue\";s:9:\"user_pass\";s:34:\"$P$BYy.E8RZeIsUDO7mV3e5CUdBdTldoa/\";s:13:\"user_nicename\";s:13:\"pascalinegrue\";s:10:\"user_email\";s:23:\"manon.russias@gmail.com\";s:8:\"user_url\";s:0:\"\";s:15:\"user_registered\";s:19:\"2014-06-03 12:02:05\";s:19:\"user_activation_key\";s:0:\"\";s:11:\"user_status\";s:1:\"0\";s:12:\"display_name\";s:13:\"pascalinegrue\";}s:2:\"ID\";i:1;s:4:\"caps\";a:1:{s:13:\"administrator\";b:1;}s:7:\"cap_key\";s:15:\"wp_capabilities\";s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:7:\"allcaps\";a:64:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:9:\"add_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:10:\"copy_posts\";b:1;s:13:\"administrator\";b:1;}s:6:\"filter\";N;}}s:6:\"denied\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("1238", "wp-approve-user", "a:4:{s:23:\"wpau-send-approve-email\";b:1;s:25:\"wpau-send-unapprove-email\";b:1;s:18:\"wpau-approve-email\";s:326:\"Hi USERNAME,\r\nYour registration for BLOG_TITLE has now been approved.\r\n\r\nYou can log in, using your username and password that you created when registering for our website, at the following URL: LOGINLINK\r\n\r\nIf you have any questions, or problems, then please do not hesitate to contact us.\r\n\r\nName,\r\nCompany,\r\nContact details\";s:20:\"wpau-unapprove-email\";s:5:\"Sorry\";}", "yes");
INSERT INTO `wp_options` VALUES("1251", "_transient_timeout_feed_7cfdbf235aef8826093d5e28199c8dd3", "1414093358", "no");
INSERT INTO `wp_options` VALUES("1252", "_transient_feed_7cfdbf235aef8826093d5e28199c8dd3", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:51:\"\n	\n	\n	\n	\n	\n	\n		\n		\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Beauty\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"http://epicalex.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"Tips on being beautiful\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 23 Oct 2014 04:46:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"http://wordpress.org/?v=3.9.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"Beauty Tips – Temporada 1 – Ep 3 – Blush e Iluminador\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"http://epicalex.com/beauty-tips-temporada-1-ep-3-blush-e-iluminador/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"http://epicalex.com/beauty-tips-temporada-1-ep-3-blush-e-iluminador/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 23 Oct 2014 04:46:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Beauty Tips Videos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"http://epicalex.com/beauty-tips-temporada-1-ep-3-blush-e-iluminador/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:457:\"Beauty Tips &#8211; Temporada 1 &#8211; Ep 3 &#8211; Blush e Iluminador 4 PORTAL http://www.fhits.com.br BLOG http://www.fhits.com.br/trends FACEBOOK http://www.facebook.com/fhits CADASTRE-SE http://www.youtube.com/user INSTAGRAM http://www.instagram.com/fhits O Beauty Tips é o seu novo guia de beleza na internet. Para essa primeira temporada, Helena Lunardelli comanda o programa com convidadas para lá de especiais. A nossa expert em beleza, [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Alex56\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2207:\"<p><center><iframe width=\"510\" height=\"287\" src=\"//www.youtube-nocookie.com/embed/I3u3TkrXwhg?rel=0\" frameborder=\"0\" allowfullscreen></iframe></center><br />\nBeauty Tips &#8211; Temporada 1 &#8211; Ep 3 &#8211; Blush e Iluminador<br />\n<img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><span class=\"rating\" style=\"display: none;\">4</span><br />\nPORTAL http://www.fhits.com.br<br />\nBLOG http://www.fhits.com.br/trends<br />\nFACEBOOK http://www.facebook.com/fhits<br />\nCADASTRE-SE http://www.youtube.com/user<br />\nINSTAGRAM http://www.instagram.com/fhits</p>\n<p>O Beauty Tips é o seu novo guia de beleza na internet. Para essa primeira temporada, Helena Lunardelli comanda o programa com convidadas para lá de especiais. </p>\n<p>A nossa expert em beleza, Helena Lunardelli, do blog http://dojeitoh.com.br, recebe a blogger Carol Tognon, do blog http://caroltognon.com.br/, para um episódio cheio de dicas e segredos de beleza. </p>\n<p>Desta vez a dupla ensina como usar as diversas texturas e tons de blush e iluminador para produzir uma pele com aspecto natural e destacar/esconder pontos específicos do rosto. Para finalizar, respondem às perguntas das leitoras dando dicas imperdíveis. </p>\n<p>Vamos conferir?</p>\n<p>Aperte no play e assista!</p>\n<img src=\"http://feeds.feedburner.com/~r/epicalex/~4/7Irkqragz6A\" height=\"1\" width=\"1\"/>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"http://epicalex.com/beauty-tips-temporada-1-ep-3-blush-e-iluminador/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"My Top 4 Gentle Diet, Exercise, and Beauty Tips – BexLife &amp; Listerine\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"http://epicalex.com/my-top-4-gentle-diet-exercise-and-beauty-tips-bexlife-listerine/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"http://epicalex.com/my-top-4-gentle-diet-exercise-and-beauty-tips-bexlife-listerine/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Oct 2014 17:58:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Beauty Tips Videos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"http://epicalex.com/my-top-4-gentle-diet-exercise-and-beauty-tips-bexlife-listerine/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:450:\"My Top 4 Gentle Diet, Exercise, and Beauty Tips &#8211; BexLife &#038; Listerine 5 ♥ TREAT YOURSELF: http://bexlife.com/signup ♥ JOIN MY MANTRA CHALLENGE: http://bexlife.com/21mantras ♥ SUBSCRIBE FOR NEW VIDEOS: http://bit.ly/SubBexLife &#8212;&#8212;- GET MORE GOOD STUFF BELOW &#8212;&#8212;- Gentle Health &#038; Beauty Tips with BexLife™ &#038; LISTERINE® From cool tricks to great tips, every mom has her own heroic habits [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Alex56\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3008:\"<p><center><iframe width=\"510\" height=\"287\" src=\"//www.youtube-nocookie.com/embed/yb3jCoOInZ0?rel=0\" frameborder=\"0\" allowfullscreen></iframe></center><br />\nMy Top 4 Gentle Diet, Exercise, and Beauty Tips &#8211; BexLife &#038; Listerine<br />\n<img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><span class=\"rating\" style=\"display: none;\">5</span><br />\n♥ TREAT YOURSELF: http://bexlife.com/signup<br />\n♥ JOIN MY MANTRA CHALLENGE: http://bexlife.com/21mantras<br />\n♥ SUBSCRIBE FOR NEW VIDEOS: http://bit.ly/SubBexLife<br />\n&#8212;&#8212;- GET MORE GOOD STUFF BELOW &#8212;&#8212;-</p>\n<p>Gentle Health &#038; Beauty Tips with BexLife™ &#038; LISTERINE®</p>\n<p>From cool tricks to great tips, every mom has her own heroic habits and routines.</p>\n<p>Check out Bex from BexLife™ as she shares her tips on how to stay healthy and beautiful without being hard on your body. When it comes to a healthy smile she uses LISTERINE®  HEALTHY WHITE™ Gentle rinse, formulated to whiten without irritation.</p>\n<p>✔ EXPLORE: http://bexlife.com<br />\n✔ INSTALOVE: http://instagram.com/bexlife<br />\n✔ FOLLOW: http://twitter.com/BexLife<br />\n✔ LIKE: http://facebook.com/BexLife<br />\n✔ SUBSCRIBE: http://bit.ly/SubBexLife</p>\n<p>DISCLAIMER: This post/video is designed for educational and/or informational purposes only and should not be used in any other manner. This information is not intended to substitute informed medical advice. You should not use this information to diagnose or treat a health problem or disease without consulting with a qualified health care provider. A consultation with your health care professional is the proper method to address your health concerns. You are encouraged to consult your health care provider with any questions or concerns you may have regarding your condition.</p>\n<img src=\"http://feeds.feedburner.com/~r/epicalex/~4/2pHEwrNSPdo\" height=\"1\" width=\"1\"/>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"http://epicalex.com/my-top-4-gentle-diet-exercise-and-beauty-tips-bexlife-listerine/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"5\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"Barbie Beauty Tips – Episode 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"http://epicalex.com/barbie-beauty-tips-episode-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://epicalex.com/barbie-beauty-tips-episode-2/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Oct 2014 05:43:47 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Beauty Tips Videos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"http://epicalex.com/barbie-beauty-tips-episode-2/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:556:\"Barbie Beauty Tips &#8211; Episode 2 4 My Personal Mini Series on my channel! Piinksparkles&#8217; Barbie beauty tips. -Episodes where i give you lovelies 5 tips for staying beautiful inside and out!- Episode One: http://www.youtube.com/watch?v=MvhrFbK71Uk Intro Music By: IntaFlex http://www.reverbnation.com/intaflex http://www.facebook.com/theintaflex BLOG: http://misspiinksparkles.blogspot.com/ FACEBOOK: http://www.facebook.com/?ref=home#!/pages/Piinksparkles/125551880807006?ref=sgm Disclaimer: I have no affiliation with any of the brands [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Alex56\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2008:\"<p><center><iframe width=\"510\" height=\"287\" src=\"//www.youtube-nocookie.com/embed/dOD56JeBsBc?rel=0\" frameborder=\"0\" allowfullscreen></iframe></center><br />\nBarbie Beauty Tips &#8211; Episode 2<br />\n<img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><span class=\"rating\" style=\"display: none;\">4</span><br />\nMy Personal Mini Series on my channel!<br />\nPiinksparkles&#8217; Barbie beauty tips. </p>\n<p>-Episodes where i give you lovelies 5 tips for staying beautiful inside and out!-</p>\n<p>Episode One: http://www.youtube.com/watch?v=MvhrFbK71Uk</p>\n<p>Intro Music By:<br />\nIntaFlex</p>\n<p>http://www.reverbnation.com/intaflex</p>\n<p>http://www.facebook.com/theintaflex</p>\n<p>BLOG: http://misspiinksparkles.blogspot.com/<br />\nFACEBOOK: http://www.facebook.com/?ref=home#!/pages/Piinksparkles/125551880807006?ref=sgm </p>\n<p>Disclaimer: I have no affiliation with any of the brands shown. I am not advertising these products shown in this video. Everything shown was purchased by me. These are my own opinions, i am not getting paid for this video.</p>\n<img src=\"http://feeds.feedburner.com/~r/epicalex/~4/kFEX4F3Ko-w\" height=\"1\" width=\"1\"/>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"http://epicalex.com/barbie-beauty-tips-episode-2/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"25\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"20 weird beauty tips that actually works!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"http://epicalex.com/20-weird-beauty-tips-that-actually-works/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"http://epicalex.com/20-weird-beauty-tips-that-actually-works/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Oct 2014 17:14:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Beauty Tips Videos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"http://epicalex.com/20-weird-beauty-tips-that-actually-works/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:380:\"20 weird beauty tips that actually works! 5 Not all beauty tips works. Acutally, a ,lot of them just makes things worse. I have tried out a lot and collected those who work in a video so you can use them! Facebook page: https://www.facebook.com/Stinehof Instagram: http://instagram.com/stiiinuus Twitter: http://www.twitter.com/stinehofstad Blog: https://www.facebook.com/Stinehof\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Alex56\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1891:\"<p><center><iframe width=\"510\" height=\"287\" src=\"//www.youtube-nocookie.com/embed/9DSnxb_-KCY?rel=0\" frameborder=\"0\" allowfullscreen></iframe></center><br />\n20 weird beauty tips that actually works!<br />\n<img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><span class=\"rating\" style=\"display: none;\">5</span><br />\nNot all beauty tips works. Acutally, a ,lot of them just makes things worse. I have tried out a lot and collected those who work in a video so you can use them!</p>\n<p>Facebook page:</p>\n<p>https://www.facebook.com/Stinehof</p>\n<p>Instagram:</p>\n<p>http://instagram.com/stiiinuus</p>\n<p>Twitter: </p>\n<p>http://www.twitter.com/stinehofstad</p>\n<p>Blog:</p>\n<p>https://www.facebook.com/Stinehof</p>\n<img src=\"http://feeds.feedburner.com/~r/epicalex/~4/tIcUWSSCNUg\" height=\"1\" width=\"1\"/>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"http://epicalex.com/20-weird-beauty-tips-that-actually-works/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"25\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"Fall Beauty Tips &amp; Tricks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"http://epicalex.com/fall-beauty-tips-tricks/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"http://epicalex.com/fall-beauty-tips-tricks/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Oct 2014 06:44:10 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Beauty Tips Videos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"http://epicalex.com/fall-beauty-tips-tricks/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:380:\"Fall Beauty Tips &#038; Tricks 4.5 Watch Part 2 of this video, Day to Night Smokey Eyes: http://bit.ly/11Yyoki Watch the full video and see the full look on The Estée Edit: http://estee.cm/1t5NAr0 Find the products used here: http://estee.cm/1t5NAr0 My Exclusive glamorous shoot: http://bit.ly/ZD41he Glamour is in the smallest of details. In this second installment of [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Alex56\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2568:\"<p><center><iframe width=\"510\" height=\"287\" src=\"//www.youtube-nocookie.com/embed/JgIpzjxchFU?rel=0\" frameborder=\"0\" allowfullscreen></iframe></center><br />\nFall Beauty Tips &#038; Tricks<br />\n<img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><span class=\"rating\" style=\"display: none;\">4.5</span><br />\nWatch Part 2 of this video, Day to Night Smokey Eyes:</p>\n<p>http://bit.ly/11Yyoki</p>\n<p>Watch the full video and see the full look on The Estée Edit:</p>\n<p>http://estee.cm/1t5NAr0</p>\n<p>Find the products used here: http://estee.cm/1t5NAr0<br />\nMy Exclusive glamorous shoot: http://bit.ly/ZD41he</p>\n<p>Glamour is in the smallest of details. In this second installment of my collaboration with Estee Lauder I show you some of Fall’s most valuable beauty tips &#038; tricks that will have you looking glamorous no matter the occasion. </p>\n<p>Watch my Day To Night Beauty tips &#038; tricks: http://bit.ly/1wqTxOY</p>\n<p>FOLLOW ME:<br />\n + BLOG http://www.TheChriselleFactor.com<br />\n + INSTAGRAM http://www.instagram.com/ChriselleLim<br />\n + TWITTER http://www.twitter.com/ChriselleTweets<br />\n + FACEBOOK http://www.facebook.com/Chriselleinc</p>\n<p>FOLLOW BLAIR:<br />\n+ INSTAGRAM http://instagram.com/bpmakeup<br />\n+ TWITTER http://www.twitter.com/Blairvsone</p>\n<p>Check out the Estee Edit where I will be contributing monthly on: http://estee.cm/1t5NAr0</p>\n<p>FTC This video is in collaboration with Estee Lauder.  All items were selected, tested, and curated by Chriselle Lim</p>\n<img src=\"http://feeds.feedburner.com/~r/epicalex/~4/wvP9n6KbDxE\" height=\"1\" width=\"1\"/>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"http://epicalex.com/fall-beauty-tips-tricks/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"25\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"BEAUTY TIPS AND TRICKS\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"http://epicalex.com/beauty-tips-and-tricks/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"http://epicalex.com/beauty-tips-and-tricks/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 20 Oct 2014 16:41:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Beauty Tips Videos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"http://epicalex.com/beauty-tips-and-tricks/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:381:\"BEAUTY TIPS AND TRICKS 4.5 Fun fast beauty tips and tricks that are neat to know and make a huge difference when getting ready. Don&#8217;t forget the SUB &#038; Share! INSTAGRAM: http://instagram.com/fariyadoll21 Twitter: https://twitter.com/FariyaDoll21 VINE: FariyaDoll21 My Nail Art Channel: youtube.com/FairyDollNails fariyadoll21, beauty, glam, makeup, beauty tips and tricks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Alex56\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1866:\"<p><center><iframe width=\"510\" height=\"287\" src=\"//www.youtube-nocookie.com/embed/5O9DdJ0O55E?rel=0\" frameborder=\"0\" allowfullscreen></iframe></center><br />\nBEAUTY TIPS AND TRICKS<br />\n<img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><span class=\"rating\" style=\"display: none;\">4.5</span><br />\nFun fast beauty tips and tricks that are neat to know and make a huge difference when getting ready. </p>\n<p>Don&#8217;t forget the SUB &#038; Share! <img src=\"http://epicalex.com/wp-includes/images/smilies/icon_smile.gif\" alt=\":)\" class=\"wp-smiley\" /> </p>\n<p>INSTAGRAM: http://instagram.com/fariyadoll21<br />\nTwitter: https://twitter.com/FariyaDoll21<br />\nVINE: FariyaDoll21</p>\n<p>My Nail Art Channel: youtube.com/FairyDollNails</p>\n<p>fariyadoll21, beauty, glam, makeup, beauty tips and tricks</p>\n<img src=\"http://feeds.feedburner.com/~r/epicalex/~4/I9WIfp_zoMk\" height=\"1\" width=\"1\"/>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"http://epicalex.com/beauty-tips-and-tricks/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"4\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"Fall Inspiration: Outfits, Accessories, &amp; Beauty!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"http://epicalex.com/fall-inspiration-outfits-accessories-beauty/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"http://epicalex.com/fall-inspiration-outfits-accessories-beauty/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 20 Oct 2014 06:00:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Beauty Tips Videos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"http://epicalex.com/fall-inspiration-outfits-accessories-beauty/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"Fall Inspiration: Outfits, Accessories, &#038; Beauty! 4.5 Show me YOUR fall fashion must haves with hash tag #FALLingwithBeth\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Alex56\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1467:\"<p><center><iframe width=\"510\" height=\"287\" src=\"//www.youtube-nocookie.com/embed/I8wU6oTHcbI?rel=0\" frameborder=\"0\" allowfullscreen></iframe></center><br />\nFall Inspiration: Outfits, Accessories, &#038; Beauty!<br />\n<img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><span class=\"rating\" style=\"display: none;\">4.5</span><br />\nShow me YOUR fall fashion must haves with hash tag #FALLingwithBeth </p>\n<img src=\"http://feeds.feedburner.com/~r/epicalex/~4/Q3bCJVSWm58\" height=\"1\" width=\"1\"/>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"http://epicalex.com/fall-inspiration-outfits-accessories-beauty/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"25\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"My Beauty Tips &amp; Tricks! (Part 2)\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"http://epicalex.com/my-beauty-tips-tricks-part-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://epicalex.com/my-beauty-tips-tricks-part-2/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 19 Oct 2014 12:37:56 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Beauty Tips Videos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"http://epicalex.com/my-beauty-tips-tricks-part-2/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:414:\"My Beauty Tips &#038; Tricks! (Part 2) 5 Hey loves! In this video I share with you some of my favourite beauty tips and tricks &#8211; they may appear obvious to some but hopefully not to others To view the original video, click here: https://www.youtube.com/watch?v=aYfyvQBSblg&#038;list=UUXbQzhqSvgVZTUyi1T4AU3w&#038;feature=c4-overview xxx Lipstick is a mix of MAC Impassioned, L&#8217;Oreal Tangerine [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Alex56\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2866:\"<p><center><iframe width=\"510\" height=\"287\" src=\"//www.youtube-nocookie.com/embed/xfMuGOl3APk?rel=0\" frameborder=\"0\" allowfullscreen></iframe></center><br />\nMy Beauty Tips &#038; Tricks! (Part 2)<br />\n<img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><span class=\"rating\" style=\"display: none;\">5</span><br />\nHey loves! In this video I share with you some of my favourite beauty tips and tricks &#8211; they may appear obvious to some but hopefully not to others <img src=\"http://epicalex.com/wp-includes/images/smilies/icon_smile.gif\" alt=\":)\" class=\"wp-smiley\" />  To view the original video, click here: https://www.youtube.com/watch?v=aYfyvQBSblg&#038;list=UUXbQzhqSvgVZTUyi1T4AU3w&#038;feature=c4-overview xxx</p>\n<p>Lipstick is a mix of MAC Impassioned, L&#8217;Oreal Tangerine Sonate, Chi Chi Liquid Lipstick in Man Eater <img src=\"http://epicalex.com/wp-includes/images/smilies/icon_smile.gif\" alt=\":)\" class=\"wp-smiley\" /> </p>\n<p>VLOG CHANNEL: http://www.youtube.com/user/laurenbeautyyVLOGS<br />\nFACEBOOK PAGE: http://www.facebook.com/laurenbeautyy<br />\nINSTAGRAM: http://www.instagram.com/lozcurtis<br />\nTWITTER: http://www.twitter.com/#!/laurenbeautyy<br />\nTUMBLR: http://www.laurencurtis.tumblr.com/</p>\n<p>BUSINESS ENQUIRIES ONLY<br />\n- USA/Canada: Scott Fisher at management@smg.la &#8216;Lauren Curtis&#8217; in the subject line<br />\n- All international enquiries (other than USA/Canada): Jill Birmingham, MAXCONNECTORS at jill@maxconnectors.com.au</p>\n<p>MY HOLY GRAIL BRUSHES!!!</p>\n<p>http://www.sigmabeauty.com/category_s/46.htm?click=151097</p>\n<p>(Free gift when you spend +)</p>\n<p>Camera I use: Canon Rebel T3i<br />\nEditing program: iMovie &#8217;11</p>\n<img src=\"http://feeds.feedburner.com/~r/epicalex/~4/JaToD3BMtuY\" height=\"1\" width=\"1\"/>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"http://epicalex.com/my-beauty-tips-tricks-part-2/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"25\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"Beauty Tips &amp; Makeover.avi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"http://epicalex.com/beauty-tips-makeover-avi/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"http://epicalex.com/beauty-tips-makeover-avi/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 19 Oct 2014 00:44:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Beauty Tips Videos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"http://epicalex.com/beauty-tips-makeover-avi/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:153:\"Beauty Tips &#038; Makeover.avi 5 Beauty Tips &#038; Makeover by Mrs. Tessy Benzigar Chaitanya Beauty Parlour Hotel Chaithram [A unit of KTDC] Trivandrum\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Alex56\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1607:\"<p><center><iframe width=\"510\" height=\"287\" src=\"//www.youtube-nocookie.com/embed/bJtEjxFP5oA?rel=0\" frameborder=\"0\" allowfullscreen></iframe></center><br />\nBeauty Tips &#038; Makeover.avi<br />\n<img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><span class=\"rating\" style=\"display: none;\">5</span><br />\nBeauty Tips &#038; Makeover by Mrs. Tessy Benzigar Chaitanya Beauty Parlour Hotel Chaithram [A unit of KTDC] Trivandrum</p>\n<img src=\"http://feeds.feedburner.com/~r/epicalex/~4/hI3LLVPO0Lc\" height=\"1\" width=\"1\"/>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"http://epicalex.com/beauty-tips-makeover-avi/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"5\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"Airplane Essentials! ✈ | Beauty &amp; Other | Travel Tips\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"http://epicalex.com/airplane-essentials-%e2%9c%88-beauty-other-travel-tips/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"http://epicalex.com/airplane-essentials-%e2%9c%88-beauty-other-travel-tips/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 18 Oct 2014 11:01:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Beauty Tips Videos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"http://epicalex.com/airplane-essentials-%e2%9c%88-beauty-other-travel-tips/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:356:\"Airplane Essentials! ✈ &#124; Beauty &#038; Other &#124; Travel Tips 4.5 After travelling to America earlier this year, I can official say I now have the travel bug! In this video I&#8217;m sharing with you my aeroplane/airplane/in-flight essentials, both beauty and other things, that can make your long haul flight a little bit more pleasant. [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Alex56\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4654:\"<p><center><iframe width=\"510\" height=\"287\" src=\"//www.youtube-nocookie.com/embed/Fw8HDwUfOdk?rel=0\" frameborder=\"0\" allowfullscreen></iframe></center><br />\nAirplane Essentials! ✈ | Beauty &#038; Other | Travel Tips<br />\n<img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><img style=\"box-shadow: none\" src=\"http://epicalex.com/wp-content/plugins/video-krakken/assets/images/star.png\" /><span class=\"rating\" style=\"display: none;\">4.5</span><br />\nAfter travelling to America earlier this year, I can official say I now have the travel bug! In this video I&#8217;m sharing with you my aeroplane/airplane/in-flight essentials, both beauty and other things, that can make your long haul flight a little bit more pleasant. Because let&#8217;s face it, spending hours and hours and hours in a tin can in the sky is not always the most fun <img src=\"http://epicalex.com/wp-includes/images/smilies/icon_wink.gif\" alt=\";)\" class=\"wp-smiley\" /> </p>\n<p>Thank you so much for watching! ♥ If you enjoyed this video don&#8217;t forget to &#8220;LIKE&#8221; and SUBSCRIBE: http://goo.gl/qRVyv</p>\n<p>OTHER VIDEOS YOU MAY LIKE:<br />\nLast video: https://www.youtube.com/watch?v=Ig-uROqofKw&#038;<br />\nRoom Tour: https://www.youtube.com/watch?v=ALgQMqnwQYo<br />\nMakeup Collection: http://youtu.be/inIWuZuVk70</p>\n<p>LA Holiday Q&#038;A: https://www.youtube.com/watch?v=vv7QJMWpYTw<br />\nUSA Holiday Hauls Playlist: https://www.youtube.com/playlist?list=PLFpN-YdRONzKSJbvF7K5Qe2chHeGli9Ks</p>\n<p>What things do you need when you fly? Got any tips? Where are you travelling (or hoping to travel to) next?</p>\n<p>Until next time, remember you a beautiful with or without makeup!<br />\nxo xo Rach</p>\n<p>&#8212;&#8212;&#8211;<br />\nBEAUTY &#8211; http://goo.gl/dFQsD<br />\nVLOGS &#8211; http://goo.gl/GycSK<br />\nBOOKS &#8211; http://goo.gl/jA7Jq<br />\nBLOG &#8211; http://rachaeljade.blogspot.com.au/<br />\nBLOG LOVIN&#8217; &#8211; http://www.bloglovin.com/en/blog/10225733<br />\nINSTAGRAM &#8211; http://instagram.com/rachaeljade<br />\nEMAIL &#8211; rachaeljadee@gmail.com<br />\nTWITTER &#8211; http://www.twitter.com/RachaelJade<br />\nFACEBOOK &#8211; http://goo.gl/2Xg8C<br />\nGOODREADS &#8211; http://goo.gl/XKxCY<br />\nTUMBLR &#8211; http://rachaeljadeannear.tumblr.com<br />\nPINTEREST &#8211; http://pinterest.com/rachaeljadee/<br />\n&#8212;&#8212;&#8211;</p>\n<p>WHAT I AM WEARING:<br />\nTop &#8211; Urban Outfitters<br />\nEarrings &#8211; Francesca&#8217;s</p>\n<p>MAKEUP:</p>\n<div class=\"embed-container\"><iframe width=\"780\" height=\"439\" src=\"https://www.youtube.com/embed/Ig-uROqofKw?feature=oembed\" frameborder=\"0\" allowfullscreen></iframe></div>\n<p>CAMERA I USE:<br />\nhttp://amzn.to/1vBTvTQ **</p>\n<p>LENS:<br />\nhttp://amzn.to/1vBUrrg **</p>\n<p>High quality, inexpensive makeup brushes I use &#038; love:<br />\nhttp://www.sigmabeauty.com/?Click=234981 **<br />\n(Use the code AUG2014 to receive 10% of your order in August) + get free gift with purchases over !</p>\n<p>iherb.com &#8211; Buy Real Techniques, Eco Tools, ELF &#038; Physicans Formula at USA RRP<br />\nhttp://www.iherb.com/?rcode=JOP743 **<br />\nReceive  off their 1st order of  &#038; up, or  off on smaller orders, when using your code: JOP743<br />\nThis code does not expire.</p>\n<p>Disclaimer: ALL products shown in this video were purchased WITH MY OWN MONEY unless marked with * or stated otherwise. Products marked with an * have been gifted to me by a friend/family or a company for consideration. I am not being paid to make this video or show any of the products featured. I would not accept compensation for a positive review. All opinions expressed are 100% my own. ** denotes an affiliate link. Thank you for your support.</p>\n<img src=\"http://feeds.feedburner.com/~r/epicalex/~4/Z0InfyNNQjs\" height=\"1\" width=\"1\"/>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"http://epicalex.com/airplane-essentials-%e2%9c%88-beauty-other-travel-tips/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"25\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"hourly\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:2:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";s:4:\"href\";s:36:\"http://feeds.feedburner.com/epicalex\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:3:\"rel\";s:3:\"hub\";s:4:\"href\";s:32:\"http://pubsubhubbub.appspot.com/\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:42:\"http://rssnamespace.org/feedburner/ext/1.0\";a:3:{s:4:\"info\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:3:\"uri\";s:8:\"epicalex\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:14:\"emailServiceId\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"epicalex\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:18:\"feedburnerHostname\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://feedburner.google.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:10:{s:13:\"last-modified\";s:29:\"Thu, 23 Oct 2014 07:38:38 GMT\";s:4:\"etag\";s:27:\"PXd0EKh0gOa8UDvV9LvXEFsF9/A\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:4:\"date\";s:29:\"Thu, 23 Oct 2014 07:38:38 GMT\";s:7:\"expires\";s:29:\"Thu, 23 Oct 2014 07:38:38 GMT\";s:13:\"cache-control\";s:18:\"private, max-age=0\";s:22:\"x-content-type-options\";s:7:\"nosniff\";s:16:\"x-xss-protection\";s:13:\"1; mode=block\";s:6:\"server\";s:3:\"GSE\";s:18:\"alternate-protocol\";s:14:\"80:quic,p=0.01\";}s:5:\"build\";s:14:\"20140929194346\";}", "no");
INSERT INTO `wp_options` VALUES("1253", "_transient_timeout_feed_mod_7cfdbf235aef8826093d5e28199c8dd3", "1414093358", "no");
INSERT INTO `wp_options` VALUES("1254", "_transient_feed_mod_7cfdbf235aef8826093d5e28199c8dd3", "1414050158", "no");
INSERT INTO `wp_options` VALUES("1273", "_transient_timeout_feed_96975624cb8935edefde301a559a77aa", "1414129009", "no");
INSERT INTO `wp_options` VALUES("1274", "_transient_feed_96975624cb8935edefde301a559a77aa", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:51:\"\n	\n	\n	\n	\n	\n	\n		\n		\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"Konstantin on WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"http://en.wp.obenland.it\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"Just another WordPress blog\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 08 Jul 2013 14:57:58 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"I’m volunteering at WordCamp Montreal\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"http://en.wp.obenland.it/im-volunteering-at-wordcamp-montreal/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"http://en.wp.obenland.it/im-volunteering-at-wordcamp-montreal/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 May 2013 13:57:56 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Uncategorized\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://en.wp.obenland.it/?p=678\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Konstantin Obenland\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:277:\"<p><a href=\"http://2013.montreal.wordcamp.org/\"><img class=\"aligncenter size-full wp-image-679\" alt=\"Volunteer at WordCamp Montreal\" src=\"http://i0.wp.com/en.wp.obenland.it/files/2013/05/wcmtl_2013_volunteer_badge_400px_en.png?resize=400%2C400\" data-recalc-dims=\"1\" /></a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"http://en.wp.obenland.it/im-volunteering-at-wordcamp-montreal/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Jetpack Twitter Via\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"http://en.wp.obenland.it/jetpack-twitter-via/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"http://en.wp.obenland.it/jetpack-twitter-via/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Nov 2012 02:54:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://en.wp.obenland.it/?p=639\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:407:\"Adds &#8216;via @username&#8217; to the Tweet Button provided in &#8220;Jetpack by WordPress.com&#8221; Description This plugin needs Jetpack by WordPress.com to be activated and its Sharing module to be enabled. Enter the desired Twitter usernamen in Settings -&#62; Sharing. It will &#8230; <a href=\"http://en.wp.obenland.it/jetpack-twitter-via/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Konstantin Obenland\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:927:\"<p>Adds &#8216;via @username&#8217; to the Tweet Button provided in &#8220;Jetpack by WordPress.com&#8221;</p>\n<h2>Description</h2>\n<p>This plugin needs Jetpack by WordPress.com to be activated and its Sharing module to be enabled.<br />\nEnter the desired Twitter usernamen in Settings -&gt; Sharing. It will then be appended, every time a visitor shares your content on Twitter</p>\n<p>See the <a title=\"Tweet Button\" href=\"https://dev.twitter.com/docs/tweet-button\">Tweet Button documentation</a> for details.</p>\n<h3>Translations</h3>\n<p>I will be more than happy to update the plugin with new locales, as soon as I receive them!<br />\nCurrently available in:</p>\n<ul>\n<li>English</li>\n</ul>\n<h2>Installation</h2>\n<ol>\n<li>Download Jetpack Twitter Via.</li>\n<li>Unzip the folder into the <code>/wp-content/plugins/</code> directory</li>\n<li>Activate the plugin through the &#8216;Plugins&#8217; menu in WordPress</li>\n</ol>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"http://en.wp.obenland.it/jetpack-twitter-via/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"I’ve Joined Automattic\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"http://en.wp.obenland.it/ive-joined-automattic/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"http://en.wp.obenland.it/ive-joined-automattic/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 16 Oct 2012 16:00:39 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Meta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://en.wp.obenland.it/?p=610\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:327:\"This year has been a wild ride for me so far, and it doesn&#8217;t show any signs of slowing down. I became a member of the WordPress Theme Review Team, had my first patch make it into Core, worked with &#8230; <a href=\"http://en.wp.obenland.it/ive-joined-automattic/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Konstantin Obenland\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1061:\"<p>This year has been a wild ride for me so far, and it doesn&#8217;t show any signs of slowing down. I became a member of the WordPress Theme Review Team, had <a title=\"My First Patch\" href=\"http://en.wp.obenland.it/my-first-patch/\">my first patch make it into Core</a>, worked with Lance Willett and Drew Strojny on Twenty Twelve, was invited to the <a title=\"WordPress Community Summit\" href=\"http://en.wp.obenland.it/wordpress-community-summit/\">WordPress Community Summit</a>, graduated college, moved to the United States and also attended my first WordCamp.</p>\n<p>Today marks my first day as a full-time Theme Wrangler at <a title=\"The company\" href=\"http://automattic.com\">Automattic</a>, the company behind <a title=\"The project\" href=\"http://wordpress.com\">WordPress.com</a>. I&#8217;m beyond excited about joining this crazy talented team of <a title=\"The team\" href=\"http://themeshaper.com\">Themers</a> and to become a member of the Automattic family. This is without a doubt the highlight of my WordPress career and truly a dream come true!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"http://en.wp.obenland.it/ive-joined-automattic/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"8\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:38:\"Selling WordPress Themes The Right Way\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"http://en.wp.obenland.it/selling-wordpress-themes-the-right-way/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"http://en.wp.obenland.it/selling-wordpress-themes-the-right-way/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 08 Oct 2012 16:09:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Theme Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://en.wp.obenland.it/?p=599\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:386:\"Today I received the following question through the contact form on my site: Given that some sites sell WordPress Themes without checking for quality standards, what would be the right way to sell WordPress Themes? To me it doesn&#8217;t really &#8230; <a href=\"http://en.wp.obenland.it/selling-wordpress-themes-the-right-way/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Konstantin Obenland\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1074:\"<p>Today I received the following question through the contact form on my site:</p>\n<blockquote><p>Given that some sites sell WordPress Themes without checking for quality standards, what would be the right way to sell WordPress Themes?</p></blockquote>\n<p>To me it doesn&#8217;t really matter whether the Theme Marketplace you sell your Theme in requires a certain level of quality in the Themes it sells or not. As long as your Theme is coded in a way it would pass a Review from the WordPress.org Theme Review Team, your customers will notice and you will be all good.</p>\n<p>So tip would be: Choose the marketplace(s) that pass(es) <a title=\"The T-shirt Test, explained by Jurgen Appelo\" href=\"http://www.noop.nl/2011/12/the-t-shirt-test.html\" target=\"_blank\">the T-shirt test</a>!</p>\n<p>P.S.: I know the title of this post maybe <del>misleading</del> a little strong, but hey, it was the subject line of that email! <img src=\"http://i2.wp.com/en.wp.obenland.it/wp-includes/images/smilies/icon_smile.gif?w=584\" alt=\":)\" class=\"wp-smiley\" data-recalc-dims=\"1\" /></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"http://en.wp.obenland.it/selling-wordpress-themes-the-right-way/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"My First Patch\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"http://en.wp.obenland.it/my-first-patch/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"http://en.wp.obenland.it/my-first-patch/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Aug 2012 07:46:59 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Meta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://en.wp.obenland.it/?p=562\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:242:\"Inspired by Amy Hendrix\' post on her first patch to an Open Source project, I briefly outline my first steps on WordPress Core trac. <a href=\"http://en.wp.obenland.it/my-first-patch/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Konstantin Obenland\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3230:\"<p>Inspired by <a title=\"Amy on WordPress.org\" href=\"http://profiles.wordpress.org/sabreuse\" target=\"_blank\">Amy Hendrix</a>&#8216; post on <a title=\"Amy\'s post\" href=\"http://sabreuse.com/my-first-patch-chapters-1-3/\" target=\"_blank\">her first patch to an Open Source project</a>, I want to briefly outline my first steps on WordPress Core trac:</p>\n<p>My first patch to WordPress was basically just turning the recommendation that was given <a title=\"Ticket for my first patch\" href=\"http://core.trac.wordpress.org/ticket/17778\" target=\"_blank\">in-ticket</a> into a patch. This was in June 2011 and is still waiting for further attention. But to be honest, at that time it wasn&#8217;t necessarily as much about the content of the patch for me as it was about creating a usable SVN patch in the first place. And actually submitting it. So it seemed like the perfect opportunity, since the content was pretty much outlined already.<span id=\"more-562\"></span></p>\n<p>My first WordPress props didn&#8217;t come until almost one year later. <a title=\"WP Display Header\" href=\"http://en.wp.obenland.it/wp-display-header/\" target=\"_blank\">My most popular Plugin</a> is about selecting a custom header image for each individual post type or taxonomy, so I pay close attention to all changes around custom headers, to keep the Plugin up to date. After the changes that made it possible to select images in the media library as a header, I read through the code to learn all about it, when I noticed a missing underscore in a translation function. After some checking on Core trac, I opened <a title=\"The trac ticket\" href=\"http://core.trac.wordpress.org/ticket/20646\" target=\"_blank\">a bug report</a> and attached <a title=\"My patch, adding a _\" href=\"http://core.trac.wordpress.org/attachment/ticket/20646/20646.patch\" target=\"_blank\">my patch</a>. <a title=\"Sergey on WordPress.org\" href=\"http://profiles.wordpress.org/SergeyBiryukov\" target=\"_blank\">Sergey Biryukov</a> noticed that it was also missing on the custom background side and updated the patch with that change. Later that day, <a title=\"Ryan on WordPress.org\" href=\"http://profiles.wordpress.org/ryan\" target=\"_blank\">Ryan Boren</a> comitted the change.</p>\n<blockquote class=\"pull\"><p>My first contribution: _</p></blockquote>\n<p>This was three months ago. Since then <a title=\"My contributions to WordPress Core\" href=\"https://core.trac.wordpress.org/search?q=obenland&amp;noquickjump=1&amp;changeset=on&amp;max=20\" target=\"_blank\">many more patches</a> followed. Mainly because I became part of the Twenty Twelve team for WordPress 3.5 with <a title=\"Lance on WordPress.org\" href=\"http://profiles.wordpress.org/lancewillett\" target=\"_blank\">Lance Willett</a> and <a title=\"Drew on WordPress.org\" href=\"http://profiles.wordpress.org/drewstrojny\" target=\"_blank\">Drew Strojny</a>, which is a blast for me, to say the least. I can&#8217;t believe how much I learn and how much fun it is to work together with them.</p>\n<p>I wrote <a title=\"WordPress Community Summit\" href=\"http://en.wp.obenland.it/wordpress-community-summit/\" target=\"_blank\">another retrospective post on my WordPress involvement</a>, following my invitation to the WordPress Community Summit</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"http://en.wp.obenland.it/my-first-patch/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"What he said!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:38:\"http://en.wp.obenland.it/what-he-said/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"http://en.wp.obenland.it/what-he-said/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 08 Aug 2012 10:50:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Meta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://en.wp.obenland.it/?p=543\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:319:\"Honestly, I was floored when I was included on this list. While I’d like to think of myself as an active member of the WP Community, what I’ve done is small in comparison to many of the names on this &#8230; <a href=\"http://en.wp.obenland.it/what-he-said/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Konstantin Obenland\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:490:\"<blockquote><p>Honestly, I was floored when I was included on this list. While I’d like to think of myself as an active member of the WP Community, what I’ve done is small in comparison to many of the names on this list, both in name recognition and contributions.<br />\n<cite><a title=\"Andrew\'s original comment\" href=\"http://make.wordpress.org/summit/2012/08/07/the-wordpress-community-summit-is-a-by-invitation/#comment-6\" target=\"_blank\">Andrew Norcross</a></cite></p></blockquote>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"http://en.wp.obenland.it/what-he-said/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"WordPress Community Summit\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"http://en.wp.obenland.it/wordpress-community-summit/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"http://en.wp.obenland.it/wordpress-community-summit/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 06 Aug 2012 15:27:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Meta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://en.wp.obenland.it/?p=534\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:341:\"2012 has been pretty great to me so far, especially when it comes to the WordPress site of my life: I joined the WordPress Theme Review Team in March, Released my first Theme to the repository in the same month, &#8230; <a href=\"http://en.wp.obenland.it/wordpress-community-summit/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Konstantin Obenland\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:5875:\"<p>2012 has been pretty great to me so far, especially when it comes to the WordPress site of my life:</p>\n<ul>\n<li>I joined the <a title=\"The WPTRT site\" href=\"http://make.wordpress.org/themes/\" target=\"_blank\">WordPress Theme Review Team</a> in March,</li>\n<li>Released <a title=\"The Bootstrap in the WordPress Theme Repository\" href=\"http://wordpress.org/extend/themes/the-bootstrap/\" target=\"_blank\">my first Theme to the repository</a> in the same month,</li>\n<li>Had <a title=\"My first props\" href=\"https://core.trac.wordpress.org/changeset/20757\" target=\"_blank\">my first patch committed to Core</a> in May, therefore</li>\n<li>Became <a title=\"Core Contributor to WordPress 3.4\" href=\"http://en.wp.obenland.it/core-contributor-to-wordpress-3-4/\" target=\"_blank\">Core Contributor to 3.4</a> in June and</li>\n<li>Made it on the <a title=\"Nacin putting me in one sentence with Lance Willett and Drew Strojny\" href=\"https://irclogs.wordpress.org/chanlog.php?channel=wordpress-dev&amp;day=2012-07-18&amp;sort=asc#m423889\" target=\"_blank\">Twenty Twelve core development team</a> in July.</li>\n</ul>\n<p style=\"text-align: center;\"><strong>But all this was topped today, when I received an invitation to the WordPress Community Summit on Tybee Island, GA in October!<span id=\"more-534\"></span></strong></p>\n<p>In 2008, at the age of 25, I had no idea what a <code>$variable</code> or a <code>function()</code> is. After I started at an internet company as an intern in Online Marketing, I attended a series of workshops for non-tekkies to learn about how the web works (HTTP, HTML, CSS, PHP were the four courses). I had fun creating sites in static HTML and started to learn some CSS so they would look good. Whatever &#8220;good&#8221; was, back then. <img src=\"http://i2.wp.com/en.wp.obenland.it/wp-includes/images/smilies/icon_smile.gif?w=584\" alt=\":)\" class=\"wp-smiley\" data-recalc-dims=\"1\" /></p>\n<p>Around half a year later, after I wanted more than just links and images and started to learn PHP, I came to a project to create a site for a couple of friends of mine. My plan was to write a revolutionary CMS from scratch with the help from my nerd brother. We were wondering how we should design the backend, when my brother showed me how WordPress 2.7.1 was doing it. I liked the design a lot! So &#8230; I started to copy the design, with my custom PHP code underneath!</p>\n<p>Two days into copying the WordPress Admin, I was fed up. THAT&#8217;s when I had the glorious idea, to just use WordPress and create a custom Theme (which is enough work by itself). And <a title=\"My first site\" href=\"http://crazystunters.de/\" target=\"_blank\">this is what it (still) looks like</a>. That was the time was when I got hooked on WordPress.</p>\n<p>Ever since that day, I started to get more and more involved. I started to write Plugins. I started to write Themes. I started to get to know the WordPress Codebase. In 2010 I released my first Plugin to the WordPress repo. Until then, working with SVN really creeped me out. It was also in 2010, when I wrote my first Theme framework for said internet company. And I was contributing to the WordPress Codex.</p>\n<p>In 2011 I really felt like I became part of the community, giving back by writing Plugins and releasing them, writing bad Tutorials and comment on other people&#8217;s tutorials to let them know how bad theirs were.</p>\n<p>But it wasn&#8217;t until 2012, when I joined the Theme Review Team, that I <em>really</em> felt part of the community. Mailing with Chip Bennett. You know, the one whose name was underneath most of the posts in the Theme Unit Test, I&#8217;ve been using for months (he really exists!). Him having my back on my first reviews, when it came to discussions with Theme authors.</p>\n<p>Then I came to <a title=\"Changeset 20757\" href=\"https://core.trac.wordpress.org/changeset/20757\" target=\"_blank\">my first contribution to WordPress Core</a>: _<br />\nWhich was when I started to attend the Dev Chats in IRC. And a week later, Jane posted her <a title=\"Call to Contributors\" href=\"http://wordpress.org/news/2012/05/calling-all-contributors-community-summit-2012/\" target=\"_blank\">Call to all Contributors</a>.</p>\n<p>I didn&#8217;t fill out the form. I looked at it, thought about nominating people who I thought were awesome, I thought about nominating myself, but never actually filled one out. Jane wrote underneath the post: &#8220;<em>Please do not nominate yourself if you just think it would be cool to hang out with this group.</em>&#8221; &#8211; So I didn&#8217;t.</p>\n<p>But then, well after the deadline to submit a nomination had passed, Jane started to tweet about nominating oneself. And again. And again. And then I saw this tweet:</p>\n<blockquote class=\"twitter-tweet\" data-in-reply-to=\"205415443329064961\" width=\"550\" lang=\"de\"><p>@<a href=\"https://twitter.com/ericmann\">ericmann</a> I&#8217;m looking for people to nominate themselves as well. If they can&#8217;t be bothered to fill in a survey/say they are interested&#8230;</p>\n<p>&mdash; Jane Wells (@janeforshort) <a href=\"https://twitter.com/janeforshort/status/205418730090532864\" data-datetime=\"2012-05-23T22:03:36+00:00\">Mai 23, 2012</a></p></blockquote>\n<p><script src=\"//platform.twitter.com/widgets.js\" charset=\"utf-8\"></script></p>\n<p>It was right after midnight in Germany and I was already laying in bed. But I felt challenged! So got back up, grabbed my laptop and filled out that form. And here I am. I <em>never</em> expected to be chosen. Wow.</p>\n<p>Today I have <em>the best</em> time collaborating with Lance Willett and Drew Strojny and all the other contributors on Twenty Twelve. Never have I felt more at home in the WordPress community. So being allowed to attend the Contributor Summit really tops it off! Can&#8217;t wait to meet all the people in real life and have a beer with them!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"http://en.wp.obenland.it/wordpress-community-summit/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"Twenty Eleven Showcase Slider\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"http://en.wp.obenland.it/twenty-eleven-showcase-slider/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"http://en.wp.obenland.it/twenty-eleven-showcase-slider/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 02 Jul 2012 08:16:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://en.wp.obenland.it/?p=550\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:323:\"This WordPress Plugin enables the showcase template of Twenty Eleven automatically slide through all the sticky posts. It simulates the mouse click that triggers the slide change every four seconds. <a href=\"http://en.wp.obenland.it/twenty-eleven-showcase-slider/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Konstantin Obenland\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:566:\"<p>Adds carousel functionality to the Twenty Eleven Showcase slider.</p>\n<h2>Description</h2>\n<p>This plugin enables the showcase template automatically slide through all the sticky posts. It simulates the mouse click that triggers the slide change every four seconds.</p>\n<h2>Installation</h2>\n<ol>\n<li>Download Twenty Eleven Showcase Slider.</li>\n<li>Unzip the folder into the `/wp-content/plugins/` directory.</li>\n<li>Activate the plugin through the &#8216;Plugins&#8217; menu in WordPress.</li>\n</ol>\n<h2>Frequently Asked Questions</h2>\n<p>None asked yet.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"http://en.wp.obenland.it/twenty-eleven-showcase-slider/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"5\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"The leanest comments.php file ever\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"http://en.wp.obenland.it/the-leanest-comments-php-file-ever/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"http://en.wp.obenland.it/the-leanest-comments-php-file-ever/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 16 Jun 2012 17:35:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Theme Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://en.wp.obenland.it/?p=500\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:379:\"More to be seen as a proof of concept than the next step in Theme Development evolution, in version 1.7.0 The Bootstrap&#8217;s comments.php file will contain not more than a single call to comments_form(). Many Theme authors will argue that &#8230; <a href=\"http://en.wp.obenland.it/the-leanest-comments-php-file-ever/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Konstantin Obenland\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3385:\"<p>More to be seen as a proof of concept than the next step in Theme Development evolution, in version 1.7.0 <a title=\"The file on GitHub\" href=\"https://github.com/obenland/the-bootstrap/blob/1.7.0/comments.php\" target=\"_blank\">The Bootstrap&#8217;s <code>comments.php</code> file</a> will contain not more than a single call to <code>comments_form()</code>.</p>\n<pre class=\"brush: php; title: ; notranslate\">\r\n&lt;?php\r\n/** comments.php\r\n *\r\n * The template for displaying Comments.\r\n *\r\n * The area of the page that contains both current comments\r\n * and the comment form. The actual display of comments is\r\n * handled by callbacks which are located in the functions.php file.\r\n *\r\n * @author		Konstantin Obenland\r\n * @package		The Bootstrap\r\n * @since		1.0.0 - 05.02.2012\r\n */\r\n\r\ncomment_form();\r\n\r\n/* End of file comments.php */\r\n/* Location: ./wp-content/themes/the-bootstrap/comments.php */\r\n</pre>\n<p>Many Theme authors will argue that it doesn&#8217;t make much sense to move the entire comment business out of <code>comments.php</code> and they are probably right. But when I realized that it was <em>possible</em> to have the entire file consist of only one function call, I wanted to implement it and try it out.<span id=\"more-500\"></span></p>\n<p>This is what I moved to <code>functions.php</code>:</p>\n<pre class=\"brush: php; title: ; notranslate\">\r\n/**\r\n * Displays comment list, when there are any\r\n *\r\n * @author	Konstantin Obenland\r\n * @since	1.7.0 - 16.06.2012\r\n *\r\n * @return	void\r\n */\r\nfunction the_bootstrap_comments_list() {\r\n	if ( post_password_required() ) : ?&gt;\r\n		&lt;div id=&quot;comments&quot;&gt;\r\n			&lt;p class=&quot;nopassword&quot;&gt;&lt;?php _e( \'This post is password protected. Enter the password to view any comments.\', \'the-bootstrap\' ); ?&gt;&lt;/p&gt;\r\n		&lt;/div&gt;&lt;!-- #comments --&gt;\r\n		&lt;?php\r\n		return;\r\n	endif;\r\n\r\n	if ( have_comments() ) : ?&gt;\r\n		&lt;div id=&quot;comments&quot;&gt;\r\n			&lt;h2 id=&quot;comments-title&quot;&gt;\r\n				&lt;?php printf( _n( \'One thought on &amp;ldquo;%2$s&amp;rdquo;\', \'%1$s thoughts on &amp;ldquo;%2$s&amp;rdquo;\', get_comments_number(), \'the-bootstrap\' ),\r\n						number_format_i18n( get_comments_number() ), \'&lt;span&gt;\' . get_the_title() . \'&lt;/span&gt;\' ); ?&gt;\r\n			&lt;/h2&gt;\r\n\r\n			&lt;?php the_bootstrap_comment_nav(); ?&gt;\r\n\r\n			&lt;ol class=&quot;commentlist unstyled&quot;&gt;\r\n				&lt;?php wp_list_comments( array( \'callback\' =&gt; \'the_bootstrap_comment\' ) ); ?&gt;\r\n			&lt;/ol&gt;&lt;!-- .commentlist .unstyled --&gt;\r\n\r\n			&lt;?php the_bootstrap_comment_nav(); ?&gt;\r\n\r\n		&lt;/div&gt;&lt;!-- #comments --&gt;\r\n	&lt;?php endif;\r\n}\r\nadd_action( \'comment_form_before\', \'the_bootstrap_comments_list\', 0 );\r\nadd_action( \'comment_form_comments_closed\', \'the_bootstrap_comments_list\', 1 );\r\n\r\n/**\r\n * Echoes comments-are-closed message when post type supports comments and we\'re\r\n * not on a page\r\n *\r\n * @author	Konstantin Obenland\r\n * @since	1.7.0 - 16.06.2012\r\n *\r\n * @return	void\r\n */\r\nfunction the_bootstrap_comments_closed() {\r\n	if ( ! is_page() AND post_type_supports( get_post_type(), \'comments\' ) ) : ?&gt;\r\n		&lt;p class=&quot;nocomments&quot;&gt;&lt;?php _e( \'Comments are closed.\', \'the-bootstrap\' ); ?&gt;&lt;/p&gt;\r\n	&lt;?php endif;\r\n}\r\nadd_action( \'comment_form_comments_closed\', \'the_bootstrap_comments_closed\' );\r\n</pre>\n<p>So there you have it! What do you think?</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"http://en.wp.obenland.it/the-leanest-comments-php-file-ever/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"10\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"Core Contributor to WordPress 3.4\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://en.wp.obenland.it/core-contributor-to-wordpress-3-4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"http://en.wp.obenland.it/core-contributor-to-wordpress-3-4/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 05 Jun 2012 11:27:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Meta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://en.wp.obenland.it/?p=484\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:353:\"With my first three contributions to WordPress core, I also made it on the Credits page for the new release, which is a huge honor for me: Ever since I started out coding in late 2008 and stumbleing across WordPress, &#8230; <a href=\"http://en.wp.obenland.it/core-contributor-to-wordpress-3-4/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Konstantin Obenland\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2038:\"<p>With <a title=\"My contributions to WordPress Core\" href=\"https://core.trac.wordpress.org/search?q=props+kobenland&amp;noquickjump=1&amp;changeset=on\" target=\"_blank\">my first three contributions to WordPress core</a>, I also made it on the Credits page for the new release, which is a huge honor for me:</p>\n<p><a href=\"http://en.wp.obenland.it/core-contributor-to-wordpress-3-4/core-contributors/\" rel=\"attachment wp-att-485\"><img class=\"aligncenter size-large wp-image-485\" title=\"Core Contributors to WordPress 3.4\" src=\"http://i0.wp.com/en.wp.obenland.it/files/2012/06/core-contributors.png?resize=584%2C253\" alt=\"\" data-recalc-dims=\"1\" /></a><span id=\"more-484\"></span></p>\n<p>Ever since I started out coding in late 2008 and stumbleing across WordPress, I got more and more engaged with the software. In early stages I developed <a title=\"My plugins on WordPress.org\" href=\"http://en.wp.obenland.it/thank-you-for-your-contribution/\" target=\"_blank\">a few plugins</a> and created <a title=\"My first Theme. I know.\" href=\"http://crazystunters.de\" target=\"_blank\">a theme for a couple of friends</a> of mine. Then I took it a step further, when I was given the opportunity to create and maintain <a title=\"The main blog of the network\" href=\"http://blog.holidaycheck.de\" target=\"_blank\">the blog network of HolidayCheck</a>, and took on my first outside freelance projects. But it wasn&#8217;t until this year, that I <em>really</em> got involved. After joining <a title=\"Join us!\" href=\"http://make.wordpress.org/themes/about/\" target=\"_blank\">the WordPress Theme Review Team</a> in March and publishing <a title=\"The Bootstrap on WordPress.org\" href=\"http://wordpress.org/extend/themes/the-bootstrap\" target=\"_blank\">my first Theme at the Repository</a>, I also started to read more through the core trac tickets and finally found opportunities to contribute.</p>\n<p>If you also want to see <strong>your</strong> name on this page, <a href=\"http://codex.wordpress.org/Contributing_to_WordPress\">get involved in WordPress</a>!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"http://en.wp.obenland.it/core-contributor-to-wordpress-3-4/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:30:\"http://en.wp.obenland.it/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"hourly\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:10:{s:4:\"date\";s:29:\"Thu, 23 Oct 2014 17:32:47 GMT\";s:6:\"server\";s:6:\"Apache\";s:10:\"x-pingback\";s:35:\"http://en.wp.obenland.it/xmlrpc.php\";s:13:\"last-modified\";s:29:\"Mon, 08 Jul 2013 14:57:58 GMT\";s:4:\"etag\";s:34:\"\"a16cfaf5e3f94f36aa408e90324b673e\"\";s:12:\"x-robots-tag\";s:14:\"noindex,follow\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:16:\"content-encoding\";s:4:\"gzip\";s:10:\"connection\";s:5:\"close\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";}s:5:\"build\";s:14:\"20140929194346\";}", "no");
INSERT INTO `wp_options` VALUES("1275", "_transient_timeout_feed_mod_96975624cb8935edefde301a559a77aa", "1414129009", "no");
INSERT INTO `wp_options` VALUES("1276", "_transient_feed_mod_96975624cb8935edefde301a559a77aa", "1414085809", "no");
INSERT INTO `wp_options` VALUES("1286", "_site_transient_timeout_browser_71b2a6caa86b030b35b0dd308201b002", "1414741746", "yes");
INSERT INTO `wp_options` VALUES("1287", "_site_transient_browser_71b2a6caa86b030b35b0dd308201b002", "a:9:{s:8:\"platform\";s:9:\"Macintosh\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"38.0.2125.104\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("1304", "_site_transient_timeout_browser_078028a01aa37be78d33f5b7fa697bbf", "1414745972", "yes");
INSERT INTO `wp_options` VALUES("1305", "_site_transient_browser_078028a01aa37be78d33f5b7fa697bbf", "a:9:{s:8:\"platform\";s:9:\"Macintosh\";s:4:\"name\";s:6:\"Safari\";s:7:\"version\";s:5:\"7.0.5\";s:10:\"update_url\";s:28:\"http://www.apple.com/safari/\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/safari.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/safari.png\";s:15:\"current_version\";s:1:\"5\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("1330", "_site_transient_timeout_poptags_40cd750bba9870f18aada2478b24840a", "1414247673", "yes");
INSERT INTO `wp_options` VALUES("1331", "_site_transient_poptags_40cd750bba9870f18aada2478b24840a", "a:40:{s:6:\"widget\";a:3:{s:4:\"name\";s:6:\"widget\";s:4:\"slug\";s:6:\"widget\";s:5:\"count\";s:4:\"4690\";}s:4:\"post\";a:3:{s:4:\"name\";s:4:\"Post\";s:4:\"slug\";s:4:\"post\";s:5:\"count\";s:4:\"2907\";}s:6:\"plugin\";a:3:{s:4:\"name\";s:6:\"plugin\";s:4:\"slug\";s:6:\"plugin\";s:5:\"count\";s:4:\"2823\";}s:5:\"admin\";a:3:{s:4:\"name\";s:5:\"admin\";s:4:\"slug\";s:5:\"admin\";s:5:\"count\";s:4:\"2344\";}s:5:\"posts\";a:3:{s:4:\"name\";s:5:\"posts\";s:4:\"slug\";s:5:\"posts\";s:5:\"count\";s:4:\"2238\";}s:7:\"sidebar\";a:3:{s:4:\"name\";s:7:\"sidebar\";s:4:\"slug\";s:7:\"sidebar\";s:5:\"count\";s:4:\"1804\";}s:6:\"google\";a:3:{s:4:\"name\";s:6:\"google\";s:4:\"slug\";s:6:\"google\";s:5:\"count\";s:4:\"1619\";}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"twitter\";s:4:\"slug\";s:7:\"twitter\";s:5:\"count\";s:4:\"1591\";}s:6:\"images\";a:3:{s:4:\"name\";s:6:\"images\";s:4:\"slug\";s:6:\"images\";s:5:\"count\";s:4:\"1569\";}s:8:\"comments\";a:3:{s:4:\"name\";s:8:\"comments\";s:4:\"slug\";s:8:\"comments\";s:5:\"count\";s:4:\"1533\";}s:4:\"page\";a:3:{s:4:\"name\";s:4:\"page\";s:4:\"slug\";s:4:\"page\";s:5:\"count\";s:4:\"1496\";}s:9:\"shortcode\";a:3:{s:4:\"name\";s:9:\"shortcode\";s:4:\"slug\";s:9:\"shortcode\";s:5:\"count\";s:4:\"1485\";}s:5:\"image\";a:3:{s:4:\"name\";s:5:\"image\";s:4:\"slug\";s:5:\"image\";s:5:\"count\";s:4:\"1403\";}s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"Facebook\";s:4:\"slug\";s:8:\"facebook\";s:5:\"count\";s:4:\"1236\";}s:3:\"seo\";a:3:{s:4:\"name\";s:3:\"seo\";s:4:\"slug\";s:3:\"seo\";s:5:\"count\";s:4:\"1183\";}s:5:\"links\";a:3:{s:4:\"name\";s:5:\"links\";s:4:\"slug\";s:5:\"links\";s:5:\"count\";s:4:\"1133\";}s:9:\"wordpress\";a:3:{s:4:\"name\";s:9:\"wordpress\";s:4:\"slug\";s:9:\"wordpress\";s:5:\"count\";s:4:\"1081\";}s:7:\"gallery\";a:3:{s:4:\"name\";s:7:\"gallery\";s:4:\"slug\";s:7:\"gallery\";s:5:\"count\";s:4:\"1027\";}s:6:\"social\";a:3:{s:4:\"name\";s:6:\"social\";s:4:\"slug\";s:6:\"social\";s:5:\"count\";s:4:\"1018\";}s:7:\"widgets\";a:3:{s:4:\"name\";s:7:\"widgets\";s:4:\"slug\";s:7:\"widgets\";s:5:\"count\";s:3:\"849\";}s:5:\"email\";a:3:{s:4:\"name\";s:5:\"email\";s:4:\"slug\";s:5:\"email\";s:5:\"count\";s:3:\"844\";}s:5:\"pages\";a:3:{s:4:\"name\";s:5:\"pages\";s:4:\"slug\";s:5:\"pages\";s:5:\"count\";s:3:\"838\";}s:3:\"rss\";a:3:{s:4:\"name\";s:3:\"rss\";s:4:\"slug\";s:3:\"rss\";s:5:\"count\";s:3:\"806\";}s:6:\"jquery\";a:3:{s:4:\"name\";s:6:\"jquery\";s:4:\"slug\";s:6:\"jquery\";s:5:\"count\";s:3:\"798\";}s:5:\"media\";a:3:{s:4:\"name\";s:5:\"media\";s:4:\"slug\";s:5:\"media\";s:5:\"count\";s:3:\"747\";}s:5:\"video\";a:3:{s:4:\"name\";s:5:\"video\";s:4:\"slug\";s:5:\"video\";s:5:\"count\";s:3:\"710\";}s:4:\"ajax\";a:3:{s:4:\"name\";s:4:\"AJAX\";s:4:\"slug\";s:4:\"ajax\";s:5:\"count\";s:3:\"709\";}s:10:\"javascript\";a:3:{s:4:\"name\";s:10:\"javascript\";s:4:\"slug\";s:10:\"javascript\";s:5:\"count\";s:3:\"673\";}s:7:\"content\";a:3:{s:4:\"name\";s:7:\"content\";s:4:\"slug\";s:7:\"content\";s:5:\"count\";s:3:\"663\";}s:5:\"login\";a:3:{s:4:\"name\";s:5:\"login\";s:4:\"slug\";s:5:\"login\";s:5:\"count\";s:3:\"631\";}s:5:\"photo\";a:3:{s:4:\"name\";s:5:\"photo\";s:4:\"slug\";s:5:\"photo\";s:5:\"count\";s:3:\"626\";}s:10:\"buddypress\";a:3:{s:4:\"name\";s:10:\"buddypress\";s:4:\"slug\";s:10:\"buddypress\";s:5:\"count\";s:3:\"623\";}s:4:\"feed\";a:3:{s:4:\"name\";s:4:\"feed\";s:4:\"slug\";s:4:\"feed\";s:5:\"count\";s:3:\"619\";}s:4:\"link\";a:3:{s:4:\"name\";s:4:\"link\";s:4:\"slug\";s:4:\"link\";s:5:\"count\";s:3:\"613\";}s:6:\"photos\";a:3:{s:4:\"name\";s:6:\"photos\";s:4:\"slug\";s:6:\"photos\";s:5:\"count\";s:3:\"600\";}s:11:\"woocommerce\";a:3:{s:4:\"name\";s:11:\"woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:5:\"count\";s:3:\"572\";}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"youtube\";s:4:\"slug\";s:7:\"youtube\";s:5:\"count\";s:3:\"564\";}s:8:\"category\";a:3:{s:4:\"name\";s:8:\"category\";s:4:\"slug\";s:8:\"category\";s:5:\"count\";s:3:\"561\";}s:4:\"spam\";a:3:{s:4:\"name\";s:4:\"spam\";s:4:\"slug\";s:4:\"spam\";s:5:\"count\";s:3:\"554\";}s:5:\"share\";a:3:{s:4:\"name\";s:5:\"Share\";s:4:\"slug\";s:5:\"share\";s:5:\"count\";s:3:\"553\";}}", "yes");
INSERT INTO `wp_options` VALUES("1332", "duplicator_settings", "a:9:{s:7:\"version\";s:5:\"0.5.8\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:16:\"uninstall_tables\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:0;s:22:\"package_mysqldump_path\";s:0:\"\";s:17:\"package_zip_flush\";b:0;s:20:\"storage_htaccess_off\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("1333", "duplicator_version_plugin", "0.5.8", "yes");
INSERT INTO `wp_options` VALUES("1334", "_site_transient_update_plugins", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1414434200;s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:15:{s:37:\"admin-in-english/admin-in-english.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:4:\"8062\";s:4:\"slug\";s:16:\"admin-in-english\";s:6:\"plugin\";s:37:\"admin-in-english/admin-in-english.php\";s:11:\"new_version\";s:5:\"1.2.1\";s:3:\"url\";s:47:\"https://wordpress.org/plugins/admin-in-english/\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/plugin/admin-in-english.1.2.1.zip\";}s:30:\"advanced-custom-fields/acf.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:5:\"21367\";s:4:\"slug\";s:22:\"advanced-custom-fields\";s:6:\"plugin\";s:30:\"advanced-custom-fields/acf.php\";s:11:\"new_version\";s:5:\"4.3.9\";s:3:\"url\";s:53:\"https://wordpress.org/plugins/advanced-custom-fields/\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/plugin/advanced-custom-fields.zip\";}s:39:\"categories-images/categories-images.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:5:\"32132\";s:4:\"slug\";s:17:\"categories-images\";s:6:\"plugin\";s:39:\"categories-images/categories-images.php\";s:11:\"new_version\";s:5:\"2.4.2\";s:3:\"url\";s:48:\"https://wordpress.org/plugins/categories-images/\";s:7:\"package\";s:66:\"https://downloads.wordpress.org/plugin/categories-images.2.4.2.zip\";}s:43:\"custom-post-type-ui/custom-post-type-ui.php\";O:8:\"stdClass\":7:{s:2:\"id\";s:5:\"13183\";s:4:\"slug\";s:19:\"custom-post-type-ui\";s:6:\"plugin\";s:43:\"custom-post-type-ui/custom-post-type-ui.php\";s:11:\"new_version\";s:5:\"0.8.4\";s:14:\"upgrade_notice\";s:119:\"Fix issue with get code and post types/taxonomies that use a dash instead of underscore. Props Evan Mullins/circlecube.\";s:3:\"url\";s:50:\"https://wordpress.org/plugins/custom-post-type-ui/\";s:7:\"package\";s:68:\"https://downloads.wordpress.org/plugin/custom-post-type-ui.0.8.4.zip\";}s:33:\"duplicate-post/duplicate-post.php\";O:8:\"stdClass\":7:{s:2:\"id\";s:4:\"1295\";s:4:\"slug\";s:14:\"duplicate-post\";s:6:\"plugin\";s:33:\"duplicate-post/duplicate-post.php\";s:11:\"new_version\";s:3:\"2.6\";s:14:\"upgrade_notice\";s:90:\"PHP 5.4 (Strict Standards) compatible + Fixed possible XSS and SQL injections + other bugs\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/duplicate-post/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/duplicate-post.2.6.zip\";}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:5:\"22600\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:5:\"0.5.8\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/plugin/duplicator.0.5.8.zip\";}s:31:\"easy-fancybox/easy-fancybox.php\";O:8:\"stdClass\":7:{s:2:\"id\";s:5:\"16614\";s:4:\"slug\";s:13:\"easy-fancybox\";s:6:\"plugin\";s:31:\"easy-fancybox/easy-fancybox.php\";s:11:\"new_version\";s:5:\"1.5.6\";s:14:\"upgrade_notice\";s:15:\"Bugfix release.\";s:3:\"url\";s:44:\"https://wordpress.org/plugins/easy-fancybox/\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/plugin/easy-fancybox.1.5.6.zip\";}s:55:\"easy-foundation-shortcodes/osc_foundation_shortcode.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:5:\"45173\";s:4:\"slug\";s:26:\"easy-foundation-shortcodes\";s:6:\"plugin\";s:55:\"easy-foundation-shortcodes/osc_foundation_shortcode.php\";s:11:\"new_version\";s:5:\"2.5.0\";s:3:\"url\";s:57:\"https://wordpress.org/plugins/easy-foundation-shortcodes/\";s:7:\"package\";s:73:\"https://downloads.wordpress.org/plugin/easy-foundation-shortcodes.2.0.zip\";}s:59:\"list-custom-taxonomy-widget/list-custom-taxonomy-widget.php\";O:8:\"stdClass\":7:{s:2:\"id\";s:5:\"33935\";s:4:\"slug\";s:27:\"list-custom-taxonomy-widget\";s:6:\"plugin\";s:59:\"list-custom-taxonomy-widget/list-custom-taxonomy-widget.php\";s:11:\"new_version\";s:3:\"3.3\";s:14:\"upgrade_notice\";s:34:\"Bugfix: dropdowns should work now.\";s:3:\"url\";s:58:\"https://wordpress.org/plugins/list-custom-taxonomy-widget/\";s:7:\"package\";s:74:\"https://downloads.wordpress.org/plugin/list-custom-taxonomy-widget.3.3.zip\";}s:43:\"new-user-email-set-up/newuseremailsetup.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:4:\"1127\";s:4:\"slug\";s:21:\"new-user-email-set-up\";s:6:\"plugin\";s:43:\"new-user-email-set-up/newuseremailsetup.php\";s:11:\"new_version\";s:5:\"0.5.2\";s:3:\"url\";s:52:\"https://wordpress.org/plugins/new-user-email-set-up/\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/plugin/new-user-email-set-up.zip\";}s:61:\"no-right-click-images-plugin/no-right-click-images-plugin.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:5:\"15653\";s:4:\"slug\";s:28:\"no-right-click-images-plugin\";s:6:\"plugin\";s:61:\"no-right-click-images-plugin/no-right-click-images-plugin.php\";s:11:\"new_version\";s:3:\"2.5\";s:3:\"url\";s:59:\"https://wordpress.org/plugins/no-right-click-images-plugin/\";s:7:\"package\";s:75:\"https://downloads.wordpress.org/plugin/no-right-click-images-plugin.2.5.zip\";}s:47:\"regenerate-thumbnails/regenerate-thumbnails.php\";O:8:\"stdClass\":7:{s:2:\"id\";s:4:\"4437\";s:4:\"slug\";s:21:\"regenerate-thumbnails\";s:6:\"plugin\";s:47:\"regenerate-thumbnails/regenerate-thumbnails.php\";s:11:\"new_version\";s:5:\"2.2.4\";s:14:\"upgrade_notice\";s:124:\"Better AJAX response error handling in the JavaScript. This should fix a long-standing bug in this plugin. Props Hew Sutton.\";s:3:\"url\";s:52:\"https://wordpress.org/plugins/regenerate-thumbnails/\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/plugin/regenerate-thumbnails.zip\";}s:40:\"tag-list-widget/taxonomy-list-widget.php\";O:8:\"stdClass\":7:{s:2:\"id\";s:5:\"12322\";s:4:\"slug\";s:15:\"tag-list-widget\";s:6:\"plugin\";s:40:\"tag-list-widget/taxonomy-list-widget.php\";s:11:\"new_version\";s:5:\"1.1.2\";s:14:\"upgrade_notice\";s:132:\"Corrects a problem in WordPress 3.3 and higher that resulted in an empty taxonomy dropdown. Also removes all uses of PHP short tags.\";s:3:\"url\";s:46:\"https://wordpress.org/plugins/tag-list-widget/\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/plugin/tag-list-widget.1.1.2.zip\";}s:29:\"wp-mail-smtp/wp_mail_smtp.php\";O:8:\"stdClass\":7:{s:2:\"id\";s:3:\"951\";s:4:\"slug\";s:12:\"wp-mail-smtp\";s:6:\"plugin\";s:29:\"wp-mail-smtp/wp_mail_smtp.php\";s:11:\"new_version\";s:5:\"0.9.5\";s:14:\"upgrade_notice\";s:38:\"Minor security fix, hat tip JD Grimes.\";s:3:\"url\";s:43:\"https://wordpress.org/plugins/wp-mail-smtp/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/wp-mail-smtp.0.9.5.zip\";}s:35:\"wp-approve-user/wp-approve-user.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:5:\"28851\";s:4:\"slug\";s:15:\"wp-approve-user\";s:6:\"plugin\";s:35:\"wp-approve-user/wp-approve-user.php\";s:11:\"new_version\";s:5:\"2.4.0\";s:3:\"url\";s:46:\"https://wordpress.org/plugins/wp-approve-user/\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/plugin/wp-approve-user.2.4.0.zip\";}}}", "yes");
INSERT INTO `wp_options` VALUES("1335", "duplicator_ui_view_state", "a:1:{s:14:\"dup-wpnotice01\";b:1;}", "yes");
INSERT INTO `wp_options` VALUES("1336", "duplicator_package_active", "O:11:\"DUP_Package\":16:{s:2:\"ID\";N;s:4:\"Name\";s:22:\"20141025_pascalinegrue\";s:4:\"Hash\";s:29:\"544e8d9db7cf07183141027182325\";s:8:\"NameHash\";s:52:\"20141025_pascalinegrue_544e8d9db7cf07183141027182325\";s:7:\"Version\";s:5:\"0.5.8\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:77:\"/home/www/client/www/CPT011/krooga.net/clients/pascalinegrue/wp-snapshots/tmp\";s:8:\"StoreURL\";s:53:\"http://krooga.net/clients/pascalinegrue/wp-snapshots/\";s:8:\"ScanFile\";s:62:\"20141025_pascalinegrue_544e8d9db7cf07183141027182325_scan.json\";s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":17:{s:10:\"FilterDirs\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:60:\"/home/www/client/www/CPT011/krooga.net/clients/pascalinegrue\";s:4:\"Size\";i:0;s:12:\"WarnFileSize\";a:0:{}s:12:\"WarnFileName\";a:0:{}s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:5:\"Links\";a:0:{}s:8:\"OmitDirs\";a:0:{}s:9:\"OmitFiles\";a:0:{}s:10:\"\0*\0Package\";O:11:\"DUP_Package\":16:{s:2:\"ID\";N;s:4:\"Name\";s:22:\"20141025_pascalinegrue\";s:4:\"Hash\";s:29:\"544e8d9db7cf07183141027182325\";s:8:\"NameHash\";s:52:\"20141025_pascalinegrue_544e8d9db7cf07183141027182325\";s:7:\"Version\";s:5:\"0.5.8\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:77:\"/home/www/client/www/CPT011/krooga.net/clients/pascalinegrue/wp-snapshots/tmp\";s:8:\"StoreURL\";s:53:\"http://krooga.net/clients/pascalinegrue/wp-snapshots/\";s:8:\"ScanFile\";N;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";r:15;s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSSLAdmin\";i:0;s:12:\"OptsSSLLogin\";i:0;s:11:\"OptsCacheWP\";i:0;s:13:\"OptsCachePath\";i:0;s:10:\"OptsURLNew\";s:0:\"\";s:10:\"\0*\0Package\";r:30;}s:8:\"Database\";O:12:\"DUP_Database\":9:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"\0*\0Package\";r:30;s:25:\"\0DUP_Database\0dbStorePath\";N;}}s:28:\"\0DUP_Archive\0filterDirsArray\";a:0:{}s:28:\"\0DUP_Archive\0filterExtsArray\";a:0:{}}s:9:\"Installer\";r:45;s:8:\"Database\";r:57;}", "yes");
INSERT INTO `wp_options` VALUES("1354", "_transient_timeout_plugin_slugs", "1414520601", "no");
INSERT INTO `wp_options` VALUES("1355", "_transient_plugin_slugs", "a:17:{i:0;s:37:\"admin-in-english/admin-in-english.php\";i:1;s:30:\"advanced-custom-fields/acf.php\";i:2;s:29:\"acf-repeater/acf-repeater.php\";i:3;s:53:\"acf-wordpress-wysiwyg-field-master/acf-wp_wysiwyg.php\";i:4;s:39:\"categories-images/categories-images.php\";i:5;s:43:\"custom-post-type-ui/custom-post-type-ui.php\";i:6;s:33:\"duplicate-post/duplicate-post.php\";i:7;s:25:\"duplicator/duplicator.php\";i:8;s:31:\"easy-fancybox/easy-fancybox.php\";i:9;s:55:\"easy-foundation-shortcodes/osc_foundation_shortcode.php\";i:10;s:59:\"list-custom-taxonomy-widget/list-custom-taxonomy-widget.php\";i:11;s:43:\"new-user-email-set-up/newuseremailsetup.php\";i:12;s:61:\"no-right-click-images-plugin/no-right-click-images-plugin.php\";i:13;s:47:\"regenerate-thumbnails/regenerate-thumbnails.php\";i:14;s:40:\"tag-list-widget/taxonomy-list-widget.php\";i:15;s:29:\"wp-mail-smtp/wp_mail_smtp.php\";i:16;s:35:\"wp-approve-user/wp-approve-user.php\";}", "no");
INSERT INTO `wp_options` VALUES("1367", "_site_transient_timeout_theme_roots", "1414420956", "yes");
INSERT INTO `wp_options` VALUES("1368", "_site_transient_theme_roots", "a:2:{s:17:\"foundation-simple\";s:7:\"/themes\";s:14:\"twentyfourteen\";s:7:\"/themes\";}", "yes");
INSERT INTO `wp_options` VALUES("1369", "_transient_timeout_feed_ac0b00fe65abe10e0c5b588f3ed8c7ca", "1414476483", "no");
INSERT INTO `wp_options` VALUES("1370", "_transient_feed_ac0b00fe65abe10e0c5b588f3ed8c7ca", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:51:\"\n	\n	\n	\n	\n	\n	\n		\n		\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 24 Oct 2014 20:59:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"http://wordpress.org/?v=4.1-alpha-30037\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:45:\"\n		\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"Watch WordCamp San Francisco Livestream\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://wordpress.org/news/2014/10/wcsf-livestream/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"https://wordpress.org/news/2014/10/wcsf-livestream/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 24 Oct 2014 20:18:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"WordCamp\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=3341\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:381:\"WordCamp San Francisco is the official annual WordPress conference, gathering the community every year since 2006. This is the time when Matt Mullenweg addresses the community in his annual State of the Word presentation – a recap of  the year in WordPress and giving us a glimpse into its future. This year the speaker lineup is stellar. There will be talks by [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Nikolay Bachiyski\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1975:\"<p><a title=\"2014 edition\" href=\"http://2014.sf.wordcamp.org\">WordCamp San Francisco</a> is the official annual WordPress conference, gathering the community every year <a title=\"An old website for a WordPress long time ago\" href=\"http://2006.sf.wordcamp.org\">since 2006</a>. This is the time when Matt Mullenweg addresses the community in his annual <a href=\"http://wordpress.tv/?s=state+of+the+word\">State of the Word</a> presentation – a recap of  the year in WordPress and giving us a glimpse into its future.</p>\n<p>This year the speaker lineup is stellar. There will be talks by three of the lead WordPress developers: <a href=\"http://2014.sf.wordcamp.org/speakers/#wcorg-speaker-andrew-nacin\">Andrew Nacin</a>, <a href=\"http://2014.sf.wordcamp.org/speakers/#wcorg-speaker-helen-hou-sandi\">Helen Hou-Sandí</a>, and <a href=\"http://2014.sf.wordcamp.org/speakers/#wcorg-speaker-mark-jaquith\">Mark Jaquith</a>. We’re also looking forward to speakers like <a href=\"http://2014.sf.wordcamp.org/speakers/#wcorg-speaker-jenny-lawson\">Jenny Lawson</a>, also known as The Bloggess, and <a href=\"http://2014.sf.wordcamp.org/speaker/chris-lema/\">Chris Lema</a>. If you’re at all interested in the web, you will appreciate the appearance of <a href=\"http://2014.sf.wordcamp.org/speakers/#wcorg-speaker-jeff-veen\">Jeff Veen</a> – one of the creators of Google Analytics and co-founder of Typekit.</p>\n<p>Even though San Francisco is far far away for most of you, you can still be part of the fun and watch all presentations in real-time via livestream:</p>\n<p><a href=\"http://2014.sf.wordcamp.org/tickets/\">Get a livestream ticket and watch all talks from WordCamp San Francisco live</a></p>\n<p>If you hurry, you can get one of the special livestream tickets, including a WordCamp San Francisco 2104 t-shirt. You can find all the technical details and start times <a href=\"http://2014.sf.wordcamp.org/live-stream/\">at the WordCamp San Francisco website</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2014/10/wcsf-livestream/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"WordPress 4.0 “Benny”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"https://wordpress.org/news/2014/09/benny/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://wordpress.org/news/2014/09/benny/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 04 Sep 2014 17:05:39 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=3296\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:370:\"Version 4.0 of WordPress, named “Benny” in honor of jazz clarinetist and bandleader Benny Goodman, is available for download or update in your WordPress dashboard. While 4.0 is just another number for us after 3.9 and before 4.1, we feel we&#8217;ve put a little extra polish into it. This release brings you a smoother writing and management experience [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:23569:\"<p>Version 4.0 of WordPress, named “Benny” in honor of jazz clarinetist and bandleader <a href=\"http://en.wikipedia.org/wiki/Benny_Goodman\">Benny Goodman</a>, is available <a href=\"https://wordpress.org/download/\">for download</a> or update in your WordPress dashboard. While 4.0 is just another number for us after 3.9 and before 4.1, we feel we&#8217;ve put a little extra polish into it. This release brings you a smoother writing and management experience we think you&#8217;ll enjoy.</p>\n<div id=\"v-bUdzKMro-1\" class=\"video-player\"><embed id=\"v-bUdzKMro-1-video\" src=\"https://v0.wordpress.com/player.swf?v=1.03&amp;guid=bUdzKMro&amp;isDynamicSeeking=true\" type=\"application/x-shockwave-flash\" width=\"692\" height=\"388\" title=\"Introducing WordPress 4.0 &quot;Benny&quot;\" wmode=\"direct\" seamlesstabbing=\"true\" allowfullscreen=\"true\" allowscriptaccess=\"always\" overstretch=\"true\"></embed></div>\n<hr />\n<h2 style=\"text-align: center\">Manage your media with style</h2>\n<p><img class=\"alignnone size-full wp-image-3316\" src=\"https://wordpress.org/news/files/2014/09/media.jpg\" alt=\"Media Library\" width=\"1000\" height=\"586\" />Explore your uploads in a beautiful, endless grid. A new details preview makes viewing and editing any amount of media in sequence a snap.</p>\n<hr />\n<h2 style=\"text-align: center\">Working with embeds has never been easier</h2>\n<div style=\"width: 632px; height: 445px; \" class=\"wp-video\"><!--[if lt IE 9]><script>document.createElement(\'video\');</script><![endif]-->\n<video class=\"wp-video-shortcode\" id=\"video-3296-1\" width=\"632\" height=\"445\" autoplay=\"true\" preload=\"metadata\" controls=\"controls\"><source type=\"video/mp4\" src=\"//s.w.org/images/core/4.0/embed.mp4?_=1\" /><source type=\"video/webm\" src=\"//s.w.org/images/core/4.0/embed.webm?_=1\" /><source type=\"video/ogg\" src=\"//s.w.org/images/core/4.0/embed.ogv?_=1\" /><a href=\"//s.w.org/images/core/4.0/embed.mp4\">//s.w.org/images/core/4.0/embed.mp4</a></video></div>\n<p>Paste in a YouTube URL on a new line, and watch it magically become an embedded video. Now try it with a tweet. Oh yeah — embedding has become a visual experience. The editor shows a true preview of your embedded content, saving you time and giving you confidence.</p>\n<p>We’ve expanded the services supported by default, too — you can embed videos from CollegeHumor, playlists from YouTube, and talks from TED. <a href=\"https://codex.wordpress.org/Embeds\">Check out all of the embeds</a> that WordPress supports.</p>\n<hr />\n<h2 style=\"text-align: center\">Focus on your content</h2>\n<div style=\"width: 632px; height: 356px; \" class=\"wp-video\"><video class=\"wp-video-shortcode\" id=\"video-3296-2\" width=\"632\" height=\"356\" autoplay=\"true\" preload=\"metadata\" controls=\"controls\"><source type=\"video/mp4\" src=\"//s.w.org/images/core/4.0/focus.mp4?_=2\" /><source type=\"video/webm\" src=\"//s.w.org/images/core/4.0/focus.webm?_=2\" /><source type=\"video/ogg\" src=\"//s.w.org/images/core/4.0/focus.ogv?_=2\" /><a href=\"//s.w.org/images/core/4.0/focus.mp4\">//s.w.org/images/core/4.0/focus.mp4</a></video></div>\n<p>Writing and editing is smoother and more immersive with an editor that expands to fit your content as you write, and keeps the formatting tools available at all times.</p>\n<hr />\n<h2 style=\"text-align: center\">Finding the right plugin</h2>\n<p><img class=\"aligncenter size-large wp-image-3309\" src=\"https://wordpress.org/news/files/2014/09/add-plugin1-1024x600.png\" alt=\"Add plugins\" width=\"692\" height=\"405\" /></p>\n<p>There are more than 30,000 free and open source plugins in the WordPress plugin directory. WordPress 4.0 makes it easier to find the right one for your needs, with new metrics, improved search, and a more visual browsing experience.</p>\n<hr />\n<h2 style=\"text-align: center\">The Ensemble</h2>\n<p>This release was led by <a href=\"http://helenhousandi.com\">Helen Hou-Sandí</a>, with the help of these fine individuals. There are 275 contributors with props in this release, a new high. Pull up some Benny Goodman on your music service of choice, as a bandleader or in one of his turns as a classical clarinetist, and check out some of their profiles:</p>\n<p><a href=\"https://profiles.wordpress.org/aaroncampbell\">Aaron D. Campbell</a>, <a href=\"https://profiles.wordpress.org/jorbin\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/adamsilverstein\">Adam Silverstein</a>, <a href=\"https://profiles.wordpress.org/viper007bond\">Alex Mills (Viper007Bond)</a>, <a href=\"https://profiles.wordpress.org/tellyworth\">Alex Shiels</a>, <a href=\"https://profiles.wordpress.org/alexanderrohmann\">Alexander Rohmann</a>, <a href=\"https://profiles.wordpress.org/aliso\">Alison Barrett</a>, <a href=\"https://profiles.wordpress.org/collinsinternet\">Allan Collins</a>, <a href=\"https://profiles.wordpress.org/amit\">Amit Gupta</a>, <a href=\"https://profiles.wordpress.org/sabreuse\">Amy Hendrix (sabreuse)</a>, <a href=\"https://profiles.wordpress.org/afercia\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/andrezrv\">Andres Villarreal</a>, <a href=\"https://profiles.wordpress.org/zamfeer\">Andrew Mowe</a>, <a href=\"https://profiles.wordpress.org/sumobi\">Andrew Munro (sumobi)</a>, <a href=\"https://profiles.wordpress.org/nacin\">Andrew Nacin</a>, <a href=\"https://profiles.wordpress.org/azaozz\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/andy\">Andy Skelton</a>, <a href=\"https://profiles.wordpress.org/ankit-k-gupta\">Ankit K Gupta</a>, <a href=\"https://profiles.wordpress.org/atimmer\">Anton Timmermans</a>, <a href=\"https://profiles.wordpress.org/arnee\">arnee</a>, <a href=\"https://profiles.wordpress.org/aubreypwd\">Aubrey Portwood</a>, <a href=\"https://profiles.wordpress.org/filosofo\">Austin Matzko</a>, <a href=\"https://profiles.wordpress.org/empireoflight\">Ben Dunkle</a>, <a href=\"https://profiles.wordpress.org/kau-boy\">Bernhard Kau</a>, <a href=\"https://profiles.wordpress.org/boonebgorges\">Boone Gorges</a>, <a href=\"https://profiles.wordpress.org/bradyvercher\">Brady Vercher</a>, <a href=\"https://profiles.wordpress.org/bramd\">Bram Duvigneau</a>, <a href=\"https://profiles.wordpress.org/kraftbj\">Brandon Kraft</a>, <a href=\"https://profiles.wordpress.org/brianlayman\">Brian Layman</a>, <a href=\"https://profiles.wordpress.org/rzen\">Brian Richards</a>, <a href=\"https://profiles.wordpress.org/camdensegal\">Camden Segal</a>, <a href=\"https://profiles.wordpress.org/sixhours\">Caroline Moore</a>, <a href=\"https://profiles.wordpress.org/mackensen\">Charles Fulton</a>, <a href=\"https://profiles.wordpress.org/chouby\">Chouby</a>, <a href=\"https://profiles.wordpress.org/chrico\">ChriCo</a>, <a href=\"https://profiles.wordpress.org/c3mdigital\">Chris Olbekson</a>, <a href=\"https://profiles.wordpress.org/chrisl27\">chrisl27</a>, <a href=\"https://profiles.wordpress.org/caxelsson\">Christian Axelsson</a>, <a href=\"https://profiles.wordpress.org/cfinke\">Christopher Finke</a>, <a href=\"https://profiles.wordpress.org/boda1982\">Christopher Spires</a>, <a href=\"https://profiles.wordpress.org/clifgriffin\">Clifton Griffin</a>, <a href=\"https://profiles.wordpress.org/jupiterwise\">Corey McKrill</a>, <a href=\"https://profiles.wordpress.org/corphi\">Corphi</a>, <a href=\"https://profiles.wordpress.org/extendwings\">Daisuke Takahashi</a>, <a href=\"https://profiles.wordpress.org/ghost1227\">Dan Griffiths</a>, <a href=\"https://profiles.wordpress.org/danielbachhuber\">Daniel Bachhuber</a>, <a href=\"https://profiles.wordpress.org/danielhuesken\">Daniel Husken</a>, <a href=\"https://profiles.wordpress.org/redsweater\">Daniel Jalkut (Red Sweater)</a>, <a href=\"https://profiles.wordpress.org/dannydehaan\">Danny de Haan</a>, <a href=\"https://profiles.wordpress.org/dkotter\">Darin Kotter</a>, <a href=\"https://profiles.wordpress.org/koop\">Daryl Koopersmith</a>, <a href=\"https://profiles.wordpress.org/dllh\">Daryl L. L. Houston (dllh)</a>, <a href=\"https://profiles.wordpress.org/davidakennedy\">David A. Kennedy</a>, <a href=\"https://profiles.wordpress.org/dlh\">David Herrera</a>, <a href=\"https://profiles.wordpress.org/dnaber-de\">David Naber</a>, <a href=\"https://profiles.wordpress.org/davidthemachine\">DavidTheMachine</a>, <a href=\"https://profiles.wordpress.org/debaat\">DeBAAT</a>, <a href=\"https://profiles.wordpress.org/dd32\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/ocean90\">Dominik Schilling</a>, <a href=\"https://profiles.wordpress.org/donncha\">Donncha O Caoimh</a>, <a href=\"https://profiles.wordpress.org/drewapicture\">Drew Jaynes</a>, <a href=\"https://profiles.wordpress.org/dustyn\">Dustyn Doyle</a>, <a href=\"https://profiles.wordpress.org/eddiemoya\">Eddie Moya</a>, <a href=\"https://profiles.wordpress.org/oso96_2000\">Eduardo Reveles</a>, <a href=\"https://profiles.wordpress.org/edwin-at-studiojoyocom\">Edwin Siebel</a>, <a href=\"https://profiles.wordpress.org/ehg\">ehg</a>, <a href=\"https://profiles.wordpress.org/tmeister\">Enrique Chavez</a>, <a href=\"https://profiles.wordpress.org/erayalakese\">erayalakese</a>, <a href=\"https://profiles.wordpress.org/ericlewis\">Eric Andrew Lewis</a>, <a href=\"https://profiles.wordpress.org/ebinnion\">Eric Binnion</a>, <a href=\"https://profiles.wordpress.org/ericmann\">Eric Mann</a>, <a href=\"https://profiles.wordpress.org/ejdanderson\">Evan Anderson</a>, <a href=\"https://profiles.wordpress.org/eherman24\">Evan Herman</a>, <a href=\"https://profiles.wordpress.org/fab1en\">Fab1en</a>, <a href=\"https://profiles.wordpress.org/fahmiadib\">Fahmi Adib</a>, <a href=\"https://profiles.wordpress.org/feedmeastraycat\">feedmeastraycat</a>, <a href=\"https://profiles.wordpress.org/frank-klein\">Frank Klein</a>, <a href=\"https://profiles.wordpress.org/garhdez\">garhdez</a>, <a href=\"https://profiles.wordpress.org/garyc40\">Gary Cao</a>, <a href=\"https://profiles.wordpress.org/garyj\">Gary Jones</a>, <a href=\"https://profiles.wordpress.org/pento\">Gary Pendergast</a>, <a href=\"https://profiles.wordpress.org/garza\">garza</a>, <a href=\"https://profiles.wordpress.org/gauravmittal1995\">gauravmittal1995</a>, <a href=\"https://profiles.wordpress.org/gavra\">Gavrisimo</a>, <a href=\"https://profiles.wordpress.org/georgestephanis\">George Stephanis</a>, <a href=\"https://profiles.wordpress.org/grahamarmfield\">Graham Armfield</a>, <a href=\"https://profiles.wordpress.org/vancoder\">Grant Mangham</a>, <a href=\"https://profiles.wordpress.org/gcorne\">Gregory Cornelius</a>, <a href=\"https://profiles.wordpress.org/bordoni\">Gustavo Bordoni</a>, <a href=\"https://profiles.wordpress.org/harrym\">harrym</a>, <a href=\"https://profiles.wordpress.org/hebbet\">hebbet</a>, <a href=\"https://profiles.wordpress.org/hinnerk\">Hinnerk Altenburg</a>, <a href=\"https://profiles.wordpress.org/hlashbrooke\">Hugh Lashbrooke</a>, <a href=\"https://profiles.wordpress.org/iljoja\">iljoja</a>, <a href=\"https://profiles.wordpress.org/imath\">imath</a>, <a href=\"https://profiles.wordpress.org/ipstenu\">Ipstenu (Mika Epstein)</a>, <a href=\"https://profiles.wordpress.org/issuu\">issuu</a>, <a href=\"https://profiles.wordpress.org/jdgrimes\">J.D. Grimes</a>, <a href=\"https://profiles.wordpress.org/jacklenox\">Jack Lenox</a>, <a href=\"https://profiles.wordpress.org/jackreichert\">Jack Reichert</a>, <a href=\"https://profiles.wordpress.org/jacobdubail\">Jacob Dubail</a>, <a href=\"https://profiles.wordpress.org/janhenkg\">JanHenkG</a>, <a href=\"https://profiles.wordpress.org/avryl\">Janneke Van Dorpe</a>, <a href=\"https://profiles.wordpress.org/jwenerd\">Jared Wenerd</a>, <a href=\"https://profiles.wordpress.org/jaza613\">Jaza613</a>, <a href=\"https://profiles.wordpress.org/jeffstieler\">Jeff Stieler</a>, <a href=\"https://profiles.wordpress.org/jeremyfelt\">Jeremy Felt</a>, <a href=\"https://profiles.wordpress.org/jpry\">Jeremy Pry</a>, <a href=\"https://profiles.wordpress.org/slimndap\">Jeroen Schmit</a>, <a href=\"https://profiles.wordpress.org/jerrysarcastic\">Jerry Bates (jerrysarcastic)</a>, <a href=\"https://profiles.wordpress.org/jesin\">Jesin A</a>, <a href=\"https://profiles.wordpress.org/jayjdk\">Jesper Johansen (jayjdk)</a>, <a href=\"https://profiles.wordpress.org/engelen\">Jesper van Engelen</a>, <a href=\"https://profiles.wordpress.org/jesper800\">Jesper van Engelen</a>, <a href=\"https://profiles.wordpress.org/jessepollak\">Jesse Pollak</a>, <a href=\"https://profiles.wordpress.org/jgadbois\">jgadbois</a>, <a href=\"https://profiles.wordpress.org/jartes\">Joan Artes</a>, <a href=\"https://profiles.wordpress.org/joedolson\">Joe Dolson</a>, <a href=\"https://profiles.wordpress.org/joehoyle\">Joe Hoyle</a>, <a href=\"https://profiles.wordpress.org/jkudish\">Joey Kudish</a>, <a href=\"https://profiles.wordpress.org/johnbillion\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/johnjamesjacoby\">John James Jacoby</a>, <a href=\"https://profiles.wordpress.org/johnzanussi\">John Zanussi</a>, <a href=\"https://profiles.wordpress.org/duck_\">Jon Cave</a>, <a href=\"https://profiles.wordpress.org/jonnyauk\">jonnyauk</a>, <a href=\"https://profiles.wordpress.org/joostdevalk\">Joost de Valk</a>, <a href=\"https://profiles.wordpress.org/softmodeling\">Jordi Cabot</a>, <a href=\"https://profiles.wordpress.org/jjeaton\">Josh Eaton</a>, <a href=\"https://profiles.wordpress.org/tai\">JOTAKI Taisuke</a>, <a href=\"https://profiles.wordpress.org/juliobox\">Julio Potier</a>, <a href=\"https://profiles.wordpress.org/justinsainton\">Justin Sainton</a>, <a href=\"https://profiles.wordpress.org/jtsternberg\">Justin Sternberg</a>, <a href=\"https://profiles.wordpress.org/greenshady\">Justin Tadlock</a>, <a href=\"https://profiles.wordpress.org/kadamwhite\">K.Adam White</a>, <a href=\"https://profiles.wordpress.org/trepmal\">Kailey (trepmal)</a>, <a href=\"https://profiles.wordpress.org/ixkaito\">Kaito</a>, <a href=\"https://profiles.wordpress.org/kapeels\">kapeels</a>, <a href=\"https://profiles.wordpress.org/ryelle\">Kelly Dwan</a>, <a href=\"https://profiles.wordpress.org/kevinlangleyjr\">Kevin Langley</a>, <a href=\"https://profiles.wordpress.org/kworthington\">Kevin Worthington</a>, <a href=\"https://profiles.wordpress.org/kpdesign\">Kim Parsell</a>, <a href=\"https://profiles.wordpress.org/kwight\">Kirk Wight</a>, <a href=\"https://profiles.wordpress.org/kitchin\">kitchin</a>, <a href=\"https://profiles.wordpress.org/knutsp\">Knut Sparhell</a>, <a href=\"https://profiles.wordpress.org/kovshenin\">Konstantin Kovshenin</a>, <a href=\"https://profiles.wordpress.org/obenland\">Konstantin Obenland</a>, <a href=\"https://profiles.wordpress.org/krogsgard\">krogsgard</a>, <a href=\"https://profiles.wordpress.org/kurtpayne\">Kurt Payne</a>, <a href=\"https://profiles.wordpress.org/lancewillett\">Lance Willett</a>, <a href=\"https://profiles.wordpress.org/leewillis77\">Lee Willis</a>, <a href=\"https://profiles.wordpress.org/lessbloat\">lessbloat</a>, <a href=\"https://profiles.wordpress.org/layotte\">Lew Ayotte</a>, <a href=\"https://profiles.wordpress.org/lritter\">lritter</a>, <a href=\"https://profiles.wordpress.org/lukecarbis\">Luke Carbis</a>, <a href=\"https://profiles.wordpress.org/lgedeon\">Luke Gedeon</a>, <a href=\"https://profiles.wordpress.org/m_i_n\">m_i_n</a>, <a href=\"https://profiles.wordpress.org/funkatronic\">Manny Fleurmond</a>, <a href=\"https://profiles.wordpress.org/targz-1\">Manuel Schmalstieg</a>, <a href=\"https://profiles.wordpress.org/clorith\">Marius (Clorith)</a>, <a href=\"https://profiles.wordpress.org/markjaquith\">Mark Jaquith</a>, <a href=\"https://profiles.wordpress.org/markoheijnen\">Marko Heijnen</a>, <a href=\"https://profiles.wordpress.org/mjbanks\">Matt Banks</a>, <a href=\"https://profiles.wordpress.org/sivel\">Matt Martz</a>, <a href=\"https://profiles.wordpress.org/matt\">Matt Mullenweg</a>, <a href=\"https://profiles.wordpress.org/mattwiebe\">Matt Wiebe</a>, <a href=\"https://profiles.wordpress.org/mboynes\">Matthew Boynes</a>, <a href=\"https://profiles.wordpress.org/mdbitz\">Matthew Denton</a>, <a href=\"https://profiles.wordpress.org/mattheweppelsheimer\">Matthew Eppelsheimer</a>, <a href=\"https://profiles.wordpress.org/mattheu\">Matthew Haines-Young</a>, <a href=\"https://profiles.wordpress.org/mattyrob\">mattyrob</a>, <a href=\"https://profiles.wordpress.org/meekyhwang\">meekyhwang</a>, <a href=\"https://profiles.wordpress.org/melchoyce\">Mel Choyce</a>, <a href=\"https://profiles.wordpress.org/midxcat\">mi_cat</a>, <a href=\"https://profiles.wordpress.org/mdawaffe\">Michael Adams (mdawaffe)</a>, <a href=\"https://profiles.wordpress.org/michalzuber\">michalzuber</a>, <a href=\"https://profiles.wordpress.org/mauteri\">Mike Auteri</a>, <a href=\"https://profiles.wordpress.org/mikehansenme\">Mike Hansen</a>, <a href=\"https://profiles.wordpress.org/mikejolley\">Mike Jolley</a>, <a href=\"https://profiles.wordpress.org/mikelittle\">Mike Little</a>, <a href=\"https://profiles.wordpress.org/mikemanger\">Mike Manger</a>, <a href=\"https://profiles.wordpress.org/mnelson4\">Mike Nelson</a>, <a href=\"https://profiles.wordpress.org/dh-shredder\">Mike Schroder</a>, <a href=\"https://profiles.wordpress.org/mikeyarce\">Mikey Arce</a>, <a href=\"https://profiles.wordpress.org/dimadin\">Milan Dinic</a>, <a href=\"https://profiles.wordpress.org/morganestes\">Morgan Estes</a>, <a href=\"https://profiles.wordpress.org/usermrpapa\">Mr Papa</a>, <a href=\"https://profiles.wordpress.org/mrmist\">mrmist</a>, <a href=\"https://profiles.wordpress.org/m_uysl\">Mustafa Uysal</a>, <a href=\"https://profiles.wordpress.org/muvimotv\">MuViMoTV</a>, <a href=\"https://profiles.wordpress.org/nabil_kadimi\">nabil_kadimi</a>, <a href=\"https://profiles.wordpress.org/namibia\">Namibia</a>, <a href=\"https://profiles.wordpress.org/alex-ye\">Nashwan Doaqan</a>, <a href=\"https://profiles.wordpress.org/nd987\">nd987</a>, <a href=\"https://profiles.wordpress.org/neil_pie\">Neil Pie</a>, <a href=\"https://profiles.wordpress.org/niallkennedy\">Niall Kennedy</a>, <a href=\"https://profiles.wordpress.org/celloexpressions\">Nick Halsey</a>, <a href=\"https://profiles.wordpress.org/nbachiyski\">Nikolay Bachiyski</a>, <a href=\"https://profiles.wordpress.org/schoenwaldnils\">Nils Schonwald</a>, <a href=\"https://profiles.wordpress.org/ninos-ego\">Ninos</a>, <a href=\"https://profiles.wordpress.org/nvwd\">Nowell VanHoesen</a>, <a href=\"https://profiles.wordpress.org/compute\">Patrick Hesselberg</a>, <a href=\"https://profiles.wordpress.org/pbearne\">Paul Bearne</a>, <a href=\"https://profiles.wordpress.org/pdclark\">Paul Clark</a>, <a href=\"https://profiles.wordpress.org/paulschreiber\">Paul Schreiber</a>, <a href=\"https://profiles.wordpress.org/paulwilde\">Paul Wilde</a>, <a href=\"https://profiles.wordpress.org/pavelevap\">pavelevap</a>, <a href=\"https://profiles.wordpress.org/westi\">Peter Westwood</a>, <a href=\"https://profiles.wordpress.org/philiparthurmoore\">Philip Arthur Moore</a>, <a href=\"https://profiles.wordpress.org/philipjohn\">Philip John</a>, <a href=\"https://profiles.wordpress.org/senlin\">Piet</a>, <a href=\"https://profiles.wordpress.org/psoluch\">Piotr Soluch</a>, <a href=\"https://profiles.wordpress.org/mordauk\">Pippin Williamson</a>, <a href=\"https://profiles.wordpress.org/purzlbaum\">purzlbaum</a>, <a href=\"https://profiles.wordpress.org/rachelbaker\">Rachel Baker</a>, <a href=\"https://profiles.wordpress.org/rclations\">RC Lations</a>, <a href=\"https://profiles.wordpress.org/iamfriendly\">Richard Tape</a>, <a href=\"https://profiles.wordpress.org/rickalee\">Ricky Lee Whittemore</a>, <a href=\"https://profiles.wordpress.org/rob1n\">rob1n</a>, <a href=\"https://profiles.wordpress.org/miqrogroove\">Robert Chapin</a>, <a href=\"https://profiles.wordpress.org/rdall\">Robert Dall</a>, <a href=\"https://profiles.wordpress.org/harmr\">RobertHarm</a>, <a href=\"https://profiles.wordpress.org/rohan013\">Rohan Rawat</a>, <a href=\"https://profiles.wordpress.org/rhurling\">Rouven Hurling</a>, <a href=\"https://profiles.wordpress.org/ruudjoyo\">Ruud Laan</a>, <a href=\"https://profiles.wordpress.org/ryan\">Ryan Boren</a>, <a href=\"https://profiles.wordpress.org/rmccue\">Ryan McCue</a>, <a href=\"https://profiles.wordpress.org/sammybeats\">Sam Brodie</a>, <a href=\"https://profiles.wordpress.org/otto42\">Samuel Wood (Otto)</a>, <a href=\"https://profiles.wordpress.org/sathishn\">Sathish Nagarajan</a>, <a href=\"https://profiles.wordpress.org/coffee2code\">Scott Reilly</a>, <a href=\"https://profiles.wordpress.org/wonderboymusic\">Scott Taylor</a>, <a href=\"https://profiles.wordpress.org/greglone\">ScreenfeedFr</a>, <a href=\"https://profiles.wordpress.org/scribu\">scribu</a>, <a href=\"https://profiles.wordpress.org/seanchayes\">Sean Hayes</a>, <a href=\"https://profiles.wordpress.org/nessworthy\">Sean Nessworthy</a>, <a href=\"https://profiles.wordpress.org/sergejmueller\">Sergej Muller</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/shanebp\">shanebp</a>, <a href=\"https://profiles.wordpress.org/sharonaustin\">Sharon Austin</a>, <a href=\"https://profiles.wordpress.org/shaunandrews\">Shaun Andrews</a>, <a href=\"https://profiles.wordpress.org/simonwheatley\">Simon Wheatley</a>, <a href=\"https://profiles.wordpress.org/simonp303\">simonp303</a>, <a href=\"https://profiles.wordpress.org/slobodanmanic\">Slobodan Manic</a>, <a href=\"https://profiles.wordpress.org/solarissmoke\">solarissmoke</a>, <a href=\"https://profiles.wordpress.org/sphoid\">sphoid</a>, <a href=\"https://profiles.wordpress.org/stephdau\">Stephane Daury</a>, <a href=\"https://profiles.wordpress.org/netweb\">Stephen Edgar</a>, <a href=\"https://profiles.wordpress.org/stompweb\">Steven Jones</a>, <a href=\"https://profiles.wordpress.org/strangerstudios\">strangerstudios</a>, <a href=\"https://profiles.wordpress.org/5um17\">Sumit Singh</a>, <a href=\"https://profiles.wordpress.org/t4k1s\">t4k1s</a>, <a href=\"https://profiles.wordpress.org/iamtakashi\">Takashi Irie</a>, <a href=\"https://profiles.wordpress.org/taylorde\">Taylor Dewey</a>, <a href=\"https://profiles.wordpress.org/thomasvanderbeek\">Thomas van der Beek</a>, <a href=\"https://profiles.wordpress.org/tillkruess\">Till</a>, <a href=\"https://profiles.wordpress.org/codenameeli\">Tim \'Eli\' Dalbey</a>, <a href=\"https://profiles.wordpress.org/tobiasbg\">TobiasBg</a>, <a href=\"https://profiles.wordpress.org/tjnowell\">Tom J Nowell</a>, <a href=\"https://profiles.wordpress.org/willmot\">Tom Willmot</a>, <a href=\"https://profiles.wordpress.org/topher1kenobe\">Topher</a>, <a href=\"https://profiles.wordpress.org/torresga\">torresga</a>, <a href=\"https://profiles.wordpress.org/liljimmi\">Tracy Levesque</a>, <a href=\"https://profiles.wordpress.org/wpsmith\">Travis Smith</a>, <a href=\"https://profiles.wordpress.org/treyhunner\">treyhunner</a>, <a href=\"https://profiles.wordpress.org/umeshsingla\">Umesh Kumar</a>, <a href=\"https://profiles.wordpress.org/vinod-dalvi\">Vinod Dalvi</a>, <a href=\"https://profiles.wordpress.org/vlajos\">vlajos</a>, <a href=\"https://profiles.wordpress.org/voldemortensen\">voldemortensen</a>, <a href=\"https://profiles.wordpress.org/westonruter\">Weston Ruter</a>, <a href=\"https://profiles.wordpress.org/winterdev\">winterDev</a>, <a href=\"https://profiles.wordpress.org/wojtekszkutnik\">Wojtek Szkutnik</a>, <a href=\"https://profiles.wordpress.org/yoavf\">Yoav Farhi</a>, <a href=\"https://profiles.wordpress.org/katzwebdesign\">Zack Katz</a>, <a href=\"https://profiles.wordpress.org/tollmanz\">Zack Tollman</a>, and <a href=\"https://profiles.wordpress.org/zoerooney\">Zoe Rooney</a>. Also thanks to <a href=\"http://michaelpick.wordpress.com/\">Michael Pick</a> for producing the release video, and Helen with <a href=\"http://adriansandi.com\">Adrián Sandí</a> for the music.</p>\n<p>If you want to follow along or help out, check out <a href=\"https://make.wordpress.org/\">Make WordPress</a> and our <a href=\"https://make.wordpress.org/core/\">core development blog</a>. Thanks for choosing WordPress. See you soon for version 4.1!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://wordpress.org/news/2014/09/benny/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:45:\"\n		\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"WordPress 4.0 Release Candidate\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wordpress.org/news/2014/08/wordpress-4-0-release-candidate/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://wordpress.org/news/2014/08/wordpress-4-0-release-candidate/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 27 Aug 2014 12:20:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=3287\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:321:\"The first release candidate for WordPress 4.0 is now available! In RC 1, we’ve made refinements to what we&#8217;ve been working on for this release. Check out the Beta 1 announcement post for more details on those features. We hope to ship WordPress 4.0 next week, but we need your help to get there. If you [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Helen Hou-Sandi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2134:\"<p>The first release candidate for WordPress 4.0 is now available!</p>\n<p>In RC 1, we’ve made refinements to what we&#8217;ve been working on for this release. Check out the <a href=\"https://wordpress.org/news/2014/07/wordpress-4-0-beta-1/\">Beta 1 announcement post</a> for more details on those features. We hope to ship WordPress 4.0 <em>next week</em>, but we need your help to get there. If you haven’t tested 4.0 yet, there’s no time like the present. (Please, not on a production site, unless you’re adventurous.)</p>\n<p><strong>Think you’ve found a bug? </strong>Please post to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area in the support forums</a>. If any known issues come up, you’ll be able to <a href=\"https://core.trac.wordpress.org/report/5\">find them here</a>.</p>\n<p>To test WordPress 4.0 RC1, try the <a href=\"https://wordpress.org/extend/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (you’ll want “bleeding edge nightlies”). Or you can <a href=\"https://wordpress.org/wordpress-4.0-RC1.zip\">download the release candidate here</a> (zip). If you’d like to learn more about what’s new in WordPress 4.0, visit the awesome About screen in your dashboard (<strong><img src=\"https://i0.wp.com/core.svn.wordpress.org/branches/3.6/wp-content/themes/twentyten/images/wordpress.png?w=692\" alt=\"\" width=\"16\" height=\"16\" /> → About</strong> in the toolbar).</p>\n<p><strong>Developers,</strong> please test your plugins and themes against WordPress 4.0 and update your plugin&#8217;s <em>Tested up to</em> version in the readme to 4.0 before next week. If you find compatibility problems, please be sure to post any issues to the support forums so we can figure those out before the final release. You also may want to <a href=\"https://make.wordpress.org/core/2014/08/21/introducing-plugin-icons-in-the-plugin-installer/\">give your plugin an icon</a>, which we launched last week and will appear in the dashboard along with banners.</p>\n<p><em>It is almost time</em><br />\n<em> For the 4.0 release</em><br />\n<em> And its awesomeness</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wordpress.org/news/2014/08/wordpress-4-0-release-candidate/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:45:\"\n		\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 4.0 Beta 4\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2014/08/wordpress-4-0-beta-4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://wordpress.org/news/2014/08/wordpress-4-0-beta-4/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 15 Aug 2014 05:06:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=3280\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:353:\"The fourth and likely final beta for WordPress 4.0 is now available. We&#8217;ve made more than 250 changes in the past month, including: Further improvements to the editor scrolling experience, especially when it comes to the second column of boxes. Better handling of small screens in the media library modals. A separate bulk selection mode [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Helen Hou-Sandi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2003:\"<p>The fourth and likely final beta for WordPress 4.0 is now available. We&#8217;ve made <a href=\"https://core.trac.wordpress.org/log?rev=29496&amp;stop_rev=29229&amp;limit=300\">more than 250 changes</a> in the past month, including:</p>\n<ul>\n<li>Further improvements to the editor scrolling experience, especially when it comes to the second column of boxes.</li>\n<li>Better handling of small screens in the media library modals.</li>\n<li>A separate bulk selection mode for the media library grid view.</li>\n<li>Improvements to the installation language selector.</li>\n<li>Visual tweaks to plugin details and customizer panels.</li>\n</ul>\n<p><strong>We need your help</strong>. We’re still aiming for a release this month, which means the next week will be critical for identifying and squashing bugs. If you’re just joining us, please see <a href=\"https://wordpress.org/news/2014/07/wordpress-4-0-beta-1/\">the Beta 1 announcement post</a> for what to look out for.</p>\n<p><strong>If you think you’ve found a bug</strong>, you can post to the <a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a> in the support forums, where friendly moderators are standing by. <b>Plugin developers</b><strong>,</strong> if you haven’t tested WordPress 4.0 yet, now is the time — and be sure to update the “tested up to” version for your plugins so they’re listed as compatible with 4.0.</p>\n<p><strong>This software is still in development,</strong> so we don’t recommend you run it on a production site. Consider setting up a test site just to play with the new version. To test WordPress 4.0, try the <a href=\"https://wordpress.org/extend/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (you’ll want “bleeding edge nightlies”). Or you can <a href=\"https://wordpress.org/wordpress-4.0-beta4.zip\">download the beta here</a> (zip).</p>\n<p><em>We are working hard</em><br />\n<em>To finish up 4.0<br />\n</em><em>Will you help us too?</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"https://wordpress.org/news/2014/08/wordpress-4-0-beta-4/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:45:\"\n		\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"WordPress 3.9.2 Security Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://wordpress.org/news/2014/08/wordpress-3-9-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"https://wordpress.org/news/2014/08/wordpress-3-9-2/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 06 Aug 2014 19:04:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=3269\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:377:\"WordPress 3.9.2 is now available as a security release for all previous versions. We strongly encourage you to update your sites immediately. This release fixes a possible denial of service issue in PHP&#8217;s XML processing, reported by Nir Goldshlager of the Salesforce.com Product Security Team. It  was fixed by Michael Adams and Andrew Nacin of the WordPress [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Andrew Nacin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2353:\"<p>WordPress 3.9.2 is now available as a security release for all previous versions. We strongly encourage you to update your sites immediately.</p>\n<p>This release fixes a possible denial of service issue in PHP&#8217;s XML processing, reported by <a href=\"https://twitter.com/nirgoldshlager\">Nir Goldshlager</a> of the Salesforce.com Product Security Team. It  was fixed by Michael Adams and Andrew Nacin of the WordPress security team and David Rothstein of the <a href=\"https://www.drupal.org/SA-CORE-2014-004\">Drupal security team</a>. This is the first time our two projects have coordinated joint security releases.</p>\n<p>WordPress 3.9.2 also contains other security changes:</p>\n<ul>\n<li>Fixes a possible but unlikely code execution when processing widgets (WordPress is not affected by default), discovered by <a href=\"http://www.buayacorp.com/\">Alex Concha</a> of the WordPress security team.</li>\n<li>Prevents information disclosure via XML entity attacks in the external GetID3 library, reported by <a href=\"http://onsec.ru/en/\">Ivan Novikov</a> of ONSec.</li>\n<li>Adds protections against brute attacks against CSRF tokens, reported by <a href=\"http://systemoverlord.com/\">David Tomaschik</a> of the Google Security Team.</li>\n<li>Contains some additional security hardening, like preventing cross-site scripting that could be triggered only by administrators.</li>\n</ul>\n<p>We appreciated responsible disclosure of these issues directly to our security team. For more information, see the <a href=\"https://codex.wordpress.org/Version_3.9.2\">release notes</a> or consult the <a href=\"https://core.trac.wordpress.org/log/branches/3.9?stop_rev=29383&amp;rev=29411\">list of changes</a>.</p>\n<p><a href=\"https://wordpress.org/download/\">Download WordPress 3.9.2</a> or venture over to <strong>Dashboard → Updates</strong> and simply click &#8220;Update Now&#8221;.</p>\n<p>Sites that support automatic background updates will be updated to WordPress 3.9.2 within 12 hours. (If you are still on WordPress 3.8.3 or 3.7.3, you will also be updated to 3.8.4 or 3.7.4. We don&#8217;t support older versions, so please update to 3.9.2 for the latest and greatest.)</p>\n<p>Already testing WordPress 4.0? The third beta is <a href=\"https://wordpress.org/wordpress-4.0-beta3.zip\">now available</a> (zip) and it contains these security fixes.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2014/08/wordpress-3-9-2/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:45:\"\n		\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 4.0 Beta 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2014/07/wordpress-4-0-beta-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://wordpress.org/news/2014/07/wordpress-4-0-beta-2/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 18 Jul 2014 21:15:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=3261\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:374:\"WordPress 4.0 Beta 2 is now available for download and testing. This is software still in development, so we don’t recommend that you run it on a production site. To get the beta, try the WordPress Beta Tester plugin (you’ll want “bleeding edge nightlies”). Or you can download the beta here (zip). For more of what’s new in version 4.0, check out [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Helen Hou-Sandi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1745:\"<p>WordPress 4.0 Beta 2 is now available for download and testing. This is software still in development, so we don’t recommend that you run it on a production site. To get the beta, try the <a href=\"https://wordpress.org/extend/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (you’ll want “bleeding edge nightlies”). Or you can <a href=\"https://wordpress.org/wordpress-4.0-beta2.zip\">download the beta here</a> (zip).</p>\n<p>For more of what’s new in version 4.0, <a href=\"https://wordpress.org/news/2014/07/wordpress-4-0-beta-1/\">check out the Beta 1 blog post</a>. Some of the changes in Beta 2 include:</p>\n<ul>\n<li>Further refinements for the the plugin installation and media library experiences.</li>\n<li>Updated TinyMCE, which now includes better indentation for lists and the restoration of the color picker.</li>\n<li>Cookies are now tied to a session internally, so if you have trouble logging in, <a href=\"https://core.trac.wordpress.org/ticket/20276\">#20276</a> may be the culprit.</li>\n<li>Various bug fixes (there were <a href=\"https://core.trac.wordpress.org/log?rev=29228&amp;stop_rev=29060&amp;limit=200\">nearly 170 changes</a> since last week).</li>\n</ul>\n<p>If you think you’ve found a bug, you can post to the <a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a> in the support forums. Or, if you’re comfortable writing a bug report, <a href=\"https://core.trac.wordpress.org/\">file one on the WordPress Trac</a>. There, you can also find <a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a> and <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;group=component&amp;milestone=4.0\">everything we’ve fixed</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"https://wordpress.org/news/2014/07/wordpress-4-0-beta-2/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:45:\"\n		\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 4.0 Beta 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2014/07/wordpress-4-0-beta-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://wordpress.org/news/2014/07/wordpress-4-0-beta-1/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Jul 2014 10:17:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=3248\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:329:\"WordPress 4.0 Beta 1 is now available! This software is still in development, so we don’t recommend you run it on a production site. Consider setting up a test site just to play with the new version. To test WordPress 4.0, try the WordPress Beta Tester plugin (you’ll want “bleeding edge nightlies”). Or you can [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Helen Hou-Sandi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4031:\"<p>WordPress 4.0 Beta 1 is now available!</p>\n<p><strong>This software is still in development,</strong> so we don’t recommend you run it on a production site. Consider setting up a test site just to play with the new version. To test WordPress 4.0, try the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (you’ll want “bleeding edge nightlies”). Or you can <a href=\"https://wordpress.org/wordpress-4.0-beta1.zip\">download the beta here</a> (zip).</p>\n<p>4.0 is due out next month, but to get there, we need your help testing what we&#8217;ve been working on:</p>\n<ul>\n<li><strong>Previews of <a href=\"https://codex.wordpress.org/Embeds\">embedding via URLs</a></strong> in the visual editor and the &#8220;Insert from URL&#8221; tab in the media modal. Try pasting a URL (such as a <a href=\"http://wordpress.tv/\">WordPress.tv</a> or YouTube video) onto its own line in the visual editor. (<a href=\"https://core.trac.wordpress.org/ticket/28195\">#28195</a>, <a href=\"https://core.trac.wordpress.org/ticket/15490\">#15490</a>)</li>\n<li>The <strong>Media Library</strong> now has a &#8220;grid&#8221; view in addition to the existing list view. Clicking on an item takes you into a modal where you can see a larger preview and edit information about that attachment, and you can navigate between items right from the modal without closing it. (<a href=\"https://core.trac.wordpress.org/ticket/24716\">#24716</a>)</li>\n<li>We&#8217;re freshening up the <strong>plugin install experience</strong>. You&#8217;ll see some early visual changes as well as more information when searching for plugins and viewing details. (<a href=\"https://core.trac.wordpress.org/ticket/28785\">#28785</a>, <a href=\"https://core.trac.wordpress.org/ticket/27440\">#27440</a>)</li>\n<li><strong>Selecting a language</strong> when you run the installation process. (<a href=\"https://core.trac.wordpress.org/ticket/28577\">#28577</a>)</li>\n<li>The <strong>editor</strong> intelligently resizes and its top and bottom bars pin when needed. Browsers don&#8217;t like to agree on where to put things like cursors, so if you find a bug here, please also let us know your browser and operating system. (<a href=\"https://core.trac.wordpress.org/ticket/28328\">#28328</a>)</li>\n<li>We&#8217;ve made some improvements to how your keyboard and cursor interact with <strong>TinyMCE views</strong> such as the gallery preview. Much like the editor resizing and scrolling improvements, knowing about your setup is particularly important for bug reports here. (<a href=\"https://core.trac.wordpress.org/ticket/28595\">#28595</a>)</li>\n<li><strong>Widgets in the Customizer</strong> are now loaded in a separate panel. (<a href=\"https://core.trac.wordpress.org/ticket/27406\">#27406</a>)</li>\n<li>We&#8217;ve also made some changes to some <strong>formatting</strong> functions, so if you see quotes curling in the wrong direction, please file a bug report.</li>\n</ul>\n<p><strong>If you think you’ve found a bug</strong>, you can post to the <a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a> in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report, <a href=\"https://make.wordpress.org/core/reports/\">file one on the WordPress Trac</a>. There, you can also find <a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a> and <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;group=component&amp;milestone=4.0\">everything we’ve fixed</a> so far.</p>\n<p><strong>Developers:</strong> Never fear, we haven&#8217;t forgotten you. There&#8217;s plenty for you, too &#8211; more on that in upcoming posts. In the meantime, check out the <a href=\"https://make.wordpress.org/core/2014/07/08/customizer-improvements-in-4-0/#customizer-panels\">API for panels in the Customizer</a>.</p>\n<p>Happy testing!</p>\n<p><em>Plugins, editor</em><br />\n<em>Media, things in between</em><br />\n<em>Please help look for bugs</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"https://wordpress.org/news/2014/07/wordpress-4-0-beta-1/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"WordPress 3.9.1 Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://wordpress.org/news/2014/05/wordpress-3-9-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"https://wordpress.org/news/2014/05/wordpress-3-9-1/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 08 May 2014 18:40:58 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=3241\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:385:\"After three weeks and more than 9 million downloads of WordPress 3.9, we&#8217;re pleased to announce that WordPress 3.9.1 is now available. This maintenance release fixes 34 bugs in 3.9, including numerous fixes for multisite networks, customizing widgets while previewing themes, and the updated visual editor. We&#8217;ve also made some improvements to the new audio/video [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Andrew Nacin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3106:\"<p>After three weeks and more than 9 million downloads of <a title=\"WordPress 3.9 “Smith”\" href=\"https://wordpress.org/news/2014/04/smith/\">WordPress 3.9</a>, we&#8217;re pleased to announce that WordPress 3.9.1 is now available.</p>\n<p>This maintenance release fixes 34 bugs in 3.9, including numerous fixes for multisite networks, customizing widgets while previewing themes, and the updated visual editor. We&#8217;ve also made some improvements to the new audio/video playlists feature and made some adjustments to improve performance. For a full list of changes, consult the <a href=\"https://core.trac.wordpress.org/query?milestone=3.9.1\">list of tickets</a> and the <a href=\"https://core.trac.wordpress.org/log/branches/3.9?rev=28353&amp;stop_rev=28154\">changelog</a>.</p>\n<p>If you are one of the millions already running WordPress 3.9, we&#8217;ve started rolling out automatic background updates for 3.9.1. For sites <a href=\"https://wordpress.org/plugins/background-update-tester/\">that support them</a>, of course.</p>\n<p><a href=\"https://wordpress.org/download/\">Download WordPress 3.9.1</a> or venture over to <strong>Dashboard → Updates</strong> and simply click &#8220;Update Now.&#8221;</p>\n<p>Thanks to all of these fine individuals for contributing to 3.9.1: <a href=\"https://profiles.wordpress.org/jorbin\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/nacin\">Andrew Nacin</a>, <a href=\"https://profiles.wordpress.org/azaozz\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/rzen\">Brian Richards</a>, <a href=\"https://profiles.wordpress.org/ehg\">Chris Blower</a>, <a href=\"https://profiles.wordpress.org/jupiterwise\">Corey McKrill</a>, <a href=\"https://profiles.wordpress.org/danielbachhuber\">Daniel Bachhuber</a>, <a href=\"https://profiles.wordpress.org/ocean90\">Dominik Schilling</a>, <a href=\"https://profiles.wordpress.org/feedmeastraycat\">feedmeastraycat</a>, <a href=\"https://profiles.wordpress.org/gcorne\">Gregory Cornelius</a>, <a href=\"https://profiles.wordpress.org/helen\">Helen Hou-Sandi</a>, <a href=\"https://profiles.wordpress.org/imath\">imath</a>, <a href=\"https://profiles.wordpress.org/avryl\">Janneke Van Dorpe</a>, <a href=\"https://profiles.wordpress.org/jeremyfelt\">Jeremy Felt</a>, <a href=\"https://profiles.wordpress.org/johnbillion\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/obenland\">Konstantin Obenland</a>, <a href=\"https://profiles.wordpress.org/lancewillett\">Lance Willett</a>, <a href=\"https://profiles.wordpress.org/m_i_n\">m_i_n</a>, <a href=\"https://profiles.wordpress.org/clorith\">Marius Jensen</a>, <a href=\"https://profiles.wordpress.org/markjaquith\">Mark Jaquith</a>, <a href=\"https://profiles.wordpress.org/dimadin\">Milan Dinić</a>, <a href=\"https://profiles.wordpress.org/celloexpressions\">Nick Halsey</a>, <a href=\"https://profiles.wordpress.org/pavelevap\">pavelevap</a>, <a href=\"https://profiles.wordpress.org/wonderboymusic\">Scott Taylor</a>, <a href=\"https://profiles.wordpress.org/SergeyBiryukov\">Sergey Biryukov</a>, and <a href=\"https://profiles.wordpress.org/westonruter\">Weston Ruter</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2014/05/wordpress-3-9-1/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"WordPress 3.9 “Smith”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"https://wordpress.org/news/2014/04/smith/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://wordpress.org/news/2014/04/smith/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 16 Apr 2014 18:33:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=3154\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:411:\"Version 3.9 of WordPress, named &#8220;Smith&#8221; in honor of jazz organist Jimmy Smith, is available for download or update in your WordPress dashboard. This release features a number of refinements that we hope you&#8217;ll love. A smoother media editing experience Improved visual editing The updated visual editor has improved speed, accessibility, and mobile support. You can paste into the [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:23571:\"<p>Version 3.9 of WordPress, named &#8220;Smith&#8221; in honor of jazz organist <a href=\"http://en.wikipedia.org/wiki/Jimmy_Smith_(musician)\">Jimmy Smith</a>, is available <a href=\"https://wordpress.org/download/\">for download</a> or update in your WordPress dashboard. This release features a number of refinements that we hope you&#8217;ll love.</p>\n<div id=\"v-sAiXhCfV-1\" class=\"video-player\"><embed id=\"v-sAiXhCfV-1-video\" src=\"https://v0.wordpress.com/player.swf?v=1.03&amp;guid=sAiXhCfV&amp;isDynamicSeeking=true\" type=\"application/x-shockwave-flash\" width=\"692\" height=\"388\" wmode=\"direct\" seamlesstabbing=\"true\" allowfullscreen=\"true\" allowscriptaccess=\"always\" overstretch=\"true\"></embed></div>\n<h2 class=\"about-headline-callout\" style=\"text-align: center\">A smoother media editing experience</h2>\n<div>\n<p><img class=\"alignright wp-image-3168\" src=\"//wordpress.org/news/files/2014/04/editor1-300x233.jpg\" alt=\"editor\" width=\"228\" height=\"177\" /></p>\n<h3>Improved visual editing</h3>\n<p>The updated visual editor has improved speed, accessibility, and mobile support. You can paste into the visual editor from your word processor without wasting time to clean up messy styling. (Yeah, we’re talking about you, Microsoft Word.)</p>\n</div>\n<div style=\"clear: both\"></div>\n<div>\n<p><img class=\"alignright wp-image-3170\" src=\"//wordpress.org/news/files/2014/04/image1-300x233.jpg\" alt=\"image\" width=\"228\" height=\"178\" /></p>\n<h3>Edit images easily</h3>\n<p>With quicker access to crop and rotation tools, it’s now much easier to edit your images while editing posts. You can also scale images directly in the editor to find just the right fit.</p>\n</div>\n<div style=\"clear: both\"></div>\n<div>\n<p><img class=\"alignright wp-image-3187\" src=\"//wordpress.org/news/files/2014/04/dragdrop1-300x233.jpg\" alt=\"dragdrop\" width=\"228\" height=\"178\" /></p>\n<h3>Drag and drop your images</h3>\n<p>Uploading your images is easier than ever. Just grab them from your desktop and drop them in the editor.</p>\n</div>\n<div style=\"clear: both\"></div>\n<hr />\n<h2 style=\"text-align: center\">Gallery previews</h2>\n<p><img class=\"aligncenter size-full wp-image-3169\" src=\"//wordpress.org/news/files/2014/04/gallery1.jpg\" alt=\"gallery\" width=\"980\" height=\"550\" /></p>\n<p>Galleries display a beautiful grid of images right in the editor, just like they do in your published post.</p>\n<hr />\n<h2 style=\"text-align: center\">Do more with audio and video</h2>\n\n<a href=\'https://wordpress.org/news/files/2014/04/AintMisbehavin.mp3\'>Ain\'t Misbehavin\'</a>\n<a href=\'https://wordpress.org/news/files/2014/04/DavenportBlues.mp3\'>Davenport Blues</a>\n<a href=\'https://wordpress.org/news/files/2014/04/JellyRollMorton-BuddyBoldensBlues.mp3\'>Buddy Bolden\'s Blues</a>\n<a href=\'https://wordpress.org/news/files/2014/04/Johnny_Hodges_Orchestra-Squaty_Roo-1941.mp3\'>Squaty Roo</a>\n<a href=\'https://wordpress.org/news/files/2014/04/Louisiana_Five-Dixie_Blues-1919.mp3\'>Dixie Blues</a>\n<a href=\'https://wordpress.org/news/files/2014/04/WolverineBlues.mp3\'>Wolverine Blues</a>\n\n<p>Images have galleries; now we’ve added simple audio and video playlists, so you can showcase your music and clips.</p>\n<hr />\n<h2 style=\"text-align: center\">Live widget and header previews</h2>\n<div style=\"width: 692px; height: 448px; \" class=\"wp-video\"><video class=\"wp-video-shortcode\" id=\"video-3154-3\" width=\"692\" height=\"448\" preload=\"metadata\" controls=\"controls\"><source type=\"video/mp4\" src=\"//wordpress.org/news/files/2014/04/widgets.mp4?_=3\" /><a href=\"//wordpress.org/news/files/2014/04/widgets.mp4\">//wordpress.org/news/files/2014/04/widgets.mp4</a></video></div>\n<p>Add, edit, and rearrange your site’s widgets right in the theme customizer. No “save and surprise” — preview your changes live and only save them when you’re ready.</p>\n<p>The improved header image tool also lets you upload, crop, and manage headers while customizing your theme.</p>\n<hr />\n<h2 style=\"text-align: center\">Stunning new theme browser</h2>\n<p><img class=\"aligncenter size-full wp-image-3172\" src=\"//wordpress.org/news/files/2014/04/theme1.jpg\" alt=\"theme\" width=\"1003\" height=\"558\" /><br />\nLooking for a new theme should be easy and fun. Lose yourself in the boundless supply of free WordPress.org themes with the beautiful new theme browser.</p>\n<hr />\n<h2 style=\"text-align: center\">The Crew</h2>\n<p>This release was led by <a href=\"http://nacin.com/\">Andrew Nacin</a> and <a href=\"http://www.getsource.net/\">Mike Schroder</a>, with the help of these fine individuals. There are 267 contributors with props in this release, a new high:</p>\n<p><a href=\"https://profiles.wordpress.org/aaroncampbell\">Aaron D. Campbell</a>, <a href=\"https://profiles.wordpress.org/jorbin\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/kawauso\">Adam Harley (Kawauso)</a>, <a href=\"https://profiles.wordpress.org/adamsilverstein\">Adam Silverstein</a>, <a href=\"https://profiles.wordpress.org/adelval\">adelval</a>, <a href=\"https://profiles.wordpress.org/ajay\">Ajay</a>, <a href=\"https://profiles.wordpress.org/akeda\">Akeda Bagus</a>, <a href=\"https://profiles.wordpress.org/xknown\">Alex Concha</a>, <a href=\"https://profiles.wordpress.org/tellyworth\">Alex Shiels</a>, <a href=\"https://profiles.wordpress.org/aliso\">Alison Barrett</a>, <a href=\"https://profiles.wordpress.org/collinsinternet\">Allan Collins</a>, <a href=\"https://profiles.wordpress.org/sabreuse\">Amy Hendrix (sabreuse)</a>, <a href=\"https://profiles.wordpress.org/afercia\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/nacin\">Andrew Nacin</a>, <a href=\"https://profiles.wordpress.org/norcross\">Andrew Norcross</a>, <a href=\"https://profiles.wordpress.org/azaozz\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/rarst\">Andrey \"Rarst\" Savchenko</a>, <a href=\"https://profiles.wordpress.org/andykeith\">Andy Keith</a>, <a href=\"https://profiles.wordpress.org/andy\">Andy Skelton</a>, <a href=\"https://profiles.wordpress.org/atimmer\">Anton Timmermans</a>, <a href=\"https://profiles.wordpress.org/aubreypwd\">Aubrey Portwood</a>, <a href=\"https://profiles.wordpress.org/barry\">Barry</a>, <a href=\"https://profiles.wordpress.org/toszcze\">Bartosz Romanowski</a>, <a href=\"https://profiles.wordpress.org/bassgang\">bassgang</a>, <a href=\"https://profiles.wordpress.org/bcworkz\">bcworkz</a>, <a href=\"https://profiles.wordpress.org/empireoflight\">Ben Dunkle</a>, <a href=\"https://profiles.wordpress.org/neoxx\">Bernhard Riedl</a>, <a href=\"https://profiles.wordpress.org/bigdawggi\">bigdawggi</a>, <a href=\"https://profiles.wordpress.org/bobbravo2\">Bob Gregor</a>, <a href=\"https://profiles.wordpress.org/bobbingwide\">bobbingwide</a>, <a href=\"https://profiles.wordpress.org/bradt\">Brad Touesnard</a>, <a href=\"https://profiles.wordpress.org/bradparbs\">bradparbs</a>, <a href=\"https://profiles.wordpress.org/bramd\">Bram Duvigneau</a>, <a href=\"https://profiles.wordpress.org/kraftbj\">Brandon Kraft</a>, <a href=\"https://profiles.wordpress.org/brasofilo\">brasofilo</a>, <a href=\"https://profiles.wordpress.org/bravokeyl\">bravokeyl</a>, <a href=\"https://profiles.wordpress.org/bpetty\">Bryan Petty</a>, <a href=\"https://profiles.wordpress.org/cgaffga\">cgaffga</a>, <a href=\"https://profiles.wordpress.org/chiragswadia\">Chirag Swadia</a>, <a href=\"https://profiles.wordpress.org/chouby\">Chouby</a>, <a href=\"https://profiles.wordpress.org/ehg\">Chris Blower</a>, <a href=\"https://profiles.wordpress.org/cmmarslender\">Chris Marslender</a>, <a href=\"https://profiles.wordpress.org/c3mdigital\">Chris Olbekson</a>, <a href=\"https://profiles.wordpress.org/chrisscott\">Chris Scott</a>, <a href=\"https://profiles.wordpress.org/chriseverson\">chriseverson</a>, <a href=\"https://profiles.wordpress.org/chrisguitarguy\">chrisguitarguy</a>, <a href=\"https://profiles.wordpress.org/cfinke\">Christopher Finke</a>, <a href=\"https://profiles.wordpress.org/ciantic\">ciantic</a>, <a href=\"https://profiles.wordpress.org/antorome\">Comparativa de Bancos</a>, <a href=\"https://profiles.wordpress.org/cojennin\">Connor Jennings</a>, <a href=\"https://profiles.wordpress.org/corvannoorloos\">Cor van Noorloos</a>, <a href=\"https://profiles.wordpress.org/corphi\">Corphi</a>, <a href=\"https://profiles.wordpress.org/cramdesign\">cramdesign</a>, <a href=\"https://profiles.wordpress.org/danielbachhuber\">Daniel Bachhuber</a>, <a href=\"https://profiles.wordpress.org/redsweater\">Daniel Jalkut (Red Sweater)</a>, <a href=\"https://profiles.wordpress.org/dannydehaan\">Danny de Haan</a>, <a href=\"https://profiles.wordpress.org/koop\">Daryl Koopersmith</a>, <a href=\"https://profiles.wordpress.org/eightface\">Dave Kellam (eightface)</a>, <a href=\"https://profiles.wordpress.org/dpe415\">DaveE</a>, <a href=\"https://profiles.wordpress.org/davidakennedy\">David A. Kennedy</a>, <a href=\"https://profiles.wordpress.org/davidanderson\">David Anderson</a>, <a href=\"https://profiles.wordpress.org/davidmarichal\">David Marichal</a>, <a href=\"https://profiles.wordpress.org/denis-de-bernardy\">Denis de Bernardy</a>, <a href=\"https://profiles.wordpress.org/dd32\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/ocean90\">Dominik Schilling</a>, <a href=\"https://profiles.wordpress.org/dougwollison\">Doug Wollison</a>, <a href=\"https://profiles.wordpress.org/drewapicture\">Drew Jaynes</a>, <a href=\"https://profiles.wordpress.org/drprotocols\">DrProtocols</a>, <a href=\"https://profiles.wordpress.org/dustyf\">Dustin Filippini</a>, <a href=\"https://profiles.wordpress.org/eatingrules\">eatingrules</a>, <a href=\"https://profiles.wordpress.org/plocha\">edik</a>, <a href=\"https://profiles.wordpress.org/oso96_2000\">Eduardo Reveles</a>, <a href=\"https://profiles.wordpress.org/eliorivero\">Elio Rivero</a>, <a href=\"https://profiles.wordpress.org/enej\">enej</a>, <a href=\"https://profiles.wordpress.org/ericlewis\">Eric Lewis</a>, <a href=\"https://profiles.wordpress.org/ericmann\">Eric Mann</a>, <a href=\"https://profiles.wordpress.org/evarlese\">Erica Varlese</a>, <a href=\"https://profiles.wordpress.org/ethitter\">Erick Hitter</a>, <a href=\"https://profiles.wordpress.org/ejdanderson\">Evan Anderson</a>, <a href=\"https://profiles.wordpress.org/fahmiadib\">Fahmi Adib</a>, <a href=\"https://profiles.wordpress.org/fboender\">fboender</a>, <a href=\"https://profiles.wordpress.org/frank-klein\">Frank Klein</a>, <a href=\"https://profiles.wordpress.org/garyc40\">Gary Cao</a>, <a href=\"https://profiles.wordpress.org/garyj\">Gary Jones</a>, <a href=\"https://profiles.wordpress.org/pento\">Gary Pendergast</a>, <a href=\"https://profiles.wordpress.org/genkisan\">genkisan</a>, <a href=\"https://profiles.wordpress.org/soulseekah\">Gennady Kovshenin</a>, <a href=\"https://profiles.wordpress.org/georgestephanis\">George Stephanis</a>, <a href=\"https://profiles.wordpress.org/grahamarmfield\">Graham Armfield</a>, <a href=\"https://profiles.wordpress.org/vancoder\">Grant Mangham</a>, <a href=\"https://profiles.wordpress.org/gcorne\">Gregory Cornelius</a>, <a href=\"https://profiles.wordpress.org/tivnet\">Gregory Karpinsky (@tivnet)</a>, <a href=\"https://profiles.wordpress.org/hakre\">hakre</a>, <a href=\"https://profiles.wordpress.org/hanni\">hanni</a>, <a href=\"https://profiles.wordpress.org/helen\">Helen Hou-Sandí</a>, <a href=\"https://profiles.wordpress.org/ippetkov\">ippetkov</a>, <a href=\"https://profiles.wordpress.org/ipstenu\">Ipstenu (Mika Epstein)</a>, <a href=\"https://profiles.wordpress.org/jdgrimes\">J.D. Grimes</a>, <a href=\"https://profiles.wordpress.org/jackreichert\">Jack Reichert</a>, <a href=\"https://profiles.wordpress.org/_jameslee\">jameslee</a>, <a href=\"https://profiles.wordpress.org/avryl\">Janneke Van Dorpe</a>, <a href=\"https://profiles.wordpress.org/janrenn\">janrenn</a>, <a href=\"https://profiles.wordpress.org/jaycc\">JayCC</a>, <a href=\"https://profiles.wordpress.org/jeffsebring\">Jeff Sebring</a>, <a href=\"https://profiles.wordpress.org/jenmylo\">Jen</a>, <a href=\"https://profiles.wordpress.org/jeremyfelt\">Jeremy Felt</a>, <a href=\"https://profiles.wordpress.org/jesin\">Jesin A</a>, <a href=\"https://profiles.wordpress.org/jayjdk\">Jesper Johansen (jayjdk)</a>, <a href=\"https://profiles.wordpress.org/jnielsendotnet\">jnielsendotnet</a>, <a href=\"https://profiles.wordpress.org/jartes\">Joan Artes</a>, <a href=\"https://profiles.wordpress.org/joedolson\">Joe Dolson</a>, <a href=\"https://profiles.wordpress.org/joehoyle\">Joe Hoyle</a>, <a href=\"https://profiles.wordpress.org/johnbillion\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/johnjamesjacoby\">John James Jacoby</a>, <a href=\"https://profiles.wordpress.org/johnpbloch\">John P. Bloch</a>, <a href=\"https://profiles.wordpress.org/johnregan3\">John Regan</a>, <a href=\"https://profiles.wordpress.org/duck_\">Jon Cave</a>, <a href=\"https://profiles.wordpress.org/jond3r\">Jonas Bolinder (jond3r)</a>, <a href=\"https://profiles.wordpress.org/joostdevalk\">Joost de Valk</a>, <a href=\"https://profiles.wordpress.org/shelob9\">Josh Pollock</a>, <a href=\"https://profiles.wordpress.org/joshuaabenazer\">Joshua Abenazer</a>, <a href=\"https://profiles.wordpress.org/jstraitiff\">jstraitiff</a>, <a href=\"https://profiles.wordpress.org/juliobox\">Julio Potier</a>, <a href=\"https://profiles.wordpress.org/kopepasah\">Justin Kopepasah</a>, <a href=\"https://profiles.wordpress.org/justinsainton\">Justin Sainton</a>, <a href=\"https://profiles.wordpress.org/kadamwhite\">K.Adam White</a>, <a href=\"https://profiles.wordpress.org/trepmal\">Kailey (trepmal)</a>, <a href=\"https://profiles.wordpress.org/kasparsd\">Kaspars</a>, <a href=\"https://profiles.wordpress.org/ryelle\">Kelly Dwan</a>, <a href=\"https://profiles.wordpress.org/kerikae\">kerikae</a>, <a href=\"https://profiles.wordpress.org/kworthington\">Kevin Worthington</a>, <a href=\"https://profiles.wordpress.org/kpdesign\">Kim Parsell</a>, <a href=\"https://profiles.wordpress.org/kwight\">Kirk Wight</a>, <a href=\"https://profiles.wordpress.org/kitchin\">kitchin</a>, <a href=\"https://profiles.wordpress.org/klihelp\">klihelp</a>, <a href=\"https://profiles.wordpress.org/knutsp\">Knut Sparhell</a>, <a href=\"https://profiles.wordpress.org/kovshenin\">Konstantin Kovshenin</a>, <a href=\"https://profiles.wordpress.org/obenland\">Konstantin Obenland</a>, <a href=\"https://profiles.wordpress.org/drozdz\">Krzysiek Drozdz</a>, <a href=\"https://profiles.wordpress.org/lancewillett\">Lance Willett</a>, <a href=\"https://profiles.wordpress.org/ldebrouwer\">ldebrouwer</a>, <a href=\"https://profiles.wordpress.org/leewillis77\">Lee Willis</a>, <a href=\"https://profiles.wordpress.org/lpointet\">lpointet</a>, <a href=\"https://profiles.wordpress.org/spmlucas\">Lucas Karpiuk</a>, <a href=\"https://profiles.wordpress.org/lkwdwrd\">Luke Woodward</a>, <a href=\"https://profiles.wordpress.org/nofearinc\">Mario Peshev</a>, <a href=\"https://profiles.wordpress.org/mark8barnes\">Mark Barnes</a>, <a href=\"https://profiles.wordpress.org/markjaquith\">Mark Jaquith</a>, <a href=\"https://profiles.wordpress.org/markoheijnen\">Marko Heijnen</a>, <a href=\"https://profiles.wordpress.org/marventus\">Marventus</a>, <a href=\"https://profiles.wordpress.org/iammattthomas\">Matt (Thomas) Miklic</a>, <a href=\"https://profiles.wordpress.org/mjbanks\">Matt Banks</a>, <a href=\"https://profiles.wordpress.org/matt\">Matt Mullenweg</a>, <a href=\"https://profiles.wordpress.org/mboynes\">Matthew Boynes</a>, <a href=\"https://profiles.wordpress.org/mdbitz\">Matthew Denton</a>, <a href=\"https://profiles.wordpress.org/mattheu\">Matthew Haines-Young</a>, <a href=\"https://profiles.wordpress.org/mattonomics\">mattonomics</a>, <a href=\"https://profiles.wordpress.org/mattyrob\">mattyrob</a>, <a href=\"https://profiles.wordpress.org/matveb\">Matías Ventura</a>, <a href=\"https://profiles.wordpress.org/maxcutler\">Max Cutler</a>, <a href=\"https://profiles.wordpress.org/mcadwell\">mcadwell</a>, <a href=\"https://profiles.wordpress.org/melchoyce\">Mel Choyce</a>, <a href=\"https://profiles.wordpress.org/meloniq\">meloniq</a>, <a href=\"https://profiles.wordpress.org/michael-arestad\">Michael Arestad</a>, <a href=\"https://profiles.wordpress.org/michelwppi\">Michel - xiligroup dev</a>, <a href=\"https://profiles.wordpress.org/mcsf\">Miguel Fonseca</a>, <a href=\"https://profiles.wordpress.org/gradyetc\">Mike Burns</a>, <a href=\"https://profiles.wordpress.org/mikehansenme\">Mike Hansen</a>, <a href=\"https://profiles.wordpress.org/mikemanger\">Mike Manger</a>, <a href=\"https://profiles.wordpress.org/mikeschinkel\">Mike Schinkel</a>, <a href=\"https://profiles.wordpress.org/dh-shredder\">Mike Schroder</a>, <a href=\"https://profiles.wordpress.org/mikecorkum\">mikecorkum</a>, <a href=\"https://profiles.wordpress.org/mitchoyoshitaka\">mitcho (Michael Yoshitaka Erlewine)</a>, <a href=\"https://profiles.wordpress.org/batmoo\">Mohammad Jangda</a>, <a href=\"https://profiles.wordpress.org/morganestes\">Morgan Estes</a>, <a href=\"https://profiles.wordpress.org/mor10\">Morten Rand-Hendriksen</a>, <a href=\"https://profiles.wordpress.org/Nao\">Naoko Takano</a>, <a href=\"https://profiles.wordpress.org/alex-ye\">Nashwan Doaqan</a>, <a href=\"https://profiles.wordpress.org/nendeb55\">nendeb55</a>, <a href=\"https://profiles.wordpress.org/celloexpressions\">Nick Halsey</a>, <a href=\"https://profiles.wordpress.org/nicolealleyinteractivecom\">Nicole Arnold</a>, <a href=\"https://profiles.wordpress.org/nikv\">Nikhil Vimal (NikV)</a>, <a href=\"https://profiles.wordpress.org/nivijah\">Nivi Jah</a>, <a href=\"https://profiles.wordpress.org/nunomorgadinho\">Nuno Morgadinho</a>, <a href=\"https://profiles.wordpress.org/olivm\">olivM</a>, <a href=\"https://profiles.wordpress.org/jbkkd\">Omer Korner</a>, <a href=\"https://profiles.wordpress.org/originalexe\">OriginalEXE</a>, <a href=\"https://profiles.wordpress.org/patricknami\">patricknami</a>, <a href=\"https://profiles.wordpress.org/pbearne\">Paul Bearne</a>, <a href=\"https://profiles.wordpress.org/djpaul\">Paul Gibbs</a>, <a href=\"https://profiles.wordpress.org/paulwilde\">Paul Wilde</a>, <a href=\"https://profiles.wordpress.org/pavelevap\">pavelevap</a>, <a href=\"https://profiles.wordpress.org/westi\">Peter Westwood</a>, <a href=\"https://profiles.wordpress.org/philiparthurmoore\">Philip Arthur Moore</a>, <a href=\"https://profiles.wordpress.org/mordauk\">Pippin Williamson</a>, <a href=\"https://profiles.wordpress.org/nprasath002\">Prasath Nadarajah</a>, <a href=\"https://profiles.wordpress.org/prettyboymp\">prettyboymp</a>, <a href=\"https://profiles.wordpress.org/raamdev\">Raam Dev</a>, <a href=\"https://profiles.wordpress.org/rachelbaker\">Rachel Baker</a>, <a href=\"https://profiles.wordpress.org/mauryaratan\">Ram Ratan Maurya</a>, <a href=\"https://profiles.wordpress.org/ramonchiara\">ramonchiara</a>, <a href=\"https://profiles.wordpress.org/ounziw\">Rescuework Support</a>, <a href=\"https://profiles.wordpress.org/rhyswynne\">Rhys Wynne</a>, <a href=\"https://profiles.wordpress.org/ricardocorreia\">Ricardo Correia</a>, <a href=\"https://profiles.wordpress.org/richard2222\">Richard</a>, <a href=\"https://profiles.wordpress.org/theorboman\">Richard Sweeney</a>, <a href=\"https://profiles.wordpress.org/iamfriendly\">Richard Tape</a>, <a href=\"https://profiles.wordpress.org/rickalee\">Ricky Lee Whittemore</a>, <a href=\"https://profiles.wordpress.org/miqrogroove\">Robert Chapin</a>, <a href=\"https://profiles.wordpress.org/robmiller\">robmiller</a>, <a href=\"https://profiles.wordpress.org/rodrigosprimo\">Rodrigo Primo</a>, <a href=\"https://profiles.wordpress.org/romaimperator\">romaimperator</a>, <a href=\"https://profiles.wordpress.org/roothorick\">roothorick</a>, <a href=\"https://profiles.wordpress.org/ruudjoyo\">Ruud Laan</a>, <a href=\"https://profiles.wordpress.org/ryan\">Ryan Boren</a>, <a href=\"https://profiles.wordpress.org/rmccue\">Ryan McCue</a>, <a href=\"https://profiles.wordpress.org/salcode\">Sal Ferrarello</a>, <a href=\"https://profiles.wordpress.org/otto42\">Samuel Wood (Otto)</a>, <a href=\"https://profiles.wordpress.org/sandyr\">Sandeep</a>, <a href=\"https://profiles.wordpress.org/scottlee\">Scott Lee</a>, <a href=\"https://profiles.wordpress.org/coffee2code\">Scott Reilly</a>, <a href=\"https://profiles.wordpress.org/wonderboymusic\">Scott Taylor</a>, <a href=\"https://profiles.wordpress.org/greglone\">ScreenfeedFr</a>, <a href=\"https://profiles.wordpress.org/scribu\">scribu</a>, <a href=\"https://profiles.wordpress.org/sdasse\">sdasse</a>, <a href=\"https://profiles.wordpress.org/bootsz\">Sean Butze</a>, <a href=\"https://profiles.wordpress.org/seanchayes\">Sean Hayes</a>, <a href=\"https://profiles.wordpress.org/nessworthy\">Sean Nessworthy</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/shahpranaf\">shahpranaf</a>, <a href=\"https://profiles.wordpress.org/shaunandrews\">Shaun Andrews</a>, <a href=\"https://profiles.wordpress.org/shinichin\">ShinichiN</a>, <a href=\"https://profiles.wordpress.org/pross\">Simon Prosser</a>, <a href=\"https://profiles.wordpress.org/simonwheatley\">Simon Wheatley</a>, <a href=\"https://profiles.wordpress.org/siobhan\">Siobhan</a>, <a href=\"https://profiles.wordpress.org/siobhyb\">Siobhan Bamber (siobhyb)</a>, <a href=\"https://profiles.wordpress.org/sirzooro\">sirzooro</a>, <a href=\"https://profiles.wordpress.org/solarissmoke\">solarissmoke</a>, <a href=\"https://profiles.wordpress.org/sonjanyc\">sonjanyc</a>, <a href=\"https://profiles.wordpress.org/spencerfinnell\">Spencer Finnell</a>, <a href=\"https://profiles.wordpress.org/piontkowski\">Spencer Piontkowski</a>, <a href=\"https://profiles.wordpress.org/stephcook22\">stephcook22</a>, <a href=\"https://profiles.wordpress.org/netweb\">Stephen Edgar</a>, <a href=\"https://profiles.wordpress.org/stephenharris\">Stephen Harris</a>, <a href=\"https://profiles.wordpress.org/sbruner\">Steve Bruner</a>, <a href=\"https://profiles.wordpress.org/stevenkword\">Steven Word</a>, <a href=\"https://profiles.wordpress.org/miyauchi\">Takayuki Miyauchi</a>, <a href=\"https://profiles.wordpress.org/tanner-m\">Tanner Moushey</a>, <a href=\"https://profiles.wordpress.org/tlovett1\">Taylor Lovett</a>, <a href=\"https://profiles.wordpress.org/tbrams\">tbrams</a>, <a href=\"https://profiles.wordpress.org/tobiasbg\">TobiasBg</a>, <a href=\"https://profiles.wordpress.org/tomauger\">Tom Auger</a>, <a href=\"https://profiles.wordpress.org/willmot\">Tom Willmot</a>, <a href=\"https://profiles.wordpress.org/topher1kenobe\">Topher</a>, <a href=\"https://profiles.wordpress.org/topquarky\">topquarky</a>, <a href=\"https://profiles.wordpress.org/zodiac1978\">Torsten Landsiedel</a>, <a href=\"https://profiles.wordpress.org/toru\">Toru Miki</a>, <a href=\"https://profiles.wordpress.org/wpsmith\">Travis Smith</a>, <a href=\"https://profiles.wordpress.org/umeshsingla\">Umesh Kumar</a>, <a href=\"https://profiles.wordpress.org/undergroundnetwork\">undergroundnetwork</a>, <a href=\"https://profiles.wordpress.org/varunagw\">VarunAgw</a>, <a href=\"https://profiles.wordpress.org/wawco\">wawco</a>, <a href=\"https://profiles.wordpress.org/westonruter\">Weston Ruter</a>, <a href=\"https://profiles.wordpress.org/wokamoto\">wokamoto</a>, <a href=\"https://profiles.wordpress.org/xsonic\">xsonic</a>, <a href=\"https://profiles.wordpress.org/yoavf\">Yoav Farhi</a>, <a href=\"https://profiles.wordpress.org/yurivictor\">Yuri Victor</a>, <a href=\"https://profiles.wordpress.org/zbtirrell\">Zach Tirrell</a>, and <a href=\"https://profiles.wordpress.org/vanillalounge\">Ze Fontainhas</a>. Also thanks to <a href=\"http://michaelpick.wordpress.com/\">Michael Pick</a> for producing the release video.</p>\n<p>If you want to follow along or help out, check out <a href=\"https://make.wordpress.org/\">Make WordPress</a> and our <a href=\"https://make.wordpress.org/core/\">core development blog</a>. Thanks for choosing WordPress. See you soon for version 4.0!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://wordpress.org/news/2014/04/smith/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:45:\"\n		\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 3.9 Release Candidate 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2014/04/wordpress-3-9-release-candidate-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://wordpress.org/news/2014/04/wordpress-3-9-release-candidate-2/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 15 Apr 2014 09:47:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"http://wordpress.org/news/?p=3151\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:356:\"The second release candidate for WordPress 3.9 is now available for testing. If you haven&#8217;t tested 3.9 yet, you&#8217;re running out of time! We made about five dozen changes since the first release candidate, and those changes are all helpfully summarized in our weekly post on the development blog. Probably the biggest fixes are to live [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Andrew Nacin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2273:\"<p>The second release candidate for WordPress 3.9 is now available for testing.</p>\n<p>If you haven&#8217;t tested 3.9 yet, you&#8217;re running out of time! We made about five dozen changes since the <a title=\"WordPress 3.9 Release Candidate\" href=\"//wordpress.org/news/2014/04/wordpress-3-9-release-candidate/\">first release candidate</a>, and those changes are all helpfully summarized <a href=\"//make.wordpress.org/core/?p=10237\">in our weekly post</a> on the development blog. Probably the biggest fixes are to live widget previews and the new theme browser, along with some extra TinyMCE compatibility and some RTL fixes.</p>\n<p><strong>Plugin authors:</strong> Could you test your plugins against 3.9, and if they&#8217;re compatible, make sure they are marked as tested up to 3.9? It only takes a few minutes and this really helps make launch easier. Be sure to follow along the core development blog; we&#8217;ve been posting <a href=\"//make.wordpress.org/core/tag/3-9-dev-notes/\">notes for developers for 3.9</a>. (For example: <a href=\"//make.wordpress.org/core/2014/04/15/html5-galleries-captions-in-wordpress-3-9/\">HTML5</a>, <a href=\"//make.wordpress.org/core/2014/04/14/symlinked-plugins-in-wordpress-3-9/\">symlinks</a>, <a href=\"//make.wordpress.org/core/2014/04/07/mysql-in-wordpress-3-9/\">MySQL</a>, <a href=\"//make.wordpress.org/core/2014/04/11/plupload-2-x-in-wordpress-3-9/\">Plupload</a>.)</p>\n<p>To test WordPress 3.9 RC2, try the <a href=\"//wordpress.org/extend/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (you’ll want “bleeding edge nightlies”). Or you can <a href=\"//wordpress.org/wordpress-3.9-RC2.zip\">download the release candidate here</a> (zip). If you’d like to learn more about what’s new in WordPress 3.9, visit the nearly complete About screen in your dashboard (<strong><img src=\"//i0.wp.com/core.svn.wordpress.org/branches/3.6/wp-content/themes/twentyten/images/wordpress.png?w=692\" alt=\"\" width=\"16\" height=\"16\" /> → About</strong> in the toolbar) and also check out <a title=\"WordPress 3.9 Beta 1\" href=\"//wordpress.org/news/2014/03/wordpress-3-9-beta-1/\">the Beta 1 post</a>.</p>\n<p><em>This is for testing,</em><br />\n<em>so not recommended for<br />\nproduction sites—yet.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"https://wordpress.org/news/2014/04/wordpress-3-9-release-candidate-2/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:32:\"https://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"hourly\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:9:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Mon, 27 Oct 2014 18:04:00 GMT\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:10:\"connection\";s:5:\"close\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:10:\"x-pingback\";s:37:\"https://wordpress.org/news/xmlrpc.php\";s:13:\"last-modified\";s:29:\"Fri, 24 Oct 2014 20:59:44 GMT\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:11:\"HIT lax 249\";}s:5:\"build\";s:14:\"20140929194346\";}", "no");
INSERT INTO `wp_options` VALUES("1371", "_transient_timeout_feed_mod_ac0b00fe65abe10e0c5b588f3ed8c7ca", "1414476483", "no");
INSERT INTO `wp_options` VALUES("1372", "_transient_feed_mod_ac0b00fe65abe10e0c5b588f3ed8c7ca", "1414433283", "no");
INSERT INTO `wp_options` VALUES("1373", "_transient_timeout_feed_867bd5c64f85878d03a060509cd2f92c", "1414476485", "no");
INSERT INTO `wp_options` VALUES("1374", "_transient_feed_867bd5c64f85878d03a060509cd2f92c", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:128:\"WPTavern: Matt Mullenweg’s State of the Word Highlights Internationalization, Mobile, and New Tools for WordPress Contributors\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32611\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:133:\"http://wptavern.com/matt-mullenwegs-state-of-the-word-highlights-internationalization-mobile-and-new-tools-for-wordpress-contributors\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8884:\"<p>Today Matt Mullenweg delivered his annual State of the Word address at <a href=\"http://2014.sf.wordcamp.org/\" target=\"_blank\">WordCamp San Francisco</a>, with roughly 1,000 WordPress enthusiasts and contributors in attendance and hundreds more watching via livestream.</p>\n<p>Before jumping into the results of the survey, Mullenweg announced that this would be the last event held at Mission Bay conference center.</p>\n<blockquote class=\"twitter-tweet\" width=\"550\"><p>Touch the walls as you walk out, as this is the last time we\'ll have <a href=\"https://twitter.com/hashtag/WordCampSF?src=hash\">#WordCampSF</a> here! ~ <a href=\"https://twitter.com/photomatt\">@photomatt</a> <a href=\"https://twitter.com/hashtag/wcsf14?src=hash\">#wcsf14</a> <a href=\"https://twitter.com/hashtag/endofanera?src=hash\">#endofanera</a></p>\n<p>&mdash; WordCamp SF (@WordCampSF) <a href=\"https://twitter.com/WordCampSF/status/526454529584549889\">October 26, 2014</a></p></blockquote>\n<p></p>\n<h3>WordCamp USA</h3>\n<p>WordCamp San Francisco will become WordCamp USA next year. The name of the conference, location, date, and details are yet to be determined. The event has outgrown the Mission Bay venue and the organization team wants to be make room for more people and presentations.</p>\n<p>With the undeniable success of <a href=\"http://wptavern.com/wordpress-beyond-boundaries-a-recap-of-wordcamp-europe-2014\" target=\"_blank\">WordCamp Europe</a> two years in a row, pan-continental WordCamps may become more common in connecting people in various regions of the world. In fact, Mullenweg envisions that a number of &#8220;anchor WordCamps&#8221; will surface in the near future.</p>\n<blockquote class=\"twitter-tweet\" width=\"550\"><p>“There could be WordCamp Asia and WordCamp Africa, with their own set of contributors and developers.”  <a href=\"https://twitter.com/photomatt\">@photomatt</a> <a href=\"https://twitter.com/hashtag/wcsf?src=hash\">#wcsf</a> <a href=\"https://twitter.com/hashtag/wcsf14?src=hash\">#wcsf14</a></p>\n<p>&mdash; David Bisset (@dimensionmedia) <a href=\"https://twitter.com/dimensionmedia/status/526438861530873856\">October 26, 2014</a></p></blockquote>\n<p></p>\n<h3>Internationalization Improvements to Connect the Global WordPress Community</h3>\n<p><a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/internationalization.jpg\" rel=\"prettyphoto[32611]\"><img src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/internationalization.jpg?resize=1025%2C476\" alt=\"internationalization\" class=\"aligncenter size-full wp-image-32625\" /></a></p>\n<p>This year 33,000 people responded to the <a href=\"http://wptavern.com/take-the-2014-wordpress-user-and-developer-survey\" target=\"_blank\">WordPress user and developer survey</a>. Mullenweg stated that 2014 is likely to be remembered as a turning point for the project, noting that this was the first year that non-English downloads surpassed English downloads.</p>\n<p>Mullenweg encouraged attendees to see locale as a wider concept that includes language, timezone, and date formats. WordPress may soon be able to provide per-user internationalization features. For example, if someone leaves a comment in Japanese, an English-speaking post author would receive the notification in English.</p>\n<p>Language packs are coming to more plugins and themes by early 2015. Mullenweg announced that fully localized plugin and theme directories will be available in the dashboard starting with WordPress 4.1. He believes that internationalization improvements will be one of the most impactful things for WordPress&#8217; growth over the next decade.</p>\n<p><strong>&#8220;If WordPress is going to be truly global, truly inclusive, it has to be fully available for other languages,&#8221;</strong> he said. The upcoming improvements give WordPress the potential to be a truly global experience.</p>\n<h3>The Importance of Responsive Mobile</h3>\n<p>As he has in many recent interviews, Mullenweg highlighted the continuing importance of responsive mobile. &#8220;There are now more phones on the planet than human beings. We need to cater to them or they&#8217;re just going to replace us,&#8221; he joked.</p>\n<p>The future of the platform depends on having a strong mobile presence, but Mullenweg has a larger vision for how WordPress can lead the way for the next generation of the mobile web.</p>\n<p><strong>&#8220;Online communication is one of the great equalizers of our time,&#8221;</strong> he said. This goes hand-in-hand with the WordPress mission to democratize publishing. As mobile devices now have the capacity to do more things, Mullenweg is inspired by the idea that people can always be connected. He believes that WordPress as an application platform is poised to the lead the way.</p>\n<p>The 2014 survey results revealed that WordPress usage as a blog and as a CMS is declining every year. However, its usage as an app framework is steadily growing.</p>\n<p>Mullenweg highlighted the <a href=\"http://wp-api.org/\" target=\"_blank\">WP REST API</a> as critical to WordPress&#8217; ability to rapidly iterate in the future. The new API will pave the way for &#8220;completely bespoke posting interfaces,&#8221; he said. WordPress developers have often asked him when the platform will allow for theming the admin. Mullenweg hopes that the new API will make it possible for &#8220;1,000 different WordPress admins to bloom.&#8221;</p>\n<h3>Exciting New Tools for WordPress Contributors: GitHub and Slack</h3>\n<p><a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/contributors.jpg\" rel=\"prettyphoto[32611]\"><img src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/contributors.jpg?resize=1025%2C495\" alt=\"contributors\" class=\"aligncenter size-full wp-image-32645\" /></a></p>\n<p>WordPress runs on contributions and communication. There were 785 people who contributed on five major releases since the last WordCamp San Francisco. The software recently crossed the one million commits mark. During the State of the Word, Mullenweg highlighted recent release leads and new committers, making a point to personally thank those who create the software that now runs 23% of the web.</p>\n<h4>GitHub</h4>\n<p>He also delivered several announcements to the delight of contributors in attendance. After asking the audience who has used Git and GitHub, he exclaimed, &#8220;Whoah, that&#8217;s all the hands!&#8221; He followed that up with the announcement that core contributors will soon be able to submit pull requests on GitHub.</p>\n<h4>Slack</h4>\n<p>For the first time in 11 years, the project will experiment with not using IRC as its primary communication tool. Mullenweg announced that the community will be trying out Slack for real-time communication for contributor teams. The tool is mobile friendly and has a number of strong advantages over IRC for asynchronous communication. If a ticket is mentioned in Slack, it will be linked with trac. Participation on Slack is now available to every single user on WordPress.org, replacing IRC and ad hoc Skype chats. You can visit <a href=\"http://chat.wordpress.org\" target=\"_blank\">chat.wordpress.org</a> to initiate your invite.</p>\n<blockquote class=\"twitter-tweet\" width=\"550\"><p>During State of the Word, already more people in <a href=\"https://twitter.com/SlackHQ\">@SlackHQ</a> then in WordPress Dev IRC. <a href=\"https://twitter.com/photomatt\">@photomatt</a> <a href=\"https://twitter.com/hashtag/wcsf?src=hash\">#wcsf</a> <a href=\"https://twitter.com/hashtag/wcsf14?src=hash\">#wcsf14</a></p>\n<p>&mdash; David Bisset (@dimensionmedia) <a href=\"https://twitter.com/dimensionmedia/status/526448569415262208\">October 26, 2014</a></p></blockquote>\n<p></p>\n<p>Results of the 2014 survey showed that a full quarter of those surveyed make their living using WordPress, representing more than a billion dollars of economic activity per year. Mullenweg referenced his <a href=\"http://ma.tt/2014/09/five-for-the-future/\" target=\"_blank\">Five for the Future</a> post encouraging companies to support the project with 5% of their time. Very few open source software projects thrive as long as the 11 years that WordPress already has, Mullenweg said. He featured three companies that have publicly committed 5% to WordPress, including Gravity Forms, WPMUDEV, and Automattic.</p>\n<p><strong>&#8220;This is what is going to take us from 23% to 30% or 40%,&#8221;</strong> he said. With hundreds and thousands of freelancers and companies all over the world giving back to WordPress, the project will have the momentum to continue its unprecedented growth. WordPress has now outgrown the venue of its flagship WordCamp. It has also outgrown its old communication tools. WordPress is about to explode on a global scale. Years from now we&#8217;ll look back on 2014 as a year where many key improvements positioned WordPress to further dominate the web.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 26 Oct 2014 23:41:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Post Status: Matt Mullenweg’s 2014 State of the Word\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://www.poststat.us/?p=7213\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"http://www.poststat.us/matt-mullenwegs-2014-state-word/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:11437:\"<p><img class=\"aligncenter size-large wp-image-7215\" src=\"http://www.poststat.us/wp-content/uploads/2014/10/mullenweg-752x564.jpg\" alt=\"mullenweg\" width=\"627\" height=\"470\" /></p>\n<blockquote><p>&#8220;Oh, my name is Matt Mullenweg by the way. Nice to meet you.&#8221;</p></blockquote>\n<p>After the WordPress co-founder welcomed the largest WordCamp San Francisco audience ever, he introduced himself and began this year&#8217;s State of the Word &#8212; the annual talk where he provides insight of the last year of WordPress and inspiration for the future.</p>\n<h3>The last WCSF as we know it</h3>\n<p>WordCamp San Francisco has been here in Mission Bay for 7 years, and it&#8217;s the last year here. Next year, things are going to change. There will be a WordCamp US (Matt notes it&#8217;s a working title) that will be modeled similarly to WordCamp Europe. The name, location and date are yet to be determined.</p>\n<h3>The annual WordPress survey</h3>\n<p>This year there were over 33,000 responses to the annual WordPress survey.</p>\n<p>Only 23% of the survey respondents were from the United States &#8212; a 6% increase of international respondents. And for the first time ever, non-English downloads surpassed English downloads. This change is much due to the new internationalization tools in WordPress core itself.</p>\n<p>A quarter of the respondents now make their living fully off of WordPress &#8212; 7,539 people from the survey pool. Matt estimates those people alone make up for more than a billion dollars of economic impact.</p>\n<p>Of those people surveyed, they have between half a million and a million currently active websites they own or have developed. And 91% of those sites took less than 200 hours to make.</p>\n<h3>5 releases since the last WCSF</h3>\n<p><img class=\"aligncenter size-large wp-image-7218\" src=\"http://www.poststat.us/wp-content/uploads/2014/10/contributors-752x560.jpg\" alt=\"contributors\" width=\"627\" height=\"466\" /></p>\n<p>Since last summer and the last WCSF, we&#8217;ve had five major releases of WordPress. Matt spent some time going over some of the features we&#8217;ve gained.</p>\n<p>From WordPress 3.6 to WordPress 4.0, WordPress has evolved an enormous amount in a short amount of time. It&#8217;s better on mobile; has a better user experience; is more performant; is easier to use for both developers and end users; and is the best publishing tool in the world.</p>\n<p>There have been seven release leads in that time:</p>\n<ul>\n<li>Jon Cave</li>\n<li>Andrew Nacin</li>\n<li>Helen Hou-Sandi</li>\n<li>Mark Jaquith</li>\n<li>Dion Hulse</li>\n<li>Mike Schroder</li>\n<li>Aaron Campbell</li>\n</ul>\n<p>Additionally, Matt highlighted another 8 significant contributors and five new committers to the WordPress project.</p>\n<p>In these five releases, there have been 785 contributors to the project. And Matt also highlights John Blackbourn &#8212; the WordPress 4.1 release lead, which will soon enter beta.</p>\n<h3>Two Drupal growth</h3>\n<p>Since last summer, WordPress has grown &#8220;two Drupal marketshares.&#8221;</p>\n<p>There have been 684 theme additions to the repository this year &#8212; a 36% increase year over year. There are now 2,781 themes in the repo.</p>\n<h3>iOS and Android</h3>\n<p>There have been two updates for Android, five for iOS, and we abandoned older platforms to focus on a better user experience. &#8220;Sorry, both of the Windows phone users,&#8221; he joked.</p>\n<p>Matt notes that there are now more mobile phones than humans on earth, and that this will continue to be a huge priority.</p>\n<h3>Developer.WordPress.org</h3>\n<p>Noted in the last WCSF State of the Word, <a href=\"http://developer.wordpress.org\">developer.wordpress.org</a> is now live. A little later that hoped, he noted, but it&#8217;s a huge achievement and improvement for WordPress documentation.</p>\n<h3>Community</h3>\n<p>There are over 100 meetup and WordCamp organizers here at WordCamp San Francisco. Matt asked them all to stand, with a personal thanks to their commitment to a difficult, but rewarding task.</p>\n<h3>Internationalization</h3>\n<p>We have a long way to go with Internationalization, but Matt highlights some of the progress and promise for the future, including the advancement of language packs that plugin and theme developers will be able to take advantage of.</p>\n<p>Soon &#8212; with the release of WordPress 4.1 &#8212; Matt announced that the WordPress plugin and theme directories will be fully localized, making it more accessible and fully translated for non-English speakers.</p>\n<p>&#8220;The discovery process [of themes and plugins] is prohibitive&#8221; unless we make it a priority to offer the same discovery features that are in English to other languages.</p>\n<blockquote><p>&#8220;We have the potential &#8212; thanks to the web &#8212; for WordPress to be a truly global experience.&#8221;</p></blockquote>\n<h3>Better WordPress.org stats</h3>\n<p>Matt is promising a better offering of statistics for WordPress theme and plugin providers &#8212; a task that&#8217;s being worked on right now by the .org team.</p>\n<p>These are numbers people have long wanted and are very difficult to get. This is a very welcome change.</p>\n<h3>Adoption of new releases</h3>\n<p>Matt says only 25% of users are on the latest install, WordPress 4.0. While he notes that it&#8217;s far better than it was in the past, we still have a lot of improvement we can make.</p>\n<p>And he goes into the importance of removing versions from the conversation in software. Users should not know or care the version of their software. They should only know that it works.</p>\n<p>&#8220;Our vision is that we&#8217;re like Chrome. &#8230; And the hosts have helped pioneer this.&#8221; But WordPress itself will eventually move to such a model; this is a thing that is controversial, but I believe it is an essential and inevitable evolution.</p>\n<p>Matt asked how many people had been hacked &#8212; and even in a room full of professionals &#8212; it was a lot of people. This is why updates are important, as updated WordPress installs are much safer.</p>\n<h3>Relationship with PHP</h3>\n<p>Matt spent some time talking about WordPress support for more modern versions of PHP.</p>\n<p>WordPress is notorious for being a poor supporter of modern PHP. But that&#8217;s ready to change.</p>\n<blockquote><p>&#8220;We&#8217;re going to start working with hosts to get everyone on PHP 5.5 or above.&#8221;</p></blockquote>\n<h3>The Twenty Fifteen theme</h3>\n<p>Matt is excited about Twenty Fifteen, this coming year&#8217;s default theme. He notes this is our fifth year with a new default theme, and it&#8217;s the same number of years that Kubrick was the only default theme. A massive success.</p>\n<h3>WordPress and Github</h3>\n<p>Matt Mullenweg says that starting this year, you can submit a pull request to WordPress on Github, &#8220;and that will not go into a black hole.&#8221;</p>\n<p>He asked how many people are using Github, and nearly everyone raised their hand. This removes a barrier to contributing to WordPress, and is a huge improvement.</p>\n<p>He also says that all development of the WordPress mobile apps is now on Github. It&#8217;s also worth noting that much of Automattic&#8217;s internal projects, like Jetpack, are run on Github.</p>\n<h3>Community communication with Slack</h3>\n<p>For the first time in 11 years, WordPress is leaving IRC for primary organization communication. We&#8217;re going to try a tool called <a href=\"http://slack.com\">Slack</a>, built by a company in San Francisco started by the former founder of Flickr. Slack has taken over communication in remote teams, from my experience, and will be excellent.</p>\n<p>Slack will also help us make use of integrations and notifications. Right after the talk, <a href=\"http://chat.wordpress.org\">chat.wordpress.org</a> will lead any WordPress.org user to a method for using Slack for communication.</p>\n<p>This is a huge partnership, and as someone that uses Slack daily, I&#8217;m incredibly excited. I&#8217;m sure there could be pushback for using a paid tool for this, but it&#8217;s certainly and interesting experiment and I&#8217;m excited to see what happens.</p>\n<p>It appears clear to me that contributing to WordPress will now be easier than ever.</p>\n<h3>Five for the future</h3>\n<p>Matt talked about his controversial blog post about the concept of <a href=\"http://ma.tt/2014/09/five-for-the-future/\">Five for the future</a>, something <a title=\"Contribution as culture\" href=\"http://www.poststat.us/contribution-culture/\">I also opined about</a>.</p>\n<p>Matt highlighted three companies: Gravity Forms, WPMUDev, and Automattic are all now contributing 5%. Of course he notes others are doing it as well, but wanted to highlight those that have committed to doing it publicly.</p>\n<p>Matt discussed a number of ways people can contribute, and that folks can attend sessions to learn how to contribute both here at WCSF and at most other WordCamp events.</p>\n<blockquote><p>&#8220;A contributor, by the way, is a title that no one can give you except yourself.&#8221;</p></blockquote>\n<p>He called it an altruistic mentality of contribution.</p>\n<h3>The JSON REST API</h3>\n<blockquote><p>&#8220;Who&#8217;s excited about the REST API?&#8221;</p></blockquote>\n<p>Nearly everyone responded with enthusiasm. Matt talks about how WordPress.com has had a similar API for years now, and what they&#8217;ve learned, and how much potential there will be for the core version, and the importance for marrying the .com API and the .org API as they each approach 2.0.</p>\n<p>Matt wants us to re-think &#8220;the WordPress engine&#8221; as a kernel that can a hub for building all sorts of things that are more capable to be fit into a proper architecture for the case at hand versus &#8220;shoehorning&#8221; existing WordPress features to areas that aren&#8217;t really meant for it.</p>\n<blockquote><p>&#8220;Maybe what we need isn&#8217;t a way for theming the WP admin; maybe what we need is a way for 1,000 WP admins to be built.&#8221;</p></blockquote>\n<p>And for those admins to be able to fork each other, learn from one another, and create better and catered publishing experiences catered to specific use cases.</p>\n<p>We can expect the core WordPress JSON API in 2015.</p>\n<h3>The continuing importance of WordPress and mobile.</h3>\n<p>Matt discussed how important mobile is to the future of the web, and therefore WordPress. &#8220;They are winning,&#8221; he says about the phones, and says how phones are more available and evolving every year. &#8220;They&#8217;re getting bigger and bigger,&#8221; and the interfaces and methods for interacting with our phones are evolving as well.</p>\n<p>Matt believes that WordPress can play a central role in the further evolution of mobile applications and the mobile web. As the power of mobile devices gets better, Matt believes that the web will become a bigger part of the mobile experience than it is now &#8212; when the conversation seems to be completely centered around apps.</p>\n<blockquote><p>&#8220;This is one of the ways that we can be truly global.&#8221;</p></blockquote>\n<h3>Wrapping up</h3>\n<p>To democratize publishing, is the mission of WordPress.</p>\n<p>WordPress is a community, Matt states, and accessibility from a language, device, and any other point of view is critical to the mission of WordPress.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 26 Oct 2014 18:49:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Brian Krogsgard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"Matt: Anti-spam and E2E crypto\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44305\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"http://ma.tt/2014/10/anti-spam-and-e2e-crypto/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:232:\"<p><a href=\"https://moderncrypto.org/mail-archive/messaging/2014/000780.html\">A brief history of spam and email crypto by someone who used to work on Gmail</a>. <cite>Hat tip: <a href=\"http://z9.io/\">Donncha O Caoimh</a>.</cite></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 25 Oct 2014 17:24:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"Matt: WordCamp SF Live Stream\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44316\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"http://ma.tt/2014/10/wordcamp-sf-live-stream/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:681:\"<p>WordCamp San Francisco, the original, starts tomorrow and the <a href=\"https://twitter.com/search?f=realtime&q=wcsf&src=typd\">tweets are already starting to stream in</a>. On Sunday at 11AM I will deliver my <a href=\"http://wordpress.tv/speakers/matt-mullenweg/?s=state\">State of the Word address</a>, our annual look at where we&#8217;ve been and the road ahead, and even if you can&#8217;t make it <a href=\"http://2014.sf.wordcamp.org/live-stream/\">you can livestream the SoTW and the entire weekend for just $10 from the comfort of your own home</a>. 16+ hours of WP entertainment for the price of one movie ticket! (Or might be a sleep aid, depends on your perspective.)</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 24 Oct 2014 18:02:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"Alex King: No WordCamp SF 2014 For Me\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://alexking.org/?p=21026\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://alexking.org/blog/2014/10/24/no-wordcamp-2014-for-me\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:216:\"<p>Unfortunately I&#8217;m not going to be able to attend WordCamp SF 2014. My apologies to those who I was planning to meet up with. I&#8217;ll miss seeing you folks there &#8211; but have fun and do great work!</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 24 Oct 2014 16:21:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Alex\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"WPTavern: MediaPress Now in Beta: A New Media Gallery Plugin for BuddyPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32554\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"http://wptavern.com/mediapress-now-in-beta-a-new-media-gallery-plugin-for-buddypress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6508:\"<p><a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/mediapress-feature.png\" rel=\"prettyphoto[32554]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/mediapress-feature.png?resize=991%2C494\" alt=\"mediapress-feature\" class=\"aligncenter size-full wp-image-32589\" /></a></p>\n<p>For a long time, BuddyPress has been sorely in need of better support for media, as images, video, and audio play a major part in connecting people on social networks. BuddyPress core has adopted the <a href=\"http://wptavern.com/buddypress-to-adopt-features-as-plugins-model-to-develop-new-media-component\" target=\"_blank\">features-as-plugin development</a> model to help facilitate the development of a new media component called BP Attachments. This new Attachments API, once finished, would allow BuddyPress to store media as attachments, offering developers a standard way of extending the plugin to build media-related functionality.</p>\n<p>With no way of knowing when or if BuddyPress will add a core media component, developers have struggled over the years to tackle media support with independent solutions. <a href=\"http://buddydev.com/\" target=\"_blank\">Brajesh Singh</a>, a prolific BuddyPress plugin developer, created the popular BP Gallery four years ago to address this need, but the plugin is now outdated.</p>\n<p>Last week Singh introduced <a href=\"http://buddydev.com/buddypress/presenting-mediapress-media-plugin-will-ever-need-buddypress/\" target=\"_blank\">MediaPress</a>, his latest attempt at creating gallery/album capabilities for BuddyPress. The plugin is now in beta and boasts an impressive list of features, including:</p>\n<ul>\n<li>User media/gallery/album support</li>\n<li>Group media/gallery/album support</li>\n<li>Built-in photo, audio, and video support</li>\n<li>Supports privacy</li>\n<li>Drag-and-drop uploader</li>\n<li>Upload from Activity</li>\n<li>Automatic wall galleries creation</li>\n<li>Wall gallery support for Groups/Users</li>\n<li>Grid layout for media</li>\n<li>Playlist view support for audio/Video Galleries</li>\n<li>Widgets and shortcodes to list galleries, media, playlist, audio, etc.</li>\n</ul>\n<p>MediaPress adds upload buttons for images, audio, and video to the activity update box. Users can also upload from the gallery menu item in their profiles.</p>\n<p><a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/media-upload.png\" rel=\"prettyphoto[32554]\"><img src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/media-upload.png?resize=1025%2C428\" alt=\"media-upload\" class=\"aligncenter size-full wp-image-32569\" /></a></p>\n<p>MediaPress&#8217; gallery support works very similar to Facebook. Images uploaded via the activity stream will be placed in a wall photo gallery where users can view, edit, or delete them.</p>\n<p><a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/user-galleries.png\" rel=\"prettyphoto[32554]\"><img src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/user-galleries.png?resize=700%2C527\" alt=\"user-galleries\" class=\"aligncenter size-full wp-image-32571\" /></a></p>\n<p>MediaPress comes with an extensive array of admin options for controlling its features. It&#8217;s also tightly integrated with WordPress and BuddyPress, which is why audio playlists in the activity stream look similar to audio uploaded to posts.</p>\n<p><a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/audio-play-list-activity.png\" rel=\"prettyphoto[32554]\"><img src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/audio-play-list-activity.png?resize=1025%2C318\" alt=\"audio-play-list-activity\" class=\"aligncenter size-full wp-image-32573\" /></a></p>\n<p>Singh built MediaPress to be easy to customize and easy for other components to extend. Here are a few examples of what developers can do with the plugin:</p>\n<ul>\n<li>Use a different storage manager (supports local uploads by default but you can write one for the cloud- check core/storage/storage-manager.php for details).</li>\n<li>Add support for a new Media Type. (Check core/common/api.php, core/common/init.php for details.)</li>\n<li>Write a custom media loop. (Check MPP_Media_Query in core/common/query-media.php.)</li>\n<li>Write your own custom Gallery loop/list. (Check MPP_Gallery_Query for details.)</li>\n</ul>\n<h3>The Future of MediaPress</h3>\n<p>MediaPress does not utilize the BP Attachments API. I spoke with Singh to see what his plans are, when/if BP core adds better media support. &#8220;Yes, I will continue developing it even if BP adds its own media component,&#8221; he said. &#8220;MediaPress has a more versatile API than what will come in any media component in the next 2-3 years at least.&#8221;</p>\n<p>Singh spent the last year and a half planning the plugin, but it was only within the last four months that he got serious about building it. &#8220;I spent most of the time planning the architecture and API. My basic goal was to make it easy for site admins as well as developers to use and extend the plugin,&#8221; he said.</p>\n<p>MediaPress is open source and will remain free to use, as Singh&#8217;s primary goal is better community adoption. After the first release, he is planning on putting the plugin on GitHub and will also submit it to WordPress.org. He hopes to build a community around it.</p>\n<p>Singh will be retiring BP Gallery in favor of MediaPress. &#8220;Things have changed in last 4 years &#8211; custom post types, taxonomy APIs made it into WordPress core, as well as multisite,&#8221; he said. &#8220;We needed a plugin to reflect these changes and work better with the current APIs. I did not feel updating BP Gallery will do it justice.&#8221;</p>\n<p>There are very few media plugins for BuddyPress at the moment, and Singh said that it seemed all of them were either bloated or very limited in options. MediaPress is currently the most advanced gallery/album solution for BuddyPress, even though it&#8217;s still in beta. I tested the plugin and found its UI to be fairly intuitive. It fits in like a natural part of BuddyPress. Check out the <a href=\"http://demos.buddydev.com/mediapress/activity/\" target=\"_blank\">live demo</a> to see it in action.</p>\n<p>In the future, Singh plans to add support for WordPress (non-BuddyPress) sites and bbPress. If you&#8217;d like to help test the MediaPress beta, you can download it from <a href=\"http://buddydev.com/buddypress/presenting-mediapress-media-plugin-will-ever-need-buddypress/\" target=\"_blank\">BuddyDev.com</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 24 Oct 2014 05:13:16 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt: FB Rooms\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44309\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://ma.tt/2014/10/fb-rooms/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:397:\"<blockquote><p>We’re not trying to build the next Snapchat — we’re trying to build the next WordPress.<br />\n&#8212; Josh Miller from Facebook</p></blockquote>\n<p>Uh, okay! From the Verge&#8217;s article <a href=\"http://www.theverge.com/2014/10/23/7048495/facebook-rooms-brings-reddit-like-forums-to-your-iphone\">Facebook&#039;s new Rooms app brings bite-sized forums to your iPhone</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 23 Oct 2014 20:15:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"WPTavern: JSTOR Launches Online Daily Magazine Using WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32503\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"http://wptavern.com/jstor-launches-online-daily-magazine-using-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3457:\"<p>In a strategic effort to make academic journals more relevant to your average reader, <a href=\"http://www.jstor.org/\" target=\"_blank\">JSTOR</a> has launched an online daily magazine. The digital academic library offers full-text searches of 2,000+ journals, e-books, and primary sources. <a href=\"http://daily.jstor.org/\" target=\"_blank\">JSTOR Daily</a> will serve to bring more context to current events by connecting readers to relevant scholarly publications found within the JSTOR library.</p>\n<p>The site&#8217;s authors tackle various complex issues, such as <a href=\"http://daily.jstor.org/stem-cells-offer-hope-for-treating-type-i-diabetes/\" target=\"_blank\">stem cell research</a>, <a href=\"http://daily.jstor.org/marijuana-and-public-health/\" target=\"_blank\">marijuana and public health</a>, <a href=\"http://daily.jstor.org/why-growing-more-food-wont-stop-hunger/\" target=\"_blank\">world hunger</a>, and more, by providing backstory using research from JSTOR&#8217;s wealth of scholarly publications.</p>\n<p><strong>&#8220;JSTOR is primarily a digital library, and we haven’t produced our own content before, so this is a real shift for the organization,”</strong> editor Catherine Halley told NiemanLab in a recent <a href=\"http://www.niemanlab.org/2014/10/opening-up-the-archives-jstor-wants-to-tie-a-library-to-the-news/\" target=\"_blank\">interview</a>. Publishers of the new daily magazine selected WordPress to power the site, which currently publishes two to three short posts per day, interspersed with longer feature stories twice per week.</p>\n<p><a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/jstor-daily.jpg\" rel=\"prettyphoto[32503]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/jstor-daily.jpg?resize=345%2C500\" alt=\"jstor-daily\" class=\"alignright size-large wp-image-32540\" /></a>JSTOR Daily&#8217;s design uses a slightly modified version of <a href=\"http://themeforest.net/item/simplemag-magazine-theme-for-creative-stuff/4923427\" target=\"_blank\">SimpleMag</a>, a magazine theme sold on Themeforest. Based on a quick view of the source, you can see that the site also utilizes common plugins, such as <a href=\"http://jetpack.me/\" target=\"_blank\">Jetpack</a> to power subscriptions and stats, <a href=\"http://www.gravityforms.com/\" target=\"_blank\">Gravity Forms</a>, <a href=\"https://wordpress.org/plugins/add-to-any/\" target=\"_blank\">Add to Any</a>, <a href=\"https://github.com/deconf/google-analytics-dashboard-for-wp\" target=\"_blank\">Google Analytics Dashboard for WP</a>, and <a href=\"https://wordpress.org/plugins/w3-total-cache/\" target=\"_blank\">W3 Total Cache</a>.</p>\n<p>The site is currently still in beta, as JSTOR experiments with its content strategy. Ordinarily, JSTOR serves its library content via paid subscriptions, though access is licensed mainly to academic institutions and their students. However, content linked within JSTOR daily has to be freely available to readers, since the purpose of the publication is to maximize JSTOR&#8217;s academic archive. Therefore, the publishers opted to make any timely or otherwise compelling content available for free, when linked within one of the stories. If you&#8217;re interested in getting your news mixed with a healthy dose of in-depth academic research, subscribe to the <a href=\"http://daily.jstor.org/newsletter/\" target=\"_blank\">JSTOR Daily bi-weekly newsletter</a> or add the site to your favorite feed reader.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 23 Oct 2014 18:40:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"WPTavern: Unsplash Plugin Brings One-Click Stock Photo Uploads to the WordPress Media Library\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32458\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"http://wptavern.com/unsplash-plugin-brings-one-click-stock-photo-uploads-to-the-wordpress-media-library\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4059:\"<p><a href=\"https://unsplash.com\" target=\"_blank\">Unsplash</a>, the free stock photo site, quickly became popular with designers, due to its tasteful curating of images. All of the high resolution images on the site are carefully selected, and you&#8217;d be hard-pressed to find a bad photo among them. Unsplash gradually grows its collection by adding 10 new photos every 10 days, all of which are available under the very permissive <a href=\"http://creativecommons.org/publicdomain/zero/1.0/\" target=\"_blank\">Creative Commons Zero</a> license.</p>\n<p><a href=\"https://wordpress.org/plugins/unsplash-stock-photo-library/\" target=\"_blank\">Unsplash WP</a> is the first plugin created to bring these images into WordPress. With one click you can upload stock photos directly into the media library without having to leave the admin. Since Unsplash photo licensing allows you the freedom to copy, modify, distribute and use the photos without permission, you can use the images in your commercial endeavors, designs, blog posts, or anywhere on your site.</p>\n<p>Once installed, you can add Unsplash photos from the plugin&#8217;s settings page or within the page/post editor. You have a few options for setting the upload image width and height, as well as the number of images per page. When editing content, you&#8217;ll find a new Unsplash Uploader button:</p>\n<p><a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/unsplash-button.png\" rel=\"prettyphoto[32458]\"><img src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/unsplash-button.png?resize=1025%2C522\" alt=\"unsplash-button\" class=\"aligncenter size-full wp-image-32488\" /></a></p>\n<p>When you click on the uploader, the most recent Unsplash images will be displayed in lightbox. You can toggle between recent, oldest, and random to select images to upload.</p>\n<p><a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/unsplash-media-library.png\" rel=\"prettyphoto[32458]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/unsplash-media-library.png?resize=1025%2C506\" alt=\"unsplash-media-library\" class=\"aligncenter size-full wp-image-32463\" /></a></p>\n<p>The images you select will then be added to your media library for use. You&#8217;ll have to switch back to the media upload button to insert them into your content. The plugin will need to be able to write temporary images into the wp-content/plugins/unsplash-stock-photo-library directory for image processing, prior to uploading them to the media library. If you see the little red warning on an image, it means that you will need to check your server permissions before it will work.</p>\n<p><a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/check-permissions-yo.jpg\" rel=\"prettyphoto[32458]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/check-permissions-yo.jpg?resize=826%2C356\" alt=\"check-permissions-yo\" class=\"aligncenter size-full wp-image-32482\" /></a></p>\n<p>Unsplash WP was created by <a href=\"http://connekthq.com/\" target=\"_blank\">Darren Cooney</a>, author of the <a href=\"https://wordpress.org/plugins/ajax-load-more/\" target=\"_blank\">Ajax Load More</a> plugin. After testing it, I was impressed by how smoothly it performs as well as the convenience of not having to leave the admin.</p>\n<p>My only concern is that, with the growing popularity of Unsplash, some of the photos begin to look cliché and commonplace after you&#8217;ve seen them used on dozens of sites across the web. Ultimately, the best and most unique photographs are the ones you take, because they are tied to your own experience and perspective.</p>\n<p>However, if you simply need to quickly prototype a design and want to have a bunch of nice images at your fingertips, <a href=\"https://wordpress.org/plugins/unsplash-stock-photo-library/\" target=\"_blank\">Unsplash WP</a> is an excellent plugin that will save you quite a bit of time. <a href=\"https://wordpress.org/plugins/unsplash-stock-photo-library/\" target=\"_blank\">Download</a> it for free from WordPress.org.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Oct 2014 22:27:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"WPTavern: Tickets Still Available to Watch The WordCamp San Francisco Live Stream\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32471\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"http://wptavern.com/tickets-still-available-to-watch-the-wordcamp-san-francisco-live-stream\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1901:\"<p><a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/06/wcsf.jpeg\" rel=\"prettyphoto[32471]\"><img class=\"aligncenter size-full wp-image-24984\" src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/06/wcsf.jpeg?resize=810%2C300\" alt=\"wcsf\" /></a></p>\n<p>This weekend, the annual WordPress conference known as <a title=\"http://2014.sf.wordcamp.org/\" href=\"http://2014.sf.wordcamp.org/\">WordCamp San Francisco</a> will take place. It&#8217;s the only conference to feature &#8220;The State of the Word&#8221; presented by Matt Mullenweg. If you can&#8217;t make it to the event, there are still plenty of <a title=\"http://2014.sf.wordcamp.org/tickets/\" href=\"http://2014.sf.wordcamp.org/tickets/\">live stream tickets</a> available.</p>\n<p>Live stream tickets cost $10 and allow you to enjoy the conference from the comfort of your home. However, if you buy a Live Stream Plus T-Shirt ticket for $18, you&#8217;ll receive a T-Shirt immediately following the event. When purchasing tickets, make sure you log into your <a title=\"https://wordcamp.org/wp-login.php?redirect_to=http%3A%2F%2F2014.sf.wordcamp.org%2Ftickets%2F\" href=\"https://wordcamp.org/wp-login.php?redirect_to=http%3A%2F%2F2014.sf.wordcamp.org%2Ftickets%2F\">WordPress.org account</a>.</p>\n<p>An alternative to purchasing a live stream ticket is to check your local WordPress meetup as several of them are having live stream watch parties. If you&#8217;re a meetup organizer having a viewing party, please add the event in the comments. You can also follow the event by monitoring the <a title=\"https://twitter.com/hashtag/wcsf\" href=\"https://twitter.com/hashtag/wcsf\">#wcsf</a> and <a title=\"https://twitter.com/hashtag/wcsf14\" href=\"https://twitter.com/hashtag/wcsf14\">#wcsf14</a> hashtags on Twitter.</p>\n<p>Sarah Gooding and I will be in attendance during the weekend of festivities so if you see us, stop and say hi.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Oct 2014 21:22:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"WPTavern: BuddyPress 2.2 Will Add Support for Composer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32397\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"http://wptavern.com/buddypress-2-2-will-add-support-for-composer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3355:\"<p><a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/composer-support-buddypress.jpg\" rel=\"prettyphoto[32397]\"><img src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/composer-support-buddypress.jpg?resize=961%2C440\" alt=\"composer-support-buddypress\" class=\"aligncenter size-full wp-image-32418\" /></a></p>\n<p>BuddyPress lead developer <a href=\"http://byotos.com/\" target=\"_blank\">Paul Gibbs</a> committed <a href=\"https://buddypress.trac.wordpress.org/changeset/9088\" target=\"_blank\">support for Composer</a> to BuddyPress core this week. Developers who want to check it out can find the json file at: <a href=\"https://buddypress.trac.wordpress.org/browser/trunk/src/composer.json?rev=9088\" target=\"_blank\">trunk/src/composer.json</a>.</p>\n<p>If you&#8217;re not yet familiar with <a href=\"https://getcomposer.org\" target=\"_blank\">Composer</a>, it&#8217;s essentially a tool for dependency management in PHP. It is designed to manage packages on a per-project basis by bringing in any dependent libraries that you declare in the <code>composer.json</code> file. The dependencies are then automatically installed in a <code>vendor</code> directory or other specified location inside your project.</p>\n<p>BuddyPress is not yet listed on <a href=\"https://packagist.org/\" target=\"_blank\">Packagist.org</a> but should be added soon. Once it&#8217;s listed there, it can easily be declared as a dependency after the next version (2.2) is released.</p>\n<pre class=\"brush: plain; title: ; notranslate\">{\n    \"require\": {\n        \"buddypress/buddypress\": \"~2.2\"\n    }\n}</pre>\n<p>BuddyPress 2.2 is expected in mid-January 2015, according to Gibbs&#8217; reply in the <a href=\"https://buddypress.trac.wordpress.org/timeline?from=2014-10-22T08%3A12%3A09Z&precision=second\" target=\"_blank\">ticket</a> to add Composer. He plans to configure Packagist to pull from <a href=\"http://plugins.svn.wordpress.org/buddypress/\" target=\"_blank\">http://plugins.svn.wordpress.org/buddypress/</a>.</p>\n<p>Because BuddyPress is identified as a WordPress plugin in its json file (&#8220;type&#8221;: &#8220;wordpress-plugin&#8221;), composer/installers will by default send it to the wp-content/plugins directory.</p>\n<p>If you can&#8217;t wait two months, and you&#8217;re dying to use BuddyPress with Composer right now, there&#8217;s an alternative method. I spoke with WordPress <a href=\"http://composer.rarst.net/\" target=\"_blank\">Composer evangelist</a> Andrey Savchenko (<a href=\"https://twitter.com/rarst\" target=\"_blank\">@rarst</a>) regarding the news. He suggests that in the meantime developers could use <a href=\"http://wpackagist.org/\" target=\"_blank\">wpackagist</a>, which provides a mirror of the WordPress plugin and theme directories as a Composer repository.</p>\n<pre class=\"brush: plain; title: ; notranslate\">{\n \"require\"     : {\n  \"wpackagist-plugin/buddypress\": \"~2.1\"\n },\n \"repositories\": [\n  {\n   \"type\": \"composer\",\n   \"url\" : \"http://wpackagist.org\"\n  }\n ]\n}</pre>\n<p>If you search for &#8220;WordPress&#8221; on Packagist, you&#8217;ll find many other projects, which can also be easily added into your next BuddyPress project. Composer support makes it easy to create a master <code>composer.json</code> file for your projects, that will save you time by allowing you to load all of your dependencies in a matter of seconds.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Oct 2014 10:32:58 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"WPTavern: How to Increase or Decrease The Font Size in The Visual Editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32400\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"http://wptavern.com/how-to-increase-or-decrease-the-font-size-in-the-visual-editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3068:\"<a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/VisualEditorFontSizeFeaturedImage.png\" rel=\"prettyphoto[32400]\"><img class=\"size-full wp-image-32423\" src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/VisualEditorFontSizeFeaturedImage.png?resize=640%2C200\" alt=\"Visual Editor Font Size Featured Image\" /></a>photo credit: <a href=\"https://www.flickr.com/photos/ush/3741182620/\">Mr Ush</a> &#8211; <a href=\"http://creativecommons.org/licenses/by-nc-sa/2.0/\">cc</a>\n<p>If you use the visual editor to write posts or pages, you&#8217;ll know that the font can sometimes be hard to read due to its size. Some themes use a tiny font in the visual editor and unless you know how to apply CSS changes, you&#8217;re stuck with it. Luckily, there&#8217;s a plugin available specifically for the purpose of adjusting the font size in the visual editor called <a title=\"https://wordpress.org/plugins/visual-editor-font-size/\" href=\"https://wordpress.org/plugins/visual-editor-font-size/\">Visual Editor Font Size</a>.</p>\n<p>Developed by <a title=\"http://extrapolate.me/\" href=\"http://extrapolate.me/\">Nikolay Bachiyski</a>, Visual Editor Font Size adds a meta box to the post editor. After installing and activating the plugin, check the screen options on the post editor and make sure the box next to Visual Editor Font Size is checked. The meta box has a plus and minus button to increase or decrease the font size. There&#8217;s also a sample of text to indicate how large or small the font is and the revert link resets the text to the default size.</p>\n<a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/VisualEditorFontSizeMetaBox.png\" rel=\"prettyphoto[32400]\"><img class=\"size-full wp-image-32411\" src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/VisualEditorFontSizeMetaBox.png?resize=783%2C334\" alt=\"Visual Editor Font Size Meta Box\" /></a>Visual Editor Font Size Meta Box\n<p>Although it works fine in WordPress 4.0, I&#8217;d rather see the size adjusting buttons added to the TinyMCE editor. The editor is the first place I look to manipulate content in the visual editor and when I didn&#8217;t see any additional buttons, I thought the plugin was broken. This plugin is great if you don&#8217;t have the CSS knowledge or access to make the appropriate changes, but it&#8217;s not the best way to solve the problem.</p>\n<p>If the theme you&#8217;re using doesn&#8217;t have a visual editor style applied to it, contact the author and send them <a title=\"http://codex.wordpress.org/Editor_Style\" href=\"http://codex.wordpress.org/Editor_Style\">this link</a>. It&#8217;s a Codex article that explains how to add a style to a theme specifically for the visual editor. When executed well, the content in the editor will look identical to what visitors see. <a title=\"http://themehybrid.com/themes/stargazer\" href=\"http://themehybrid.com/themes/stargazer\">Stargazer,</a> by Justin Tadlock, is an excellent example of a theme where the content in the visual editor is the same style that&#8217;s seen by visitors.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Oct 2014 09:36:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"WPTavern: Comparing The Photo Publishing Experience of WordPress For iOS to Facebook and Twitter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32379\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:106:\"http://wptavern.com/comparing-the-photo-publishing-experience-of-wordpress-for-ios-to-facebook-and-twitter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5318:\"<a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/WelcomeHomeFeaturedImage.png\" rel=\"prettyphoto[32379]\"><img class=\"size-full wp-image-32387\" src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/WelcomeHomeFeaturedImage.png?resize=639%2C200\" alt=\"Welcome Home Featured Image\" /></a>photo credit: <a href=\"https://www.flickr.com/photos/angusf/2165904810/\">angusf</a> &#8211; <a href=\"http://creativecommons.org/licenses/by-nc-sa/2.0/\">cc</a>\n<p>In late September, WordPress.com <a title=\"http://wptavern.com/wordpress-com-publishes-first-ever-video-ad-entitled-welcome-home\" href=\"http://wptavern.com/wordpress-com-publishes-first-ever-video-ad-entitled-welcome-home\">published the first in a series of short videos</a> that shows how easy it is to publish content from a mobile device. In the 15 second video entitled &#8220;<a title=\"https://www.youtube.com/watch?v=MfW2UJMIQvQ&feature=youtu.be\" href=\"https://www.youtube.com/watch?v=MfW2UJMIQvQ&feature=youtu.be\">Welcome Home,</a>&#8221; a user is seen taking photos with an iPhone in various locations. Near the end of the video, the user taps the WordPress mobile app icon and sees a post with one of the images captured by the phone. What&#8217;s not shown is the process of publishing the photo.</p>\n<p><span class=\"embed-youtube\"></span></p>\n<p>The take away from the video is that it&#8217;s easy to publish photos to WordPress.com from a mobile device. With that in mind, I was curious what it&#8217;s like to perform the same task with other social networks on a mobile device. The following is my experience using <a title=\"https://apps.wordpress.org/\" href=\"https://apps.wordpress.org/\">WordPress For iOS</a> for this specific task and how it compares to using Facebook and Twitter.</p>\n<h2>The WordPress For iOS Process</h2>\n<p>The first thing I do is take a photo with my phone. Next, I load the WordPress For iOS app. I tap the Pencil icon in the lower right corner and make sure to select my WordPress.com account. I give the post a title which is normally related to the image, then write some content. Writing a lot of content on the iPhone is not an ideal experience so I usually keep it short.</p>\n<p>Next, I add an image to the post. Selecting a photo from the phone and uploading it to WordPress is an easy task. After the photo is inserted, I head into the Options area. From here, I assign a Category and relevant Tags. I preview the post and if I like what I see, I tap the Publish button.</p>\n<a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/DogInChair.png\" rel=\"prettyphoto[32379]\"><img class=\"wp-image-32384 size-large\" src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/DogInChair.png?resize=281%2C500\" alt=\"WordPress For iOS Post Preview\" /></a>WordPress For iOS Post Preview\n<p>While I&#8217;m not forced to assign a Category or Tags to posts, it&#8217;s a good practice and one I&#8217;ve already established with the site.</p>\n<h2>The Facebook on iOS Process</h2>\n<p>I open the Facebook app and select Photo. I&#8217;m given the choice to either select a photo from the phone&#8217;s media library or to take a picture. The ability to use the camera to take a photo for a post is a distinct difference between the Facebook app and WordPress. I usually have an image ready to publish but when I don&#8217;t, taking a photo within the app is a nice convenience. After selecting a photo, it&#8217;s uploaded to Facebook where I then add context for the image.</p>\n<p>With the Facebook app, I can add other data to the post such as location, the people I was with or who are in the photo, and my mood. Most of the time, the additional information doesn&#8217;t apply to my photo. After adding some context, I tap the Post button. Boiled down to the simplest procedure, I can publish a photo post on Facebook in five steps.</p>\n<ol>\n<li>Open App</li>\n<li>Select Photo</li>\n<li>Choose or Take Photo</li>\n<li>Apply Context</li>\n<li>Post</li>\n</ol>\n<p>I don&#8217;t have to worry about assigning a category or tags to Facebook posts.</p>\n<h2>The Twitter on iOS Process</h2>\n<p>I open the Twitter app and tap the button to write a new Tweet. I tap the button to add media and similar to Facebook, I can either choose from the phone&#8217;s media library or take a photo. After selecting an image, I add context, then tap the send button. I don&#8217;t have to worry about tags or categories.</p>\n<h2>Not The Simplest, But The Most Future Proof</h2>\n<p>WordPress For iOS isn&#8217;t the simplest way to share photos with the world but it&#8217;s the most future proof. It may be more work, but an added benefit to using WordPress.com is its <a title=\"http://en.support.wordpress.com/publicize/\" href=\"http://en.support.wordpress.com/publicize/\">Publicize feature</a>. When a post is published, WordPress.com can send it to both Twitter and Facebook. This is an ideal way to share photos to the widest possible audience while maintaining full control of your content.</p>\n<p>Facebook and Twitter are islands where you have no control and the carpet can be pulled out from under you. But at WordPress.com, you have a place to call your own and if you desire, you can pack up your content and leave. This is what the message &#8220;Welcome Home&#8221; means to me. What does it mean to you?</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Oct 2014 08:30:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"WPTavern: Initiatives Being Developed Alongside WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32296\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"http://wptavern.com/initiatives-being-developed-alongside-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6434:\"<a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/OpportunityFeaturedImage.png\" rel=\"prettyphoto[32296]\"><img class=\"size-full wp-image-32335\" src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/OpportunityFeaturedImage.png?resize=639%2C287\" alt=\"Opportunity Featured Image\" /></a>photo credit: <a href=\"https://www.flickr.com/photos/streamishmc/2340150187/\">{Guerrilla Futures | Jason Tester}</a> &#8211; <a href=\"http://creativecommons.org/licenses/by-nd/2.0/\">cc</a>\n<p>While it&#8217;s easy to focus on WordPress core development, there are a handful of satellite projects to keep an eye on. There is so much happening around the WordPress project, it&#8217;s tough to keep up. This post highlights some of the satellite projects and initiatives that are being developed concurrently with WordPress.</p>\n<h2>Feature Plugin: Improve Image Editing</h2>\n<p>Led by Siobhan McKeown, the <a title=\"https://make.wordpress.org/ui/2014/07/07/feature-plugin-improving-image-editing/\" href=\"https://make.wordpress.org/ui/2014/07/07/feature-plugin-improving-image-editing/\">Image Flow project</a> is aimed at improving the image editing experience in WordPress. It&#8217;s a feature that will likely not be removed, so the team is doing what it can to improve it. In the most recent meeting, the group <a title=\"https://make.wordpress.org/ui/2014/10/21/image-flow-update-21st-october-wireframe-discussion/\" href=\"https://make.wordpress.org/ui/2014/10/21/image-flow-update-21st-october-wireframe-discussion/\">discussed various wireframes</a> and will be making changes based on community feedback. The group meets every Friday and uses Google Hangout to conduct meetings.</p>\n<h2>Scalable Dropdowns</h2>\n<p>Created by Helen Hou-Sandi, the scalable dropdowns project is focused on addressing some long-standing issues with dropdowns in WordPress, specifically for <a title=\"https://core.trac.wordpress.org/ticket/19867\" href=\"https://core.trac.wordpress.org/ticket/19867\">users</a> and <a title=\"https://core.trac.wordpress.org/ticket/9864\" href=\"https://core.trac.wordpress.org/ticket/9864\">pages</a>. An <a title=\"https://irclogs.wordpress.org/chanlog.php?channel=wordpress-dev&day=2014-10-08&sort=asc#m936665\" href=\"https://irclogs.wordpress.org/chanlog.php?channel=wordpress-dev&day=2014-10-08&sort=asc#m936665\">initial meeting</a> has taken place on IRC and as a result, several issues have been <a title=\"https://github.com/helenhousandi/wp-19867-9864/issues\" href=\"https://github.com/helenhousandi/wp-19867-9864/issues\">opened on Github</a> for work and discussion. If you&#8217;re interested, review the issues on Github and contribute where you&#8217;re able to. Questions related to the project can be <a title=\"https://make.wordpress.org/core/2014/10/10/scalable-dropdowns-update/\" href=\"https://make.wordpress.org/core/2014/10/10/scalable-dropdowns-update/\">asked here</a>.</p>\n<h2>Meta, Date, and Taxonomy Query Improvements</h2>\n<p>Boone Gorges is <a title=\"https://make.wordpress.org/core/2014/10/02/meta-date-and-tax-query-improvements-in-wp-4-1/\" href=\"https://make.wordpress.org/core/2014/10/02/meta-date-and-tax-query-improvements-in-wp-4-1/\">leading the way</a> towards improving <code>WP_Meta_Query</code>, <code>WP_Tax_Query</code>, and <code>WP_Date_Query</code>. The improvements are slated for WordPress 4.1. According to a recent <a title=\"https://make.wordpress.org/core/2014/10/20/update-on-query-improvements-in-4-1/\" href=\"https://make.wordpress.org/core/2014/10/20/update-on-query-improvements-in-4-1/\">project update</a>, most of the proposed changes Gorges listed in the initial post have been made.</p>\n<h2>Inline Documentation</h2>\n<p>Shortly after WordCamp San Francisco 2013, the <a title=\"https://make.wordpress.org/core/tag/inline-docs/\" href=\"https://make.wordpress.org/core/tag/inline-docs/\">inline docs team</a> began working on providing inline documentation to every hook in WordPress. The team successfully completed documented every action and filter hook as part of the release of WordPress 3.9. In a <a title=\"https://make.wordpress.org/core/2014/09/29/were-discussing-js-docs-at-this-weeks-inline-docs-chat/\" href=\"https://make.wordpress.org/core/2014/09/29/were-discussing-js-docs-at-this-weeks-inline-docs-chat/\">recent meeting</a>, the group discussed options for adopting a documentation standard for core JavaScript.</p>\n<h2>WordPress Training</h2>\n<p>The <a title=\"https://make.wordpress.org/training/\" href=\"https://make.wordpress.org/training/\">training initiative</a> is a proposed <a title=\"http://make.wordpress.org/training/theme-curriculum/\" href=\"http://make.wordpress.org/training/theme-curriculum/\">curriculum</a> that covers everything from explaining what a theme is, to creating and altering child themes. The group is working on various training modules that make up each class. In their <a title=\"https://irclogs.wordpress.org/chanlog.php?channel=wordpress-getinvolved&day=2014-10-14&sort=asc\" href=\"https://irclogs.wordpress.org/chanlog.php?channel=wordpress-getinvolved&day=2014-10-14&sort=asc\">most recent meeting</a>, the group discussed the status of modules in progress, infrastructure for testing modules, and a team training sign up form. If you&#8217;re interested in contributing to this project, the team has meetings every <strong>Tuesday 18:00 UTC</strong> in the<strong> #wordpress-getinvolved</strong> IRC channel.</p>\n<h2>Opportunities to Contribute</h2>\n<p>I&#8217;ve only scratched the surface with the number of initiatives available to contribute to. Whether you have a special interest in <a title=\"http://make.wordpress.org/accessibility/\" href=\"http://make.wordpress.org/accessibility/\">accessibility</a>, <a title=\"http://make.wordpress.org/ui/\" href=\"http://make.wordpress.org/ui/\">UI</a>, <a title=\"http://make.wordpress.org/mobile/\" href=\"http://make.wordpress.org/mobile/\">mobile</a>, <a title=\"http://make.wordpress.org/support/\" href=\"http://make.wordpress.org/support/\">support</a>, <a title=\"http://make.wordpress.org/themes/\" href=\"http://make.wordpress.org/themes/\">themes</a>, or <a title=\"http://make.wordpress.org/polyglots/\" href=\"http://make.wordpress.org/polyglots/\">translations</a>, there&#8217;s a project that could use your help. The best way to stay informed of new and existing initiatives is visit <a title=\"https://make.wordpress.org/\" href=\"https://make.wordpress.org/\">Make.WordPress.org</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Oct 2014 04:06:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Matt: Retina 5k Mac\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44298\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"http://ma.tt/2014/10/retina-5k-mac/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2380:\"<p><img class=\"alignright  wp-image-44300\" src=\"http://i1.wp.com/ma.tt/files/2014/10/imac-retina-step1-hero-2014.jpeg?resize=354%2C213\" alt=\"imac-retina-step1-hero-2014\" /> To me one of the most meaningful shifts in computing the past few years has been how the resolution of displays is getting higher and higher, and interfaces are starting to become resolution independent. I feel like when pixels disappear there&#8217;s less of a wall between people and the technology, it starts to blend and meld a bit more. It&#8217;s something I&#8217;ve been personally passionate about since the first retina iPhone, tirelessly beating the drum at <a href=\"http://automattic.com/\">Automattic</a> to make everything we do shine on hi-DPI screens, or leading the <a href=\"https://wordpress.org/news/2013/12/parker/\">WordPress 3.8 release</a> that brought in MP6 project to make WordPress&#8217; aesthetics cleaner and vector-based.</p>\n<p>I&#8217;m sitting in front of a <a href=\"http://www.apple.com/imac-with-retina/\">Retina 5k iMac</a> right now typing this to you. (It was supposed to arrive on Friday but came a few days early.)</p>\n<p>It&#8217;s the most gorgeous desktop display I&#8217;ve ever seen, breathtaking at first and then like all great work becomes invisible and you forget that there was ever a time when displays weren&#8217;t this beautiful. (Until you look at some lesser monitor again.)</p>\n<p>I&#8217;ve been using 4k displays, <a href=\"http://smile.amazon.com/dp/B00LFNDLVG/\">the Sharp</a> and <a href=\"http://smile.amazon.com/dp/B00DJ4BIKA/\">the ASUS</a>, with Mac Pros for a few months now, and to be honest they come close, but this takes the cake in every possible way, including the design and aesthetics of the computer/display itself which is laptop-thin at the edges. If you&#8217;ve been on the fence, and you&#8217;re okay with the <a href=\"http://techcrunch.com/2014/10/20/retina-imac-review/\">tradeoffs an iMac has in general</a>, get one. I can&#8217;t wait for them to do a 5k Thunderbolt display (but it sounds like it <a href=\"http://www.slashgear.com/an-apple-thunderbolt-5k-display-dont-hold-your-breath-17351284/\">might be at least a year away</a>).</p>\n<p>P. S. If you&#8217;re looking for a gift for the iMac that has everything, <a href=\"http://www.hardgraft.com/collections/extras-1/imac\">consider a slipper to keep its feet warm</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Oct 2014 00:42:59 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"WPTavern: Monster Widgets for bbPress and BuddyPress Make It Easy to Test Core Widgets\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32267\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"http://wptavern.com/monster-widgets-for-bbpress-and-buddypress-make-it-easy-to-test-core-widgets\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3265:\"<a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/monster.jpg\" rel=\"prettyphoto[32267]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/monster.jpg?resize=700%2C348\" alt=\"photo credit: massdistraction - cc\" class=\"size-full wp-image-32363\" /></a>photo credit: <a href=\"https://www.flickr.com/photos/sharynmorrow/3019436/\">massdistraction</a> &#8211; <a href=\"http://creativecommons.org/licenses/by-nc-nd/2.0/\">cc</a>\n<p>The original <a href=\"http://wptavern.com/monster-widget-a-useful-wordpress-theme-testing-tool\" target=\"_blank\">Monster Widget</a> plugin is a handy tool created by Automattic to assist theme developers with testing. Essentially, it allows you to quickly drop all core widgets into your sidebar at once, saving you the trouble of having to add them individually.</p>\n<p>Now you can get the same for bbPress and BuddyPress, thanks to a two new plugins from <a href=\"https://profiles.wordpress.org/mercime/\" target=\"_blank\">@mercime</a>, a contributor on both WordPress sister projects.</p>\n<p>The <a href=\"https://wordpress.org/plugins/buddypress-monster-widget/\" target=\"_blank\">BuddyPress Monster Widget</a> makes it easy to populate your sidebar with all of the BP core widgets, including the following:</p>\n<ul>\n<li>Log In</li>\n<li>Members</li>\n<li>Who&#8217;s Online</li>\n<li>Recently Active Members</li>\n<li>Friends</li>\n<li>Groups</li>\n<li>Sitewide Messages</li>\n<li>Recent Networkwide Posts</li>\n</ul>\n<p>The widgets are pre-configured to show a set number of blog posts, members, friends, etc. The list of widgets displayed can be altered by using the &#8216;buddypress-monster-widget-config&#8217; filter included in the plugin.</p>\n<p><a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/buddypress-monster-widget.jpg\" rel=\"prettyphoto[32267]\"><img src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/buddypress-monster-widget.jpg?resize=501%2C299\" alt=\"buddypress-monster-widget\" class=\"aligncenter size-full wp-image-32353\" /></a></p>\n<p>The <a href=\"https://wordpress.org/plugins/bbpress-monster-widget/\" target=\"_blank\">bbPress Monster Widget</a> plugin allows you to add all of the bbPress core widgets to your sidebar in one instance, including:</p>\n<ul>\n<li>Log In</li>\n<li>Forum Views</li>\n<li>Forum Search Form</li>\n<li>Forums</li>\n<li>Forum Topics</li>\n<li>Forum Statistics</li>\n<li>Forum Replies</li>\n</ul>\n<p>The bbPress Monster Widget also comes pre-configured with a set number of topics and replies displayed. The default list of widgets can be altered by using the &#8216;bbpress-monster-widget-config&#8217; filter.</p>\n<p>When creating a theme for public distribution, it&#8217;s important to make sure you know how the core widgets are going to look with your theme applied. This is especially true for community-oriented sites that utilize bbPress and BuddyPress, because the widgets often play a big part in connecting members to recent activity on the site. Download the <a href=\"https://wordpress.org/plugins/bbpress-monster-widget/\" target=\"_blank\">bbPress</a> and <a href=\"https://wordpress.org/plugins/buddypress-monster-widget/\" target=\"_blank\">BuddyPress</a> monster widgets from WordPress.org to make it quick and easy to test the core widgets.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Oct 2014 00:00:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"WPTavern: Compass: A Free Starter Theme for WordPress Built with Hybrid Core, Bourbon, and Neat\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32153\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"http://wptavern.com/free-compass-starter-theme-for-wordpress-built-with-hybrid-core-bourbon-and-neat\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6576:\"<a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/compass.jpg\" rel=\"prettyphoto[32153]\"><img src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/compass.jpg?resize=1023%2C487\" alt=\"photo credit: Theresa Thompson - cc\" class=\"size-full wp-image-32316\" /></a>photo credit: <a href=\"https://www.flickr.com/photos/theresasthompson/7163227255/\">Theresa Thompson</a> &#8211; <a href=\"http://creativecommons.org/licenses/by/2.0/\">cc</a>\n<p>The life of a frontend developer has changed a great deal over the past few years, with the introduction of new technologies for authoring CSS and automating tasks. We&#8217;re starting to see that trickle down into every new WordPress starter theme.</p>\n<p>These days you&#8217;ve got to <code>npm install allthiscrazystuff</code> just to get started on a project. Once you&#8217;ve gone through the setup, you&#8217;re ready to work more efficiently with many of the more boring tasks automated for you.</p>\n<p><a href=\"https://github.com/FlagshipWP/Compass\" target=\"_blank\">Compass</a> is a new WordPress starter theme that incorporates a host of modern web development technologies to help you create themes faster while staying in line with WordPress coding standards. The folks at <a href=\"http://flagshipwp.com/\" target=\"_blank\">Flagship</a>, a soon-to-launch theme shop, released Compass for free earlier this month, claiming that it is <strong>&#8220;the most advanced WordPress starter theme in existence.&#8221;</strong></p>\n<p><em>Note: The Compass theme name keeps with the company&#8217;s nautical vibe, but it&#8217;s not to be confused with the open source <a href=\"http://compass-style.org/\" target=\"_blank\">Compass</a> CSS framework built with Sass.</em></p>\n<p>Out of the box, the theme is fairly plain but, thankfully, not hideous. Obviously, it&#8217;s a starter theme, so the point is to provide the basics for getting started on your own beautiful creation.</p>\n<p><a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/compass-starter-theme.jpg\" rel=\"prettyphoto[32153]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/compass-starter-theme.jpg?resize=690%2C375\" alt=\"compass-starter-theme\" class=\"aligncenter size-full wp-image-32319\" /></a></p>\n<h4>Sass, Bourbon, and Neat with Composer Support</h4>\n<p>Similar to the <a href=\"http://wptavern.com/some-like-it-neat-a-free-wordpress-starter-theme-built-with-underscores-bourbon-and-neat\" target=\"_blank\">Some Like It Neat</a> starter theme, Compass features support for <a href=\"http://sass-lang.com/\" target=\"_blank\">Sass</a>, <a href=\"http://bourbon.io/\" target=\"_blank\">Bourbon</a>, and <a href=\"http://neat.bourbon.io/\" target=\"_blank\">Neat</a>. The theme uses <a href=\"https://getcomposer.org/\" target=\"_blank\">Composer</a> to manage dependencies for PHP, allowing you to declare the dependent libraries for your specific project to have them installed for you.</p>\n<h4>Grunt</h4>\n<p>The Flagship team has worked hard to create what they believe to be the most advanced and robust <a href=\"http://gruntjs.com/\" target=\"_blank\">Grunt</a> workflow available for WordPress theme development. You&#8217;ll need to install <a href=\"http://nodejs.org/\" target=\"_blank\">Node.js</a> to run the Grunt task runner with the Compass theme, although many theme developers will likely already have it installed. Some of the tasks will also require external command-line applications, which you&#8217;ll need to install as global Node.js packages.</p>\n<p>Once you&#8217;re ready to roll, you&#8217;ll be able to automate an amazing number of tasks associated with theme development, including things like auto-prefixing CSS properties, tidying up style.css to match the WordPress Coding Standards, generating the RTL style sheet, optimizing images, and much more. Here&#8217;s a short sampling:</p>\n<ul>\n<li><code>grunt build:dependencies</code></li>\n<li><code>grunt build:css</code></li>\n<li><code>grunt build:font</code></li>\n<li><code>grunt build:images</code></li>\n<li><code>grunt build:js</code></li>\n<li><code>grunt build:i18n</code></li>\n<li><code>grunt check</code></li>\n<li><code>grunt package</code></li>\n</ul>\n<p>Check out the documentation on GitHub for the comprehensive <a href=\"https://github.com/FlagshipWP/Compass#tasks\" target=\"_blank\">list of available tasks</a> included in the Compass theme.</p>\n<h5>Hybrid Core</h5>\n<p>Compass is built on top of Justin Tadlock&#8217;s <a href=\"http://themehybrid.com/hybrid-core\" target=\"_blank\">Hybrid Core</a>, one of the oldest and most developer-friendly frameworks for building WordPress themes. The Compass release post explains why Flagship went with Hybrid Core:</p>\n<blockquote><p>There are so many things that are going to be necessary on nearly every project, and they’re regularly done poorly in many of the themes that we’ve used and tested. Justin has done an amazing job of doing things “the WordPress way” and has been building and iterating Hybrid Core for many years.</p></blockquote>\n<p>The framework handles functionality that most themes commonly require, such breadcrumbs, grabbing media, integrating microdata like schema.org, pagination, theme layouts, and translation.</p>\n<p>Like many other new starter themes, Compass also offers support for the <a href=\"https://github.com/zamoose/themehookalliance\" target=\"_blank\">Theme Hook Alliance</a> project in an effort to provide a common set of entry points for plugin and theme developers looking to extend the theme.</p>\n<p>Although Flagship hasn&#8217;t yet officially launched, the site shows a preview of a few planned themes that were built using Compass as a starter theme.</p>\n<p><a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/flagship-themes.jpg\" rel=\"prettyphoto[32153]\"><img src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/flagship-themes.jpg?resize=962%2C418\" alt=\"flagship-themes\" class=\"aligncenter size-full wp-image-32305\" /></a></p>\n<p>The theme shop will soon launch with a unique pricing model that doesn&#8217;t involve bundle or theme club pricing. Each theme is priced at $199, with a $99 annual fee for support. The Compass starter theme that they use to build all of their products is open source and available to developers for free on <a href=\"https://github.com/FlagshipWP/Compass\" target=\"_blank\">GitHub</a>. Check out the <a href=\"http://community.flagshipwp.com/t/getting-started/37\" target=\"_blank\">Getting Started</a> guide for documentation, including video tutorials on installing the tools and working with Compass.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Oct 2014 19:40:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"WPTavern: Easily Edit a Post or Page Using The Slash Edit Plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32149\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"http://wptavern.com/easily-edit-a-post-or-page-using-the-slash-edit-plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2060:\"<p><a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/SlashEditFeaturedImage.png\" rel=\"prettyphoto[32149]\"><img class=\"aligncenter size-full wp-image-32264\" src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/SlashEditFeaturedImage.png?resize=650%2C200\" alt=\"Slash Edit Featured Image\" /></a></p>\n<p>If you&#8217;re not a fan of the admin bar or it&#8217;s disabled and you want a shortcut to edit posts in WordPress, you might be interested in a new plugin called <a title=\"https://wordpress.org/plugins/slash-edit/\" href=\"https://wordpress.org/plugins/slash-edit/\">Slash Edit</a>. Developed by <a title=\"http://www.ronalfy.com/\" href=\"http://www.ronalfy.com/\">Ronald Huereca</a>, Slash Edit adds the ability to edit the following items by adding <strong>/edit</strong> to the end of a url.</p>\n<ul>\n<li>Posts</li>\n<li>Pages</li>\n<li>Custom Post Types</li>\n<li>Author and Taxonomy Archives</li>\n</ul>\n<p>To load the appropriate editing interface, visit a post or page while logged into WordPress and add <strong>/edit</strong> to the end of the url. It can also be used as a shortcut to login to the backend of WordPress.</p>\n<p>Huereca works in an environment where the admin bar is consistently disabled. He created the plugin to provide a convenient way to edit pages or posts without having to search for them in the backend. &#8220;I thought, wouldn&#8217;t it be cool to just add &#8220;/edit&#8221; to the end of a post or page and be redirected to the right place in the admin panel?&#8221;</p>\n<p>Huereca doesn&#8217;t know what else could be added to the plugin to fulfill its basic purpose. &#8220;I&#8217;m not sure how much farther this plugin can go, but the WordPress community is ingenious as far as feature requests, so I&#8217;m eager to get feedback on the base feature set.&#8221; I tested the plugin on WordPress 4.0 and it works as advertised. To keep tabs on development, you can <a title=\"https://github.com/ronalfy/slash-edit\" href=\"https://github.com/ronalfy/slash-edit\">follow the project</a> on Github.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Oct 2014 03:06:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"WPTavern: Jason Schuller to Re-Enter WordPress Theme Market with Niche Admin Designs\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32202\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"http://wptavern.com/jason-schuller-to-re-enter-wordpress-theme-market-with-niche-admin-designs\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7575:\"<p><a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/pickle-preview.jpg\" rel=\"prettyphoto[32202]\"><img src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/pickle-preview.jpg?resize=972%2C462\" alt=\"pickle-preview\" class=\"aligncenter size-full wp-image-32216\" /></a></p>\n<p><a href=\"http://jason.sc/\" target=\"_blank\">Jason Schuller</a>, the original founder of the <a href=\"http://press75.com/\" target=\"_blank\">Press75</a> theme company, has been off the radar for a few years as he pursued experiments with alternative publishing platforms. He officially exited the commercial WordPress theme business earlier this year when <a href=\"http://wptavern.com/press75-acquired-by-westwerk-for-undisclosed-amount\" target=\"_blank\">Press75 was acquired by Westwerk</a>, following a sharp decline in the shop&#8217;s monthly revenue.</p>\n<p>Prior to selling his company, Schuller had begun to focus more on his experimental projects, <a href=\"http://dropplets.com/\" target=\"_blank\">Dropplets</a>, <a href=\"https://leeflets.com/\" target=\"_blank\">Leeflets</a>, and <a href=\"https://cinemati.co/\" target=\"_blank\">Cinematico</a>. Over the years, he had become disillusioned with the software, as he watched WordPress become increasingly more complex. This frustration, coupled with the weight of complex frameworks that started devouring the WordPress theme market, essentially vaporized his passion for the software and pushed him out to make something new.</p>\n<p>Earlier this year, in an <a href=\"http://wptavern.com/interview-with-jason-schuller-founder-of-press75-com\" target=\"_blank\">interview</a> with Jeff Chandler, Schuller expressed his dissatisfaction with trying to make WordPress do what he wanted and said that he wouldn&#8217;t be concentrating his efforts on WordPress in the immediate future.</p>\n<h3>Video Preview of Custom WordPress Admin for the &#8220;Pickle&#8221; Project</h3>\n<p>In his never-ending quest to simplify publishing online, Schuller has once again picked up WordPress to experiment with creating a radically simplified admin design for <a href=\"https://leeflets.com/templates?template=pickle\" target=\"_blank\">Pickle</a>, his restaurant-themed HTML template.</p>\n<blockquote class=\"twitter-tweet\" width=\"550\"><p>A short video preview of my <a href=\"https://twitter.com/hashtag/WordPress?src=hash\">#WordPress</a> admin redesign for “Pickle”: <a href=\"http://t.co/lvQtgIaAWP\">http://t.co/lvQtgIaAWP</a> <a href=\"https://twitter.com/hashtag/design?src=hash\">#design</a></p>\n<p>&mdash; Jason Schuller (@jschuller) <a href=\"https://twitter.com/jschuller/status/524235736166330368\">October 20, 2014</a></p></blockquote>\n<p></p>\n<p>Traditionally, making a template like that editable in WordPress ends up being a complex thing for your average user to navigate in the admin. The <a href=\"http://jason.sc/pickle-preview\" target=\"_blank\">preview video</a> shows how Schuller has re-imagined the admin for his niche one page template.</p>\n<p><a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/pickle-admin.jpg\" rel=\"prettyphoto[32202]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/pickle-admin.jpg?resize=964%2C520\" alt=\"pickle-admin\" class=\"aligncenter size-full wp-image-32235\" /></a></p>\n<p>He has essentially removed the admin, de-registered all the styles and many of the components, in an effort to create a custom CMS for this particular template. The result is a better correlation between the content editing experience and the actual website, with simplified action buttons.</p>\n<p>If you watch the preview, you&#8217;ll hear Schuller summarize why he created the simplified admin:</p>\n<blockquote><p>This is my biggest issue with WordPress right now. It doesn&#8217;t scale backward for minimalist websites like this. The CMS should reflect, in my opinion, what you&#8217;re trying to accomplish with your website, and all of these unnecessary components of WordPress just really don&#8217;t need to be here unless you need them for what you&#8217;re trying to accomplish.</p></blockquote>\n<p>Schuller said that it took him approximately two days to customize the WordPress admin to suit his template. <strong>&#8220;I&#8217;m nearly finished with it. It’s going to launch as a downloadable theme first and then I’ll be launching a hosted version as well,&#8221;</strong> he said.</p>\n<p>The theme will not be launching on Leeflets but rather on a new domain, yet to be determined, bringing Schuller back into the WordPress theme market. Why is he returning?</p>\n<p>&#8220;With this particular project, I really just wanted to get my vision out of my head as quick as possible,&#8221; he said. &#8220;With that in mind, I couldn&#8217;t see creating a custom CMS just for Pickle, so I figured WordPress would be the best way to do that quickly. Plus, you still can’t ignore WordPress’s reach.&#8221;</p>\n<p>I asked Schuller if the Pickle admin theme is a one time project or if he plans to create more niche admin themes to accompany his designs. &#8220;If Pickle goes well, I have a few other niche admins in mind for specific templates,&#8221; he replied.</p>\n<p><strong>&#8220;My goal is really simple &#8211; to help my customers/users create and manage websites. If WordPress helps me do that in an efficient way, I’m all for it. But I’ll be doing it my way this time around,&#8221;</strong> he emphasized.</p>\n<p>Schuller&#8217;s minimalist approach to the WordPress admin is something that he hopes will be easier for his target market to wrap their brains around. The popularity of the Pickle template is what spurred him on to create an editable version using WordPress. &#8220;I wasn’t expecting much when I released the Pickle HTML template,&#8221; he said. &#8220;But it was an instant hit. There are quite a few people helping restaurants create websites with it. That’s what triggered the idea to make a WordPress version.&#8221;</p>\n<p>At the moment Schuller is in touch with his market on a very small scale, but he hopes that it will expand with a successful launch of the Pickle theme. &#8220;My hope is that the WordPress version makes it even more enticing for businesses looking for a minimalist website/solution.&#8221;</p>\n<p>Schuller has identified a problem that many developers are hoping to solve. WordPress core is moving towards bridging the separation between the editing experience and the display of the content, with improvements to the customizer and experimental projects like the frontend editor. Others hope that the new JSON REST API will make it easier for developers to create custom admins.</p>\n<p>These changes cannot come soon enough, but will they be fully able to provide a more natural editing experience for users? Those, like Schuller, who have wrestled with dissatisfaction, have a decent shot at creating a revolutionary editing experience for the 10 year old platform. His inspiring work on the Pickle admin breaks WordPress out of the box and forces developers to look at the content editing experience in a new way.</p>\n<p>A more modular admin that can easily be scaled back for minimalist websites is something that would allow developers to truly customize the CMS for any niche template or project. The WordPress admin then becomes a chameleon of sorts, able to disappear into its surroundings with the content in focus. Schuller&#8217;s <a href=\"http://jason.sc/pickle-preview\" target=\"_blank\">Pickle experiment</a> is a good example of this, and likely part of a trend that we&#8217;ll see more in the future.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 20 Oct 2014 22:14:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"WPTavern: The First “Rate and Review a Plugin Day” is a Success\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32151\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"http://wptavern.com/the-first-rate-and-review-a-plugin-day-is-a-success\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7981:\"<p>Thanks to everyone who participated in the first &#8220;<a title=\"http://wptavern.com/rate-and-review-a-wordpress-plugin-day-set-for-october-17th\" href=\"http://wptavern.com/rate-and-review-a-wordpress-plugin-day-set-for-october-17th\">Rate and Review a plugin day&#8221;</a>. After reviewing the #<a title=\"https://twitter.com/hashtag/wppluginreviewday?src=hash\" href=\"https://twitter.com/hashtag/wppluginreviewday?src=hash\">wppluginreviewday</a> hashtag on Twitter, it&#8217;s clear that a lot of people submitted reviews to their favorite plugins. Based on an <a title=\"https://twitter.com/richardtape/status/523331218973405184\" href=\"https://twitter.com/richardtape/status/523331218973405184\">estimate by Richard Tape</a>, 455 reviews were published on October 17th. When compared to 254 reviews on October 16th, that&#8217;s an increase of 180%. Here are a few noteworthy mentions of the hashtag in action.</p>\n<blockquote class=\"twitter-tweet\" width=\"550\"><p>Wrote a review for <a href=\"https://twitter.com/eddwp\">@eddwp</a> here <a href=\"https://t.co/zvwWNJaGtu\">https://t.co/zvwWNJaGtu</a> Awesome feeling! <a href=\"https://twitter.com/hashtag/wppluginreviewday?src=hash\">#wppluginreviewday</a></p>\n<p>&mdash; Bharath Mandava  (@_mandava) <a href=\"https://twitter.com/_mandava/status/523321112222900225\">October 18, 2014</a></p></blockquote>\n<p></p>\n<blockquote class=\"twitter-tweet\" width=\"550\"><p>So I delivered a plugin review on .org today. <a href=\"http://t.co/4ua0iG0XjQ\">http://t.co/4ua0iG0XjQ</a> <a href=\"https://twitter.com/hashtag/wppluginreviewday?src=hash\">#wppluginreviewday</a> /cc: <a href=\"https://twitter.com/stevengliebe\">@stevengliebe</a> :)</p>\n<p>&mdash; David Decker (@deckerweb) <a href=\"https://twitter.com/deckerweb/status/523217428311191552\">October 17, 2014</a></p></blockquote>\n<p></p>\n<blockquote class=\"twitter-tweet\" width=\"550\"><p>For Rate &amp; Review a <a href=\"https://twitter.com/hashtag/WordPress?src=hash\">#WordPress</a> Plugin Day I gave kudos to <a href=\"https://twitter.com/iThemesSecurity\">@iThemesSecurity</a> <a href=\"https://twitter.com/hashtag/wppluginreviewday?src=hash\">#wppluginreviewday</a></p>\n<p>&mdash; BobWP (@bobWP) <a href=\"https://twitter.com/bobWP/status/523121578268041216\">October 17, 2014</a></p></blockquote>\n<p></p>\n<h2>Observations I Made While Submitting Reviews</h2>\n<p>It took 90 minutes to rate and review the plugins I&#8217;ve depended on for years. I noticed some of the plugins haven&#8217;t been updated since 2010. In some cases, the last review a plugin received was from 2012 or earlier.</p>\n<p>When I announced the holiday, I asked users to browse to the bottom of the plugin’s description page and click on the <em>broken</em> or <em>works</em> box. As I submitted my reviews, I forgot about the compatibility box. When submitting a review, there is a drop down menu to select which version of WordPress I&#8217;m using. I used this in combination with my review to tell people if the plugin works or not.</p>\n<a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/WPPluginReviewSubmissionForm.png\" rel=\"prettyphoto[32151]\"><img class=\"size-full wp-image-32152\" src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/WPPluginReviewSubmissionForm.png?resize=752%2C502\" alt=\"WordPress Plugin Review Submission Form\" /></a>WordPress Plugin Review Submission Form\n<p>Clicking the works or doesn&#8217;t work button is an easy task but it&#8217;s a <strong>separate action</strong> from submitting a review. It&#8217;s also the last widget on the description page and depending on the length of the description, may be hidden from view. I suggest merging the compatibility box into the process of submitting a review so it&#8217;s one action. Even though submitting compatibility information can be as simple as pressing a mouse button, not many do it.</p>\n<h2>The Disconnect Between WordPress.org and The Backend of WordPress</h2>\n<p>Your ratings, reviews, and compatibility checks are contributions to WordPress. It’s actionable data that millions of people use to determine whether or not to use a plugin. The backend of WordPress is an area millions of users interact with yet, the option to rate and review plugins as well as submit compatibility information doesn&#8217;t exist. The plugin details modal doesn&#8217;t show the compatibility box on the plugin&#8217;s description page and although you can read reviews, you can&#8217;t rate or review plugins.</p>\n<a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/PluginDetailsModal.png\" rel=\"prettyphoto[32151]\"><img class=\"size-full wp-image-32173\" src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/PluginDetailsModal.png?resize=684%2C723\" alt=\"Current Plugin Details Modal\" /></a>Plugin Details Modal\n<p>The plugin management page in WordPress hasn&#8217;t seen a visual upgrade in a long time. Here&#8217;s what it looks like in WordPress 4.0.</p>\n<a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/PluginManagementPage.png\" rel=\"prettyphoto[32151]\"><img class=\"size-full wp-image-32176\" src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/PluginManagementPage.png?resize=1025%2C530\" alt=\"WordPress 4.0 Plugin Management Page\" /></a>WordPress 4.0 Plugin Management Page\n<p>WordPress 3.9 <a title=\"http://wptavern.com/wordpress-4-0-benny-now-available-for-download\" href=\"http://wptavern.com/wordpress-4-0-benny-now-available-for-download\">revamped the theme browsing experience</a> while 4.0 introduced a refreshed <a title=\"http://wptavern.com/wordpress-4-0-benny-now-available-for-download\" href=\"http://wptavern.com/wordpress-4-0-benny-now-available-for-download\">plugin install and search experience</a>. Perhaps it&#8217;s time to refresh the plugin management page. One suggestion is to create two different list views. The management page in 4.0 could be the slim, detailed view. The enhanced view could use the card concept as seen on the Add Plugins page. Instead of displaying the crowd sourced information, you&#8217;d be able to rate and review the plugin and submit compatibility info from within the card.</p>\n<a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/WordPressAddNewPluginCards.png\" rel=\"prettyphoto[32151]\"><img class=\"size-full wp-image-32179\" src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/WordPressAddNewPluginCards.png?resize=1025%2C485\" alt=\"WordPress 4.0 Plugin Cards\" /></a>WordPress 4.0 Plugin Cards\n<p>The problem with two different views is that a sub-set of users wouldn&#8217;t see the card view and stick with the default. In order to maximize the potential of obtaining crowd sourced data, the submission points have to be accessible by as many people as possible.</p>\n<h2>Tighter Integration Between The Backend and WordPress.org</h2>\n<p>In order to submit ratings and reviews, you need to be logged into a WordPress.org user account. I&#8217;m unsure on how to properly address this issue. One idea is for WordPress to provide a connection similar to Jetpack where I connect a WordPress powered site to my WordPress.org account. This could also act as an opt-in mechanism. Ultimately, I&#8217;d like to see better integration between the WordPress backend and the WordPress.org website.</p>\n<p>I&#8217;m not advocating that I be able to browse the WordPress.org website from the backend of WordPress, that&#8217;s what browsers are for. I see plenty of opportunities to connect certain actions on WordPress.org to the backend of WordPress, such as the ability to create a forum post to receive support.</p>\n<h2>A New Annual Tradition</h2>\n<p>While you don&#8217;t need a special day to review plugins, it&#8217;s a unique feeling to do something so many others across the world are doing at the same time. I&#8217;m encouraged to see so many people who have rated and reviewed their favorite plugins. Based on the feedback we&#8217;ve received, this will likely become an annual tradition.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 20 Oct 2014 18:54:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"WPTavern: Some Like It Neat: A Free WordPress Starter Theme Built with Underscores, Bourbon, and Neat\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32135\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:108:\"http://wptavern.com/some-like-it-neat-a-free-wordpress-starter-theme-built-with-underscores-bourbon-and-neat\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6075:\"<a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/bourbon-neat.jpg\" rel=\"prettyphoto[32135]\"><img src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/bourbon-neat.jpg?resize=1024%2C488\" alt=\"photo credit: j03 - cc\" class=\"size-full wp-image-32137\" /></a>photo credit: <a href=\"https://www.flickr.com/photos/j03/2035547120/\">j03</a> &#8211; <a href=\"http://creativecommons.org/licenses/by-nc/2.0/\">cc</a>\n<p><a href=\"https://wordpress.org/themes/some-like-it-neat\" target=\"_blank\">Some Like it Neat</a> is a new starter theme for WordPress, based on the popular ultra-minimal <a href=\"http://underscores.me\" target=\"_blank\">Underscores</a> theme. It also incorporates <a href=\"http://bourbon.io\" target=\"_blank\">Bourbon</a>, a lightweight mixin library for <a href=\"http://sass-lang.com/\" target=\"_blank\">Sass</a>. On top of that it adds <a href=\"http://neat.bourbon.io\" target=\"_blank\">Neat</a>, which applies a semantic grid framework for Sass and Bourbon, enabling you to build any responsive layout that you can dream up.</p>\n<p>Since Some Like It Neat is a simple starter theme, there&#8217;s not much to see in the screenshot, apart from a relatively blank canvas, waiting to be shaped and styled.</p>\n<p><a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/some-like-it-neat.png\" rel=\"prettyphoto[32135]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/some-like-it-neat.png?resize=880%2C660\" alt=\"some-like-it-neat\" class=\"aligncenter size-full wp-image-32140\" /></a></p>\n<p>The power of this theme lies in the tools that it incorporates. Some Like It Neat expedites the creation of a modern frontend development workflow for WordPress theming with responsive grids and a few prepackaged styles. The theme offers support for the following tools:</p>\n<ul>\n<li><a href=\"http://bourbon.io/\" target=\"_blank\">Bourbon</a>: A simple and lightweight mixin library for Sass</li>\n<li><a href=\"http://neat.bourbon.io\" target=\"_blank\">Neat</a>: A lightweight semantic grid framework for Sass and Bourbon</li>\n<li><a href=\"http://bitters.bourbon.io/\" target=\"_blank\">Bitters</a>: Scaffold styles, variables and structure for Bourbon projects</li>\n<li><a href=\"http://refills.bourbon.io/\" target=\"_blank\">Refills</a>: Prepackaged patterns and components, built on top of Bourbon, Bitters, and Neat</li>\n<li><a href=\"http://bower.io/\" target=\"_blank\">Bower</a>: A frontend package manager</li>\n</ul>\n<p>This is essentially everything you need for a Bourbon-soaked development workflow. Developers starting with this theme should already be familiar with Sass, since it&#8217;s the foundation for using Bourbon and Neat. If you need a Sass primer, Sitepoint has a great <a href=\"http://www.sitepoint.com/sass-for-wordpress-developers/\" target=\"_blank\">tutorial</a> on the basics. WP Beginner also has a <a href=\"http://www.wpbeginner.com/wp-tutorials/introduction-to-sass-for-new-wordpress-theme-designers/\" target=\"_blank\">quick introduction</a> to help WordPress theme designers get started with Sass.</p>\n<p>Some Like It Neat also allows for <a href=\"http://gulpjs.com/\" target=\"_blank\">Gulp.js</a> task automation. <a href=\"http://alexhasnicehair.com/\" target=\"_blank\">Alex Vasquez</a>, the theme&#8217;s creator, says that this feature still has room for improvement. The theme currently includes support for the following tasks:</p>\n<ul>\n<li><code>gulp watch</code> &#8211; Starts up Gulp and watches your scss, js and php folder for changes, writes them out and refreshes the browser for you</li>\n<li><code>gulp build</code> &#8211; Removes unnecessary files and packs up the required files into a nice and neat, installable, zip package</li>\n</ul>\n<p>Additionally, Some Like It Neat adds support for the <a href=\"https://github.com/zamoose/themehookalliance\" target=\"_blank\">Theme Hook Alliance</a> (THA), a community-driven project that offers a standardized set of third-party action hooks to theme developers to implement for more flexibility. THA has a growing list of <a href=\"https://github.com/zamoose/themehookalliance#tha-compatible-themes\" target=\"_blank\">compatible themes</a>. Vasquez opted for adding it to help keep things within the theme cleaner and easier to maintain.</p>\n<h3>Why Use Bourbon and Neat?</h3>\n<p>Incorporating Bourbon and its parallel projects into your WordPress theme is a matter of personal preference. In the past, Vasquez had used frontend frameworks such as Bootstrap and Foundation, but after discovering Bourbon+Neat, he found that it gave him a more efficient approach to theme creation:</p>\n<blockquote><p>To achieve the responsiveness required of various projects, I would have to tear up my HTML, input my own selector classes and what have you, in addition to changing my CSS. I didn&#8217;t like it. I heard about <a href=\"http://neat.bourbon.io\" target=\"_blank\">Neat</a> and really liked its approach to a grid framework. You keep your HTML structure the way you like and all of the styling in your Sass files.</p></blockquote>\n<p>If that sounds like a better workflow for you, then you may want to set aside some time to give this starter theme a try. It can be used  as a parent theme from which you create a highly customized child theme. Vasquez has outlined how to <a href=\"https://github.com/digisavvy/some-like-it-neat#getting-started\" target=\"_blank\">get started</a> in the documentation, which will walk you through installing Node, Sass, Gulp.js, etc. He also posted a handy <a href=\"https://github.com/digisavvy/some-like-it-neat#folder-structure\" target=\"_blank\">folder structure</a> as an example for how projects are structured with the starter theme.</p>\n<p><a href=\"https://wordpress.org/themes/some-like-it-neat\" target=\"_blank\">Some Like It Neat</a> is <a href=\"http://alexhasnicehair.com/\" target=\"_blank\">Alex Vasquez</a>&#8216;s first submission to the official WordPress Themes Directory. You can download it via your admin theme browser or from its <a href=\"https://github.com/digisavvy/some-like-it-neat\" target=\"_blank\">GitHub</a> repository.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 20 Oct 2014 18:04:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"Matt: Life and Work at the Distributed Wonderland\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44293\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"http://ma.tt/2014/10/life-and-work-at-the-distributed-wonderland/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:229:\"<p>Luca Sartoni writes <a href=\"http://lucasartoni.com/2014/10/14/how-i-fell-into-the-rabbit-hole-life-and-work-at-the-distributed-wonderland/\">How I fell into the rabbit hole: life and work at the distributed wonderland</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 20 Oct 2014 16:26:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Matt: Run Better\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44263\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"http://ma.tt/2014/10/run-better/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:544:\"<p>Joe Boydston, the self-described &#8220;crazy running guy&#8221; who runs as far as 90+ miles from the airport to WordCamps or meetups when he lands, has <a href=\"http://crazyrunningguy.wordpress.com/2014/10/06/run-better/\">written a bit about how to run better</a>. At our <a href=\"http://ma.tt/2014/09/automattic-grand-meetup-2014/\">company meetup</a> he ran running workshops and coached a lot of people including myself, and applying his suggestions <a href=\"http://ma.tt/2014/10/streak/\">I&#8217;ve been able to do a lot better</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 19 Oct 2014 23:51:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"Matt: Pink Drill Bits\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44261\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"http://ma.tt/2014/10/pink-drill-bits/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:335:\"<p><a href=\"http://www.salon.com/2014/10/08/susan_g_komen_teams_up_with_fracking_company_introduces_pink_drill_bits_for_the_cure/\">Fracking company teams up with Susan G. Komen, introduces pink drill bits for the cure</a>, presented without comment. <cite>Hat tip: <a href=\"http://spitfirestrategies.com/\">Kristin Grimm</a>.</cite></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 18 Oct 2014 23:27:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"WPTavern: Themosis Object-Oriented Development Framework for WordPress Now Available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32082\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"http://wptavern.com/themosis-object-oriented-development-framework-for-wordpress-now-available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4107:\"<p><a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/07/routes.png\" rel=\"prettyphoto[32082]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/07/routes.png?resize=1025%2C598\" alt=\"routes\" class=\"aligncenter size-full wp-image-26649\" /></a></p>\n<p>Version 1.0 of the <a href=\"http://wptavern.com/themosis-object-oriented-development-framework-for-wordpress-now-in-beta\" target=\"_blank\">Themosis development framework</a> is now available. Belgium-based application developer <a href=\"http://jlambe.be/\" target=\"_blank\">Julien Lambé</a> created Themosis in order to accelerate object-oriented development with WordPress. It offers a routing system for managing WordPress behavior on an application level and also includes a Laravel-esque templating engine for view files. Last week Lambé announced that the framework is now out of beta and ready for public use.</p>\n<p><a href=\"http://framework.themosis.com/\" target=\"_blank\">Themosis</a>, which Lambé describes as <strong>“a mix between WordPress best practices and a typical MVC framework,”</strong> has evolved considerably since its beta period. Version 1.0 includes dozens of improvements based on developer feedback.</p>\n<p>The website has been updated to provide complete <a href=\"http://framework.themosis.com/docs/\" target=\"_blank\">documentation</a> and code examples to help developers get started. <a href=\"http://framework.themosis.com/docs/installation/\" target=\"_blank\">Installation</a> is quick and easy, as Themosis uses <a href=\"https://getcomposer.org/\" target=\"_blank\">Composer</a> for dependency package management, so you can install and update everything needed in a matter of seconds. The framework is designed with respect to WordPress best practices and should work seamlessly with its APIs and plugins.</p>\n<p>Themosis comes with local and production environments pre-configured in order to facilitate collaboration. Once you register your database credentials and application URLS, you&#8217;ll be able to define the different environment configurations, making it easy to move between development and production.</p>\n<p>The <a href=\"http://framework.themosis.com/docs/framework/\" target=\"_blank\">framework guide</a> contains everything you need to know to get started structuring and building your application. The <a href=\"http://framework.themosis.com/docs/routing/\" target=\"_blank\">route API</a> docs cover all the conditional tags available with code samples for basic routing methods. Lambé describes the route system as &#8220;an enhanced &#8216;if&#8217; statement,&#8221; which is essentially based on WordPress conditional template tags and a closure callback.</p>\n<p>The framework includes classes for handling AJAX requests, custom post types, metaboxes, custom fields, taxonomies, options, validation, and more. It also adds a unique set of <a href=\"http://framework.themosis.com/docs/helpers/\" target=\"_blank\">Helpers</a> which act as framework utility functions that run on the global scope.</p>\n<p>Lambé has now separated the <a href=\"http://www.themosis.com/\" target=\"_blank\">Themosis studio</a> from the framework, which can be found at <a href=\"http://framework.themosis.com\" target=\"_blank\">framework.themosis.com</a>. He is launching a Themosis web agency, specializing in WordPress design and development, in order to fund future development of the framework to ensure its future.</p>\n<p>The Themosis framework is an interesting option that could be very helpful for new WordPress developers, especially those who are used to using Laravel or those who simply want to structure and organize their code like a typical MVC framework. It provides another avenue for getting started using a structure that may be more approachable for PHP developers who are new to working with WordPress.</p>\n<p>Themosis is an open source tool that Lambé decided to share with the community, and it will remain free to use. If you want to contribute to the project or report any issues, the framework can also be found on <a href=\"https://github.com/themosis/\" target=\"_blank\">GitHub</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Oct 2014 22:27:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"WPTavern: Watch The Q&amp;A Session Between Matt Mullenweg and Om Malik From WordCamp Europe\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32059\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"http://wptavern.com/watch-the-qa-session-between-matt-mullenweg-and-om-malik-from-wordcamp-europe\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1950:\"<p>Some of the sessions recorded at <a title=\"http://wordpress.tv/event/wordcamp-europe-2014/\" href=\"http://wordpress.tv/event/wordcamp-europe-2014/\">WordCamp Europe</a> are now available to watch on <a title=\"http://wordpress.tv\" href=\"http://wordpress.tv\">WordPress.TV</a>. The rest of the sessions will be added in the coming weeks. Included in the first batch of videos is the <a title=\"http://wordpress.tv/2014/10/03/matt-mullenweg-om-malik-qa/\" href=\"http://wordpress.tv/2014/10/03/matt-mullenweg-om-malik-qa/\">question and answer session</a> between Matt Mullenweg and Om Malik.</p>\n<p>The session is an hour long and includes Mullenweg&#8217;s thoughts on the current status of WordPress, the media library, and what the platform may evolve into. One of the questions asked during the session is the role of women in the WordPress ecosystem.</p>\n<p>At the 47 minute mark, you can hear the infamous &#8220;we love women&#8221; comment from a member of the audience. Mullenweg responds with &#8220;come onnnnn&#8221; with applause from the audience. Helen Hou-Sandí, who lead the release of WordPress 4.0, explains why saying &#8220;we love women&#8221; can cause <a title=\"http://helenhousandi.com/2014/09/unintentional-destruction/\" href=\"http://helenhousandi.com/2014/09/unintentional-destruction/\">unintentional destruction</a>.</p>\n<p>Near the 53:40 minute mark, Mullenweg is asked, &#8220;How much should WordPress businesses be contributing to WordPress and involved with the project?&#8221; This is the question that prompted the 5% figure and his post, <a title=\"http://ma.tt/2014/09/five-for-the-future/\" href=\"http://ma.tt/2014/09/five-for-the-future/\">Five for the Future</a>.</p>\n<p></p>\n<p>This is a great session filled with information related to WordPress, Automattic, open source in general, and the future of the platform. If you attended the session live or watched the video, let us know your thoughts in the comments.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Oct 2014 18:36:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"Matt: Moving into Management\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44170\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"http://ma.tt/2014/10/moving-into-management/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:384:\"<p>&#8220;The biggest misconception engineers have when thinking about moving into management is they think it&#8217;s a promotion.&#8221; &#8212; Lindsay Holmwood writes <a href=\"http://fractio.nl/2014/09/19/not-a-promotion-a-career-change/\">It&#8217;s not a promotion &#8211; it&#8217;s a career change</a>. <cite>Hat tip: <a href=\"http://pento.net/\">Gary Pendergast</a>.</cite></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Oct 2014 18:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"WPTavern: New Plugin Adds Open Source Emoji One Support to WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=31456\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"http://wptavern.com/new-plugin-adds-open-source-emoji-one-support-to-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4669:\"<p><a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/09/emoji-one.jpg\" rel=\"prettyphoto[31456]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/09/emoji-one.jpg?resize=831%2C376\" alt=\"emoji-one\" class=\"aligncenter size-full wp-image-31461\" /></a></p>\n<p><a href=\"http://emojione.com/\" target=\"_blank\">Emoji One</a> is a new open source emoji set that is the first of its kind, designed specifically for the web. The set boasts more than 840 emoji. It was created to solve the perennial problem of translating emoji code from mobile devices while legally displaying the corresponding emoji icon on the web. The idea is to avoid displaying those ugly blank squares that you see so often, as illustrated on the Emoji One website:</p>\n<p><a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/emoji-one-problem-1.jpg\" rel=\"prettyphoto[31456]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/emoji-one-problem-1.jpg?resize=795%2C392\" alt=\"emoji-one-problem-1\" class=\"aligncenter size-full wp-image-32029\" /></a></p>\n<p>Emoji One was also created to provide consistency across various mobile and web platforms. As things currently stand, you tend to get a slight variation in display depending on the mobile platform used to input the emoji.</p>\n<p><a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/emoji-one-problem-2.jpg\" rel=\"prettyphoto[31456]\"><img src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/emoji-one-problem-2.jpg?resize=824%2C464\" alt=\"emoji-one-problem-2\" class=\"aligncenter size-full wp-image-32033\" /></a></p>\n<p>Emoji One is tackling both of these problems head on with its new open source emoji set. It&#8217;s released under the MIT license, which is GPL-compatible. Check out a <a href=\"http://emojione.com/demo\" target=\"_blank\">live demo</a> of Emoji One to see the set in action.</p>\n<h3>WP Emoji One</h3>\n<p><a href=\"https://wordpress.org/plugins/wp-emoji-one/\" target=\"_blank\">WP Emoji One</a> is the first plugin to bring Emoji One support to WordPress posts and pages. It is based on work from the <a href=\"https://wordpress.org/plugins/typepad-emoji-for-tinymce/\" target=\"_blank\">TypePad Emoji For TinyMCE</a> plugin. The emoji chooser can be launched via a button added to the visual editor.</p>\n<p><a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/visual-editor-emoji-one.jpg\" rel=\"prettyphoto[31456]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/visual-editor-emoji-one.jpg?resize=822%2C264\" alt=\"visual-editor-emoji-one\" class=\"aligncenter size-full wp-image-32047\" /></a></p>\n<p>Clicking on the button opens a modal window with the Emoji One library, along with the option to choose the pixel size of the emoji inserted into the content.</p>\n<p><a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/emoji-one-modal.jpg\" rel=\"prettyphoto[31456]\"><img src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/emoji-one-modal.jpg?resize=818%2C598\" alt=\"emoji-one-modal\" class=\"aligncenter size-full wp-image-32049\" /></a></p>\n<p>You don&#8217;t have to install anything on your mobile device to use Emoji One; just continue to use emoji as you have been. The WordPress plugin simply provides a more consistent experience for displaying emoji on the web.</p>\n<p>I checked with the WP Emoji One plugin author to inquire about using the emoji in comments. He plans to add them to comments in the next release. BuddyPress and bbPress integration would also be very handy, as social sites are likely to derive greater benefits from offering emoji support.</p>\n<p>Emoji One only recently launched on September 11, 2014. The team is currently working on creating the 250 new emojis that <a href=\"http://www.unicode.org/\" target=\"_blank\">Unicode</a> approved in June 2014, and will make those available soon.</p>\n<p>You may have already seen Emjoi One icons in the wild here and there. The WordPress-powered Emoji One blog recently highlighted <a href=\"http://www.emojione.com/blog/slack-adds-emoji-one-gets-more-awesome/\" target=\"_blank\">Slack&#8217;s integration of Emoji One</a> as one of its default emoji options. As more companies and services begin to recognize the need for a universal emoji set, you can expect to see Emoji One popping up around the web in more places.</p>\n<p>Better emoji support may someday find its way into WordPress core with enough popular support. In the meantime, you can use <a href=\"https://wordpress.org/plugins/wp-emoji-one/\" target=\"_blank\">WP Emoji One</a> to extend WordPress&#8217; capabilities to provide a more consistent and colorful emoji display on your site.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Oct 2014 17:06:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"Matt: Dave Winer’s 20th\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44291\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:38:\"http://ma.tt/2014/10/dave-winers-20th/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:352:\"<p>The Observer writes <a href=\"http://www.theguardian.com/technology/2014/oct/12/happy-20th-anniversary-dave-winer-inventor-of-the-blog\">Happy 20th anniversary to Dave Winer – inventor of the blog</a>. I&#8217;ve gotten a huge amount of inspiration, help, and feedback from Dave over the years, and I&#8217;m really happy he&#8217;s still at it.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 16 Oct 2014 22:37:22 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"Post Status: Postmatic wants to revitalize your WordPress email, starting with comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://www.poststat.us/?p=7197\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"http://www.poststat.us/postmatic-wordpress-email/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4912:\"<p><img class=\"aligncenter size-large wp-image-7200\" src=\"http://www.poststat.us/wp-content/uploads/2014/10/postmatic-752x307.gif\" alt=\"postmatic\" width=\"627\" height=\"255\" /></p>\n<p><a href=\"http://gopostmatic.com/\">Postmatic</a> is a new WordPress plugin that I think is quite promising. It&#8217;s aim is to eventually change the way you utilize WordPress email in many ways, but its comment functionality is what intrigued me immediately.</p>\n<p>Postmatic currently allows users to subscribe to comments and posts by email; but what sets it apart is that it enables <em>reply by email</em> functionality as well. That&#8217;s something that has been high on my list of wants for a WordPress plugin for a long time, and I wanted it without switching to a third party system like Disqus.</p>\n<p>All in all &#8212; aside from enabling replies by email &#8212; the current feature set is quite similar to Jetpack&#8217;s Subscriptions module. Postmatic has widgets for post subscriptions and will send subscribers new posts and allow them to get emailed comment notifications as well.</p>\n<p></p>\n<p>I asked Jason Lemieux, a co-founder of Postmatic, if they were considering a way to import from Jetpack or otherwise integrate with it, and they are. They&#8217;re working now to make it so that your old posts using Jetpack&#8217;s subscription module for comment notifications will still work, and your new posts will use Postmatic.</p>\n<p>I had a pretty thorough conversation with Jason and got to see Postmatic in action. For a free plugin especially, the functionality is quite impressive. I tested subscribing to comments, replying by email, and opting into subscriptions, and it is all very smooth. Here&#8217;s a sample reply notification to my email.<span id=\"more-7197\"></span></p>\n<div id=\"attachment_7201\" class=\"wp-caption aligncenter\"><img class=\"wp-image-7201 size-large\" src=\"http://www.poststat.us/wp-content/uploads/2014/10/postmatic-email-752x816.gif\" alt=\"postmatic-email\" width=\"627\" height=\"680\" /><p class=\"wp-caption-text\">Sample Postmatic notification email</p></div>\n<p>Postmatic is already in beta with their API as well. With a little legwork, you can utilize Postmatic for a variety of custom use cases. I know I&#8217;d love to play with it to see if I could create email campaigns for custom post types or multiple lists. They also intend to monetize the plugin via a few avenues &#8212; including ensuring mail delivery and functionality add-ons.</p>\n<p>Postmatic &#8212; available for <a href=\"https://wordpress.org/plugins/postmatic/\">download on WordPress.org</a> &#8212; is and will remain completely free. At some point they&#8217;ll exit beta and they will offer paid delivery of outgoing mail for larger sites. They understand the limitations of sending email through your own server and are using Mailgun to ensure delivery. They also have an extensive &#8212; and for now private &#8212; list of features they aim to introduce to Postmatic.</p>\n<p>The product is definitely version 1.0. Advanced list management, and more advanced campaign delivery is still not ready. But I was impressed by how good of a 1.0 Postmatic is, and how much effort Jason and his business parter, Dylan Kuhn, have clearly invested heavily into the product. For instance, subscriber importing is already possible, so you could move to Postmatic for post delivery right away. They <a href=\"http://gopostmatic.com/setup/\">have videos show how to do that and more</a> already available.</p>\n<p>They tell me as well that Postmatic is in very early stages. Right now they are working on more advanced template building and other features to help tame your WordPress emails. I think they definitely have other services like <a href=\"http://jetpack.me\">Jetpack&#8217;s</a> Subscriptions and <a title=\"WYSIJA is now MailPoet\" href=\"http://www.poststat.us/wysija-now-mailpoet/\">MailPoet</a> in their sights.</p>\n<p>I think WordPress email is ripe for disruption. Imagine, currently, all the ways users can get emails from a website, with little continuity: WordPress itself, Mailchimp or other newsletter provider, Jetpack / WordPress.com, eCommerce solutions, form solutions. Each of these sends email and each has their own quirks, look and feel, and otherwise.</p>\n<p>I&#8217;d love to see a service like <a href=\"http://gopostmatic.com/\">Postmatic</a> help tame WordPress email as a whole, and offer a more seamless experience for my website visitors that receive email from me.</p>\n<p>In the short term, I doubt any service will be able to do this perfectly. But I think as WordPress sites send more and more mail, continuity in this arena will be very important. I know, for me, as I prepare to enable <a title=\"The future of Post Status\" href=\"http://www.poststat.us/radical/\">club memberships on Post Status</a>, it&#8217;s top of my mind to provide a quality email experience to my members.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 16 Oct 2014 21:51:47 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Brian Krogsgard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"WPTavern: WPWeekly Episode 166 – Interview With The Project Lead For XWP, Frankie Jarrett\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"http://wptavern.com?p=32015&preview_id=32015\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"http://wptavern.com/wpweekly-episode-166-interview-with-the-project-lead-for-xwp-frankie-jarrett\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4393:\"<p>Back in September, <a title=\"http://wptavern.com/stream-morphs-from-a-plugin-into-a-service\" href=\"http://wptavern.com/stream-morphs-from-a-plugin-into-a-service\">Stream 2.0 was released</a> with some significant changes. The most notable change is the transition from a plugin into a service.</p>\n<p>In this episode of WordPress Weekly, <a title=\"http://marcuscouch.com/\" href=\"http://marcuscouch.com/\">Marcus Couch</a> and I are joined by the project lead For <a title=\"https://xwp.co/\" href=\"https://xwp.co/\">XWP</a>, <a title=\"http://frankiejarrett.com/\" href=\"http://frankiejarrett.com/\">Frankie Jarrett</a>. Jarrett goes in-depth on the decision to turn Stream into a service. He also explains why it needs to be connected to a WordPress.com ID, what the team is doing regarding the enterprise, and why record data is stored in the cloud. Near the end of the interview, we discuss the lessons learned from how the plugin was shipped and communicated to customers.</p>\n<h2>Stories Discussed:</h2>\n<p><a title=\"http://wptavern.com/webdesign-com-is-now-ithemes-training\" href=\"http://wptavern.com/webdesign-com-is-now-ithemes-training\">WebDesign.com Is Now iThemes Training</a><br />\n<a title=\"http://wptavern.com/troubleshooting-handbook-for-new-wordpress-support-forum-volunteers-is-live\" href=\"http://wptavern.com/troubleshooting-handbook-for-new-wordpress-support-forum-volunteers-is-live\">Troubleshooting Handbook For New WordPress Support Forum Volunteers Is Live</a><br />\n<a title=\"http://wptavern.com/how-to-obtain-the-total-download-count-for-plugins-attached-to-a-wordpress-org-username\" href=\"http://wptavern.com/how-to-obtain-the-total-download-count-for-plugins-attached-to-a-wordpress-org-username\">How to Obtain The Total Download Count For Plugins Attached to a WordPress.org Username</a><br />\n<a title=\"http://wptavern.com/rate-and-review-a-wordpress-plugin-day-set-for-october-17th\" href=\"http://wptavern.com/rate-and-review-a-wordpress-plugin-day-set-for-october-17th\">Rate and Review a WordPress Plugin Day Set For October 17th</a><br />\n<a title=\"http://wptavern.com/twenty-fifteen-officially-added-to-the-development-version-of-wordpress\" href=\"http://wptavern.com/twenty-fifteen-officially-added-to-the-development-version-of-wordpress\">Twenty Fifteen Officially Added to The Development Version of WordPress </a><br />\n<a title=\"http://wptavern.com/loopconf-a-conference-catered-to-wordpress-developers\" href=\"http://wptavern.com/loopconf-a-conference-catered-to-wordpress-developers\">LoopConf: A Conference Catered to WordPress Developers </a></p>\n<h2>Plugins Picked By Marcus:</h2>\n<p><a title=\"https://wordpress.org/plugins/wc-vendors/\" href=\"https://wordpress.org/plugins/wc-vendors/\">WC Vendors</a> is a WooCommerce extension that lets you create your own Etsy or Amazon style marketplace, allowing multiple vendors to sell their goods. This allows other users to sell tangible products, virtual products or downloads on your site. Vendors receive the commissions you set on products they sell from your store.</p>\n<p><a title=\"https://wordpress.org/plugins/wp-comment-fields/\" href=\"https://wordpress.org/plugins/wp-comment-fields/\">WordPress Comments Fields</a> is a plugin that allows admins to add custom fields to the comment area. These fields are saved as comment meta and are displayed under the comment. The plugin support four different field types: Drag and drop, text, radio, radio and select inputs.</p>\n<p><a title=\"https://wordpress.org/plugins/comic-sans-roulette/\" href=\"https://wordpress.org/plugins/comic-sans-roulette/\">Comic Sans Roulette</a> randomly changes all fonts on your site to Comic Sans. You have a 10% chance that all of the fonts will be Comic Sans!</p>\n<h2>WPWeekly Meta:</h2>\n<p><strong>Next Episode:</strong> Wednesday, October 22nd 9:30 P.M. Eastern</p>\n<p><strong>Subscribe To WPWeekly Via Itunes: </strong><a href=\"https://itunes.apple.com/us/podcast/wordpress-weekly/id694849738\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via RSS: </strong><a href=\"http://www.wptavern.com/feed/podcast\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via Stitcher Radio: </strong><a href=\"http://www.stitcher.com/podcast/wordpress-weekly-podcast?refid=stpr\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Listen To Episode #166:</strong><br />\n</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 16 Oct 2014 17:41:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"WPTavern: LoopConf: A Conference Catered to WordPress Developers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=32006\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"http://wptavern.com/loopconf-a-conference-catered-to-wordpress-developers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2653:\"<p>&nbsp;</p>\n<p><a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/LoopConfFeaturedImage.png\" rel=\"prettyphoto[32006]\"><img class=\"aligncenter size-full wp-image-32007\" src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/LoopConfFeaturedImage.png?resize=650%2C200\" alt=\"LoopConf Featured Image\" /></a>Scheduled to take place <strong>May 7-8th, 2015</strong> at Westin Lake in Las Vegas, NV, <a title=\"http://loopconf.io/\" href=\"http://loopconf.io/\">LoopConf</a> is a conference dedicated to WordPress developers. The two-day event has six speakers confirmed with more on the way. They include:</p>\n<ul>\n<li>Joost de Valk</li>\n<li>Jenn Schiffer</li>\n<li>John O&#8217; Nolan</li>\n<li>Helen Hou-Sandí</li>\n<li>Andrew Nacin</li>\n<li>Syed Balkhi</li>\n</ul>\n<p>LoopConf is a single track conference where a bulk of the content will consist of 30 minute sessions and 60 minute developer work shops. It gives developers an opportunity to dive deep into advanced engineering and development topics in a relaxed atmosphere surrounded by like-minded individuals.</p>\n<p>If you&#8217;re interested in speaking at the event, LoopConf is <a title=\"http://loopconf.io/apply/\" href=\"http://loopconf.io/apply/\">calling for speakers</a>. The deadline to submit a speaker application is November 4th, 2014. If you&#8217;re interested in financially supporting the event, there&#8217;s a <a title=\"http://loopconf.io/sponsor/\" href=\"http://loopconf.io/sponsor/\">sponsor application available</a>.</p>\n<p>Like <a title=\"http://prestigeconf.com/\" href=\"http://prestigeconf.com/\">PrestigeConf</a>, LoopConf is not a WordCamp or associated with the WordPress foundation. Even though it&#8217;s an independent event, there is at least one trait similar to WordCamps. One of the rules to be a speaker is to embrace the open source spirit.</p>\n<blockquote><p>We want all of our speakers to show up with an attitude to give freely. This isn’t an opportunity to pitch your company, it’s the chance to share knowledge that you’ve picked up as you’ve perfected your craft.</p></blockquote>\n<p>Event organizer, Ryan Sullivan, says the plan is to &#8220;sell 600-700 tickets in two rounds&#8221;. He also told the Tavern, &#8220;we&#8217;ll have an exclusive deal with the hotel for attendees to take advantage of. For those who can&#8217;t make it or would like to attend virtually, the event will be <strong>streamed live for free</strong>.&#8221;</p>\n<p>Tickets have yet to go on sale as the organizing team works to complete the details. However, those who sign up to the LoopConf email list will be the first to know when tickets go on sale.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Oct 2014 21:58:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"WPTavern: Twenty Fifteen Officially Added to The Development Version of WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=31991\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"http://wptavern.com/twenty-fifteen-officially-added-to-the-development-version-of-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5572:\"<p>The default theme slated to ship with WordPress 4.1 dubbed &#8220;<a title=\"http://wptavern.com/first-look-at-designs-for-the-twenty-fifteen-default-wordpress-theme\" href=\"http://wptavern.com/first-look-at-designs-for-the-twenty-fifteen-default-wordpress-theme\">Twenty Fifteen</a>&#8221; has <a title=\"https://make.wordpress.org/core/2014/10/14/twenty-fifteen-is-here/\" href=\"https://make.wordpress.org/core/2014/10/14/twenty-fifteen-is-here/\">officially been added</a> to the development version of WordPress. In sharp contrast to <a title=\"https://wordpress.org/themes/twentyfourteen\" href=\"https://wordpress.org/themes/twentyfourteen\">Twenty Fourteen</a>, Twenty Fifteen is a simple, two column, blog focused theme. The typography features Google’s Noto Serif and Sans, a font family designed to be visually harmonious across many of the worlds languages.</p>\n<p><a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/09/twenty-fifteen.png\" rel=\"prettyphoto[31991]\"><img class=\"aligncenter size-full wp-image-30226\" src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/09/twenty-fifteen.png?resize=1024%2C825\" alt=\"twenty-fifteen\" /></a></p>\n<p>Here&#8217;s what the Tavern looks like with Twenty Fifteen activated. In the screenshot, you&#8217;ll notice a scrollbar between the sidebar and content. Being able to scroll the sidebar separate from the content reminds me of the Visual Editor in WordPress 3.9. I&#8217;d like to see both columns be a cohesive unit for a better experience and to eliminate the <strong>ugly</strong> scrollbar. <em>This issue has already been <a title=\"https://core.trac.wordpress.org/ticket/29979\" href=\"https://core.trac.wordpress.org/ticket/29979\">reported</a>.</em></p>\n<a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/TwentyFifteenTavernHomepage.png\" rel=\"prettyphoto[31991]\"><img class=\"size-full wp-image-31993\" src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/TwentyFifteenTavernHomepage.png?resize=1025%2C718\" alt=\"Twenty Fifteen Tavern Home Page\" /></a>Twenty Fifteen Tavern Home Page\n<p>In Twenty Fifteen, the comment reply link is aligned to the left. While not a deal breaker, I prefer the comment link to be aligned to the right.</p>\n<a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/TwentyFifteenCommentReplyLink.png\" rel=\"prettyphoto[31991]\"><img class=\"size-full wp-image-31994\" src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/TwentyFifteenCommentReplyLink.png?resize=660%2C258\" alt=\"Comment Reply Link on The Left\" /></a>Comment Reply Link on The Left\n<p>On the Tavern, we routinely use the featured image as the first image in a post. This works well since the Tavern theme is configured to show only the excerpts and featured image on the homepage. The Twenty Fifteen homepage displays full posts which shows the same image twice, creating a <em>post title sandwich</em>. Keep this in mind if you use featured images and are thinking of switching to Twenty Fifteen in the future.</p>\n<a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/TwentyFifteenSandwhich.png\" rel=\"prettyphoto[31991]\"><img class=\"size-full wp-image-31995\" src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/TwentyFifteenSandwhich.png?resize=750%2C887\" alt=\"A Featured Image Sandwich\" /></a>A Post Title Sandwich\n<p>&nbsp;</p>\n<p>Each post on the homepage is separated by blank space. Featured images that are not at least 826 pixels wide are padded by an equal amount of blank space on each side. Similar to Twenty Fourteen, images that span the entire width change the visual look and feel of the theme. Posts on the homepage look great when the image is more than 826 pixels wide, while smaller images don&#8217;t have the same visual pop.</p>\n<p>Since featured images touch the top of the content box, smaller images give me the impression that something is broken. For example, maybe there&#8217;s an alignment issue where the top of the image is being cut off. It&#8217;s not, but that&#8217;s what I&#8217;m thinking when I see it. This is all a moot point though if you use a full width featured image.</p>\n<a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/TooSmallOfaFeaturedImage.png\" rel=\"prettyphoto[31991]\"><img class=\"size-full wp-image-31997\" src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/TooSmallOfaFeaturedImage.png?resize=789%2C905\" alt=\"Featured Image is Too Small\" /></a>Featured Image is Too Small\n<h2>It&#8217;s Still Early</h2>\n<p>There is a long way to go before Twenty Fifteen is ready for prime time. Initial feedback I&#8217;ve seen so far labels Twenty Fifteen as a breath of fresh air. Twenty Fifteen goes back to the blogging roots of WordPress, but it does so in a modern, elegant way. Once the bugs have been squashed and the theme polished, I think a lot of people will either switch to or use Twenty Fifteen when WordPress 4.1 is released. If you&#8217;d like to see Twenty Fifteen in the wild, check out <a title=\"http://www.brandonkraft.com/\" href=\"http://www.brandonkraft.com/\">Brandon Kraft&#8217;s personal site</a>.</p>\n<h2>How You Can Help Improve Twenty Fifteen</h2>\n<p>The Twenty Fifteen development team is holding meetings on IRC, every Tuesday at 15:30 UTC, in the #wordpress-dev channel. The meetings are opportunities to discuss all things Twenty Fifteen and to <a title=\"https://core.trac.wordpress.org/query?status=!closed&component=Bundled+Theme\" href=\"https://core.trac.wordpress.org/query?status=!closed&component=Bundled+Theme\">collaborate on tickets</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Oct 2014 20:49:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"WordPress.tv Blog: The Future of WordPress: Great videos from Matt Mullenweg and Andrew Nacin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://blog.wordpress.tv/?p=400\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:110:\"http://blog.wordpress.tv/2014/10/15/the-future-of-wordpress-great-videos-from-matt-mullenweg-and-andrew-nacin/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1936:\"<p>Here are some recent videos from <a href=\"http://wordpress.tv/event/wordcamp-europe-2014/\" target=\"_blank\">WordCamp Europe 2014</a> covering the past, present, and future of WordPress development.</p>\n<h2>Matt Mullenweg: Q&amp;A with Om Malik</h2>\n<div id=\"v-xBhclaAc-1\" class=\"video-player\">\n</div>\n<p>Matt Mullenweg, the founder of WordPress, in conversation with tech writer Om Malik on the WordPress past and present, as well as where we are going for the future.  </p>\n<p><a href=\"http://wordpress.tv/2014/10/03/matt-mullenweg-om-malik-qa/\" target=\"_blank\">View on WordPress.tv</a></p>\n<h2>Andrew Nacin: Post-Modern WordPress</h2>\n<div id=\"v-4Lx4dIRH-1\" class=\"video-player\">\n</div>\n<p>Andrew Nacin, lead developer for the WordPress open source project, discusses the philosophy of WordPress development, and the course it should and will take to keep growing.</p>\n<p><a href=\"http://wordpress.tv/2014/10/13/andrew-nacin-post-modern-wordpress/\" target=\"_blank\">View on WordPress.tv</a></p><br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/wptvblog.wordpress.com/400/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/wptvblog.wordpress.com/400/\" /></a> <img alt=\"\" border=\"0\" src=\"http://pixel.wp.com/b.gif?host=blog.wordpress.tv&blog=5310177&post=400&subd=wptvblog&ref=&feed=1\" width=\"1\" height=\"1\" /><div><a href=\"http://blog.wordpress.tv/2014/10/15/the-future-of-wordpress-great-videos-from-matt-mullenweg-and-andrew-nacin/\"><img alt=\"Matt Mullenweg & Om Malik: Q&A\" src=\"http://videos.videopress.com/xBhclaAc/video-b445f277f2_scruberthumbnail_1.jpg\" width=\"160\" height=\"120\" /></a></div><div><a href=\"http://blog.wordpress.tv/2014/10/15/the-future-of-wordpress-great-videos-from-matt-mullenweg-and-andrew-nacin/\"><img alt=\"Andrew Nacin: Post-Modern WordPress\" src=\"http://videos.videopress.com/4Lx4dIRH/video-ed23aaca26_scruberthumbnail_3.jpg\" width=\"160\" height=\"120\" /></a></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Oct 2014 19:29:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Jerry Bates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"Matt: Listen Completely\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44245\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"http://ma.tt/2014/10/listen-completely/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:441:\"<blockquote><p>Listen now . When people talk listen completely. Don’t be thinking what you’re going to say. Most people never listen. Nor do they observe. You should be able to go into a room and when you come out know everything that you saw there and not only that. If that room gave you any feeling you should know exactly what it was that gave you that feeling. Try that for practice.</p></blockquote>\n<p>&#8212; Ernest Hemingway</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Oct 2014 15:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"Matt: Among the Marchers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44254\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"http://ma.tt/2014/10/among-the-marchers/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:231:\"<p>Bill McKibben writes from <a href=\"http://www.newyorker.com/news/news-desk/among-marchers\">Among the Marchers of the climate change march</a> the other week. <cite>Hat tip: <a href=\"http://grist.org/\">Chip Giller</a>.</cite></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Oct 2014 22:46:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"Post Status: LoopConf: A new WordPress conference that’s only for developers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://www.poststat.us/?p=7188\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"http://www.poststat.us/loopconf-new-wordpress-conference-thats-developers/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3300:\"<p>&nbsp;</p>\n<p><img class=\"aligncenter size-large wp-image-7191\" src=\"http://www.poststat.us/wp-content/uploads/2014/10/loopconf1-752x295.png\" alt=\"loopconf\" width=\"627\" height=\"245\" /></p>\n<p>Early May 2015 will be the first ever <a href=\"http://loopconf.io/\">LoopConf</a>, a WordPress conference that&#8217;s geared solely toward developers. Ryan Sullivan, the owner of <a href=\"http://wpsitecare.com\">WP Site Care</a>, is hosting the conference that is to be held in Las Vegas.</p>\n<p>LoopConf describes itself like this:</p>\n<blockquote><p>LoopConf is the greatest conference ever created for WordPress developers. LoopConf came about as we heard technically-minded folks talk about wanting to get together and dive deep into advanced engineering and development topics. We&#8217;ve assembled an amazing group of speakers to get this inaugural event started off on the right foot, and we&#8217;re excited to share our excitement and passion for WordPress with all of you in an exciting two-day event. We hope that you join us to celebrate the software we love, enjoy each other&#8217;s company, and learn from one another.</p></blockquote>\n<p>There are already six speakers confirmed:</p>\n<ul>\n<li><a href=\"http://nacin.com\">Andrew Nacin</a>: WordPress lead developer, works at Audrey Capital</li>\n<li><a href=\"http://helenhousandi.com/\">Helen Hou-Sandí</a>: Lead developer of WordPress 4.0, works at 10up</li>\n<li><a href=\"http://ghost.org\">John O&#8217;Nolan</a>: Founder of Ghost and former WordPress contributor</li>\n<li><a href=\"http://www.balkhis.com/about/\">Syed Balkhi</a>: Owner of Awesome Motive, the parent company for WP Beginner, List 25, OptinMonster, and others</li>\n<li><a href=\"http://jennmoney.biz/\">Jenn Schiffer</a>: Open web engineer at Bocoup</li>\n<li><a href=\"http://yoast.com\">Joost de Valk</a>: owner of Yoast and maker of the WordPress SEO plugin, amongst others</li>\n</ul>\n<p>The initial speaker line-up is pretty fantastic. I&#8217;d love to learn more from each one of them.</p>\n<p>LoopConf is not a WordCamp or associated with the WordPress foundation. It&#8217;s an independent WordPress conference, and Ryan says it&#8217;s the first in-person developer only WordPress conference he knows of. Most WordCamps are very catered to a diverse audience.</p>\n<p>This could be a good way for people to have more developer centric conversations. I&#8217;m certainly interested to see how it goes, and would like to make it myself. They are seeking sponsors and speaker submissions now. I don&#8217;t know how much the tickets will be exactly, but Ryan tells me he hopes for LoopConf to have a prestige and quality similar to An Event Apart events, but for WordPress &#8212; so I imagine the tickets won&#8217;t be cheap.</p>\n<p>As the WordPress conference ecosystem continues to blossom, I&#8217;m sure this isn&#8217;t the only one we&#8217;ll see like this. Non-WordCamp, niche events like <a href=\"http://pressnomics.com\">PressNomics</a> helped lead the way for those that are happening now, and I think generally it&#8217;s been good to have a diverse array of options for people to attend and learn from one another.</p>\n<p>You can keep up with <a href=\"http://twitter.com/loopconf\">@LoopConf</a> on Twitter or <a href=\"http://loopconf.io\">via the website</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Oct 2014 18:22:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Brian Krogsgard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"WPTavern: Rate and Review a WordPress Plugin Day Set For October 17th\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=31977\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"http://wptavern.com/rate-and-review-a-wordpress-plugin-day-set-for-october-17th\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3065:\"<p><a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/RateReviewPluginDayFeaturedImage.png\" rel=\"prettyphoto[31977]\"><img class=\"aligncenter size-full wp-image-31979\" src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/RateReviewPluginDayFeaturedImage.png?resize=666%2C211\" alt=\"Rate Review Plugin Day Featured Image\" /></a></p>\n<p>Mark your calendars and schedule some free time on <strong>Friday, October 17th</strong> for the first &#8220;<strong>Rate and Review a WordPress Plugin Day</strong>&#8220;. On October 17th, visit the page of your favorite plugin in the <a title=\"https://wordpress.org/plugins/\" href=\"https://wordpress.org/plugins/\">WordPress.org plugin directory</a>, give it a star rating, and write a review.</p>\n<h2>Why The Special Day?</h2>\n<p>If you&#8217;re anything like me, you get caught up in the day-to-day activities without getting around to rating and reviewing the plugins you depend on. Some of the plugins I rely on have served me well for years, but I&#8217;ve yet to rate or review them. The only time I stop by a plugin&#8217;s page after installing it is to visit the support forum. Since disgruntled users are more vocal than those with positive experiences, this day is an excuse to share those positive experiences with the community and the plugin author.</p>\n<h2>Quick Tip</h2>\n<p>Since you can&#8217;t rate and review plugins from the backend of WordPress, here is a quick tip. Login to your WordPress.org account and navigate to the installed plugins page in the backend of WordPress. Each plugin should have a view details link that will load the plugin details modal. On the details screen, open the link to the WordPress.org Plugin Page in a new browser tab. These steps save you the trouble of manually browsing to each plugin&#8217;s page on WordPress.org.</p>\n<a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/WPPluginPageNewTab.png\" rel=\"prettyphoto[31977]\"><img class=\"size-full wp-image-31978\" src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/WPPluginPageNewTab.png?resize=761%2C576\" alt=\"Open The WordPress.org Plugin Page In A New Browser Tab\" /></a>Open The WordPress.org Plugin Page In A New Browser Tab\n<h2>An Easy Way to Contribute Back to WordPress</h2>\n<p>Start with your favorite plugin. Review it based on your experience and try to write more than one-five words. As an additional courtesy, browse to the bottom of the plugin&#8217;s description page and click on the <em>broken</em> or <em>works</em> box. This helps determine which versions of the plugin are compatible with WordPress. Your ratings, reviews, and compatibility checks are indirect contributions to WordPress. It&#8217;s actionable data that millions of people will use to determine whether or not to use a plugin.</p>\n<p>One thing to keep in mind is that ratings and reviews are not set in stone. If you&#8217;d like to change the content or star ratings, find your review and scroll to the bottom of the page. From there, you&#8217;ll be able to change the text and rating.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Oct 2014 16:39:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"Alex King: WordPress vs. a Roll-Your-Own Blog Engine\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"http://pinboard-9c824ddfe7946cbde24dbe9eb552eb42\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"http://alexking.org/blog/2014/10/14/do-you-need-a-new-blog-engine\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6167:\"<p>Inspired by Brent&#8217;s <a href=\"http://inessential.com/2014/10/02/need_new_blog_engine\">consideration of an off-the-shelf blog engine</a>, Santiago Valdarrama has written a post outlining <a href=\"https://blog.svpino.com/2014/10/03/do-you-need-a-new-blog-engine\">the problems he has with off-the-shelf blog engines</a>. What was so interesting to me about this was that a self-hosted WordPress site addresses nearly every one of his concerns.</p>\n<blockquote><p>\n  1) You don&#8217;t have to deal with updates to the platform. Updates and new features are nice, unless they break all the custom code you&#8217;ve developed over time.\n</p></blockquote>\n<p>WordPress has well abstracted APIs that make it easy for your custom code to live alongside the WP core code. I can&#8217;t remember the last time I needed to make a change to code I&#8217;d written for this site because of a WP core update.</p>\n<blockquote><p>\n  2) You can&#8217;t control when bugs are fixed or new features released. If there&#8217;s something missing, the only thing you can do is file a request and wait.\n</p></blockquote>\n<p>Fiddlesticks. You can <a href=\"https://make.wordpress.org/core/handbook/\">submit a patch</a>, you can hack your local copy, and you can write plugins to add any features you feel are missing.</p>\n<blockquote><p>\n  3) There&#8217;s always a learning curve. Every platform is different, specially when you want to fine tune your layout and deviate from the provided templates.\n</p></blockquote>\n<p>This one strikes me as a bit silly. There is a learning curve when building your own system too &#8211; especially if you haven&#8217;t written your layout/templating system yet.</p>\n<blockquote><p>\n  4) Sometimes there&#8217;re things you can&#8217;t do. Period. (I wanted to use a specific format to display the date of my posts but Blogger doesn&#8217;t support it. I had to settle with something else.)\n</p></blockquote>\n<p>Using a hosted service and using an off-the-shelf blog engine are <em>not</em> the same thing. Self-hosting WordPress removes all of the hosted service restrictions.</p>\n<blockquote><p>\n  5) You have to deal with features you don&#8217;t need. Comments? Related posts? Search? Templating engine? Image carousel? I don&#8217;t need these, but I&#8217;d have to pay the price anyway.\n</p></blockquote>\n<p>Just as you can customize WordPress to add features, you can also customize it to hide features. Don&#8217;t use comments? An included setting and couple of lines of CSS will make it so you never know they were there. And WordPress doesn&#8217;t include bloated features out of the box; it wisely leaves that to plugins so that you add what you want instead of removing things you don&#8217;t.</p>\n<blockquote><p>\n  6) You can always export your content (sometimes you can&#8217;t), but even when the option is right there, the exported format is so messed up that you can&#8217;t use it again without a huge clean up. (One time I got my posts exported in a text file with no formatting.)\n</p></blockquote>\n<p>Again &#8211; this is only a problem with hosted solutions. With a self-hosted WordPress site you have full access to your MySQL database, as well as the built-in export features of WordPress.</p>\n<blockquote><p>\n  7) What&#8217;s true today might change tomorrow. What you like about the platform might go away some day. They won&#8217;t ask for your opinion.\n</p></blockquote>\n<p>WordPress is Open Source. Anyone can create a fork based on their own needs and preferences.</p>\n<blockquote><p>\n  8) It will never be as fast as you want it to be. If it&#8217;s hosted, your traffic will be shared. If you host it yourself, you might never be able to fine tune it to perfection.\n</p></blockquote>\n<p>WordPress powers around 20% of the internet &#8211; you don&#8217;t grow that big if you can&#8217;t handle scale. Dedicated WordPress hosts will solve these problems for you, and installing a few simple plugins (caching, CSS and JS concatenation and optimization, etc.) will do a ton to optimize a site on an server that isn&#8217;t tuned for WordPress.</p>\n<blockquote><p>\n  9) I will never be sure what my content is being used for. I know it&#8217;s public anyway, but it&#8217;s also in somebody else&#8217;s database I don&#8217;t control.\n</p></blockquote>\n<p>Another assumption of a hosted platform. NA for a self-hosted WordPress site.</p>\n<blockquote><p>\n  10) You&#8217;ll never get to experience the satisfaction of engaging in a conversation about how you developed your own platform from scratch.\n</p></blockquote>\n<p>As someone who has hacked on WordPress and related code for the last 12 years, I find this statement absurd. There are plenty of &#8220;from scratch&#8221; opportunities within the WordPress community, even now. And if what you want is engagement then joining a bountiful and vibrant community of developers is a much bigger opportunity than the potential for a conversation with another NIH hacker.</p>\n<p>I&#8217;m not saying that there is anything wrong with building your own X. Every time you do that it&#8217;s a great learning experience. I&#8217;m saying I don&#8217;t think it is necessary to get pride of ownership.</p>\n<blockquote><p>\n  There might be something out there that offsets all my concerns, I&#8217;m not sure (but I don&#8217;t believe so.) My blog is my hobby, and I think I&#8217;d never give control again. Every single bit you see here was a labor of love, and I&#8217;m not ready to stop thinking about it that way.\n</p></blockquote>\n<p>I think a self-hosted WordPress site is really close. And I feel exactly the same about my site &#8211; it&#8217;s mine and I am in control of it. Even though I&#8217;ve released much of the code for this site as Open Source, no one else has a site that&#8217;s exactly like mine. I&#8217;ve made the decisions about how to present my content, how to distribute it to Twitter and Facebook, how to integrate with the responses on those platforms, and how I represent myself online. And I do so while building on a robust base platform that allows me to concentrate on building just the features that are unique to my site.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Oct 2014 15:10:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Alex\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"WPTavern: How to Obtain The Total Download Count For Plugins Attached to a WordPress.org Username\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=31955\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:107:\"http://wptavern.com/how-to-obtain-the-total-download-count-for-plugins-attached-to-a-wordpress-org-username\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3818:\"<p>Over the weekend, the <a title=\"https://easydigitaldownloads.com/\" href=\"https://easydigitaldownloads.com/\">Easy Digital Downloads</a> team launched a new side project called <a title=\"http://wptally.com/\" href=\"http://wptally.com/\">WP Tally</a>. WP Tally is a tool that displays the total download count for plugins attached to a WordPress.org username. The project is the result of a conversation about the lack of an easy way to determine the total amount of plugin downloads a WordPress.org user has.</p>\n<a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/WPTallyHomePage.png\" rel=\"prettyphoto[31955]\"><img class=\"size-full wp-image-31956\" src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/WPTallyHomePage.png?resize=736%2C568\" alt=\"WP Tally Home Page\" /></a>WP Tally Home Page\n<p><a title=\"http://ghost1227.com/\" href=\"http://ghost1227.com/\">Daniel Griffiths</a>, who worked on the backend of the project, tells the Tavern, &#8220;it only took 10 minutes to come up with a name.&#8221; <a title=\"http://seandavis.co/\" href=\"http://seandavis.co/\">Sean Davis</a>, a full-time support manager and theme developer for EDD, is credited with the name. The founder of Easy Digital Downloads, <a title=\"https://pippinsplugins.com/\" href=\"https://pippinsplugins.com/\">Pippin Williamson</a>, asked Griffiths if he was interested in creating a new plugin, &#8220;I&#8217;m always looking for a new pet project, so I happily agreed.&#8221; The first version of WP Tally took about an hour and a half of development time. Due to other things going on throughout the day, the estimated time to complete the project is half a day.</p>\n<h2>The WP Tally API</h2>\n<p>While the site didn&#8217;t have an <a title=\"http://wptally.com/api-docs/\" href=\"http://wptally.com/api-docs/\">API initially</a>, one was added after being suggested by Williamson. Griffiths says the API is public and passes the same data that is displayed on WP Tally. While the extent of what the API can do is small, the team is open to suggestions. &#8220;We&#8217;ve already had someone express interest in writing a widget to allow users to display their personal data on their own website.&#8221;</p>\n<h2>WP Tally in Action</h2>\n<p>Since Scott Reilly known as <a title=\"https://profiles.wordpress.org/coffee2code/\" href=\"https://profiles.wordpress.org/coffee2code/\">Coffee2Code</a> on WordPress.org, has 70 plugins attached to his account, I used his name as an example. According to WP Tally, he has <a title=\"http://wptally.com/?wpusername=Coffee2Code\" href=\"http://wptally.com/?wpusername=Coffee2Code\">911, 256 total downloads</a>. Meanwhile, <a title=\"https://profiles.wordpress.org/joostdevalk/\" href=\"https://profiles.wordpress.org/joostdevalk/\">Joost de Valk</a> has a total of <a title=\"http://wptally.com/?wpusername=joostdevalk\" href=\"http://wptally.com/?wpusername=joostdevalk\">22.3 million downloads</a> from 29 different plugins. Results are displayed in a vertical list without a way to sort them.</p>\n<a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/Coffer2CodeTotalPluginDownloads.png\" rel=\"prettyphoto[31955]\"><img class=\"size-full wp-image-31958\" src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/Coffer2CodeTotalPluginDownloads.png?resize=723%2C405\" alt=\"Coffee2Code Total Download Count\" /></a>Coffee2Code Total Download Count\n<p>It would be nice to be able to sort through the list by the most downloads, most popular based on ratings, and alphabetical order. I&#8217;d also like to see the total number of plugins displayed in the same area as the total download count. As an added bonus, it would be neat if the information could be embedded into a text widget as a badge.</p>\n<p>What do you think of the site and is there anything else you&#8217;d like to see it tally?</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Oct 2014 01:21:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"Lorelle on WP: You’re Invited: Vancouver WordPress Social Meetup October 19\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"http://lorelle.wordpress.com/?p=11966\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:99:\"http://lorelle.wordpress.com/2014/10/13/youre-invited-vancouver-wordpress-social-meetup-october-19/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:504:\"The last WordPress Social Meetup in Vancouver, Washington, was such a success, we&#8217;re going forward with these monthly meetings. Vancouver, Washington, is just a few minutes from downtown Portland, and our next meeting is this Sunday, October 19, from 4-7PM. Please arrive by 4:15PM to be allowed into the building. It is normally closed on [&#8230;]<img alt=\"\" border=\"0\" src=\"http://pixel.wp.com/b.gif?host=lorelle.wordpress.com&blog=72&post=11966&subd=lorelle&ref=&feed=1\" width=\"1\" height=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Oct 2014 00:30:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Lorelle VanFossen\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"WPTavern: Troubleshooting Handbook For New WordPress Support Forum Volunteers Is Live\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=31953\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"http://wptavern.com/troubleshooting-handbook-for-new-wordpress-support-forum-volunteers-is-live\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5370:\"<p>Providing WordPress support is an important but often, thankless job. From <a title=\"https://wordpress.org/support/\" href=\"https://wordpress.org/support/\">support forums</a> to <a title=\"https://make.wordpress.org/support/handbook/other-support-locations/introduction-to-irc/\" href=\"https://make.wordpress.org/support/handbook/other-support-locations/introduction-to-irc/\">IRC</a>, there&#8217;s no shortage of people who need help with WordPress. However, participating in the various support channels is one of the easiest ways to contribute back to WordPress. In particular, if you&#8217;re interested in becoming a volunteer on the support forums, there&#8217;s a new guide available that walks you through the process.</p>\n<p>It&#8217;s called the <a title=\"https://make.wordpress.org/support/trouble/\" href=\"https://make.wordpress.org/support/trouble/\">Troubleshooting Handbook</a>. It explains how the forum works and teaches volunteers how to troubleshoot common WordPress issues they&#8217;re likely to see in the forum. In the second section of the handbook, there are several items known as <a title=\"https://make.wordpress.org/support/trouble/section-2-breakfix-lessons/\" href=\"https://make.wordpress.org/support/trouble/section-2-breakfix-lessons/\">Break/Fix lessons</a>. Break/Fix is meant to be a hands-on guide to troubleshooting broken WordPress sites. Each lesson represents a common problem you may come across when helping others in the WordPress.org support forums.</p>\n<a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/TroubleShootingHandbookHomePage.png\" rel=\"prettyphoto[31953]\"><img class=\"size-full wp-image-31964\" src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/TroubleShootingHandbookHomePage.png?resize=753%2C578\" alt=\"Troubleshooting Handbook Home Page\" /></a>Troubleshooting Handbook Home Page\n<h2>How to Contribute</h2>\n<p>For the past several months, volunteers have been working hard to get the handbook in tip-top shape. On <a title=\"https://make.wordpress.org/support/2014/10/support-team-update-for-october-2nd/\" href=\"https://make.wordpress.org/support/2014/10/support-team-update-for-october-2nd/\">October 2nd</a>, the project reached a point where it was ready for public viewing. Since it&#8217;s still a work in progress, I asked <a title=\"http://macmanx.com/\" href=\"http://macmanx.com/\">James Huff</a>, a member of the support team, how others can contribute. &#8220;At the moment, contributing to the handbook is limited. If you see anything that needs to be changed, please leave a comment at the bottom of the page with the problem.&#8221;</p>\n<h2>The Potential Merge of Handbooks</h2>\n<p>The <a title=\"https://make.wordpress.org/support/handbook/\" href=\"https://make.wordpress.org/support/handbook/\">Support Handbook</a> is a secondary project used primarily by forum moderators. Since moderators make up a small portion of the people who provide support, the initial plan is to merge the Troubleshooting handbook into the Support Handbook. Then, replace or combine the sections that overlap and relegate the moderator-only resources to a small Moderators Only section. Much of the work is planned to happen at the <a title=\"http://2014.sf.wordcamp.org/schedule/contributor-team-meetups/\" href=\"http://2014.sf.wordcamp.org/schedule/contributor-team-meetups/\">WordPress Contributor Team Meetup</a> during <a title=\"http://2014.sf.wordcamp.org/\" href=\"http://2014.sf.wordcamp.org/\">WordCamp San Francisco 2014. </a></p>\n<p>&nbsp;</p>\n<h2>Solid Foundation For New Support Volunteers</h2>\n<p>The Troubleshooting Handbook is a welcome addition to both moderators and volunteers. While attending a WordCamp contributor day last year, I along with a few others sat in a group and plowed through several threads on the support forum. <a title=\"http://halfelf.org/\" href=\"http://halfelf.org/\">Mika Epstein</a>, who contributes a lot of her time to the WordPress support forums, guided us along the way. If it were not for her guidance, we may have ended up causing more problems than solving them.</p>\n<a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/TroubleShootingHandbookFeaturedImage.png\" rel=\"prettyphoto[31953]\"><img class=\"size-full wp-image-31966\" src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/TroubleShootingHandbookFeaturedImage.png?resize=638%2C411\" alt=\"TroubleShootingHandbookFeaturedImage\" /></a>photo credit: <a href=\"https://www.flickr.com/photos/pinkpurse/5282398538/\">pinkpurse</a> &#8211; <a href=\"http://creativecommons.org/licenses/by-nc-nd/2.0/\">cc</a>\n<p>Providing support on WordPress.org is an intimidating experience. It seems like new threads are created every second. I made a few mistakes by not having a set of canned responses or knowing how to handle certain question in the forums. By having this information in an easy to read format, new volunteers should have an easier time providing support without feeling like they&#8217;re doing something wrong.</p>\n<p>If you want to contribute back to WordPress by providing support, I encourage you to read through the <a title=\"https://make.wordpress.org/support/trouble/\" href=\"https://make.wordpress.org/support/trouble/\">Troubleshooting Handbook</a>. Not only is it information you can use, it&#8217;s also a helpful guide for employees who provide customer support through forums.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Oct 2014 00:27:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"Matt: New Yorker on WP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44251\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"http://ma.tt/2014/10/new-yorker-on-wp-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1029:\"<blockquote><p>With the relaunch, <a href=\"http://newyorker.com/\">NewYorker.com</a> runs on WordPress, a more robust, user-friendly CMS. &#8220;We&#8217;re looking at almost total upside there,&#8221; Thompson tells me. Because the tools are no longer getting in the way of producers doing their job, NewYorker.com is now able to publish a greater volume of stories every day. The site used to top out at 10 or 12 stories each day: now, it publishes around 20 per day. &#8220;It&#8217;s a lot easier to be productive now, and we can now make the site fresh a lot more quickly than we used to,&#8221; says Thompson.</p></blockquote>\n<p><a href=\"http://www.fastcodesign.com/3035381/how-the-new-yorker-finally-figured-out-the-internet-3-lessons-from-its-web-redesign\">How The New Yorker Finally Figured Out The Internet in Fast Company</a>. Still my favorite magazine in the world. Also the reason I started spending more time in New York. <cite>Hat tip: <a href=\"http://kellychoffman.wordpress.com/\">Kelly Hoffman</a>.</cite></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 13 Oct 2014 20:27:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"Matt: Beats Studio Wireless vs Samsung Level Over\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44275\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"http://ma.tt/2014/10/beats-studio-wireless-vs-samsung-level-over/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7474:\"<p>I listen to music pretty much constantly, and it&#8217;s not unusual to see me on the road with just a carry-on and still have 3 or 4 headphones on me that I&#8217;m testing.</p>\n<p>First off, Bluetooth changes everything. It&#8217;s so nice to not ever worry about cables, or even proximity for the most part, like having your phone charging by the laptop and still able to walk around the room. Audio quality is great now, only downside is having to charge something, but they&#8217;re all pretty good about battery now.</p>\n<p>I&#8217;ve been enjoying a category I&#8217;ll call: Bluetooth, over ear headphones that let people know not to bother you, that you feel kind of cool wearing, that are great for planes, and cost around $300-400. The pioneer in this category is Beats, and I bought a pair of their Studio Wireless (in <a href=\"http://www.beatsbydre.com/headphones/studio-wireless/titanium/900-00199-01.html\" title=\"Like a bosse.\">matte titanium</a>, natch) after <a href=\"http://techcrunch.com/2014/05/28/apple-buys-beats-electronics-for-3b/\" title=\"Apple has made a series of interesting buys and hires this year.\">Apple bought them</a> because I wanted to see what the fuss is about. More recently I got some horribly named but well-reviewed <a href=\"http://www.samsung.com/us/mobile/cell-phones-accessories/EO-AG900BWESTA\" title=\"Oh, Samsung.\">Samsung Level Overs</a>, so this is a comparison of those two. (Another contender in this category would be the <a href=\"http://www.parrot.com/zik/usa/\" title=\"I wanted to love these.\">Parrot Zik ones</a>, but just skip those. Great idea, annoying in practice.)</p>\n<p><img class=\"alignleft wp-image-44276\" src=\"http://i0.wp.com/ma.tt/files/2014/10/overear-studio-wireless-titanium-standard-thrqrtleft-O.png?resize=256%2C298\" alt=\"Beats Studio Wireless\" />Let me start with how the Beats are better: they fold up, look cool, sound pretty decent on calls, and everything works nicely with the iPhone. For me they have two fatal flaws: comfort and noise. The earcups are kind of small, or my ears are kind of huge; whichever it is, sometimes after wearing them for a few hours my left ear starts to become quite sore. Second is they have active noise cancellation (ANC) that causes what can only be described as a constant hiss you can hear both while music is playing and while it&#8217;s off, it&#8217;s like like noise addition rather than noise cancellation. The fit and finish of the Beats are nice, as well as the accessories like cables, how it indicates how much power is left, et cetera.</p>\n<p><img class=\"alignright  wp-image-44277\" src=\"http://i1.wp.com/ma.tt/files/2014/10/71joq-txpaL._SL1500_.jpg?resize=272%2C360\" alt=\"Samsung LEVEL over\" />The <a href=\"http://www.amazon.com/dp/B00KGGK738/\" title=\"Reviews on Amazon are pretty good too.\">LEVEL overs</a> (wow that&#8217;s awkward to write) are big, and they don&#8217;t fold, but they float around in my backpack pretty much the same as the Beats, especially if you don&#8217;t use the included case. The battery seems to go forever. The ANC can be turned on and off (battery goes longer with it off), and when it&#8217;s on it&#8217;s <em>good</em>, like miss-the-announcement-for-your-flight good. For me this is the deal-maker &#8212; I didn&#8217;t realize what I was missing with mediocre ANC before on the Beats, I&#8217;m now able to concentrate and relax much better on planes. I&#8217;ve flown every third day in the past month, so this is a big deal to me. They also feel like they&#8217;re better made &#8212; less plastic feeling than the Beats. The have a <a href=\"http://ecx.images-amazon.com/images/I/316Rt2g8EEL.jpg\" title=\"Pretty intuitive.\">touch gesture control</a> on the right cup like on the Zik, but it actually works well. The cups fit completely over my ears and in general it feels more comfortable on my head, I can wear it for hours at a time and it&#8217;s totally comfortable. I don&#8217;t think they look as cool, but that&#8217;s probably because I haven&#8217;t been conditioned with pictures of my favorite musicians and athletes wearing them. (<a href=\"http://recode.net/2014/10/04/nfl-bans-beats-headphones-on-camera/\" title=\"Why is the NFL a non-profit, again?\">Though not in football anymore</a>.)</p>\n<p>Main downsides: the cable it comes with doesn&#8217;t &#8220;work&#8221; with an iPhone or Mac as a mic or control device, and is also clunky. (Bluetooth control works fine.) This is apparently because <a href=\"http://shaddack.twibright.com/projects/reveng_RemoteControlHeadphones/\">the remote control resistor on Apple-targeted cables</a> work <a href=\"http://www.androidcentral.com/head-headphones-samsung-level-over-vs-beats-studio-wireless\">differently from everyone else&#8217;s</a>, which I think we can all agree in 2014 is ridiculous for both sides. My fix for this was to use the cable from the Beats, which you <a href=\"http://www.amazon.com/dp/B00ILV7VGG/\" title=\"This one might be not-real, but look around.\">can also buy online</a>, which looks cooler, is smaller, and works great with my Mac for G+ Hangouts and Skype calls. Perhaps related to this is when the Beats or many other Bluetooth headsets I&#8217;ve used are connected to the iPhone there&#8217;s a battery indicator and the Samsung doesn&#8217;t support this, but since the battery life is so good I don&#8217;t worry about this too much.</p>\n<p><strong><img class=\" wp-image-44278 alignleft\" src=\"http://i0.wp.com/ma.tt/files/2014/10/720311395_5520467755400174836.jpg?resize=190%2C190\" alt=\"Matt with Samsungs\" />Too long; skipped to the end:</strong> The Samsung sounds better, is more comfortable, and is better made. Try it out if you&#8217;re considering buying headphones in this category. I don&#8217;t expect this to be a long-term advantage because I&#8217;m fairly certain Apple will do amazing things with Beats in the future, even if that just means a lightning connector, but I&#8217;m guessing that&#8217;s a 2015 thing.</p>\n<p><strong>Extra credit:</strong> What headphones do I use in other categories? (An update to <a href=\"http://ma.tt/2009/07/headphone-recommendations/\" title=\"Oldie but goodie.\">my 2009 post</a>.) For in-ear wired I use <a href=\"http://pro.ultimateears.com/en-us/home/18-Pro\" title=\"Best sound, best comfort, but my ears get waxy when I wear them too much.\">Ultimate Ears 18 Pro Custom</a> molded to my ears, but I also recommend <a href=\"http://www.amazon.com/dp/B003WV391Q/\" title=\"This is the one with the remote mic, the newer 80s don\'t, for no good reason.\">Sennheiser IE 8i</a> for friends who don&#8217;t want to go to audiologist, for running/exercise or when being discreet like on a subway I use the <a href=\"http://www.amazon.com/dp/B00DIOAM4Y/\" title=\"Been putting a lot of miles on these.\">Plantronics BackBeat GO 2 with charging case</a>, at home I like <a href=\"http://www.audeze.com/products/headphones/lcd-3\" title=\"Indefensible.\">the Auduze LCD3</a> usually with a <a href=\"http://redwineaudio.com/\" title=\"Cavier on the kobe.\">Red Wine Audio</a> amp. I agree with many of the assessments in <a href=\"http://www.marco.org/headphones-closed-portable\" title=\"I love how obsessed Marco gets.\">Marco Arment&#8217;s mega-review</a>, and I got turned on to the Samsung&#8217;s by <a href=\"http://thewirecutter.com/reviews/best-noise-cancelling-headphones/\" title=\"For the record, I was an OG Wirecutter supporter.\">Wirecutter&#8217;s noise cancelling review</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 12 Oct 2014 17:15:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Matt: Oculus\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44265\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://ma.tt/2014/10/oculus/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:767:\"<p><a href=\"http://i2.wp.com/ma.tt/files/2014/10/oculus.jpg\"><img class=\"alignright wp-image-44268\" src=\"http://i2.wp.com/ma.tt/files/2014/10/oculus.jpg?resize=206%2C238\" alt=\"\" /></a> I got a chance to try the <a href=\"http://www.oculus.com/dk2/\">Oculus Rift Development Kit 2 (DK2)</a> the other day, specifically <a href=\"http://www.roadtovr.com/sightline-the-chair-oculus-rift-dk2-vr-reference-demo/\">Sightline: The Chair</a>. I&#8217;m not sure what to say except it was magical. I don&#8217;t think it replaces screens, but Oculus-style VR is definitely the future of entertainment. Thanks to (the <a href=\"http://www.ea.com/news/a-goodbye-to-john-vechey\">newly retired</a>) <a href=\"http://johnvechey.wordpress.com/\">John Vechey</a> for sharing it with me.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 11 Oct 2014 21:02:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"Jen Mylo: Site Setup Journal: Act II\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"http://jenmylo.com/?p=4587\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"http://jenmylo.com/2014/10/11/site-setup-journal-act-ii/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:17922:\"<h2>Act II: Setting Up WordPress</h2>\n<p><em>Previously in Site Setup Journal: <a href=\"http://jenmylo.com/2014/10/05/site-setup-journal-prologue/\">Prologue</a> and <a href=\"http://jenmylo.com/2014/10/11/site-setup-journal-act-i/%20\">Act I: Domains and Hosting</a>.</em></p>\n<h3>One-Click Install Attempts</h3>\n<p>1-click installs are totally the way to go, right? I mean, 1-click sounds faster and easier than <em>the famous 5-minute install</em> that you get if you do it manually over FTP (according to the Codex). I immediately go into the Dreamhost control panel and went for a 1-click.</p>\n<p><img class=\"aligncenter size-full wp-image-4584\" src=\"https://jenmylo.files.wordpress.com/2014/10/screen-shot-2014-10-05-at-6-36-55-am.png?w=520&h=132\" alt=\"Screen shot 2014-10-05 at 6.36.55 AM\" width=\"520\" height=\"132\" /></p>\n<p>Okay, so 1-click, but 10 minutes. That doesn&#8217;t seem right, that it should take twice as long for the automated 1-click install as for a manual one. Well, too late now, right? Guess I&#8217;ll go feed the cats while I wait.</p>\n<p>I have to kill a little more time than just feeding the cats, but eventually I get an email from Dreamhost telling me my WordPress install is ready for me, and linking me to install.php to set up an admin user and get going. I click the link and get a white screen. Hm. Try again. Hm. Open up FTP to see if the files are there, and they are. Start wondering if maybe 1-clicks can&#8217;t handle being in a subdirectory (where I&#8217;d put it), so think I&#8217;ll try another one in the root. Same thing, the 10-minute notice. Set up web email for the domain and send a test email so I can see if it&#8217;s just the website, or if it&#8217;s everything on the domain. Webmail is also whitescreened. Hm. Status on Dreamhost says my server is going to be getting some software updates and will be offline during this maintenance, but it doesn&#8217;t look like I&#8217;m in that time window. I get a 2nd automated email saying the 2nd 1-click has failed. I head into the support section.</p>\n<p>The Live Chat support option shows as available, but when I click it it says that due to heavy activity there will be a 5-hour wait. Come on, just take down the Live Chat option when it&#8217;s 4am and you don&#8217;t have people on staff. I send an email, then another (first one re white screen, 2nd re install failure). In the meantime I start scrubbing through the Dreamhost support wiki.</p>\n<p>I find the answer to the 2nd install failure before support gets back to me. Apparently, 1-clicks don&#8217;t work if there is anything in there already. So since I already have a subfolder in the root domain (from the 1st 1-click), trying to do a 1-click into the root won&#8217;t work. I have to empty it out first. That doesn&#8217;t make sense to me, but whatever. I wind up deleting everything via FTP and doing a manual install instead. Two, actually.</p>\n<h3>Manual Install</h3>\n<p>Well, then, back to the WordPress.org!</p>\n<p><img class=\"aligncenter size-full wp-image-4589\" src=\"https://jenmylo.files.wordpress.com/2014/10/screen-shot-2014-10-11-at-8-04-50-am.png?w=520&h=185\" alt=\"Screen shot 2014-10-11 at 8.04.50 AM\" width=\"520\" height=\"185\" /></p>\n<p>The &#8220;handy guide&#8221; is the Codex&#8217;s installation instructions page. Let&#8217;s take a look.</p>\n<h4>Before You Start</h4>\n<p><img class=\"aligncenter size-full wp-image-4591\" src=\"https://jenmylo.files.wordpress.com/2014/10/screen-shot-2014-10-11-at-8-22-15-am.png?w=520&h=212\" alt=\"Screen shot 2014-10-11 at 8.22.15 AM\" width=\"520\" height=\"212\" /></p>\n<p><strong>1. Minimum server requirements</strong>. As it happens, I had checked the php version stuff when I re-upped the hosting account for this domain, and had upped the version of PHP. Someone setting things up without my account gymnastics wouldn&#8217;t have encountered that, though, so I set out to find my hosting versions as specified in the ask-for-it text on the requirements page on wordpress.org:</p>\n<ul>\n<li>PHP 5.2.4 or greater</li>\n<li>MySQL 5.0 or greater</li>\n<li>The mod_rewrite Apache module</li>\n</ul>\n<p>I log into the Dreamhost control panel. I look for a navigation label that says something like hosting environment, version information, about, etc. Don&#8217;t see anything. Click into <em>Manage Account</em>, nothing. Click into <em>Manage Domains</em>. Oh ho!</p>\n<p><img class=\"aligncenter size-full wp-image-4592\" src=\"https://jenmylo.files.wordpress.com/2014/10/screen-shot-2014-10-11-at-8-28-41-am.png?w=520\" alt=\"Screen shot 2014-10-11 at 8.28.41 AM\" /></p>\n<p>Clearly I&#8217;d only upped the version on the one domain, not both on that account, but even so, I can see that the php versions are both above the minimum requirement to run WordPress.</p>\n<p>Next up, MySQL version. Clicking the <em>MySQL Databases</em> navigation item seems the most likely, so I do. Nope. No information shown here about MySQL versions. You&#8217;d really think you would see that on the page labeled MySQL Databases, wouldn&#8217;t you? There is a link on that screen to <em>phpMyAdmin</em>, so maybe I can find it there. Wait &#8212; Authentication Required!</p>\n<p><img class=\"aligncenter size-full wp-image-4593\" src=\"https://jenmylo.files.wordpress.com/2014/10/screen-shot-2014-10-11-at-8-39-09-am.png?w=520\" alt=\"Screen shot 2014-10-11 at 8.39.09 AM\" /></p>\n<p>Bah, which username and password combination does it want? The hosting account (server?) or a database user? A note here saying which password is needed would be helpful. I can&#8217;t get in with the ones I know off the top of my head so I close out of that and go back to the main Dreamhost control panel (the phpMyAdmin attempt had bumped me into a new tab). In the search box at the top, I type &#8220;MySQL version&#8221; and hit enter. The page refreshes, but I&#8217;m still on the MySQL Databases page where there is no version info displayed. I think maybe there&#8217;s some documentation with version info, so I look for support.</p>\n<p>Now, having been around a long time, I know that Wiki, a small link in the upper right corner, means documentation. But a lot of people don&#8217;t (I doubt my mom &#8212; the most recent person to ask me to set up a site &#8212; would), so for the sake of the experiment I go looking for a Help or Docs or Support link. I find it (Support) in the bottom left navigation after scrolling down (below the fold), because for some reason the &#8220;Goodies&#8221; navigation section is open. Why? Because apparently that&#8217;s where the MySQL Databases page actually lives, despite being in the navigation up above as a top-level item. Come on, Dreamhost, who&#8217;s your information architect, and what are they doing?</p>\n<p>Anyway, I click on Support. It drops a layer with 3 options. Contact, History, and Data Centers. Why not have a link here for Wiki (or better, Documentation, which is less jargony)? Hmph. If you do click on Contact Support, it takes you into a form. There&#8217;s a live chat button, but no links here to documentation either. Hm, what&#8217;s this &#8220;Help is Off&#8221; button?</p>\n<p><img class=\"aligncenter size-full wp-image-4594\" src=\"https://jenmylo.files.wordpress.com/2014/10/screen-shot-2014-10-11-at-8-48-09-am.png?w=520&h=167\" alt=\"Screen shot 2014-10-11 at 8.48.09 AM\" width=\"520\" height=\"167\" /></p>\n<p>I decide to click it. Then I see this:</p>\n<p><img class=\"aligncenter size-full wp-image-4595\" src=\"https://jenmylo.files.wordpress.com/2014/10/screen-shot-2014-10-11-at-8-48-47-am.png?w=520&h=169\" alt=\"Screen shot 2014-10-11 at 8.48.47 AM\" width=\"520\" height=\"169\" /></p>\n<p>Oh, how handy, a link to documentation and forums. Why it&#8217;s even optional to hide that text is ridiculous. Anyway, to the wiki!</p>\n<p>On the Wiki Home there is a nice little menu, and MySQL is listed there, so I click it. I come to another list of topics. None of them say Version, so I start clicking them in the order that makes the most sense. <em>MySQL and</em> PHP does not have version info. Neither does <em>phpMyAdmin</em>, but it does tell me that the authentication password request was for the database user password. <em>Upgrading from MySQL 4.1 to 5.0 </em>tells me that, &#8220;DreamHost is currently slowly upgrading your MySQL servers from version 4.1 to 5.0. You can also email support and request they upgrade your databases. There are some incompatibilities between versions 4.1 and 5.0, particularly with JOINs. This upgrade could cause some breakage of your application(s).&#8221; It does not say how to tell which version you are currently on. At this point, some people might email support, but I think a lot would just shrug and decide to take a chance and hope they were already on 5.0. So I do that. Because let&#8217;s face it, any host that is listed on wordpress.org/hosting had better be running the minimum requirements, right?</p>\n<p>Mod_rewrite! Since I&#8217;m already in the wiki, I do a search for &#8220;mod_rewrite Apache module,&#8221; the last item in the &#8216;email your host&#8221; list. The 4 search results are not helpful in any way. I remove &#8220;Apache module&#8221; from the search term and try again. Lots of results, none of them helpful. I decide again to shrug and assume, because this documentation is for the birds when it comes to confirming minimum requirements, and who has time to wait for support emails? Not me!</p>\n<p>Around now I get an email from support about my earlier white screen issue. They say that it&#8217;s because the DNS hasn&#8217;t finished replicating. I might add that there&#8217;s a &#8220;works for me&#8221; comment in there that makes me purse my lips. But I stop to think about DNS. Yes, in the past I&#8217;ve had to set up a temp site on a dreamhosters subdomain if I wanted to work on a site before DNS caught up. Pain in the ass, yeah? Having to then do a move once the real domain is showing up? I hadn&#8217;t thought about that this time because the GoDaddy registration of the domain had been pointing at Dreamhost servers all along. I guess the hosting being down and then up created a DNS interruption. It was not explained to me satisfactorily, but I move on. Specifically, to step 2 of preparing for the install.</p>\n<p><strong>Step 2. Download the latest release of WP. </strong>Easy. Go to wordpress.org, click the big Download button. Oh, okay. That wasn&#8217;t really a download button, that was a navigation link to a download page. Okay. I skim the content in the middle and go to click on the&#8230; oh, that button at the bottom of the content area is to find a mobile app, and goes to a site at get.wp.com. That&#8217;s not right. Oh, there&#8217;s the real download button up in the sidebar. It seems like those should have been switched, but whatever. Click! Download! 6.3MB, it takes 7 seconds.</p>\n<p><strong>Step 3. Unzip the file.</strong> Also easy. Do <em>Show in Finder</em> from the download bar on the bottom of my browser, double click the file, see the <em>wordpress</em> folder appear. 3 seconds.</p>\n<p><strong>Step 4. Secure password for secret key. </strong>Click on the link to read about it. Get distracted by the big-ass blue-i information icon alert at the top that says, &#8220;Interested in functions, hooks, classes, or methods? Check out the new <a class=\"external text\" title=\"http://developer.wordpress.org/reference\" href=\"http://developer.wordpress.org/reference\">WordPress Code Reference</a>!&#8221; Why is that following me around on every page of the Codex? For someone installing WordPress for the first time, that is not helpful. At all. Further, there&#8217;s no <em>x</em> to dismiss the box, so if I&#8217;m not interested, I still have to scroll past it every time, and it pushes the content farther down on the page, not to mention making me feel like I&#8217;m probably not in the right place because they obviously think I am way technical. (Tangent: People keep saying that the fold is dead, but I think they are wrong.) Anyway, I&#8217;m already confused. I clicked on a link that said  <em>Secure password for secret key, </em>but I don&#8217;t see that language on this page. It doesn&#8217;t anchor link me to the specific section I needed, so I guess I have to read this whole page? With multiple mentions of passwords but no headlines that say secret key? I command+f to do a search for text on the page, which shows that &#8220;secret key&#8221; is mentioned in the section titled <em>Security Keys</em>. Hmph. Would a little consistency here be so much to ask?</p>\n<p>Read the section. Questions that should be answered in this section <strong>before</strong> jumping into the history of adding stuff.</p>\n<ul>\n<li>What is a key?</li>\n<li>What is a salt?</li>\n</ul>\n<p>Then it shows what secret keys look like from the online generator. Cool, I like online generators. But the wording all over is inconsistent and confusing &#8212; is it one secret key, or four, or eight? And where do I set a secure password for the key (or keys)? I don&#8217;t understand this! So! Many! Words! Used! Indiscriminately!</p>\n<p>I cheat and use the fact that I know what all that confusing language means, and what it wants, which is simply the block of generated keys and salts, not a password for them.</p>\n<p><strong>Step 5. Print this page. </strong>So I have it handy during installation? I&#8217;m thinking this list was written in the days before browser tabs, because why would I print it when I can just keep a tab open? Silly directions. But! On to the actual install!</p>\n<h4>Famous 5-Minute Install</h4>\n<p>That sure was a lot to do before doing the install, but I&#8217;m ready now!</p>\n<p><img class=\"aligncenter size-full wp-image-4590\" src=\"https://jenmylo.files.wordpress.com/2014/10/screen-shot-2014-10-11-at-8-06-30-am.png?w=520&h=381\" alt=\"Screen shot 2014-10-11 at 8.06.30 AM\" width=\"520\" height=\"381\" /></p>\n<p><strong>Download and unzip &#8212; check.</strong> This step, which was 2 of the steps in the <em>Before You Install</em> list, took under a minute total, about 20% of a 5-minute install.</p>\n<p><strong>Create a database and a MySQL user &#8212; check.</strong> This takes a couple of minutes. I have to log in to the hosting panel, locate <em>MySQL Databases</em> in the menu, and scan the resulting page to orient myself. The first thing on the page is creating a new hostname, and the WP instructions didn&#8217;t say anything about creating a new hostname. Below that is create a database, which has fields to create the first user at the same time. There&#8217;s no instruction on the difference between a database user, an ftp user, and an account user. I go ahead and made new host, db, and user (and while I&#8217;m in there I delete the databases left from the aborted 1-clicks), but I think it would intimidate someone who hadn&#8217;t done it before and didn&#8217;t really know what a database was in relation to a hosting account or a website. This takes me a minute or two, but would probably take someone who&#8217;d never done something like this a little longer, maybe up to 5 while they tried to grok the setup page on the host panel.</p>\n<p><strong>Edit wp-config.php &#8212; check. </strong>This step is labeled optional, but I&#8217;m not sure why. If you click the <em>Editing wp-config.php</em> link, it says WP will create the config file for you from info you enter, and that turning wp-config-sample.php into a real wp-config.php file is for advanced users. If it works fine to have it be auto-generated, then why have this step in there at all? If it&#8217;s really better to do it manually, then why have the auto-create version? In any case, I&#8217;m used to editing the config file at this step, so I do it. Takes a couple of minutes because I had to go back and forth between tabs and copy/paste stuff. I happen to have Coda installed so the file opened in that program, but normally I&#8217;d have used textedit.</p>\n<p>At this point I&#8217;ve passed 5 minutes.</p>\n<p><strong>Upload files via FTP &#8212; check. </strong>I open Transmit and start the transfer. It takes <strong>twelve</strong> minutes. Why? My first guess is that it is shipping with 3 default themes now, all with retina-ready images. But I don&#8217;t know, I could be wrong. I know I don&#8217;t need all those themes, so I delete Twenty Fourteen and Twenty Thirteen while I&#8217;m in FTP, and plan to start out with Twenty Twelve.</p>\n<blockquote><p>Tangent: Why do I want to start with Twenty Twelve? I think Twenty Thirteen is really aimed at bloggers and it has an overwhelming brand/design to it. The site I&#8217;m making is for a class, and needs to be chill. Twenty Fourteen I just personally don&#8217;t like, for the same reasons I don&#8217;t like the general mp6 coloring/style, which I&#8217;ve posted about elsewhere before.</p></blockquote>\n<p><strong>Run the script at the URL where you installed &#8212; screeech! </strong>Screech to a halt here, because I wind up on another white screen. Side note: the wordpress.org instructions say to go right to the root URL, not to install.php directly (like the 1-click email tells you). Are they two different locations? Does install.php automatically load at root? Bah.</p>\n<p>I go ahead and do a second manual install, so now I have one in root and one in a subdirectory. White screens on both. So it seems that the DNS stuff is really going to hold things up. I decide to go to school and finish it off when I get home that night.</p>\n<h4>INTERMISSION</h4>\n<p>Stay tuned for the exciting conclusion in Act III, which will cover finishing the WP install, installing BuddyPress and other plugins, and setting up BuddyPress.</p>\n<p>&nbsp;</p><img alt=\"\" border=\"0\" src=\"http://pixel.wp.com/b.gif?host=jenmylo.com&blog=45389656&post=4587&subd=jenmylo&ref=&feed=1\" width=\"1\" height=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 11 Oct 2014 20:04:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Jen Mylo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"WPTavern: HostingReviews.io – Webhosting Reviews Without The Affiliate Links\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=31873\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"http://wptavern.com/hostingreviews-io-webhosting-reviews-without-the-affliate-links\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3738:\"<p>How many times have you found reviews of webhosting companies only to discover they&#8217;re filled with affiliate links? The presence of an affiliate link leaves the validity of content in question. <a title=\"http://hostingreviews.io/\" href=\"http://hostingreviews.io/\">HostingReviews.io</a> by Steven Gliebe, hopes to solve this problem by documenting micro reviews without any affiliate links attached.</p>\n<a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/FarAboveAverage.png\" rel=\"prettyphoto[31873]\"><img class=\"size-full wp-image-31926\" src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/FarAboveAverage.png?resize=778%2C397\" alt=\"The Far Above Average Hosts Per Customer Reviews\" /></a>The Far Above Average Hosts Per Customer Reviews\n<p>HostingReviews.io works by documenting what people say about their webhosting provider on social media sites such as Twitter. These micro reviews are stored in a queue that Gliebe and his helpers process. Tweets that clearly express happiness or dissatisfaction are marked as such.</p>\n<h2>The Technical Details</h2>\n<p>Gliebe collects tweets matching certain keywords into a database using Twitter&#8217;s stream API. There are keywords setup to cover each host as best as possible. For example, Site Ground, SiteGround, and @siteground. This process means there is nothing special people have to do other than mention their host.</p>\n<p>It is not really a submissions site where someone can say &#8220;I want what I say to be there&#8221; which can be abused. Gliebe describes the process being similar to a researcher taking a sample large enough to draw conclusions from. &#8220;I want to cover a lot of hosts eventually and that would be expensive to human-process so again that means not everything will be included, but whatever is excluded, will always be done so across the board at random as not to unfairly affect scoring.&#8221;</p>\n<p>&#8220;Some people have asked me to add specific tweets. I decided not to do that because it will skew results (ie. someone submits only good or only bad ones for specific hosts). I&#8217;m sticking with the data Twitter themselves automatically roll in 24/7.&#8221;</p>\n<p>If the user&#8217;s statement is in regard to a specific aspect of hosting (support, uptime, etc.), that is noted too. The micro-reviews and the data derived from them are presented on the site. Since users are more likely to Tweet dissatisfaction with their webhost, the overall scores are low. Gliebe notes that comparison is key.</p>\n<a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/FlyWheelHostingReviews.png\" rel=\"prettyphoto[31873]\"><img class=\"size-full wp-image-31927\" src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2014/10/FlyWheelHostingReviews.png?resize=1025%2C635\" alt=\"FlyWheel Reviews With Pretty Charts\" /></a>FlyWheel Reviews With Pretty Charts\n<p>The site is relatively new so there isn&#8217;t a lot of data to work with but what I&#8217;ve seen so far matches what I&#8217;ve noticed in my Twitter feed. Flywheel leading the pack doesn&#8217;t surprise me as I&#8217;m consistently reading tweets raving about their service and support.</p>\n<p>In the past few months, there&#8217;s been more positive tweets about Pagely than I can remember. So being the number two webhosting company on HostingReviews matches what I&#8217;ve seen.</p>\n<p>The site is a great resource as long as it keeps its promise of not using affiliate links. While 140 character tweets leave out a lot of context, I still think they have value. If you&#8217;re looking for webhosting reviews without an agenda, consider browsing <a title=\"http://hostingreviews.io/\" href=\"http://hostingreviews.io/\">HostingReviews.io</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Oct 2014 20:59:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WPTavern: WebDesign.com Is Now iThemes Training\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=31920\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"http://wptavern.com/webdesign-com-is-now-ithemes-training\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1569:\"<p><a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/iThemesTrainingImage.png\" rel=\"prettyphoto[31920]\"><img class=\"aligncenter size-full wp-image-31921\" src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2014/10/iThemesTrainingImage.png?resize=598%2C148\" alt=\"iThemes Training Image\" /></a>iThemes <a title=\"https://ithemes.com/webdesign-has-moved/\" href=\"https://ithemes.com/webdesign-has-moved/\">has announced</a> that WebDesign.com is now called <a title=\"http://training.ithemes.com\" href=\"http://training.ithemes.com\">iThemes Training.</a> According to the announcement, this change will lessen confusion and place everything under the iThemes umbrella.</p>\n<blockquote><p>We&#8217;re making this transition in order to bring everything we do at iThemes under one roof (themes, plugins &amp; training) and eliminate confusion caused by having multiple domain names and two separate brands.</p></blockquote>\n<p>If you&#8217;re a member of WebDesign.com, not much changes. You&#8217;ll be able to use the same credentials to login to iThemes Training and access the same content as before.</p>\n<p>If you have any questions concerning the move, iThemes is <a title=\"https://www2.gotomeeting.com/register/392183786\" href=\"https://www2.gotomeeting.com/register/392183786\">hosting a webinar</a> on Monday, October 13th at 1PM CDT. You can also stop by the iThemes Training <a title=\"https://ithemes.com/forum/topic/64915-ithemes-training-webdesigncom/\" href=\"https://ithemes.com/forum/topic/64915-ithemes-training-webdesigncom/\">member forum</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Oct 2014 19:37:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"WPTavern: First PodsCamp Is a Success\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=31900\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"http://wptavern.com/first-podscamp-is-a-success\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3614:\"<a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/PodsDevTeamFeaturedImage.png\" rel=\"prettyphoto[31900]\"><img class=\"size-full wp-image-31901\" src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2014/10/PodsDevTeamFeaturedImage.png?resize=663%2C300\" alt=\"PodsCamp Dev Team Featured Image\" /></a>Image Courtesy of <a title=\"http://podscamp.org/\" href=\"http://podscamp.org/\">PodsCamp</a>\n<p>October 3rd, 2014 will live in the history books as the day when the <a title=\"http://podscamp.org/\" href=\"http://podscamp.org/\">first conference</a> devoted to <a title=\"http://pods.io/\" href=\"http://pods.io/\">Pods</a> took place. Organized by Scott Kingsley Clark, <a title=\"http://podscamp.org/\" href=\"http://podscamp.org/\">PodsCamp</a> not only focused on the Pods plugin, but it was also the first time the development team was in the same physical location. In the following interview, Clark tells me how he thinks it went and whether it will become an annual event.</p>\n<p><strong>Overall, what is your impression for how the first ever PodsCamp went?</strong></p>\n<p>It was awesome! It could have only been made better by perhaps more tickets being available for WCDFW which was a barrier for folks coming from out-of-town. When tickets ran out for WCDFW, people couldn&#8217;t justify just coming out for PodsCamp, but could justify it if they were able to go to WCDFW that weekend too. Almost all (if not every single one) of our attendees went to WCDFW the next day.</p>\n<p><strong>What was accomplished by having the entire Pods development team under the same roof?</strong></p>\n<p>This was the first time we were together and it gave us an opportunity to have face to face conversations. We talked about all sorts of things like where we&#8217;ve been, where we&#8217;re going, and ideas on what we want to improve upon. One killer idea that came out of the weekend was from Joshua Pollock. We&#8217;re nailing down the specifics right now and should have an announcement post published as soon as we get things in place.</p>\n<p><strong>Do you have any initial feedback concerning the event?</strong></p>\n<p>We didn&#8217;t make enough from sponsors, Tilt, or ticket sales to cover the cost of the event. Our highest expense was bringing in four people from out-of-town and covering their accommodations. I hope in the future we can secure enough to at least break even.</p>\n<p><strong>Is PodsCamp something you&#8217;ll try to turn into an annual event?</strong></p>\n<p>Yes, we&#8217;re going to do this again next year just before WCDFW and will go over new topics now that we have established a baseline. We&#8217;re also considering 1-3 smaller meetup-based events near where our team members are located. One of which may be a mini-PodsCamp type of event in Austin, TX. I think that PodsCamp DFW will be our flagship one, which we would bring the whole crew out for, but the smaller ones could be more workshop and less camp.</p>\n<p>I just want to again thank everyone who made this possible, especially Chris Lema, Jake Goldman, Tom McFarlin, WPEngine, and SiteGround. I’m so stoked we could pull this off!</p>\n<h2>Let Us Know if You Attended PodsCamp</h2>\n<p>If you attended PodsCamp, let us know about your experience in the comments! Slides from each presentation can <a title=\"http://www.slideshare.net/podsframework/\" href=\"http://www.slideshare.net/podsframework/\">be found here</a>. Sessions recorded at the event will be added to the Pods Framework <a title=\"https://www.youtube.com/user/podsframework\" href=\"https://www.youtube.com/user/podsframework\">YouTube channel</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Oct 2014 18:32:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"Matt: Chicago FAA Fire\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=44243\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:38:\"http://ma.tt/2014/10/chicago-faa-fire/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:430:\"<p><a href=\"http://www.bloomberg.com/news/2014-10-02/contact-lost-with-planes-one-by-one-as-faa-center-fire-spread.html\">This story about how a man sabotaged a FAA facility is terrifying and inspiring in how people worked together to overcome it</a>, and also includes this unintentionally funny line, &#8220;He had worked at the Chicago Center for eight years, according to an FBI affidavit. The company has fired him.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Oct 2014 15:33:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:10:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Mon, 27 Oct 2014 18:04:01 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:14:\"content-length\";s:6:\"228085\";s:10:\"connection\";s:5:\"close\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:13:\"last-modified\";s:29:\"Mon, 27 Oct 2014 17:45:16 GMT\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:11:\"HIT lax 249\";s:13:\"accept-ranges\";s:5:\"bytes\";}s:5:\"build\";s:14:\"20140929194346\";}", "no");
INSERT INTO `wp_options` VALUES("1375", "_transient_timeout_feed_mod_867bd5c64f85878d03a060509cd2f92c", "1414476485", "no");
INSERT INTO `wp_options` VALUES("1376", "_transient_feed_mod_867bd5c64f85878d03a060509cd2f92c", "1414433285", "no");
INSERT INTO `wp_options` VALUES("1377", "_transient_timeout_feed_b9388c83948825c1edaef0d856b7b109", "1414476486", "no");
INSERT INTO `wp_options` VALUES("1378", "_transient_feed_b9388c83948825c1edaef0d856b7b109", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n	\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:72:\"\n		\n		\n		\n		\n		\n		\n				\n\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"WordPress Plugins » View: Most Popular\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"http://wordpress.org/plugins/browse/popular/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"WordPress Plugins » View: Most Popular\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Oct 2014 17:41:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"http://bbpress.org/?v=1.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:15:{i:0;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Contact Form 7\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"http://wordpress.org/plugins/contact-form-7/#post-2141\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Aug 2007 12:45:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"2141@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Just another contact form plugin. Simple but flexible.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Takayuki Miyoshi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"WordPress SEO by Yoast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"http://wordpress.org/plugins/wordpress-seo/#post-8321\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 01 Jan 2009 20:34:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"8321@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:131:\"Improve your WordPress SEO: Write better content and have a fully optimized WordPress site using Yoast&#039;s WordPress SEO plugin.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Joost de Valk\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WooCommerce - excelling eCommerce\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"http://wordpress.org/plugins/woocommerce/#post-29860\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 05 Sep 2011 08:13:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"29860@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"WooCommerce is a powerful, extendable eCommerce plugin that helps you sell anything. Beautifully.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"WooThemes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Akismet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"http://wordpress.org/plugins/akismet/#post-15\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 09 Mar 2007 22:11:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"15@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:98:\"Akismet checks your comments against the Akismet Web service to see if they look like spam or not.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"Google Analytics by Yoast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"http://wordpress.org/plugins/google-analytics-for-wordpress/#post-2316\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 14 Sep 2007 12:15:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"2316@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"Track your WordPress site easily with the latest tracking codes and lots added data for search result pages and error pages.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Joost de Valk\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"Jetpack by WordPress.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"http://wordpress.org/plugins/jetpack/#post-23862\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 20 Jan 2011 02:21:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"23862@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"Supercharge your WordPress site with powerful features previously only available to WordPress.com users.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Tim Moore\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"iThemes Security (formerly Better WP Security)\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://wordpress.org/plugins/better-wp-security/#post-21738\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 22 Oct 2010 22:06:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"21738@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"The easiest, most effective way to secure WordPress in seconds.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Chris Wiegman\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"WordPress Importer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://wordpress.org/plugins/wordpress-importer/#post-18101\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 20 May 2010 17:42:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"18101@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"Import posts, pages, comments, custom fields, categories, tags and more from a WordPress export file.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Brian Colinger\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Google XML Sitemaps\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"http://wordpress.org/plugins/google-sitemap-generator/#post-132\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 09 Mar 2007 22:31:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"132@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"This plugin will generate a special XML sitemap which will help search engines to better index your blog.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"arnee\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"MailPoet Newsletters\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://wordpress.org/plugins/wysija-newsletters/#post-32629\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 02 Dec 2011 17:09:16 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"32629@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"Send newsletters, post notifications or autoresponders from WordPress easily, and beautifully.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"MailPoet Staff\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Wordfence Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"http://wordpress.org/plugins/wordfence/#post-29832\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 04 Sep 2011 03:13:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"29832@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:137:\"Wordfence Security is a free enterprise class security and performance plugin that makes your site up to 50 times faster and more secure.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Wordfence\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"All in One SEO Pack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://wordpress.org/plugins/all-in-one-seo-pack/#post-753\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 30 Mar 2007 20:08:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"753@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"All in One SEO Pack is a WordPress SEO plugin to automatically optimize your WordPress blog for Search Engines such as Google.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"uberdose\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"Black Studio TinyMCE Widget\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"http://wordpress.org/plugins/black-studio-tinymce-widget/#post-31973\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Nov 2011 15:06:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"31973@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"The visual editor widget for Wordpress.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Marco Chiesi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Meta Slider\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"http://wordpress.org/plugins/ml-slider/#post-49521\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 14 Feb 2013 16:56:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"49521@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:145:\"Easy to use WordPress slider plugin. Create SEO optimised responsive slideshows with Nivo Slider, Flex Slider, Coin Slider and Responsive Slides.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Matcha Labs\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"UpdraftPlus Backup and Restoration\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"http://wordpress.org/plugins/updraftplus/#post-38058\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 21 May 2012 15:14:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"38058@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:148:\"Backup and restoration made easy. Complete backups; manual or scheduled (backup to S3, Dropbox, Google Drive, Rackspace, FTP, SFTP, email + others).\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"David Anderson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:45:\"http://wordpress.org/plugins/rss/view/popular\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:11:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Mon, 27 Oct 2014 18:04:03 GMT\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:10:\"connection\";s:5:\"close\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:7:\"expires\";s:29:\"Mon, 27 Oct 2014 18:16:05 GMT\";s:13:\"cache-control\";s:0:\"\";s:6:\"pragma\";s:0:\"\";s:13:\"last-modified\";s:31:\"Mon, 27 Oct 2014 17:41:05 +0000\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:11:\"HIT lax 249\";}s:5:\"build\";s:14:\"20140929194346\";}", "no");
INSERT INTO `wp_options` VALUES("1379", "_transient_timeout_feed_mod_b9388c83948825c1edaef0d856b7b109", "1414476486", "no");
INSERT INTO `wp_options` VALUES("1380", "_transient_feed_mod_b9388c83948825c1edaef0d856b7b109", "1414433286", "no");
INSERT INTO `wp_options` VALUES("1381", "_transient_timeout_dash_4077549d03da2e451c8b5f002294ff51", "1414476486", "no");
INSERT INTO `wp_options` VALUES("1382", "_transient_dash_4077549d03da2e451c8b5f002294ff51", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2014/10/wcsf-livestream/\'>Watch WordCamp San Francisco Livestream</a> <span class=\"rss-date\">24 October 2014</span><div class=\"rssSummary\">WordCamp San Francisco is the official annual WordPress conference, gathering the community every year since 2006. This is the time when Matt Mullenweg addresses the community in his annual State of the Word presentation – a recap of  the year in WordPress and giving us a glimpse into its future. This year the speaker lineup is stellar. There will be talks by [&hellip;]</div></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'http://wptavern.com/matt-mullenwegs-state-of-the-word-highlights-internationalization-mobile-and-new-tools-for-wordpress-contributors\'>WPTavern: Matt Mullenweg’s State of the Word Highlights Internationalization, Mobile, and New Tools for WordPress Contributors</a></li><li><a class=\'rsswidget\' href=\'http://www.poststat.us/matt-mullenwegs-2014-state-word/\'>Post Status: Matt Mullenweg’s 2014 State of the Word</a></li><li><a class=\'rsswidget\' href=\'http://ma.tt/2014/10/anti-spam-and-e2e-crypto/\'>Matt: Anti-spam and E2E crypto</a></li></ul></div><div class=\"rss-widget\"><ul><li class=\'dashboard-news-plugin\'><span>Popular Plugin:</span> <a href=\'http://wordpress.org/plugins/woocommerce/\' class=\'dashboard-news-plugin-link\'>WooCommerce - excelling eCommerce</a>&nbsp;<span>(<a href=\'plugin-install.php?tab=plugin-information&amp;plugin=woocommerce&amp;_wpnonce=9e5a602a9a&amp;TB_iframe=true&amp;width=600&amp;height=800\' class=\'thickbox\' title=\'WooCommerce - excelling eCommerce\'>Install</a>)</span></li></ul></div>", "no");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("11", "11", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("12", "11", "_wp_page_template", "templates/page-suivi-medical.php");
INSERT INTO `wp_postmeta` VALUES("13", "11", "_edit_lock", "1414167323:1");
INSERT INTO `wp_postmeta` VALUES("14", "13", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("15", "13", "_wp_page_template", "templates/page-le-cabinete.php");
INSERT INTO `wp_postmeta` VALUES("16", "13", "_edit_lock", "1414169176:1");
INSERT INTO `wp_postmeta` VALUES("17", "15", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("18", "15", "_wp_page_template", "templates/page-conseils.php");
INSERT INTO `wp_postmeta` VALUES("19", "15", "_edit_lock", "1414168263:1");
INSERT INTO `wp_postmeta` VALUES("26", "21", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("27", "21", "_edit_lock", "1401971092:1");
INSERT INTO `wp_postmeta` VALUES("31", "21", "my_slider_url", "http://krooga.net/pascalinegrue/wp-content/uploads/2014/06/slide_1.jpg");
INSERT INTO `wp_postmeta` VALUES("32", "21", "my_slider_caption", "Sample");
INSERT INTO `wp_postmeta` VALUES("33", "21", "post_views_count", "2");
INSERT INTO `wp_postmeta` VALUES("55", "31", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("56", "31", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("57", "31", "_menu_item_object_id", "15");
INSERT INTO `wp_postmeta` VALUES("58", "31", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("59", "31", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("60", "31", "_menu_item_classes", "a:1:{i:0;s:11:\"fourth_menu\";}");
INSERT INTO `wp_postmeta` VALUES("61", "31", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("62", "31", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("64", "32", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("65", "32", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("66", "32", "_menu_item_object_id", "13");
INSERT INTO `wp_postmeta` VALUES("67", "32", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("68", "32", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("69", "32", "_menu_item_classes", "a:1:{i:0;s:11:\"second_menu\";}");
INSERT INTO `wp_postmeta` VALUES("70", "32", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("71", "32", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("73", "33", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("74", "33", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("75", "33", "_menu_item_object_id", "11");
INSERT INTO `wp_postmeta` VALUES("76", "33", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("77", "33", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("78", "33", "_menu_item_classes", "a:1:{i:0;s:10:\"first_menu\";}");
INSERT INTO `wp_postmeta` VALUES("79", "33", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("80", "33", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("86", "38", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("87", "38", "_edit_lock", "1401974179:1");
INSERT INTO `wp_postmeta` VALUES("99", "50", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("100", "50", "_edit_lock", "1414167535:1");
INSERT INTO `wp_postmeta` VALUES("101", "50", "_wp_page_template", "templates/home.php");
INSERT INTO `wp_postmeta` VALUES("114", "52", "_wp_attached_file", "2014/09/header-image.jpg");
INSERT INTO `wp_postmeta` VALUES("115", "52", "_wp_attachment_context", "custom-header");
INSERT INTO `wp_postmeta` VALUES("116", "52", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:960;s:6:\"height\";i:240;s:4:\"file\";s:24:\"2014/09/header-image.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"header-image-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"header-image-300x75.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:75;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:24:\"header-image-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:24:\"header-image-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:24:\"header-image-300x240.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:24:\"header-image-600x240.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("117", "52", "_wp_attachment_is_custom_header", "foundation-simple");
INSERT INTO `wp_postmeta` VALUES("145", "56", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("146", "56", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("147", "56", "_menu_item_object_id", "15");
INSERT INTO `wp_postmeta` VALUES("148", "56", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("149", "56", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("150", "56", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("151", "56", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("152", "56", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("154", "57", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("155", "57", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("156", "57", "_menu_item_object_id", "13");
INSERT INTO `wp_postmeta` VALUES("157", "57", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("158", "57", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("159", "57", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("160", "57", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("161", "57", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("163", "58", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("164", "58", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("165", "58", "_menu_item_object_id", "11");
INSERT INTO `wp_postmeta` VALUES("166", "58", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("167", "58", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("168", "58", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("169", "58", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("170", "58", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("199", "62", "_wp_attached_file", "2014/09/doctor.jpg");
INSERT INTO `wp_postmeta` VALUES("200", "62", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:158;s:6:\"height\";i:158;s:4:\"file\";s:18:\"2014/09/doctor.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:18:\"doctor-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:18:\"doctor-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("201", "65", "_wp_attached_file", "2014/09/map.jpg");
INSERT INTO `wp_postmeta` VALUES("202", "65", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:200;s:6:\"height\";i:162;s:4:\"file\";s:15:\"2014/09/map.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:15:\"map-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:15:\"map-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("203", "50", "_thumbnail_id", "65");
INSERT INTO `wp_postmeta` VALUES("204", "66", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("205", "66", "field_5429df650a9a4", "a:11:{s:3:\"key\";s:19:\"field_5429df650a9a4\";s:5:\"label\";s:7:\"Address\";s:4:\"name\";s:7:\"address\";s:4:\"type\";s:7:\"wysiwyg\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:13:\"default_value\";s:0:\"\";s:7:\"toolbar\";s:4:\"full\";s:12:\"media_upload\";s:3:\"yes\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("207", "66", "position", "normal");
INSERT INTO `wp_postmeta` VALUES("208", "66", "layout", "no_box");
INSERT INTO `wp_postmeta` VALUES("209", "66", "hide_on_screen", "");
INSERT INTO `wp_postmeta` VALUES("210", "66", "_edit_lock", "1412033654:1");
INSERT INTO `wp_postmeta` VALUES("211", "67", "address", "asdasd");
INSERT INTO `wp_postmeta` VALUES("212", "67", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("213", "50", "address", "<strong style=\"color: #524a48; font-size: 18px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse le 22 décembre 2014 :</i><a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.6374904678996!2d-1.5574691999999997!3d47.22367500000001!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805ee9f7ae296c7%3A0xc8fc0ed21f7293a0!2s52+Rue+Paul+Bellamy%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1413911184115\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nantes</strong></div>");
INSERT INTO `wp_postmeta` VALUES("214", "50", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("215", "68", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n\r\n<strong><span style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</span></strong>");
INSERT INTO `wp_postmeta` VALUES("216", "68", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("217", "69", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong><span style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</span></strong>");
INSERT INTO `wp_postmeta` VALUES("218", "69", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("219", "70", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>");
INSERT INTO `wp_postmeta` VALUES("220", "70", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("221", "71", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>");
INSERT INTO `wp_postmeta` VALUES("222", "71", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("223", "72", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\">\r\n\r\nNouvelle adresse en janvier 2015 : 52 rue Paul Bellamy, 44 000 Nantes\r\n\r\n</div>");
INSERT INTO `wp_postmeta` VALUES("224", "72", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("225", "73", "_wp_attached_file", "2014/09/marker.png");
INSERT INTO `wp_postmeta` VALUES("226", "73", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:31;s:6:\"height\";i:49;s:4:\"file\";s:18:\"2014/09/marker.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("227", "74", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\">Nouvelle adresse en janvier 2015 : 52 rue Paul Bellamy, 44 000 Nantes <a href=\"#\"><img src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a></div>");
INSERT INTO `wp_postmeta` VALUES("228", "74", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("229", "75", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\">Nouvelle adresse en janvier 2015 : <strong>52 rue Paul Bellamy,\r\n44 000 Nantes</strong><a href=\"#\"><img src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a></div>");
INSERT INTO `wp_postmeta` VALUES("230", "75", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("231", "76", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\">Nouvelle adresse en janvier 2015 : <strong>52 rue Paul Bellamy,\r\n44 000 Nante</strong><a href=\"#\"><img src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a></div>");
INSERT INTO `wp_postmeta` VALUES("232", "76", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("233", "77", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><strong>52 rue Paul Bellamy,\r\n44 000 Nante</strong><a href=\"#\"><img src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a></div>");
INSERT INTO `wp_postmeta` VALUES("234", "77", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("235", "78", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nante</strong><a href=\"#\"><img src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a></div>");
INSERT INTO `wp_postmeta` VALUES("236", "78", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("237", "79", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nante</strong><a href=\"#\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a></div>");
INSERT INTO `wp_postmeta` VALUES("238", "79", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("239", "80", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a href=\"#\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nante</strong></div>");
INSERT INTO `wp_postmeta` VALUES("240", "80", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("245", "81", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a href=\"#\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nante</strong></div>");
INSERT INTO `wp_postmeta` VALUES("246", "81", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("247", "81", "map", "<iframe src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412031800881\" width=\"670\" height=\"670\" frameborder=\"0\" style=\"border:0\"></iframe>");
INSERT INTO `wp_postmeta` VALUES("248", "81", "_map", "field_5429e510e6349");
INSERT INTO `wp_postmeta` VALUES("249", "50", "map", "<iframe name=\"map\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d1354.9136620941222!2d-1.5496338!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412032577658\" width=\"670\" height=\"670\" frameborder=\"0\" style=\"border:0\"></iframe>");
INSERT INTO `wp_postmeta` VALUES("250", "50", "_map", "field_5429e510e6349");
INSERT INTO `wp_postmeta` VALUES("251", "82", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a style=\"border: 0;\" href=\"#\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nante</strong></div>");
INSERT INTO `wp_postmeta` VALUES("252", "82", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("253", "82", "map", "");
INSERT INTO `wp_postmeta` VALUES("254", "82", "_map", "field_5429e510e6349");
INSERT INTO `wp_postmeta` VALUES("255", "83", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a style=\"border: 0;\" href=\"#\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nante</strong></div>");
INSERT INTO `wp_postmeta` VALUES("256", "83", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("257", "83", "map", "<iframe name=\"map\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d1354.9136620941222!2d-1.5496338!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412032577658\" width=\"670\" height=\"670\" frameborder=\"0\" style=\"border:0\"></iframe>");
INSERT INTO `wp_postmeta` VALUES("258", "83", "_map", "field_5429e510e6349");
INSERT INTO `wp_postmeta` VALUES("259", "84", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d1354.9136620941222!2d-1.5496338!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412032577658\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nante</strong></div>");
INSERT INTO `wp_postmeta` VALUES("260", "84", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("261", "84", "map", "<iframe name=\"map\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d1354.9136620941222!2d-1.5496338!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412032577658\" width=\"670\" height=\"670\" frameborder=\"0\" style=\"border:0\"></iframe>");
INSERT INTO `wp_postmeta` VALUES("262", "84", "_map", "field_5429e510e6349");
INSERT INTO `wp_postmeta` VALUES("264", "66", "field_5429ea45d8946", "a:11:{s:3:\"key\";s:19:\"field_5429ea45d8946\";s:5:\"label\";s:4:\"Info\";s:4:\"name\";s:4:\"info\";s:4:\"type\";s:7:\"wysiwyg\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:13:\"default_value\";s:0:\"\";s:7:\"toolbar\";s:4:\"full\";s:12:\"media_upload\";s:3:\"yes\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:2:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:1;}");
INSERT INTO `wp_postmeta` VALUES("265", "66", "rule", "a:5:{s:5:\"param\";s:13:\"page_template\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:18:\"templates/home.php\";s:8:\"order_no\";i:0;s:8:\"group_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("266", "85", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d1354.9136620941222!2d-1.5496338!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412032577658\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nante</strong></div>");
INSERT INTO `wp_postmeta` VALUES("267", "85", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("268", "85", "info", "<strong><span style=\"color: #f6413e;\">Consultations au cabinet : 1 rue Sully, Nantes sur rendez-vous. </span></strong>\r\n\r\n<strong><span style=\"color: #524a48;\">Visites des nouveau-nés : Clinique Brétéché, Nantes.</span></strong>");
INSERT INTO `wp_postmeta` VALUES("269", "85", "_info", "field_5429ea45d8946");
INSERT INTO `wp_postmeta` VALUES("270", "50", "info", "<strong><span style=\"color: #f6413e;\">Consultations au cabinet : 1 rue Sully, Nantes sur rendez-vous. </span></strong><strong><span style=\"color: #524a48;\">Visites des nouveau-nés : Clinique Brétéché, Nantes.</span></strong>");
INSERT INTO `wp_postmeta` VALUES("271", "50", "_info", "field_5429ea45d8946");
INSERT INTO `wp_postmeta` VALUES("272", "86", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d1354.9136620941222!2d-1.5496338!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412032577658\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nante</strong></div>");
INSERT INTO `wp_postmeta` VALUES("273", "86", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("274", "86", "info", "<strong><span style=\"color: #f6413e;\">Consultations au cabinet : 1 rue Sully, Nantes sur rendez-vous. </span></strong><strong><span style=\"color: #524a48;\">Visites des nouveau-nés : Clinique Brétéché, Nantes.</span></strong>");
INSERT INTO `wp_postmeta` VALUES("275", "86", "_info", "field_5429ea45d8946");
INSERT INTO `wp_postmeta` VALUES("276", "87", "_wp_attached_file", "2014/10/Untitled-1.png");
INSERT INTO `wp_postmeta` VALUES("277", "87", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:158;s:6:\"height\";i:158;s:4:\"file\";s:22:\"2014/10/Untitled-1.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"Untitled-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:22:\"Untitled-1-155x155.png\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("278", "88", "_wp_attached_file", "2014/10/Untitled-2.png");
INSERT INTO `wp_postmeta` VALUES("279", "88", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:158;s:6:\"height\";i:158;s:4:\"file\";s:22:\"2014/10/Untitled-2.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"Untitled-2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:22:\"Untitled-2-155x155.png\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("294", "96", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("295", "96", "field_542b7cf96d3ae", "a:11:{s:3:\"key\";s:19:\"field_542b7cf96d3ae\";s:5:\"label\";s:28:\"Horaires d’ouverture image\";s:4:\"name\";s:25:\"horaires_douverture_image\";s:4:\"type\";s:5:\"image\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:11:\"save_format\";s:2:\"id\";s:12:\"preview_size\";s:9:\"thumbnail\";s:7:\"library\";s:3:\"all\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:2:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:1;}");
INSERT INTO `wp_postmeta` VALUES("296", "96", "field_542b7d4c6d3b0", "a:14:{s:3:\"key\";s:19:\"field_542b7d4c6d3b0\";s:5:\"label\";s:22:\"Horaires d’ouverture\";s:4:\"name\";s:24:\"horaires_douverture_text\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:10:\"formatting\";s:4:\"html\";s:9:\"maxlength\";s:0:\"\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:2;}");
INSERT INTO `wp_postmeta` VALUES("297", "96", "field_542b7d836d3b1", "a:11:{s:3:\"key\";s:19:\"field_542b7d836d3b1\";s:5:\"label\";s:16:\"Honoraires image\";s:4:\"name\";s:16:\"honoraires_image\";s:4:\"type\";s:5:\"image\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:11:\"save_format\";s:2:\"id\";s:12:\"preview_size\";s:9:\"thumbnail\";s:7:\"library\";s:3:\"all\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:2:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:5;}");
INSERT INTO `wp_postmeta` VALUES("298", "96", "field_542b7d9d6d3b2", "a:14:{s:3:\"key\";s:19:\"field_542b7d9d6d3b2\";s:5:\"label\";s:11:\"Honoraires \";s:4:\"name\";s:15:\"honoraires_text\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:10:\"formatting\";s:4:\"html\";s:9:\"maxlength\";s:0:\"\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:6;}");
INSERT INTO `wp_postmeta` VALUES("300", "96", "position", "normal");
INSERT INTO `wp_postmeta` VALUES("301", "96", "layout", "no_box");
INSERT INTO `wp_postmeta` VALUES("302", "96", "hide_on_screen", "");
INSERT INTO `wp_postmeta` VALUES("303", "96", "_edit_lock", "1413401864:1");
INSERT INTO `wp_postmeta` VALUES("304", "97", "_wp_attached_file", "2014/06/le-cab.jpg");
INSERT INTO `wp_postmeta` VALUES("305", "97", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:279;s:6:\"height\";i:186;s:4:\"file\";s:18:\"2014/06/le-cab.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:18:\"le-cab-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:18:\"le-cab-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:18:\"le-cab-279x185.jpg\";s:5:\"width\";i:279;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("306", "98", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("307", "98", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("308", "98", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("309", "98", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("310", "98", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("311", "98", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("312", "98", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("313", "98", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("314", "13", "horaires_douverture_image", "293");
INSERT INTO `wp_postmeta` VALUES("315", "13", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("316", "13", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("317", "13", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("318", "13", "honoraires_image", "293");
INSERT INTO `wp_postmeta` VALUES("319", "13", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("320", "13", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("321", "13", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("324", "99", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("325", "99", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("326", "99", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("327", "99", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("328", "99", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("329", "99", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("330", "99", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("331", "99", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("332", "99", "map", "a:3:{s:7:\"address\";s:27:\"1 Rue Sully, Nantes, France\";s:3:\"lat\";s:10:\"47.2199609\";s:3:\"lng\";s:19:\"-1.5496338000000378\";}");
INSERT INTO `wp_postmeta` VALUES("333", "99", "_map", "field_542b81e0425d6");
INSERT INTO `wp_postmeta` VALUES("334", "13", "map", "a:3:{s:7:\"address\";s:27:\"1 Rue Sully, Nantes, France\";s:3:\"lat\";s:10:\"47.2199609\";s:3:\"lng\";s:19:\"-1.5496338000000378\";}");
INSERT INTO `wp_postmeta` VALUES("335", "13", "_map", "field_542b81e0425d6");
INSERT INTO `wp_postmeta` VALUES("337", "100", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("338", "100", "_edit_lock", "1414146951:1");
INSERT INTO `wp_postmeta` VALUES("339", "100", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("340", "102", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("341", "102", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("342", "102", "_menu_item_object_id", "100");
INSERT INTO `wp_postmeta` VALUES("343", "102", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("344", "102", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("345", "102", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("346", "102", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("347", "102", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("349", "103", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("350", "103", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("351", "103", "_menu_item_object_id", "100");
INSERT INTO `wp_postmeta` VALUES("352", "103", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("353", "103", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("354", "103", "_menu_item_classes", "a:1:{i:0;s:10:\"third_menu\";}");
INSERT INTO `wp_postmeta` VALUES("355", "103", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("356", "103", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("358", "109", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("359", "109", "_edit_lock", "1412217786:1");
INSERT INTO `wp_postmeta` VALUES("361", "109", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("362", "96", "field_542cb964a9d4f", "a:8:{s:3:\"key\";s:19:\"field_542cb964a9d4f\";s:5:\"label\";s:22:\"Horaires d’ouverture\";s:4:\"name\";s:0:\"\";s:4:\"type\";s:3:\"tab\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("363", "96", "field_542cb973a9d50", "a:11:{s:3:\"key\";s:19:\"field_542cb973a9d50\";s:5:\"label\";s:27:\"Horaires d’ouverture link\";s:4:\"name\";s:24:\"horaires_douverture_link\";s:4:\"type\";s:9:\"page_link\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:9:\"post_type\";a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}s:10:\"allow_null\";s:1:\"0\";s:8:\"multiple\";s:1:\"0\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:3;}");
INSERT INTO `wp_postmeta` VALUES("364", "96", "field_542cb991a9d51", "a:8:{s:3:\"key\";s:19:\"field_542cb991a9d51\";s:5:\"label\";s:10:\"Honoraires\";s:4:\"name\";s:0:\"\";s:4:\"type\";s:3:\"tab\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:4;}");
INSERT INTO `wp_postmeta` VALUES("365", "96", "field_542cb99ea9d52", "a:11:{s:3:\"key\";s:19:\"field_542cb99ea9d52\";s:5:\"label\";s:15:\"Honoraires link\";s:4:\"name\";s:15:\"honoraires_link\";s:4:\"type\";s:9:\"page_link\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:9:\"post_type\";a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}s:10:\"allow_null\";s:1:\"0\";s:8:\"multiple\";s:1:\"0\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:7;}");
INSERT INTO `wp_postmeta` VALUES("368", "112", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("369", "112", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("370", "112", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("371", "112", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("372", "112", "horaires_d’ouverture_link", "50");
INSERT INTO `wp_postmeta` VALUES("373", "112", "_horaires_d’ouverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("374", "112", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("375", "112", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("376", "112", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("377", "112", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("378", "112", "honoraires_link", "50");
INSERT INTO `wp_postmeta` VALUES("379", "112", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("380", "13", "horaires_d’ouverture_link", "114");
INSERT INTO `wp_postmeta` VALUES("381", "13", "_horaires_d’ouverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("382", "13", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("383", "13", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("384", "114", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("385", "114", "_wp_page_template", "templates/page-mon-parcours.php");
INSERT INTO `wp_postmeta` VALUES("386", "114", "_edit_lock", "1414147057:1");
INSERT INTO `wp_postmeta` VALUES("387", "116", "_wp_attached_file", "2014/10/big_photo.jpg");
INSERT INTO `wp_postmeta` VALUES("388", "116", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:718;s:6:\"height\";i:328;s:4:\"file\";s:21:\"2014/10/big_photo.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:21:\"big_photo-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:21:\"big_photo-300x137.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:137;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:21:\"big_photo-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:21:\"big_photo-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:21:\"big_photo-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:21:\"big_photo-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("390", "117", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("391", "117", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("392", "117", "_menu_item_object_id", "114");
INSERT INTO `wp_postmeta` VALUES("393", "117", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("394", "117", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("395", "117", "_menu_item_classes", "a:1:{i:0;s:10:\"sixth_menu\";}");
INSERT INTO `wp_postmeta` VALUES("396", "117", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("397", "117", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("399", "118", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("400", "118", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("401", "118", "_menu_item_object_id", "114");
INSERT INTO `wp_postmeta` VALUES("402", "118", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("403", "118", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("404", "118", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("405", "118", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("406", "118", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("408", "120", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("410", "120", "position", "normal");
INSERT INTO `wp_postmeta` VALUES("411", "120", "layout", "no_box");
INSERT INTO `wp_postmeta` VALUES("412", "120", "hide_on_screen", "");
INSERT INTO `wp_postmeta` VALUES("413", "120", "_edit_lock", "1412855721:1");
INSERT INTO `wp_postmeta` VALUES("416", "120", "field_542cbe3ea8f27", "a:12:{s:3:\"key\";s:19:\"field_542cbe3ea8f27\";s:5:\"label\";s:12:\"Rich content\";s:4:\"name\";s:25:\"rich_content_mon_parcours\";s:4:\"type\";s:10:\"wp_wysiwyg\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:13:\"default_value\";s:0:\"\";s:5:\"teeny\";s:1:\"0\";s:13:\"media_buttons\";s:1:\"1\";s:3:\"dfw\";s:1:\"1\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("418", "122", "rich_content_mon_parcours", "<h2>Header long text</h2>\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n[/efscolumn]\r\n[/efsrow]");
INSERT INTO `wp_postmeta` VALUES("419", "122", "_rich_content_mon_parcours", "field_542cbe3ea8f27");
INSERT INTO `wp_postmeta` VALUES("420", "114", "rich_content_mon_parcours", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>DOMAINE D’EXPERTISE</h3>\r\nPédiatrie\r\nNéonatologie\r\nHoméopathie\r\nAllaitement Maternel\r\nPortage\r\n<h3>TITRES ET DIPLÔMES</h3>\r\nAncien Praticien Hospitalier Contractuel du CHU de Nantes\r\nAncien assistant des Hôpitaux de Reims\r\nAncien Interne des Hôpitaux de Reims\r\nDES de Pédiatrie\r\nDESC de Néonatologie\r\nDIU Lactation Humaine et Allaitement Maternel\r\nDIU Initiation aux Soins de Développement chez le nouveau-né et l’enfant\r\nDU Pédiatrie en Maternité\r\nDU Échographie\r\nDU Dermatologie Pédiatrique\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>Formations complémentaires</h3>\r\nHoméopathie (CEDH)\r\nAnimatrice de portage (IEFAP)\r\nStandardisations des examens systématiques 9,24,36 mois (AFPA)\r\nStandardisations des bilans à 4 ans, fin de GS, fin de CP (AFPA)\r\nBilan d’un trouble du langage oral et écrit (AFPA)\r\nAsthme du nourrisson et de l’enfant (AFPA)\r\n[/efscolumn]\r\n[/efsrow]");
INSERT INTO `wp_postmeta` VALUES("421", "114", "_rich_content_mon_parcours", "field_542cbe3ea8f27");
INSERT INTO `wp_postmeta` VALUES("422", "123", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("423", "123", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("424", "123", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("425", "123", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("426", "123", "horaires_d’ouverture_link", "114");
INSERT INTO `wp_postmeta` VALUES("427", "123", "_horaires_d’ouverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("428", "123", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("429", "123", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("430", "123", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("431", "123", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("432", "123", "honoraires_link", "15");
INSERT INTO `wp_postmeta` VALUES("433", "123", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("435", "124", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("436", "124", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("437", "124", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("438", "124", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("439", "124", "horaires_douverture_link", "114");
INSERT INTO `wp_postmeta` VALUES("440", "124", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("441", "124", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("442", "124", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("443", "124", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("444", "124", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("445", "124", "honoraires_link", "15");
INSERT INTO `wp_postmeta` VALUES("446", "124", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("447", "13", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("448", "13", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("480", "133", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("482", "133", "position", "normal");
INSERT INTO `wp_postmeta` VALUES("483", "133", "layout", "no_box");
INSERT INTO `wp_postmeta` VALUES("484", "133", "hide_on_screen", "a:14:{i:0;s:9:\"permalink\";i:1;s:11:\"the_content\";i:2;s:7:\"excerpt\";i:3;s:13:\"custom_fields\";i:4;s:10:\"discussion\";i:5;s:8:\"comments\";i:6;s:9:\"revisions\";i:7;s:4:\"slug\";i:8;s:6:\"author\";i:9;s:6:\"format\";i:10;s:14:\"featured_image\";i:11;s:10:\"categories\";i:12;s:4:\"tags\";i:13;s:15:\"send-trackbacks\";}");
INSERT INTO `wp_postmeta` VALUES("485", "133", "_edit_lock", "1414433229:1");
INSERT INTO `wp_postmeta` VALUES("486", "133", "field_542cc99c4ea64", "a:15:{s:3:\"key\";s:19:\"field_542cc99c4ea64\";s:5:\"label\";s:13:\"Post per page\";s:4:\"name\";s:13:\"post_per_page\";s:4:\"type\";s:6:\"number\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:3:\"min\";s:1:\"1\";s:3:\"max\";s:2:\"20\";s:4:\"step\";s:1:\"1\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:2:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("488", "133", "rule", "a:5:{s:5:\"param\";s:13:\"page_template\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:32:\"templates/page-suivi-medical.php\";s:8:\"order_no\";i:0;s:8:\"group_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("489", "134", "post_per_page", "5");
INSERT INTO `wp_postmeta` VALUES("490", "134", "_post_per_page", "field_542cc99c4ea64");
INSERT INTO `wp_postmeta` VALUES("491", "11", "post_per_page", "5");
INSERT INTO `wp_postmeta` VALUES("492", "11", "_post_per_page", "field_542cc99c4ea64");
INSERT INTO `wp_postmeta` VALUES("493", "135", "post_per_page", "2");
INSERT INTO `wp_postmeta` VALUES("494", "135", "_post_per_page", "field_542cc99c4ea64");
INSERT INTO `wp_postmeta` VALUES("495", "136", "post_per_page", "4");
INSERT INTO `wp_postmeta` VALUES("496", "136", "_post_per_page", "field_542cc99c4ea64");
INSERT INTO `wp_postmeta` VALUES("497", "137", "post_per_page", "10");
INSERT INTO `wp_postmeta` VALUES("498", "137", "_post_per_page", "field_542cc99c4ea64");
INSERT INTO `wp_postmeta` VALUES("499", "138", "post_per_page", "3");
INSERT INTO `wp_postmeta` VALUES("500", "138", "_post_per_page", "field_542cc99c4ea64");
INSERT INTO `wp_postmeta` VALUES("501", "141", "_wp_attached_file", "2014/10/bebe-0-1-an.jpg");
INSERT INTO `wp_postmeta` VALUES("502", "141", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:278;s:6:\"height\";i:185;s:4:\"file\";s:23:\"2014/10/bebe-0-1-an.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"bebe-0-1-an-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:23:\"bebe-0-1-an-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("503", "142", "_wp_attached_file", "2014/10/Enfant-3-6-ans.jpg");
INSERT INTO `wp_postmeta` VALUES("504", "142", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:278;s:6:\"height\";i:185;s:4:\"file\";s:26:\"2014/10/Enfant-3-6-ans.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"Enfant-3-6-ans-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:26:\"Enfant-3-6-ans-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("505", "143", "_wp_attached_file", "2014/10/nouveau_ne.jpg");
INSERT INTO `wp_postmeta` VALUES("506", "143", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:278;s:6:\"height\";i:185;s:4:\"file\";s:22:\"2014/10/nouveau_ne.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"nouveau_ne-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:22:\"nouveau_ne-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("507", "144", "_wp_attached_file", "2014/10/Petit-enfant-1-3-ans.jpg");
INSERT INTO `wp_postmeta` VALUES("508", "144", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:278;s:6:\"height\";i:185;s:4:\"file\";s:32:\"2014/10/Petit-enfant-1-3-ans.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:32:\"Petit-enfant-1-3-ans-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:32:\"Petit-enfant-1-3-ans-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("509", "145", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("510", "145", "_edit_lock", "1412877531:1");
INSERT INTO `wp_postmeta` VALUES("511", "145", "_thumbnail_id", "87");
INSERT INTO `wp_postmeta` VALUES("512", "147", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("513", "147", "_edit_lock", "1412877623:1");
INSERT INTO `wp_postmeta` VALUES("515", "147", "_dp_original", "145");
INSERT INTO `wp_postmeta` VALUES("516", "148", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("517", "148", "_edit_lock", "1412877539:1");
INSERT INTO `wp_postmeta` VALUES("520", "148", "_dp_original", "147");
INSERT INTO `wp_postmeta` VALUES("521", "149", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("522", "149", "_edit_lock", "1413454587:1");
INSERT INTO `wp_postmeta` VALUES("523", "149", "_thumbnail_id", "87");
INSERT INTO `wp_postmeta` VALUES("525", "149", "_dp_original", "148");
INSERT INTO `wp_postmeta` VALUES("526", "147", "_thumbnail_id", "88");
INSERT INTO `wp_postmeta` VALUES("527", "148", "_thumbnail_id", "88");
INSERT INTO `wp_postmeta` VALUES("533", "155", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("534", "155", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("535", "155", "_menu_item_object_id", "155");
INSERT INTO `wp_postmeta` VALUES("536", "155", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("537", "155", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("538", "155", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("539", "155", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("540", "155", "_menu_item_url", "#");
INSERT INTO `wp_postmeta` VALUES("541", "155", "_menu_item_orphaned", "1412828807");
INSERT INTO `wp_postmeta` VALUES("605", "166", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("606", "166", "_edit_lock", "1414169175:1");
INSERT INTO `wp_postmeta` VALUES("607", "166", "_wp_page_template", "templates/espace-patient.php");
INSERT INTO `wp_postmeta` VALUES("608", "168", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("609", "168", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("610", "168", "_menu_item_object_id", "166");
INSERT INTO `wp_postmeta` VALUES("611", "168", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("612", "168", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("613", "168", "_menu_item_classes", "a:1:{i:0;s:10:\"fifth_menu\";}");
INSERT INTO `wp_postmeta` VALUES("614", "168", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("615", "168", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("617", "169", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("618", "169", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("619", "169", "_menu_item_object_id", "166");
INSERT INTO `wp_postmeta` VALUES("620", "169", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("621", "169", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("622", "169", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("623", "169", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("624", "169", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("626", "170", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("627", "170", "_edit_lock", "1414146407:1");
INSERT INTO `wp_postmeta` VALUES("628", "170", "_wp_page_template", "templates/demander.php");
INSERT INTO `wp_postmeta` VALUES("633", "177", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("634", "177", "field_54362c50ee8fa", "a:13:{s:3:\"key\";s:19:\"field_54362c50ee8fa\";s:5:\"label\";s:8:\"Sections\";s:4:\"name\";s:15:\"espace_sections\";s:4:\"type\";s:8:\"repeater\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:10:\"sub_fields\";a:4:{i:0;a:12:{s:3:\"key\";s:19:\"field_54362caa8da63\";s:5:\"label\";s:5:\"Image\";s:4:\"name\";s:12:\"espace_image\";s:4:\"type\";s:5:\"image\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:12:\"column_width\";s:0:\"\";s:11:\"save_format\";s:2:\"id\";s:12:\"preview_size\";s:9:\"thumbnail\";s:7:\"library\";s:3:\"all\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:0;}i:1;a:15:{s:3:\"key\";s:19:\"field_54362cbd8da64\";s:5:\"label\";s:5:\"Title\";s:4:\"name\";s:12:\"espace_title\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:12:\"column_width\";s:0:\"\";s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:10:\"formatting\";s:4:\"html\";s:9:\"maxlength\";s:0:\"\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:1;}i:2;a:14:{s:3:\"key\";s:19:\"field_54362cc78da65\";s:5:\"label\";s:4:\"Text\";s:4:\"name\";s:11:\"espace_text\";s:4:\"type\";s:8:\"textarea\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:12:\"column_width\";s:0:\"\";s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:4:\"rows\";s:0:\"\";s:10:\"formatting\";s:2:\"br\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:2;}i:3;a:12:{s:3:\"key\";s:19:\"field_54362cd58da66\";s:5:\"label\";s:4:\"Link\";s:4:\"name\";s:11:\"espace_link\";s:4:\"type\";s:9:\"page_link\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:12:\"column_width\";s:0:\"\";s:9:\"post_type\";a:1:{i:0;s:3:\"all\";}s:10:\"allow_null\";s:1:\"0\";s:8:\"multiple\";s:1:\"0\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:3;}}s:7:\"row_min\";s:0:\"\";s:9:\"row_limit\";s:0:\"\";s:6:\"layout\";s:5:\"table\";s:12:\"button_label\";s:7:\"Add Row\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("636", "177", "position", "normal");
INSERT INTO `wp_postmeta` VALUES("637", "177", "layout", "no_box");
INSERT INTO `wp_postmeta` VALUES("638", "177", "hide_on_screen", "a:12:{i:0;s:9:\"permalink\";i:1;s:7:\"excerpt\";i:2;s:13:\"custom_fields\";i:3;s:10:\"discussion\";i:4;s:8:\"comments\";i:5;s:9:\"revisions\";i:6;s:4:\"slug\";i:7;s:6:\"author\";i:8;s:14:\"featured_image\";i:9;s:10:\"categories\";i:10;s:4:\"tags\";i:11;s:15:\"send-trackbacks\";}");
INSERT INTO `wp_postmeta` VALUES("639", "177", "_edit_lock", "1414168954:1");
INSERT INTO `wp_postmeta` VALUES("643", "179", "espace_sections_0_espace_image", "144");
INSERT INTO `wp_postmeta` VALUES("644", "179", "_espace_sections_0_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("645", "179", "espace_sections_0_espace_title", "Documents à imprimer");
INSERT INTO `wp_postmeta` VALUES("646", "179", "_espace_sections_0_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("647", "179", "espace_sections_0_espace_text", "");
INSERT INTO `wp_postmeta` VALUES("648", "179", "_espace_sections_0_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("649", "179", "espace_sections_0_espace_link", "92");
INSERT INTO `wp_postmeta` VALUES("650", "179", "_espace_sections_0_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("651", "179", "espace_sections_1_espace_image", "144");
INSERT INTO `wp_postmeta` VALUES("652", "179", "_espace_sections_1_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("653", "179", "espace_sections_1_espace_title", "Questionnaires des visites de dépistage");
INSERT INTO `wp_postmeta` VALUES("654", "179", "_espace_sections_1_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("655", "179", "espace_sections_1_espace_text", "");
INSERT INTO `wp_postmeta` VALUES("656", "179", "_espace_sections_1_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("657", "179", "espace_sections_1_espace_link", "92");
INSERT INTO `wp_postmeta` VALUES("658", "179", "_espace_sections_1_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("659", "179", "espace_sections_2_espace_image", "144");
INSERT INTO `wp_postmeta` VALUES("660", "179", "_espace_sections_2_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("661", "179", "espace_sections_2_espace_title", "Annuaires des spécialistes");
INSERT INTO `wp_postmeta` VALUES("662", "179", "_espace_sections_2_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("663", "179", "espace_sections_2_espace_text", "");
INSERT INTO `wp_postmeta` VALUES("664", "179", "_espace_sections_2_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("665", "179", "espace_sections_2_espace_link", "92");
INSERT INTO `wp_postmeta` VALUES("666", "179", "_espace_sections_2_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("667", "179", "espace_sections", "3");
INSERT INTO `wp_postmeta` VALUES("668", "179", "_espace_sections", "field_54362c50ee8fa");
INSERT INTO `wp_postmeta` VALUES("669", "166", "espace_sections_0_espace_image", "283");
INSERT INTO `wp_postmeta` VALUES("670", "166", "_espace_sections_0_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("671", "166", "espace_sections_0_espace_title", "Documents à imprimer");
INSERT INTO `wp_postmeta` VALUES("672", "166", "_espace_sections_0_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("673", "166", "espace_sections_0_espace_text", "Diverses fiches informatives à imprimer.");
INSERT INTO `wp_postmeta` VALUES("674", "166", "_espace_sections_0_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("675", "166", "espace_sections_0_espace_link", "268");
INSERT INTO `wp_postmeta` VALUES("676", "166", "_espace_sections_0_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("677", "166", "espace_sections_1_espace_image", "284");
INSERT INTO `wp_postmeta` VALUES("678", "166", "_espace_sections_1_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("679", "166", "espace_sections_1_espace_title", "Questionnaires des visites de dépistage");
INSERT INTO `wp_postmeta` VALUES("680", "166", "_espace_sections_1_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("681", "166", "espace_sections_1_espace_text", "Téléchargez votre questionnaire.");
INSERT INTO `wp_postmeta` VALUES("682", "166", "_espace_sections_1_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("683", "166", "espace_sections_1_espace_link", "287");
INSERT INTO `wp_postmeta` VALUES("684", "166", "_espace_sections_1_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("685", "166", "espace_sections_2_espace_image", "285");
INSERT INTO `wp_postmeta` VALUES("686", "166", "_espace_sections_2_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("687", "166", "espace_sections_2_espace_title", "Annuaires des spécialistes");
INSERT INTO `wp_postmeta` VALUES("688", "166", "_espace_sections_2_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("689", "166", "espace_sections_2_espace_text", "A votre disposition un annuaire de spécialistes pour des consultations spécifiques.");
INSERT INTO `wp_postmeta` VALUES("690", "166", "_espace_sections_2_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("691", "166", "espace_sections_2_espace_link", "290");
INSERT INTO `wp_postmeta` VALUES("692", "166", "_espace_sections_2_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("693", "166", "espace_sections", "3");
INSERT INTO `wp_postmeta` VALUES("694", "166", "_espace_sections", "field_54362c50ee8fa");
INSERT INTO `wp_postmeta` VALUES("696", "180", "espace_sections_0_espace_image", "144");
INSERT INTO `wp_postmeta` VALUES("697", "180", "_espace_sections_0_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("698", "180", "espace_sections_0_espace_title", "Documents à imprimer");
INSERT INTO `wp_postmeta` VALUES("699", "180", "_espace_sections_0_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("700", "180", "espace_sections_0_espace_text", "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna ali");
INSERT INTO `wp_postmeta` VALUES("701", "180", "_espace_sections_0_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("702", "180", "espace_sections_0_espace_link", "92");
INSERT INTO `wp_postmeta` VALUES("703", "180", "_espace_sections_0_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("704", "180", "espace_sections_1_espace_image", "144");
INSERT INTO `wp_postmeta` VALUES("705", "180", "_espace_sections_1_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("706", "180", "espace_sections_1_espace_title", "Questionnaires des visites de dépistage");
INSERT INTO `wp_postmeta` VALUES("707", "180", "_espace_sections_1_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("708", "180", "espace_sections_1_espace_text", "sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lor");
INSERT INTO `wp_postmeta` VALUES("709", "180", "_espace_sections_1_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("710", "180", "espace_sections_1_espace_link", "92");
INSERT INTO `wp_postmeta` VALUES("711", "180", "_espace_sections_1_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("712", "180", "espace_sections_2_espace_image", "144");
INSERT INTO `wp_postmeta` VALUES("713", "180", "_espace_sections_2_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("714", "180", "espace_sections_2_espace_title", "Annuaires des spécialistes");
INSERT INTO `wp_postmeta` VALUES("715", "180", "_espace_sections_2_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("716", "180", "espace_sections_2_espace_text", "et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, conset");
INSERT INTO `wp_postmeta` VALUES("717", "180", "_espace_sections_2_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("718", "180", "espace_sections_2_espace_link", "92");
INSERT INTO `wp_postmeta` VALUES("719", "180", "_espace_sections_2_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("720", "180", "espace_sections", "3");
INSERT INTO `wp_postmeta` VALUES("721", "180", "_espace_sections", "field_54362c50ee8fa");
INSERT INTO `wp_postmeta` VALUES("722", "181", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("723", "181", "_edit_lock", "1414168702:1");
INSERT INTO `wp_postmeta` VALUES("724", "181", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("725", "184", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("726", "184", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("727", "184", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("728", "184", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("729", "184", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("730", "184", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("731", "184", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("732", "184", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("733", "184", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("734", "184", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("735", "184", "honoraires_link", "15");
INSERT INTO `wp_postmeta` VALUES("736", "184", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("737", "185", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("738", "185", "_edit_lock", "1414145984:1");
INSERT INTO `wp_postmeta` VALUES("739", "185", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("740", "187", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("741", "187", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("742", "187", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("743", "187", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("744", "187", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("745", "187", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("746", "187", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("747", "187", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("748", "187", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("749", "187", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("750", "187", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("751", "187", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("752", "189", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("753", "189", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("754", "189", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("755", "189", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("756", "189", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("757", "189", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("758", "189", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("759", "189", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("760", "189", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("761", "189", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("762", "189", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("763", "189", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("764", "190", "_wp_attached_file", "2014/10/photo-_mon-parcours_.jpeg");
INSERT INTO `wp_postmeta` VALUES("765", "190", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:320;s:6:\"height\";i:213;s:4:\"file\";s:33:\"2014/10/photo-_mon-parcours_.jpeg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:33:\"photo-_mon-parcours_-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:33:\"photo-_mon-parcours_-300x199.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:199;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:33:\"photo-_mon-parcours_-155x155.jpeg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:33:\"photo-_mon-parcours_-280x185.jpeg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:33:\"photo-_mon-parcours_-300x213.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:213;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("766", "114", "_thumbnail_id", "190");
INSERT INTO `wp_postmeta` VALUES("767", "120", "rule", "a:5:{s:5:\"param\";s:13:\"page_template\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:31:\"templates/page-mon-parcours.php\";s:8:\"order_no\";i:0;s:8:\"group_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("768", "191", "rich_content_mon_parcours", "<h2>Header long text</h2>\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n\r\n&nbsp;\r\n\r\nUt wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n\r\n&nbsp;\r\n\r\nUt wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n\r\n[/efscolumn]\r\n[/efsrow]");
INSERT INTO `wp_postmeta` VALUES("769", "191", "_rich_content_mon_parcours", "field_542cbe3ea8f27");
INSERT INTO `wp_postmeta` VALUES("770", "192", "rich_content_mon_parcours", "\r\n<h2>Header long text</h2>\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n\r\n&nbsp;\r\n\r\nUt wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n\r\n&nbsp;\r\n\r\nUt wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n\r\n[/efscolumn]\r\n[/efsrow]");
INSERT INTO `wp_postmeta` VALUES("771", "192", "_rich_content_mon_parcours", "field_542cbe3ea8f27");
INSERT INTO `wp_postmeta` VALUES("772", "193", "rich_content_mon_parcours", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>DOMAINE D’EXPERTISE</h3>\r\nPédiatrie\r\nNéonatologie\r\nHoméopathie\r\nAllaitement Maternel\r\nPortage\r\n\r\n<h3>TITRES ET DIPLÔMES</h3>\r\nAncien Praticien Hospitalier Contractuel du CHU de Nantes\r\nAncien assistant des Hôpitaux de Reims\r\nAncien Interne des Hôpitaux de Reims\r\nDES de Pédiatrie\r\nDESC de Néonatologie\r\nDIU Lactation Humaine et Allaitement Maternel\r\nDIU Initiation aux Soins de Développement chez le nouveau-né et l’enfant\r\nDU Pédiatrie en Maternité\r\nDU Échographie\r\nDU Dermatologie Pédiatrique\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>Formations complémentaires</h3>\r\nHoméopathie (CEDH)\r\nAnimatrice de portage (IEFAP)\r\nStandardisations des examens systématiques 9,24,36 mois (AFPA)\r\nStandardisations des bilans à 4 ans, fin de GS, fin de CP (AFPA)\r\nBilan d’un trouble du langage oral et écrit (AFPA)\r\nAsthme du nourrisson et de l’enfant (AFPA)\r\n[/efscolumn]\r\n[/efsrow]");
INSERT INTO `wp_postmeta` VALUES("773", "193", "_rich_content_mon_parcours", "field_542cbe3ea8f27");
INSERT INTO `wp_postmeta` VALUES("774", "194", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("775", "194", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("776", "194", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("777", "194", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("778", "194", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("779", "194", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("780", "194", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("781", "194", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("782", "194", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("783", "194", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("784", "194", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("785", "194", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("786", "195", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("787", "195", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("788", "195", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("789", "195", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("790", "195", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("791", "195", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("792", "195", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("793", "195", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("794", "195", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("795", "195", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("796", "195", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("797", "195", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("798", "196", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("799", "196", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("800", "196", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("801", "196", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("802", "196", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("803", "196", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("804", "196", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("805", "196", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("806", "196", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("807", "196", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("808", "196", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("809", "196", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("810", "197", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("811", "197", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("812", "197", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("813", "197", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("814", "197", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("815", "197", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("816", "197", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("817", "197", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("818", "197", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("819", "197", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("820", "197", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("821", "197", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("822", "198", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("823", "198", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("824", "198", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("825", "198", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("826", "198", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("827", "198", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("828", "198", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("829", "198", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("830", "198", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("831", "198", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("832", "198", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("833", "198", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("834", "199", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("835", "199", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("836", "199", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("837", "199", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("838", "199", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("839", "199", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("840", "199", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("841", "199", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("842", "199", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("843", "199", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("844", "199", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("845", "199", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("846", "200", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("847", "200", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("848", "200", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("849", "200", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("850", "200", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("851", "200", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("852", "200", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("853", "200", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("854", "200", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("855", "200", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("856", "200", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("857", "200", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("858", "201", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("859", "201", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("860", "201", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("861", "201", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("862", "201", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("863", "201", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("864", "201", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("865", "201", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("866", "201", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("867", "201", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("868", "201", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("869", "201", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("870", "202", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("871", "202", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("872", "202", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("873", "202", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("874", "202", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("875", "202", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("876", "202", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("877", "202", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("878", "202", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("879", "202", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("880", "202", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("881", "202", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("882", "203", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("883", "203", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("884", "203", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("885", "203", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("886", "203", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("887", "203", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("888", "203", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("889", "203", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("890", "203", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("891", "203", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("892", "203", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("893", "203", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("894", "204", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("895", "204", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("896", "204", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("897", "204", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("898", "204", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("899", "204", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("900", "204", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("901", "204", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("902", "204", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("903", "204", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("904", "204", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("905", "204", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("906", "205", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("907", "205", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("908", "205", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("909", "205", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("910", "205", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("911", "205", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("912", "205", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("913", "205", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("914", "205", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("915", "205", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("916", "205", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("917", "205", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("918", "206", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("919", "206", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("920", "206", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("921", "206", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("922", "206", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("923", "206", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("924", "206", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("925", "206", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("926", "206", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("927", "206", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("928", "206", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("929", "206", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("930", "207", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("931", "207", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("932", "207", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("933", "207", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("934", "207", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("935", "207", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("936", "207", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("937", "207", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("938", "207", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("939", "207", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("940", "207", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("941", "207", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("942", "208", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("943", "208", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("944", "208", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("945", "208", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("946", "208", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("947", "208", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("948", "208", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("949", "208", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("950", "208", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("951", "208", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("952", "208", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("953", "208", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("954", "209", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("955", "209", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("956", "209", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("957", "209", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("958", "209", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("959", "209", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("960", "209", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("961", "209", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("962", "209", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("963", "209", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("964", "209", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("965", "209", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("966", "210", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("967", "210", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("968", "210", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("969", "210", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("970", "210", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("971", "210", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("972", "210", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("973", "210", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("974", "210", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("975", "210", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("976", "210", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("977", "210", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("978", "211", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("979", "211", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("980", "211", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("981", "211", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("982", "211", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("983", "211", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("984", "211", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("985", "211", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("986", "211", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("987", "211", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("988", "211", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("989", "211", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("990", "212", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("991", "212", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("992", "212", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("993", "212", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("994", "212", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("995", "212", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("996", "212", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("997", "212", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("998", "212", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("999", "212", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1000", "212", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1001", "212", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1002", "213", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("1003", "213", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1004", "213", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1005", "213", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1006", "213", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1007", "213", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1008", "213", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("1009", "213", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1010", "213", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1011", "213", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1012", "213", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1013", "213", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1014", "214", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("1015", "214", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1016", "214", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1017", "214", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1018", "214", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1019", "214", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1020", "214", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("1021", "214", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1022", "214", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1023", "214", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1024", "214", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1025", "214", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1026", "215", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("1027", "215", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1028", "215", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1029", "215", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1030", "215", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1031", "215", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1032", "215", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("1033", "215", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1034", "215", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1035", "215", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1036", "215", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1037", "215", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1038", "216", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("1039", "216", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1040", "216", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1041", "216", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1042", "216", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1043", "216", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1044", "216", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("1045", "216", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1046", "216", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1047", "216", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1048", "216", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1049", "216", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1050", "217", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("1051", "217", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1052", "217", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1053", "217", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1054", "217", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1055", "217", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1056", "217", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("1057", "217", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1058", "217", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1059", "217", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1060", "217", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1061", "217", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1062", "218", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("1063", "218", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1064", "218", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1065", "218", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1066", "218", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1067", "218", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1068", "218", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("1069", "218", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1070", "218", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1071", "218", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1072", "218", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1073", "218", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1074", "219", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("1075", "219", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1076", "219", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1077", "219", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1078", "219", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1079", "219", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1080", "219", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("1081", "219", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1082", "219", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1083", "219", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1084", "219", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1085", "219", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1086", "220", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1087", "220", "_edit_lock", "1412882624:1");
INSERT INTO `wp_postmeta` VALUES("1088", "220", "_thumbnail_id", "141");
INSERT INTO `wp_postmeta` VALUES("1089", "221", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d1354.9136620941222!2d-1.5496338!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412032577658\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nantes</strong></div>");
INSERT INTO `wp_postmeta` VALUES("1090", "221", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("1091", "221", "info", "<strong><span style=\"color: #f6413e;\">Consultations au cabinet : 1 rue Sully, Nantes sur rendez-vous. </span></strong><strong><span style=\"color: #524a48;\">Visites des nouveau-nés : Clinique Brétéché, Nantes.</span></strong>");
INSERT INTO `wp_postmeta` VALUES("1092", "221", "_info", "field_5429ea45d8946");
INSERT INTO `wp_postmeta` VALUES("1098", "222", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("1099", "222", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1100", "222", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1101", "222", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1102", "222", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1103", "222", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1104", "222", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("1105", "222", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1106", "222", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1107", "222", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1108", "222", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1109", "222", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1110", "223", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("1111", "223", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1112", "223", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1113", "223", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1114", "223", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1115", "223", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1116", "223", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("1117", "223", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1118", "223", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1119", "223", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1120", "223", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1121", "223", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1122", "224", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("1123", "224", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1124", "224", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1125", "224", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1126", "224", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1127", "224", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1128", "224", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("1129", "224", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1130", "224", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1131", "224", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1132", "224", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1133", "224", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1134", "225", "horaires_douverture_image", "97");
INSERT INTO `wp_postmeta` VALUES("1135", "225", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1136", "225", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1137", "225", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1138", "225", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1139", "225", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1140", "225", "honoraires_image", "97");
INSERT INTO `wp_postmeta` VALUES("1141", "225", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1142", "225", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1143", "225", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1144", "225", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1145", "225", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1146", "100", "_oembed_bb64a7071b9cd3835727e336aff45b36", "{{unknown}}");
INSERT INTO `wp_postmeta` VALUES("1147", "100", "_oembed_7e1d06415569712d0dfc8d04efe92750", "{{unknown}}");
INSERT INTO `wp_postmeta` VALUES("1164", "229", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1165", "229", "_edit_lock", "1414434045:1");
INSERT INTO `wp_postmeta` VALUES("1166", "230", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1167", "230", "_edit_lock", "1413967208:1");
INSERT INTO `wp_postmeta` VALUES("1168", "231", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1169", "231", "_edit_lock", "1414146589:1");
INSERT INTO `wp_postmeta` VALUES("1175", "233", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1176", "233", "_edit_lock", "1413967280:1");
INSERT INTO `wp_postmeta` VALUES("1201", "239", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("1202", "239", "_menu_item_menu_item_parent", "33");
INSERT INTO `wp_postmeta` VALUES("1203", "239", "_menu_item_object_id", "29");
INSERT INTO `wp_postmeta` VALUES("1204", "239", "_menu_item_object", "medical");
INSERT INTO `wp_postmeta` VALUES("1205", "239", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1206", "239", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1207", "239", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1208", "239", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1210", "240", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("1211", "240", "_menu_item_menu_item_parent", "33");
INSERT INTO `wp_postmeta` VALUES("1212", "240", "_menu_item_object_id", "31");
INSERT INTO `wp_postmeta` VALUES("1213", "240", "_menu_item_object", "medical");
INSERT INTO `wp_postmeta` VALUES("1214", "240", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1215", "240", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1216", "240", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1217", "240", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1219", "241", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1220", "241", "_edit_lock", "1414434046:1");
INSERT INTO `wp_postmeta` VALUES("1221", "242", "post_per_page", "10");
INSERT INTO `wp_postmeta` VALUES("1222", "242", "_post_per_page", "field_542cc99c4ea64");
INSERT INTO `wp_postmeta` VALUES("1223", "243", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1224", "243", "_edit_lock", "1414146669:1");
INSERT INTO `wp_postmeta` VALUES("1225", "244", "_wp_attached_file", "2014/10/Screenshot_2.png");
INSERT INTO `wp_postmeta` VALUES("1226", "244", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:581;s:6:\"height\";i:407;s:4:\"file\";s:24:\"2014/10/Screenshot_2.png\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"Screenshot_2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"Screenshot_2-300x210.png\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:24:\"Screenshot_2-155x155.png\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:9:\"image/png\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:24:\"Screenshot_2-280x185.png\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:9:\"image/png\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:24:\"Screenshot_2-300x250.png\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"single\";a:4:{s:4:\"file\";s:24:\"Screenshot_2-581x300.png\";s:5:\"width\";i:581;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1227", "245", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1228", "245", "_edit_lock", "1414433890:1");
INSERT INTO `wp_postmeta` VALUES("1229", "246", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("1230", "246", "_menu_item_menu_item_parent", "33");
INSERT INTO `wp_postmeta` VALUES("1231", "246", "_menu_item_object_id", "30");
INSERT INTO `wp_postmeta` VALUES("1232", "246", "_menu_item_object", "medical");
INSERT INTO `wp_postmeta` VALUES("1233", "246", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1234", "246", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1235", "246", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1236", "246", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1238", "248", "_wp_attached_file", "2014/10/eveil-et-dvpt-petit-enfant.jpg");
INSERT INTO `wp_postmeta` VALUES("1239", "248", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:750;s:4:\"file\";s:38:\"2014/10/eveil-et-dvpt-petit-enfant.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"eveil-et-dvpt-petit-enfant-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"eveil-et-dvpt-petit-enfant-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:38:\"eveil-et-dvpt-petit-enfant-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:38:\"eveil-et-dvpt-petit-enfant-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:38:\"eveil-et-dvpt-petit-enfant-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:38:\"eveil-et-dvpt-petit-enfant-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1240", "249", "_wp_attached_file", "2014/10/la-naissance.jpg");
INSERT INTO `wp_postmeta` VALUES("1241", "249", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:800;s:4:\"file\";s:24:\"2014/10/la-naissance.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"la-naissance-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"la-naissance-300x240.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:24:\"la-naissance-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:24:\"la-naissance-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:24:\"la-naissance-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:24:\"la-naissance-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1242", "250", "_wp_attached_file", "2014/10/Nouveau-né.jpg");
INSERT INTO `wp_postmeta` VALUES("1243", "250", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:974;s:6:\"height\";i:1000;s:4:\"file\";s:23:\"2014/10/Nouveau-né.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"Nouveau-né-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"Nouveau-né-292x300.jpg\";s:5:\"width\";i:292;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:23:\"Nouveau-né-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:23:\"Nouveau-né-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:23:\"Nouveau-né-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:23:\"Nouveau-né-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1244", "251", "_wp_attached_file", "2014/10/petit-enfant.jpg");
INSERT INTO `wp_postmeta` VALUES("1245", "251", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:1000;s:4:\"file\";s:24:\"2014/10/petit-enfant.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"petit-enfant-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"petit-enfant-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:24:\"petit-enfant-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:24:\"petit-enfant-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:24:\"petit-enfant-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:24:\"petit-enfant-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1246", "252", "_wp_attached_file", "2014/10/rythme-des-consultations.jpg");
INSERT INTO `wp_postmeta` VALUES("1247", "252", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:713;s:4:\"file\";s:36:\"2014/10/rythme-des-consultations.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:36:\"rythme-des-consultations-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:36:\"rythme-des-consultations-300x213.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:213;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:36:\"rythme-des-consultations-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:36:\"rythme-des-consultations-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:36:\"rythme-des-consultations-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:36:\"rythme-des-consultations-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1248", "253", "_wp_attached_file", "2014/10/vaccins.jpg");
INSERT INTO `wp_postmeta` VALUES("1249", "253", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:667;s:4:\"file\";s:19:\"2014/10/vaccins.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"vaccins-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"vaccins-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:19:\"vaccins-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:19:\"vaccins-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:19:\"vaccins-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:19:\"vaccins-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1250", "254", "_wp_attached_file", "2014/10/a-lecole-enfant.jpg");
INSERT INTO `wp_postmeta` VALUES("1251", "254", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:667;s:4:\"file\";s:27:\"2014/10/a-lecole-enfant.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"a-lecole-enfant-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"a-lecole-enfant-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:27:\"a-lecole-enfant-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:27:\"a-lecole-enfant-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:27:\"a-lecole-enfant-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:27:\"a-lecole-enfant-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1252", "255", "_wp_attached_file", "2014/10/alimentation-bébé.jpg");
INSERT INTO `wp_postmeta` VALUES("1253", "255", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:667;s:4:\"file\";s:31:\"2014/10/alimentation-bébé.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"alimentation-bébé-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"alimentation-bébé-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:31:\"alimentation-bébé-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:31:\"alimentation-bébé-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:31:\"alimentation-bébé-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:31:\"alimentation-bébé-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1254", "256", "_wp_attached_file", "2014/10/alimentation-enfant.jpg");
INSERT INTO `wp_postmeta` VALUES("1255", "256", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:910;s:6:\"height\";i:1000;s:4:\"file\";s:31:\"2014/10/alimentation-enfant.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"alimentation-enfant-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"alimentation-enfant-273x300.jpg\";s:5:\"width\";i:273;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:31:\"alimentation-enfant-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:31:\"alimentation-enfant-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:31:\"alimentation-enfant-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:31:\"alimentation-enfant-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1256", "257", "_wp_attached_file", "2014/10/alimentation-petit-enfant.jpg");
INSERT INTO `wp_postmeta` VALUES("1257", "257", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:667;s:6:\"height\";i:1000;s:4:\"file\";s:37:\"2014/10/alimentation-petit-enfant.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"alimentation-petit-enfant-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"alimentation-petit-enfant-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:37:\"alimentation-petit-enfant-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:37:\"alimentation-petit-enfant-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:37:\"alimentation-petit-enfant-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:37:\"alimentation-petit-enfant-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1258", "258", "_wp_attached_file", "2014/10/alimentation.jpg");
INSERT INTO `wp_postmeta` VALUES("1259", "258", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:675;s:6:\"height\";i:1000;s:4:\"file\";s:24:\"2014/10/alimentation.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"alimentation-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"alimentation-202x300.jpg\";s:5:\"width\";i:202;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:24:\"alimentation-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:24:\"alimentation-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:24:\"alimentation-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:24:\"alimentation-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1260", "259", "_wp_attached_file", "2014/10/au-quotidien-enfant.jpg");
INSERT INTO `wp_postmeta` VALUES("1261", "259", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:784;s:6:\"height\";i:1000;s:4:\"file\";s:31:\"2014/10/au-quotidien-enfant.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"au-quotidien-enfant-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"au-quotidien-enfant-235x300.jpg\";s:5:\"width\";i:235;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:31:\"au-quotidien-enfant-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:31:\"au-quotidien-enfant-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:31:\"au-quotidien-enfant-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:31:\"au-quotidien-enfant-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1262", "260", "_wp_attached_file", "2014/10/au-quotidien-petit-enfant.jpg");
INSERT INTO `wp_postmeta` VALUES("1263", "260", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:667;s:6:\"height\";i:1000;s:4:\"file\";s:37:\"2014/10/au-quotidien-petit-enfant.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"au-quotidien-petit-enfant-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"au-quotidien-petit-enfant-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:37:\"au-quotidien-petit-enfant-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:37:\"au-quotidien-petit-enfant-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:37:\"au-quotidien-petit-enfant-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:37:\"au-quotidien-petit-enfant-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1264", "261", "_wp_attached_file", "2014/10/au-quotidien.jpg");
INSERT INTO `wp_postmeta` VALUES("1265", "261", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:750;s:4:\"file\";s:24:\"2014/10/au-quotidien.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"au-quotidien-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"au-quotidien-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:24:\"au-quotidien-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:24:\"au-quotidien-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:24:\"au-quotidien-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:24:\"au-quotidien-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1266", "262", "_wp_attached_file", "2014/10/au-qutidien-bébé.jpg");
INSERT INTO `wp_postmeta` VALUES("1267", "262", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:667;s:4:\"file\";s:30:\"2014/10/au-qutidien-bébé.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:30:\"au-qutidien-bébé-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:30:\"au-qutidien-bébé-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:30:\"au-qutidien-bébé-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:30:\"au-qutidien-bébé-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:30:\"au-qutidien-bébé-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:30:\"au-qutidien-bébé-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1268", "263", "_wp_attached_file", "2014/10/bébé.jpg");
INSERT INTO `wp_postmeta` VALUES("1269", "263", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:667;s:4:\"file\";s:18:\"2014/10/bébé.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:18:\"bébé-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:18:\"bébé-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:18:\"bébé-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:18:\"bébé-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:18:\"bébé-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:18:\"bébé-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1270", "264", "_wp_attached_file", "2014/10/courbes-de-croissance.jpg");
INSERT INTO `wp_postmeta` VALUES("1271", "264", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:664;s:4:\"file\";s:33:\"2014/10/courbes-de-croissance.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:33:\"courbes-de-croissance-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:33:\"courbes-de-croissance-300x199.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:199;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:33:\"courbes-de-croissance-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:33:\"courbes-de-croissance-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:33:\"courbes-de-croissance-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:33:\"courbes-de-croissance-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1272", "265", "_wp_attached_file", "2014/10/enfants.jpg");
INSERT INTO `wp_postmeta` VALUES("1273", "265", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:667;s:4:\"file\";s:19:\"2014/10/enfants.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"enfants-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"enfants-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:19:\"enfants-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:19:\"enfants-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:19:\"enfants-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:19:\"enfants-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1274", "266", "_wp_attached_file", "2014/10/eveil-et-dvpt-bébé.jpg");
INSERT INTO `wp_postmeta` VALUES("1275", "266", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:904;s:4:\"file\";s:32:\"2014/10/eveil-et-dvpt-bébé.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:32:\"eveil-et-dvpt-bébé-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:32:\"eveil-et-dvpt-bébé-300x271.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:271;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:32:\"eveil-et-dvpt-bébé-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:32:\"eveil-et-dvpt-bébé-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:32:\"eveil-et-dvpt-bébé-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:32:\"eveil-et-dvpt-bébé-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1276", "267", "_wp_attached_file", "2014/10/eveil-et-dvpt-enfant.jpg");
INSERT INTO `wp_postmeta` VALUES("1277", "267", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:989;s:4:\"file\";s:32:\"2014/10/eveil-et-dvpt-enfant.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:32:\"eveil-et-dvpt-enfant-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:32:\"eveil-et-dvpt-enfant-300x296.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:296;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:32:\"eveil-et-dvpt-enfant-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:32:\"eveil-et-dvpt-enfant-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:32:\"eveil-et-dvpt-enfant-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:32:\"eveil-et-dvpt-enfant-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1278", "241", "_thumbnail_id", "253");
INSERT INTO `wp_postmeta` VALUES("1279", "243", "_thumbnail_id", "253");
INSERT INTO `wp_postmeta` VALUES("1280", "245", "_thumbnail_id", "253");
INSERT INTO `wp_postmeta` VALUES("1281", "229", "_thumbnail_id", "252");
INSERT INTO `wp_postmeta` VALUES("1282", "230", "_thumbnail_id", "252");
INSERT INTO `wp_postmeta` VALUES("1283", "233", "_thumbnail_id", "264");
INSERT INTO `wp_postmeta` VALUES("1284", "231", "_thumbnail_id", "252");
INSERT INTO `wp_postmeta` VALUES("1285", "268", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1286", "268", "_edit_lock", "1413967229:1");
INSERT INTO `wp_postmeta` VALUES("1287", "268", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1288", "270", "_wp_attached_file", "2014/10/Fiche-DTP.pdf");
INSERT INTO `wp_postmeta` VALUES("1289", "271", "_wp_attached_file", "2014/10/Fiche-Grippe.pdf");
INSERT INTO `wp_postmeta` VALUES("1290", "272", "_wp_attached_file", "2014/10/Fiche-Haemophilus-Influenzae.pdf");
INSERT INTO `wp_postmeta` VALUES("1291", "273", "_wp_attached_file", "2014/10/Fiche-Hépatite-A.pdf");
INSERT INTO `wp_postmeta` VALUES("1292", "274", "_wp_attached_file", "2014/10/Fiche-Hépatite-B-1.pdf");
INSERT INTO `wp_postmeta` VALUES("1293", "275", "_wp_attached_file", "2014/10/Fiche-Hépatite-B.pdf");
INSERT INTO `wp_postmeta` VALUES("1294", "276", "_wp_attached_file", "2014/10/Fiche-Méningocoque-C.pdf");
INSERT INTO `wp_postmeta` VALUES("1295", "277", "_wp_attached_file", "2014/10/Fiche-méningoencéphalite-à-tiques.pdf");
INSERT INTO `wp_postmeta` VALUES("1296", "278", "_wp_attached_file", "2014/10/Fiche-Pneumocoque.pdf");
INSERT INTO `wp_postmeta` VALUES("1297", "279", "_wp_attached_file", "2014/10/Fiche-Rotavirus.pdf");
INSERT INTO `wp_postmeta` VALUES("1298", "280", "_wp_attached_file", "2014/10/Fiche-Rougeole.pdf");
INSERT INTO `wp_postmeta` VALUES("1299", "282", "espace_sections_0_espace_image", "144");
INSERT INTO `wp_postmeta` VALUES("1300", "282", "_espace_sections_0_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1301", "282", "espace_sections_0_espace_title", "Documents à imprimer");
INSERT INTO `wp_postmeta` VALUES("1302", "282", "_espace_sections_0_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1303", "282", "espace_sections_0_espace_text", "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna ali");
INSERT INTO `wp_postmeta` VALUES("1304", "282", "_espace_sections_0_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1305", "282", "espace_sections_0_espace_link", "268");
INSERT INTO `wp_postmeta` VALUES("1306", "282", "_espace_sections_0_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1307", "282", "espace_sections_1_espace_image", "144");
INSERT INTO `wp_postmeta` VALUES("1308", "282", "_espace_sections_1_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1309", "282", "espace_sections_1_espace_title", "Questionnaires des visites de dépistage");
INSERT INTO `wp_postmeta` VALUES("1310", "282", "_espace_sections_1_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1311", "282", "espace_sections_1_espace_text", "sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lor");
INSERT INTO `wp_postmeta` VALUES("1312", "282", "_espace_sections_1_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1313", "282", "espace_sections_1_espace_link", "153");
INSERT INTO `wp_postmeta` VALUES("1314", "282", "_espace_sections_1_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1315", "282", "espace_sections_2_espace_image", "144");
INSERT INTO `wp_postmeta` VALUES("1316", "282", "_espace_sections_2_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1317", "282", "espace_sections_2_espace_title", "Annuaires des spécialistes");
INSERT INTO `wp_postmeta` VALUES("1318", "282", "_espace_sections_2_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1319", "282", "espace_sections_2_espace_text", "et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, conset");
INSERT INTO `wp_postmeta` VALUES("1320", "282", "_espace_sections_2_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1321", "282", "espace_sections_2_espace_link", "153");
INSERT INTO `wp_postmeta` VALUES("1322", "282", "_espace_sections_2_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1323", "282", "espace_sections", "3");
INSERT INTO `wp_postmeta` VALUES("1324", "282", "_espace_sections", "field_54362c50ee8fa");
INSERT INTO `wp_postmeta` VALUES("1325", "283", "_wp_attached_file", "2014/10/imprimer.jpg");
INSERT INTO `wp_postmeta` VALUES("1326", "283", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:20:\"2014/10/imprimer.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:20:\"imprimer-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:20:\"imprimer-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:20:\"imprimer-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:20:\"imprimer-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:20:\"imprimer-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:20:\"imprimer-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1327", "284", "_wp_attached_file", "2014/10/questionnaires.jpg");
INSERT INTO `wp_postmeta` VALUES("1328", "284", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:667;s:4:\"file\";s:26:\"2014/10/questionnaires.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"questionnaires-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"questionnaires-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:26:\"questionnaires-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:26:\"questionnaires-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:26:\"questionnaires-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:26:\"questionnaires-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1329", "285", "_wp_attached_file", "2014/10/contact.jpg");
INSERT INTO `wp_postmeta` VALUES("1330", "285", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:730;s:4:\"file\";s:19:\"2014/10/contact.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"contact-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"contact-300x219.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:19:\"contact-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:19:\"contact-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:19:\"contact-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:19:\"contact-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1331", "286", "espace_sections_0_espace_image", "283");
INSERT INTO `wp_postmeta` VALUES("1332", "286", "_espace_sections_0_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1333", "286", "espace_sections_0_espace_title", "Documents à imprimer");
INSERT INTO `wp_postmeta` VALUES("1334", "286", "_espace_sections_0_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1335", "286", "espace_sections_0_espace_text", "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna ali");
INSERT INTO `wp_postmeta` VALUES("1336", "286", "_espace_sections_0_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1337", "286", "espace_sections_0_espace_link", "268");
INSERT INTO `wp_postmeta` VALUES("1338", "286", "_espace_sections_0_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1339", "286", "espace_sections_1_espace_image", "284");
INSERT INTO `wp_postmeta` VALUES("1340", "286", "_espace_sections_1_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1341", "286", "espace_sections_1_espace_title", "Questionnaires des visites de dépistage");
INSERT INTO `wp_postmeta` VALUES("1342", "286", "_espace_sections_1_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1343", "286", "espace_sections_1_espace_text", "sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lor");
INSERT INTO `wp_postmeta` VALUES("1344", "286", "_espace_sections_1_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1345", "286", "espace_sections_1_espace_link", "153");
INSERT INTO `wp_postmeta` VALUES("1346", "286", "_espace_sections_1_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1347", "286", "espace_sections_2_espace_image", "285");
INSERT INTO `wp_postmeta` VALUES("1348", "286", "_espace_sections_2_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1349", "286", "espace_sections_2_espace_title", "Annuaires des spécialistes");
INSERT INTO `wp_postmeta` VALUES("1350", "286", "_espace_sections_2_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1351", "286", "espace_sections_2_espace_text", "et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, conset");
INSERT INTO `wp_postmeta` VALUES("1352", "286", "_espace_sections_2_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1353", "286", "espace_sections_2_espace_link", "153");
INSERT INTO `wp_postmeta` VALUES("1354", "286", "_espace_sections_2_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1355", "286", "espace_sections", "3");
INSERT INTO `wp_postmeta` VALUES("1356", "286", "_espace_sections", "field_54362c50ee8fa");
INSERT INTO `wp_postmeta` VALUES("1364", "287", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1365", "287", "_edit_lock", "1413401173:1");
INSERT INTO `wp_postmeta` VALUES("1366", "287", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1367", "289", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1368", "289", "_edit_lock", "1414168274:1");
INSERT INTO `wp_postmeta` VALUES("1369", "290", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1370", "290", "_edit_lock", "1413401216:1");
INSERT INTO `wp_postmeta` VALUES("1371", "290", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1372", "292", "espace_sections_0_espace_image", "283");
INSERT INTO `wp_postmeta` VALUES("1373", "292", "_espace_sections_0_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1374", "292", "espace_sections_0_espace_title", "Documents à imprimer");
INSERT INTO `wp_postmeta` VALUES("1375", "292", "_espace_sections_0_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1376", "292", "espace_sections_0_espace_text", "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna ali");
INSERT INTO `wp_postmeta` VALUES("1377", "292", "_espace_sections_0_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1378", "292", "espace_sections_0_espace_link", "268");
INSERT INTO `wp_postmeta` VALUES("1379", "292", "_espace_sections_0_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1380", "292", "espace_sections_1_espace_image", "284");
INSERT INTO `wp_postmeta` VALUES("1381", "292", "_espace_sections_1_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1382", "292", "espace_sections_1_espace_title", "Questionnaires des visites de dépistage");
INSERT INTO `wp_postmeta` VALUES("1383", "292", "_espace_sections_1_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1384", "292", "espace_sections_1_espace_text", "sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lor");
INSERT INTO `wp_postmeta` VALUES("1385", "292", "_espace_sections_1_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1386", "292", "espace_sections_1_espace_link", "287");
INSERT INTO `wp_postmeta` VALUES("1387", "292", "_espace_sections_1_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1388", "292", "espace_sections_2_espace_image", "285");
INSERT INTO `wp_postmeta` VALUES("1389", "292", "_espace_sections_2_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1390", "292", "espace_sections_2_espace_title", "Annuaires des spécialistes");
INSERT INTO `wp_postmeta` VALUES("1391", "292", "_espace_sections_2_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1392", "292", "espace_sections_2_espace_text", "et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, conset");
INSERT INTO `wp_postmeta` VALUES("1393", "292", "_espace_sections_2_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1394", "292", "espace_sections_2_espace_link", "290");
INSERT INTO `wp_postmeta` VALUES("1395", "292", "_espace_sections_2_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1396", "292", "espace_sections", "3");
INSERT INTO `wp_postmeta` VALUES("1397", "292", "_espace_sections", "field_54362c50ee8fa");
INSERT INTO `wp_postmeta` VALUES("1398", "293", "_wp_attached_file", "2014/06/honoraires2.jpg");
INSERT INTO `wp_postmeta` VALUES("1399", "293", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:667;s:6:\"height\";i:600;s:4:\"file\";s:23:\"2014/06/honoraires2.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"honoraires2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"honoraires2-300x269.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:269;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:23:\"honoraires2-155x155.jpg\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:23:\"honoraires2-280x185.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:23:\"honoraires2-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"single\";a:4:{s:4:\"file\";s:23:\"honoraires2-600x300.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("1400", "294", "horaires_douverture_image", "293");
INSERT INTO `wp_postmeta` VALUES("1401", "294", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1402", "294", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1403", "294", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1404", "294", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1405", "294", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1406", "294", "honoraires_image", "293");
INSERT INTO `wp_postmeta` VALUES("1407", "294", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1408", "294", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1409", "294", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1410", "294", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1411", "294", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1413", "96", "rule", "a:5:{s:5:\"param\";s:4:\"page\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:2:\"13\";s:8:\"order_no\";i:0;s:8:\"group_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("1432", "297", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d1354.9136620941222!2d-1.5496338!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412032577658\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nantes</strong></div>");
INSERT INTO `wp_postmeta` VALUES("1433", "297", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("1434", "297", "info", "<strong><span style=\"color: #f6413e;\">Consultations au cabinet : 1 rue Sully, Nantes sur rendez-vous. </span></strong><strong><span style=\"color: #524a48;\">Visites des nouveau-nés : Clinique Brétéché, Nantes.</span></strong>");
INSERT INTO `wp_postmeta` VALUES("1435", "297", "_info", "field_5429ea45d8946");
INSERT INTO `wp_postmeta` VALUES("1436", "298", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d1354.9136620941222!2d-1.5496338!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412032577658\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nantes</strong></div>");
INSERT INTO `wp_postmeta` VALUES("1437", "298", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("1438", "298", "info", "<strong><span style=\"color: #f6413e;\">Consultations au cabinet : 1 rue Sully, Nantes sur rendez-vous. </span></strong><strong><span style=\"color: #524a48;\">Visites des nouveau-nés : Clinique Brétéché, Nantes.</span></strong>");
INSERT INTO `wp_postmeta` VALUES("1439", "298", "_info", "field_5429ea45d8946");
INSERT INTO `wp_postmeta` VALUES("1440", "299", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d1354.9136620941222!2d-1.5496338!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412032577658\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nantes</strong></div>");
INSERT INTO `wp_postmeta` VALUES("1441", "299", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("1442", "299", "info", "<strong><span style=\"color: #f6413e;\">Consultations au cabinet : 1 rue Sully, Nantes sur rendez-vous. </span></strong><strong><span style=\"color: #524a48;\">Visites des nouveau-nés : Clinique Brétéché, Nantes.</span></strong>");
INSERT INTO `wp_postmeta` VALUES("1443", "299", "_info", "field_5429ea45d8946");
INSERT INTO `wp_postmeta` VALUES("1444", "301", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d1354.9136620941222!2d-1.5496338!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412032577658\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nantes</strong></div>");
INSERT INTO `wp_postmeta` VALUES("1445", "301", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("1446", "301", "info", "<strong><span style=\"color: #f6413e;\">Consultations au cabinet : 1 rue Sully, Nantes sur rendez-vous. </span></strong><strong><span style=\"color: #524a48;\">Visites des nouveau-nés : Clinique Brétéché, Nantes.</span></strong>");
INSERT INTO `wp_postmeta` VALUES("1447", "301", "_info", "field_5429ea45d8946");
INSERT INTO `wp_postmeta` VALUES("1448", "302", "address", "<strong style=\"color: #524a48; font-size: 14px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d1354.9136620941222!2d-1.5496338!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412032577658\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nantes</strong></div>");
INSERT INTO `wp_postmeta` VALUES("1449", "302", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("1450", "302", "info", "<strong><span style=\"color: #f6413e;\">Consultations au cabinet : 1 rue Sully, Nantes sur rendez-vous. </span></strong><strong><span style=\"color: #524a48;\">Visites des nouveau-nés : Clinique Brétéché, Nantes.</span></strong>");
INSERT INTO `wp_postmeta` VALUES("1451", "302", "_info", "field_5429ea45d8946");
INSERT INTO `wp_postmeta` VALUES("1457", "304", "rich_content_mon_parcours", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>DOMAINE D’EXPERTISE</h3>\r\nPédiatrie\r\nNéonatologie\r\nHoméopathie\r\nAllaitement Maternel\r\nPortage\r\n\r\n<h3>TITRES ET DIPLÔMES</h3>\r\nAncien Praticien Hospitalier Contractuel du CHU de Nantes\r\nAncien assistant des Hôpitaux de Reims\r\nAncien Interne des Hôpitaux de Reims\r\nDES de Pédiatrie\r\nDESC de Néonatologie\r\nDIU Lactation Humaine et Allaitement Maternel\r\nDIU Initiation aux Soins de Développement chez le nouveau-né et l’enfant\r\nDU Pédiatrie en Maternité\r\nDU Échographie\r\nDU Dermatologie Pédiatrique\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>Formations complémentaires</h3>\r\nHoméopathie (CEDH)\r\nAnimatrice de portage (IEFAP)\r\nStandardisations des examens systématiques 9,24,36 mois (AFPA)\r\nStandardisations des bilans à 4 ans, fin de GS, fin de CP (AFPA)\r\nBilan d’un trouble du langage oral et écrit (AFPA)\r\nAsthme du nourrisson et de l’enfant (AFPA)\r\n[/efscolumn]\r\n[/efsrow]");
INSERT INTO `wp_postmeta` VALUES("1458", "304", "_rich_content_mon_parcours", "field_542cbe3ea8f27");
INSERT INTO `wp_postmeta` VALUES("1459", "309", "rich_content_mon_parcours", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>DOMAINE D’EXPERTISE</h3>\r\nPédiatrie\r\nNéonatologie\r\nHoméopathie\r\nAllaitement Maternel\r\nPortage\r\n<h3>TITRES ET DIPLÔMES</h3>\r\nAncien Praticien Hospitalier Contractuel du CHU de Nantes\r\nAncien assistant des Hôpitaux de Reims\r\nAncien Interne des Hôpitaux de Reims\r\nDES de Pédiatrie\r\nDESC de Néonatologie\r\nDIU Lactation Humaine et Allaitement Maternel\r\nDIU Initiation aux Soins de Développement chez le nouveau-né et l’enfant\r\nDU Pédiatrie en Maternité\r\nDU Échographie\r\nDU Dermatologie Pédiatrique\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>Formations complémentaires</h3>\r\nHoméopathie (CEDH)\r\nAnimatrice de portage (IEFAP)\r\nStandardisations des examens systématiques 9,24,36 mois (AFPA)\r\nStandardisations des bilans à 4 ans, fin de GS, fin de CP (AFPA)\r\nBilan d’un trouble du langage oral et écrit (AFPA)\r\nAsthme du nourrisson et de l’enfant (AFPA)\r\n[/efscolumn]\r\n[/efsrow]");
INSERT INTO `wp_postmeta` VALUES("1460", "309", "_rich_content_mon_parcours", "field_542cbe3ea8f27");
INSERT INTO `wp_postmeta` VALUES("1461", "313", "horaires_douverture_image", "293");
INSERT INTO `wp_postmeta` VALUES("1462", "313", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1463", "313", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1464", "313", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1465", "313", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1466", "313", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1467", "313", "honoraires_image", "293");
INSERT INTO `wp_postmeta` VALUES("1468", "313", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1469", "313", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1470", "313", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1471", "313", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1472", "313", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1473", "314", "horaires_douverture_image", "293");
INSERT INTO `wp_postmeta` VALUES("1474", "314", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1475", "314", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1476", "314", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1477", "314", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1478", "314", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1479", "314", "honoraires_image", "293");
INSERT INTO `wp_postmeta` VALUES("1480", "314", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1481", "314", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1482", "314", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1483", "314", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1484", "314", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1485", "315", "horaires_douverture_image", "293");
INSERT INTO `wp_postmeta` VALUES("1486", "315", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1487", "315", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1488", "315", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1489", "315", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1490", "315", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1491", "315", "honoraires_image", "293");
INSERT INTO `wp_postmeta` VALUES("1492", "315", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1493", "315", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1494", "315", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1495", "315", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1496", "315", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1497", "319", "espace_sections_0_espace_image", "283");
INSERT INTO `wp_postmeta` VALUES("1498", "319", "_espace_sections_0_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1499", "319", "espace_sections_0_espace_title", "Documents à imprimer");
INSERT INTO `wp_postmeta` VALUES("1500", "319", "_espace_sections_0_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1501", "319", "espace_sections_0_espace_text", "Diverses fiches informatives à imprimer.");
INSERT INTO `wp_postmeta` VALUES("1502", "319", "_espace_sections_0_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1503", "319", "espace_sections_0_espace_link", "268");
INSERT INTO `wp_postmeta` VALUES("1504", "319", "_espace_sections_0_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1505", "319", "espace_sections_1_espace_image", "284");
INSERT INTO `wp_postmeta` VALUES("1506", "319", "_espace_sections_1_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1507", "319", "espace_sections_1_espace_title", "Questionnaires des visites de dépistage");
INSERT INTO `wp_postmeta` VALUES("1508", "319", "_espace_sections_1_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1509", "319", "espace_sections_1_espace_text", "Téléchargez votre questionnaire.");
INSERT INTO `wp_postmeta` VALUES("1510", "319", "_espace_sections_1_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1511", "319", "espace_sections_1_espace_link", "287");
INSERT INTO `wp_postmeta` VALUES("1512", "319", "_espace_sections_1_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1513", "319", "espace_sections_2_espace_image", "285");
INSERT INTO `wp_postmeta` VALUES("1514", "319", "_espace_sections_2_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1515", "319", "espace_sections_2_espace_title", "Annuaires des spécialistes");
INSERT INTO `wp_postmeta` VALUES("1516", "319", "_espace_sections_2_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1517", "319", "espace_sections_2_espace_text", "A votre disposition un annuaire de spécialistes pour des consultations spécifiques.");
INSERT INTO `wp_postmeta` VALUES("1518", "319", "_espace_sections_2_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1519", "319", "espace_sections_2_espace_link", "290");
INSERT INTO `wp_postmeta` VALUES("1520", "319", "_espace_sections_2_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1521", "319", "espace_sections", "3");
INSERT INTO `wp_postmeta` VALUES("1522", "319", "_espace_sections", "field_54362c50ee8fa");
INSERT INTO `wp_postmeta` VALUES("1523", "320", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("1524", "320", "_menu_item_menu_item_parent", "31");
INSERT INTO `wp_postmeta` VALUES("1525", "320", "_menu_item_object_id", "24");
INSERT INTO `wp_postmeta` VALUES("1526", "320", "_menu_item_object", "conseils-categories");
INSERT INTO `wp_postmeta` VALUES("1527", "320", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1528", "320", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1529", "320", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1530", "320", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1532", "321", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("1533", "321", "_menu_item_menu_item_parent", "31");
INSERT INTO `wp_postmeta` VALUES("1534", "321", "_menu_item_object_id", "26");
INSERT INTO `wp_postmeta` VALUES("1535", "321", "_menu_item_object", "conseils-categories");
INSERT INTO `wp_postmeta` VALUES("1536", "321", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1537", "321", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1538", "321", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1539", "321", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1541", "322", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("1542", "322", "_menu_item_menu_item_parent", "31");
INSERT INTO `wp_postmeta` VALUES("1543", "322", "_menu_item_object_id", "25");
INSERT INTO `wp_postmeta` VALUES("1544", "322", "_menu_item_object", "conseils-categories");
INSERT INTO `wp_postmeta` VALUES("1545", "322", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1546", "322", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1547", "322", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1548", "322", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1550", "323", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("1551", "323", "_menu_item_menu_item_parent", "31");
INSERT INTO `wp_postmeta` VALUES("1552", "323", "_menu_item_object_id", "27");
INSERT INTO `wp_postmeta` VALUES("1553", "323", "_menu_item_object", "conseils-categories");
INSERT INTO `wp_postmeta` VALUES("1554", "323", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1555", "323", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1556", "323", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1557", "323", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1559", "325", "_wp_attached_file", "2014/10/login-logo.png");
INSERT INTO `wp_postmeta` VALUES("1560", "325", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:961;s:6:\"height\";i:240;s:4:\"file\";s:22:\"2014/10/login-logo.png\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"login-logo-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:21:\"login-logo-300x74.png\";s:5:\"width\";i:300;s:6:\"height\";i:74;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"homepage-thumb\";a:4:{s:4:\"file\";s:22:\"login-logo-155x155.png\";s:5:\"width\";i:155;s:6:\"height\";i:155;s:9:\"mime-type\";s:9:\"image/png\";}s:10:\"le-cabinet\";a:4:{s:4:\"file\";s:22:\"login-logo-280x185.png\";s:5:\"width\";i:280;s:6:\"height\";i:185;s:9:\"mime-type\";s:9:\"image/png\";}s:8:\"conseils\";a:4:{s:4:\"file\";s:22:\"login-logo-300x240.png\";s:5:\"width\";i:300;s:6:\"height\";i:240;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"single\";a:4:{s:4:\"file\";s:22:\"login-logo-600x240.png\";s:5:\"width\";i:600;s:6:\"height\";i:240;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("1561", "325", "_edit_lock", "1414003123:1");
INSERT INTO `wp_postmeta` VALUES("1562", "300", "address", "<strong style=\"color: #524a48; font-size: 18px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.6374904678996!2d-1.5574691999999997!3d47.22367500000001!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805ee9f7ae296c7%3A0xc8fc0ed21f7293a0!2s52+Rue+Paul+Bellamy%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1413911184115\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nantes</strong></div>");
INSERT INTO `wp_postmeta` VALUES("1563", "300", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("1564", "300", "info", "<strong><span style=\"color: #f6413e;\">Consultations au cabinet : 1 rue Sully, Nantes sur rendez-vous. </span></strong><strong><span style=\"color: #524a48;\">Visites des nouveau-nés : Clinique Brétéché, Nantes.</span></strong>");
INSERT INTO `wp_postmeta` VALUES("1565", "300", "_info", "field_5429ea45d8946");
INSERT INTO `wp_postmeta` VALUES("1566", "332", "horaires_douverture_image", "293");
INSERT INTO `wp_postmeta` VALUES("1567", "332", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1568", "332", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1569", "332", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1570", "332", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1571", "332", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1572", "332", "honoraires_image", "293");
INSERT INTO `wp_postmeta` VALUES("1573", "332", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1574", "332", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1575", "332", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1576", "332", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1577", "332", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1578", "336", "rich_content_mon_parcours", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>DOMAINE D’EXPERTISE</h3>\r\nPédiatrie\r\nNéonatologie\r\nHoméopathie\r\nAllaitement Maternel\r\nPortage\r\n<h3>TITRES ET DIPLÔMES</h3>\r\nAncien Praticien Hospitalier Contractuel du CHU de Nantes\r\nAncien assistant des Hôpitaux de Reims\r\nAncien Interne des Hôpitaux de Reims\r\nDES de Pédiatrie\r\nDESC de Néonatologie\r\nDIU Lactation Humaine et Allaitement Maternel\r\nDIU Initiation aux Soins de Développement chez le nouveau-né et l’enfant\r\nDU Pédiatrie en Maternité\r\nDU Échographie\r\nDU Dermatologie Pédiatrique\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>Formations complémentaires</h3>\r\nHoméopathie (CEDH)\r\nAnimatrice de portage (IEFAP)\r\nStandardisations des examens systématiques 9,24,36 mois (AFPA)\r\nStandardisations des bilans à 4 ans, fin de GS, fin de CP (AFPA)\r\nBilan d’un trouble du langage oral et écrit (AFPA)\r\nAsthme du nourrisson et de l’enfant (AFPA)\r\n[/efscolumn]\r\n[/efsrow]");
INSERT INTO `wp_postmeta` VALUES("1579", "336", "_rich_content_mon_parcours", "field_542cbe3ea8f27");
INSERT INTO `wp_postmeta` VALUES("1580", "337", "rich_content_mon_parcours", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>DOMAINE D’EXPERTISE</h3>\r\nPédiatrie\r\nNéonatologie\r\nHoméopathie\r\nAllaitement Maternel\r\nPortage\r\n<h3>TITRES ET DIPLÔMES</h3>\r\nAncien Praticien Hospitalier Contractuel du CHU de Nantes\r\nAncien assistant des Hôpitaux de Reims\r\nAncien Interne des Hôpitaux de Reims\r\nDES de Pédiatrie\r\nDESC de Néonatologie\r\nDIU Lactation Humaine et Allaitement Maternel\r\nDIU Initiation aux Soins de Développement chez le nouveau-né et l’enfant\r\nDU Pédiatrie en Maternité\r\nDU Échographie\r\nDU Dermatologie Pédiatrique\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>Formations complémentaires</h3>\r\nHoméopathie (CEDH)\r\nAnimatrice de portage (IEFAP)\r\nStandardisations des examens systématiques 9,24,36 mois (AFPA)\r\nStandardisations des bilans à 4 ans, fin de GS, fin de CP (AFPA)\r\nBilan d’un trouble du langage oral et écrit (AFPA)\r\nAsthme du nourrisson et de l’enfant (AFPA)\r\n[/efscolumn]\r\n[/efsrow]");
INSERT INTO `wp_postmeta` VALUES("1581", "337", "_rich_content_mon_parcours", "field_542cbe3ea8f27");
INSERT INTO `wp_postmeta` VALUES("1582", "338", "rich_content_mon_parcours", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>DOMAINE D’EXPERTISE</h3>\r\nPédiatrie\r\nNéonatologie\r\nHoméopathie\r\nAllaitement Maternel\r\nPortage\r\n<h3>TITRES ET DIPLÔMES</h3>\r\nAncien Praticien Hospitalier Contractuel du CHU de Nantes\r\nAncien assistant des Hôpitaux de Reims\r\nAncien Interne des Hôpitaux de Reims\r\nDES de Pédiatrie\r\nDESC de Néonatologie\r\nDIU Lactation Humaine et Allaitement Maternel\r\nDIU Initiation aux Soins de Développement chez le nouveau-né et l’enfant\r\nDU Pédiatrie en Maternité\r\nDU Échographie\r\nDU Dermatologie Pédiatrique\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>Formations complémentaires</h3>\r\nHoméopathie (CEDH)\r\nAnimatrice de portage (IEFAP)\r\nStandardisations des examens systématiques 9,24,36 mois (AFPA)\r\nStandardisations des bilans à 4 ans, fin de GS, fin de CP (AFPA)\r\nBilan d’un trouble du langage oral et écrit (AFPA)\r\nAsthme du nourrisson et de l’enfant (AFPA)\r\n[/efscolumn]\r\n[/efsrow]");
INSERT INTO `wp_postmeta` VALUES("1583", "338", "_rich_content_mon_parcours", "field_542cbe3ea8f27");
INSERT INTO `wp_postmeta` VALUES("1584", "339", "address", "<strong style=\"color: #524a48; font-size: 18px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse en janvier 2015 :</i><a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.6374904678996!2d-1.5574691999999997!3d47.22367500000001!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805ee9f7ae296c7%3A0xc8fc0ed21f7293a0!2s52+Rue+Paul+Bellamy%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1413911184115\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nantes</strong></div>");
INSERT INTO `wp_postmeta` VALUES("1585", "339", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("1586", "339", "info", "<strong><span style=\"color: #f6413e;\">Consultations au cabinet : 1 rue Sully, Nantes sur rendez-vous. </span></strong><strong><span style=\"color: #524a48;\">Visites des nouveau-nés : Clinique Brétéché, Nantes.</span></strong>");
INSERT INTO `wp_postmeta` VALUES("1587", "339", "_info", "field_5429ea45d8946");
INSERT INTO `wp_postmeta` VALUES("1588", "139", "rich_content_mon_parcours", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>DOMAINE D’EXPERTISE</h3>\r\nPédiatrie\r\nNéonatologie\r\nHoméopathie\r\nAllaitement Maternel\r\nPortage\r\n<h3>TITRES ET DIPLÔMES</h3>\r\nAncien Praticien Hospitalier Contractuel du CHU de Nantes\r\nAncien assistant des Hôpitaux de Reims\r\nAncien Interne des Hôpitaux de Reims\r\nDES de Pédiatrie\r\nDESC de Néonatologie\r\nDIU Lactation Humaine et Allaitement Maternel\r\nDIU Initiation aux Soins de Développement chez le nouveau-né et l’enfant\r\nDU Pédiatrie en Maternité\r\nDU Échographie\r\nDU Dermatologie Pédiatrique\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>Formations complémentaires</h3>\r\nHoméopathie (CEDH)\r\nAnimatrice de portage (IEFAP)\r\nStandardisations des examens systématiques 9,24,36 mois (AFPA)\r\nStandardisations des bilans à 4 ans, fin de GS, fin de CP (AFPA)\r\nBilan d’un trouble du langage oral et écrit (AFPA)\r\nAsthme du nourrisson et de l’enfant (AFPA)\r\n[/efscolumn]\r\n[/efsrow]");
INSERT INTO `wp_postmeta` VALUES("1589", "139", "_rich_content_mon_parcours", "field_542cbe3ea8f27");
INSERT INTO `wp_postmeta` VALUES("1590", "341", "rich_content_mon_parcours", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>DOMAINE D’EXPERTISE</h3>\r\nPédiatrie\r\nNéonatologie\r\nHoméopathie\r\nAllaitement Maternel\r\nPortage\r\n<h3>TITRES ET DIPLÔMES</h3>\r\nAncien Praticien Hospitalier Contractuel du CHU de Nantes\r\nAncien assistant des Hôpitaux de Reims\r\nAncien Interne des Hôpitaux de Reims\r\nDES de Pédiatrie\r\nDESC de Néonatologie\r\nDIU Lactation Humaine et Allaitement Maternel\r\nDIU Initiation aux Soins de Développement chez le nouveau-né et l’enfant\r\nDU Pédiatrie en Maternité\r\nDU Échographie\r\nDU Dermatologie Pédiatrique\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>Formations complémentaires</h3>\r\nHoméopathie (CEDH)\r\nAnimatrice de portage (IEFAP)\r\nStandardisations des examens systématiques 9,24,36 mois (AFPA)\r\nStandardisations des bilans à 4 ans, fin de GS, fin de CP (AFPA)\r\nBilan d’un trouble du langage oral et écrit (AFPA)\r\nAsthme du nourrisson et de l’enfant (AFPA)\r\n[/efscolumn]\r\n[/efsrow]");
INSERT INTO `wp_postmeta` VALUES("1591", "341", "_rich_content_mon_parcours", "field_542cbe3ea8f27");
INSERT INTO `wp_postmeta` VALUES("1592", "342", "horaires_douverture_image", "293");
INSERT INTO `wp_postmeta` VALUES("1593", "342", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1594", "342", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1595", "342", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1596", "342", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1597", "342", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1598", "342", "honoraires_image", "293");
INSERT INTO `wp_postmeta` VALUES("1599", "342", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1600", "342", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1601", "342", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1602", "342", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1603", "342", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1604", "344", "horaires_douverture_image", "293");
INSERT INTO `wp_postmeta` VALUES("1605", "344", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1606", "344", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1607", "344", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1608", "344", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1609", "344", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1610", "344", "honoraires_image", "293");
INSERT INTO `wp_postmeta` VALUES("1611", "344", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1612", "344", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1613", "344", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1614", "344", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1615", "344", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1616", "345", "rich_content_mon_parcours", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>DOMAINE D’EXPERTISE</h3>\r\nPédiatrie\r\nNéonatologie\r\nHoméopathie\r\nAllaitement Maternel\r\nPortage\r\n<h3>TITRES ET DIPLÔMES</h3>\r\nAncien Praticien Hospitalier Contractuel du CHU de Nantes\r\nAncien assistant des Hôpitaux de Reims\r\nAncien Interne des Hôpitaux de Reims\r\nDES de Pédiatrie\r\nDESC de Néonatologie\r\nDIU Lactation Humaine et Allaitement Maternel\r\nDIU Initiation aux Soins de Développement chez le nouveau-né et l’enfant\r\nDU Pédiatrie en Maternité\r\nDU Échographie\r\nDU Dermatologie Pédiatrique\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>Formations complémentaires</h3>\r\nHoméopathie (CEDH)\r\nAnimatrice de portage (IEFAP)\r\nStandardisations des examens systématiques 9,24,36 mois (AFPA)\r\nStandardisations des bilans à 4 ans, fin de GS, fin de CP (AFPA)\r\nBilan d’un trouble du langage oral et écrit (AFPA)\r\nAsthme du nourrisson et de l’enfant (AFPA)\r\n[/efscolumn]\r\n[/efsrow]");
INSERT INTO `wp_postmeta` VALUES("1617", "345", "_rich_content_mon_parcours", "field_542cbe3ea8f27");
INSERT INTO `wp_postmeta` VALUES("1618", "346", "rich_content_mon_parcours", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>DOMAINE D’EXPERTISE</h3>\r\nPédiatrie\r\nNéonatologie\r\nHoméopathie\r\nAllaitement Maternel\r\nPortage\r\n<h3>TITRES ET DIPLÔMES</h3>\r\nAncien Praticien Hospitalier Contractuel du CHU de Nantes\r\nAncien assistant des Hôpitaux de Reims\r\nAncien Interne des Hôpitaux de Reims\r\nDES de Pédiatrie\r\nDESC de Néonatologie\r\nDIU Lactation Humaine et Allaitement Maternel\r\nDIU Initiation aux Soins de Développement chez le nouveau-né et l’enfant\r\nDU Pédiatrie en Maternité\r\nDU Échographie\r\nDU Dermatologie Pédiatrique\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<h3>Formations complémentaires</h3>\r\nHoméopathie (CEDH)\r\nAnimatrice de portage (IEFAP)\r\nStandardisations des examens systématiques 9,24,36 mois (AFPA)\r\nStandardisations des bilans à 4 ans, fin de GS, fin de CP (AFPA)\r\nBilan d’un trouble du langage oral et écrit (AFPA)\r\nAsthme du nourrisson et de l’enfant (AFPA)\r\n[/efscolumn]\r\n[/efsrow]");
INSERT INTO `wp_postmeta` VALUES("1619", "346", "_rich_content_mon_parcours", "field_542cbe3ea8f27");
INSERT INTO `wp_postmeta` VALUES("1620", "347", "horaires_douverture_image", "293");
INSERT INTO `wp_postmeta` VALUES("1621", "347", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1622", "347", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1623", "347", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1624", "347", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1625", "347", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1626", "347", "honoraires_image", "293");
INSERT INTO `wp_postmeta` VALUES("1627", "347", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1628", "347", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1629", "347", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1630", "347", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1631", "347", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1632", "348", "address", "<strong style=\"color: #524a48; font-size: 18px;\">02 40 74 29 68 </strong>\r\n<strong style=\"color: #f6413e; font-size: 24px; font-family: \'Open Sans Condensed\',sans-serif;\">1 Rue Sully, Nantes</strong>\r\n<div class=\"loc\"><i>Nouvelle adresse le 22 décembre 2014 :</i><a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.6374904678996!2d-1.5574691999999997!3d47.22367500000001!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805ee9f7ae296c7%3A0xc8fc0ed21f7293a0!2s52+Rue+Paul+Bellamy%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1413911184115\"><img class=\"alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a><strong>52 rue Paul Bellamy,</strong><strong>44 000 Nantes</strong></div>");
INSERT INTO `wp_postmeta` VALUES("1633", "348", "_address", "field_5429df650a9a4");
INSERT INTO `wp_postmeta` VALUES("1634", "348", "info", "<strong><span style=\"color: #f6413e;\">Consultations au cabinet : 1 rue Sully, Nantes sur rendez-vous. </span></strong><strong><span style=\"color: #524a48;\">Visites des nouveau-nés : Clinique Brétéché, Nantes.</span></strong>");
INSERT INTO `wp_postmeta` VALUES("1635", "348", "_info", "field_5429ea45d8946");
INSERT INTO `wp_postmeta` VALUES("1636", "349", "post_per_page", "3");
INSERT INTO `wp_postmeta` VALUES("1637", "349", "_post_per_page", "field_542cc99c4ea64");
INSERT INTO `wp_postmeta` VALUES("1638", "350", "post_per_page", "5");
INSERT INTO `wp_postmeta` VALUES("1639", "350", "_post_per_page", "field_542cc99c4ea64");
INSERT INTO `wp_postmeta` VALUES("1640", "351", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1641", "351", "_menu_item_menu_item_parent", "32");
INSERT INTO `wp_postmeta` VALUES("1642", "351", "_menu_item_object_id", "185");
INSERT INTO `wp_postmeta` VALUES("1643", "351", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1644", "351", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1645", "351", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1646", "351", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1647", "351", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1649", "352", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1650", "352", "_menu_item_menu_item_parent", "32");
INSERT INTO `wp_postmeta` VALUES("1651", "352", "_menu_item_object_id", "181");
INSERT INTO `wp_postmeta` VALUES("1652", "352", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1653", "352", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1654", "352", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1655", "352", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1656", "352", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1658", "353", "horaires_douverture_image", "293");
INSERT INTO `wp_postmeta` VALUES("1659", "353", "_horaires_douverture_image", "field_542b7cf96d3ae");
INSERT INTO `wp_postmeta` VALUES("1660", "353", "horaires_douverture_text", "Horaires d’ouverture");
INSERT INTO `wp_postmeta` VALUES("1661", "353", "_horaires_douverture_text", "field_542b7d4c6d3b0");
INSERT INTO `wp_postmeta` VALUES("1662", "353", "horaires_douverture_link", "181");
INSERT INTO `wp_postmeta` VALUES("1663", "353", "_horaires_douverture_link", "field_542cb973a9d50");
INSERT INTO `wp_postmeta` VALUES("1664", "353", "honoraires_image", "293");
INSERT INTO `wp_postmeta` VALUES("1665", "353", "_honoraires_image", "field_542b7d836d3b1");
INSERT INTO `wp_postmeta` VALUES("1666", "353", "honoraires_text", "Honoraires");
INSERT INTO `wp_postmeta` VALUES("1667", "353", "_honoraires_text", "field_542b7d9d6d3b2");
INSERT INTO `wp_postmeta` VALUES("1668", "353", "honoraires_link", "185");
INSERT INTO `wp_postmeta` VALUES("1669", "353", "_honoraires_link", "field_542cb99ea9d52");
INSERT INTO `wp_postmeta` VALUES("1670", "177", "rule", "a:5:{s:5:\"param\";s:13:\"page_template\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:28:\"templates/espace-patient.php\";s:8:\"order_no\";i:0;s:8:\"group_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("1671", "356", "espace_sections_0_espace_image", "283");
INSERT INTO `wp_postmeta` VALUES("1672", "356", "_espace_sections_0_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1673", "356", "espace_sections_0_espace_title", "Documents à imprimer");
INSERT INTO `wp_postmeta` VALUES("1674", "356", "_espace_sections_0_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1675", "356", "espace_sections_0_espace_text", "Diverses fiches informatives à imprimer.");
INSERT INTO `wp_postmeta` VALUES("1676", "356", "_espace_sections_0_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1677", "356", "espace_sections_0_espace_link", "268");
INSERT INTO `wp_postmeta` VALUES("1678", "356", "_espace_sections_0_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1679", "356", "espace_sections_1_espace_image", "284");
INSERT INTO `wp_postmeta` VALUES("1680", "356", "_espace_sections_1_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1681", "356", "espace_sections_1_espace_title", "Questionnaires des visites de dépistage");
INSERT INTO `wp_postmeta` VALUES("1682", "356", "_espace_sections_1_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1683", "356", "espace_sections_1_espace_text", "Téléchargez votre questionnaire.");
INSERT INTO `wp_postmeta` VALUES("1684", "356", "_espace_sections_1_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1685", "356", "espace_sections_1_espace_link", "287");
INSERT INTO `wp_postmeta` VALUES("1686", "356", "_espace_sections_1_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1687", "356", "espace_sections_2_espace_image", "285");
INSERT INTO `wp_postmeta` VALUES("1688", "356", "_espace_sections_2_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1689", "356", "espace_sections_2_espace_title", "Annuaires des spécialistes");
INSERT INTO `wp_postmeta` VALUES("1690", "356", "_espace_sections_2_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1691", "356", "espace_sections_2_espace_text", "A votre disposition un annuaire de spécialistes pour des consultations spécifiques.");
INSERT INTO `wp_postmeta` VALUES("1692", "356", "_espace_sections_2_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1693", "356", "espace_sections_2_espace_link", "290");
INSERT INTO `wp_postmeta` VALUES("1694", "356", "_espace_sections_2_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1695", "356", "espace_sections", "3");
INSERT INTO `wp_postmeta` VALUES("1696", "356", "_espace_sections", "field_54362c50ee8fa");
INSERT INTO `wp_postmeta` VALUES("1697", "357", "espace_sections_0_espace_image", "283");
INSERT INTO `wp_postmeta` VALUES("1698", "357", "_espace_sections_0_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1699", "357", "espace_sections_0_espace_title", "Documents à imprimer");
INSERT INTO `wp_postmeta` VALUES("1700", "357", "_espace_sections_0_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1701", "357", "espace_sections_0_espace_text", "Diverses fiches informatives à imprimer.");
INSERT INTO `wp_postmeta` VALUES("1702", "357", "_espace_sections_0_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1703", "357", "espace_sections_0_espace_link", "268");
INSERT INTO `wp_postmeta` VALUES("1704", "357", "_espace_sections_0_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1705", "357", "espace_sections_1_espace_image", "284");
INSERT INTO `wp_postmeta` VALUES("1706", "357", "_espace_sections_1_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1707", "357", "espace_sections_1_espace_title", "Questionnaires des visites de dépistage");
INSERT INTO `wp_postmeta` VALUES("1708", "357", "_espace_sections_1_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1709", "357", "espace_sections_1_espace_text", "Téléchargez votre questionnaire.");
INSERT INTO `wp_postmeta` VALUES("1710", "357", "_espace_sections_1_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1711", "357", "espace_sections_1_espace_link", "287");
INSERT INTO `wp_postmeta` VALUES("1712", "357", "_espace_sections_1_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1713", "357", "espace_sections_2_espace_image", "285");
INSERT INTO `wp_postmeta` VALUES("1714", "357", "_espace_sections_2_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1715", "357", "espace_sections_2_espace_title", "Annuaires des spécialistes");
INSERT INTO `wp_postmeta` VALUES("1716", "357", "_espace_sections_2_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1717", "357", "espace_sections_2_espace_text", "A votre disposition un annuaire de spécialistes pour des consultations spécifiques.");
INSERT INTO `wp_postmeta` VALUES("1718", "357", "_espace_sections_2_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1719", "357", "espace_sections_2_espace_link", "290");
INSERT INTO `wp_postmeta` VALUES("1720", "357", "_espace_sections_2_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1721", "357", "espace_sections", "3");
INSERT INTO `wp_postmeta` VALUES("1722", "357", "_espace_sections", "field_54362c50ee8fa");
INSERT INTO `wp_postmeta` VALUES("1723", "358", "espace_sections_0_espace_image", "283");
INSERT INTO `wp_postmeta` VALUES("1724", "358", "_espace_sections_0_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1725", "358", "espace_sections_0_espace_title", "Documents à imprimer");
INSERT INTO `wp_postmeta` VALUES("1726", "358", "_espace_sections_0_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1727", "358", "espace_sections_0_espace_text", "Diverses fiches informatives à imprimer.");
INSERT INTO `wp_postmeta` VALUES("1728", "358", "_espace_sections_0_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1729", "358", "espace_sections_0_espace_link", "268");
INSERT INTO `wp_postmeta` VALUES("1730", "358", "_espace_sections_0_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1731", "358", "espace_sections_1_espace_image", "284");
INSERT INTO `wp_postmeta` VALUES("1732", "358", "_espace_sections_1_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1733", "358", "espace_sections_1_espace_title", "Questionnaires des visites de dépistage");
INSERT INTO `wp_postmeta` VALUES("1734", "358", "_espace_sections_1_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1735", "358", "espace_sections_1_espace_text", "Téléchargez votre questionnaire.");
INSERT INTO `wp_postmeta` VALUES("1736", "358", "_espace_sections_1_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1737", "358", "espace_sections_1_espace_link", "287");
INSERT INTO `wp_postmeta` VALUES("1738", "358", "_espace_sections_1_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1739", "358", "espace_sections_2_espace_image", "285");
INSERT INTO `wp_postmeta` VALUES("1740", "358", "_espace_sections_2_espace_image", "field_54362caa8da63");
INSERT INTO `wp_postmeta` VALUES("1741", "358", "espace_sections_2_espace_title", "Annuaires des spécialistes");
INSERT INTO `wp_postmeta` VALUES("1742", "358", "_espace_sections_2_espace_title", "field_54362cbd8da64");
INSERT INTO `wp_postmeta` VALUES("1743", "358", "espace_sections_2_espace_text", "A votre disposition un annuaire de spécialistes pour des consultations spécifiques.");
INSERT INTO `wp_postmeta` VALUES("1744", "358", "_espace_sections_2_espace_text", "field_54362cc78da65");
INSERT INTO `wp_postmeta` VALUES("1745", "358", "espace_sections_2_espace_link", "290");
INSERT INTO `wp_postmeta` VALUES("1746", "358", "_espace_sections_2_espace_link", "field_54362cd58da66");
INSERT INTO `wp_postmeta` VALUES("1747", "358", "espace_sections", "3");
INSERT INTO `wp_postmeta` VALUES("1748", "358", "_espace_sections", "field_54362c50ee8fa");
INSERT INTO `wp_postmeta` VALUES("1749", "359", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1750", "359", "field_544e897fdd234", "a:13:{s:3:\"key\";s:19:\"field_544e897fdd234\";s:5:\"label\";s:21:\"Show on the Home page\";s:4:\"name\";s:22:\"afficher_sur_la_maison\";s:4:\"type\";s:5:\"radio\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:7:\"choices\";a:2:{s:3:\"Yes\";s:3:\"Yes\";s:2:\"No\";s:2:\"No\";}s:12:\"other_choice\";s:1:\"0\";s:17:\"save_other_choice\";s:1:\"0\";s:13:\"default_value\";s:2:\"No\";s:6:\"layout\";s:10:\"horizontal\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:2:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("1752", "359", "position", "acf_after_title");
INSERT INTO `wp_postmeta` VALUES("1753", "359", "layout", "no_box");
INSERT INTO `wp_postmeta` VALUES("1754", "359", "hide_on_screen", "");
INSERT INTO `wp_postmeta` VALUES("1755", "359", "_edit_lock", "1414434049:1");
INSERT INTO `wp_postmeta` VALUES("1758", "241", "afficher_sur_la_maison", "Yes");
INSERT INTO `wp_postmeta` VALUES("1759", "241", "_afficher_sur_la_maison", "field_544e897fdd234");
INSERT INTO `wp_postmeta` VALUES("1762", "359", "rule", "a:5:{s:5:\"param\";s:9:\"post_type\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:13:\"suivi-medical\";s:8:\"order_no\";i:0;s:8:\"group_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("1763", "245", "afficher_sur_la_maison", "Yes");
INSERT INTO `wp_postmeta` VALUES("1764", "245", "_afficher_sur_la_maison", "field_544e897fdd234");
INSERT INTO `wp_postmeta` VALUES("1765", "229", "afficher_sur_la_maison", "No");
INSERT INTO `wp_postmeta` VALUES("1766", "229", "_afficher_sur_la_maison", "field_544e897fdd234");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("7", "1", "2014-06-03 17:47:57", "0000-00-00 00:00:00", "", "Body Background", "", "draft", "closed", "closed", "", "of-body_background", "", "", "2014-06-03 17:47:57", "0000-00-00 00:00:00", "", "0", "http://krooga.net/pascalinegrue/?post_type=optionsframework&p=7", "0", "optionsframework", "", "0");
INSERT INTO `wp_posts` VALUES("8", "1", "2014-06-03 17:47:58", "0000-00-00 00:00:00", "", "Logo Url", "", "draft", "closed", "closed", "", "of-logo_url", "", "", "2014-06-03 17:47:58", "0000-00-00 00:00:00", "", "0", "http://krooga.net/pascalinegrue/?post_type=optionsframework&p=8", "0", "optionsframework", "", "0");
INSERT INTO `wp_posts` VALUES("9", "1", "2014-06-03 17:47:58", "0000-00-00 00:00:00", "", "Favicon", "", "draft", "closed", "closed", "", "of-favicon", "", "", "2014-06-03 17:47:58", "0000-00-00 00:00:00", "", "0", "http://krooga.net/pascalinegrue/?post_type=optionsframework&p=9", "0", "optionsframework", "", "0");
INSERT INTO `wp_posts` VALUES("11", "1", "2014-06-04 20:17:02", "2014-06-04 19:17:02", "", "Suivi médical", "", "publish", "open", "closed", "", "suivimedical", "", "", "2014-10-24 17:16:28", "2014-10-24 16:16:28", "", "0", "http://krooga.net/pascalinegrue/?page_id=11", "1", "page", "", "0");
INSERT INTO `wp_posts` VALUES("12", "1", "2014-06-04 20:17:02", "2014-06-04 19:17:02", "", "Suivi médical", "", "inherit", "open", "open", "", "11-revision-v1", "", "", "2014-06-04 20:17:02", "2014-06-04 19:17:02", "", "11", "http://krooga.net/pascalinegrue/?p=12", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("13", "1", "2014-06-04 20:17:36", "2014-06-04 19:17:36", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact &amp; Accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n02 40 74 29 68\r\n1 rue Sully, 44 000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : Duchesse Anne ligne 1\r\nArrêt de bus : Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Nouvelle adresse le 22 décembre 2014 : <a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\"><img class=\"marker\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a></strong>\r\n52 rue Paul Bellamy, 44 000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus : Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n<strong>Mail :</strong> cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médical ne sera donner par mail. Ce mail ne remplace en aucune façon une consultation médicale. Il est transmis à la secrétaire pour traitement.\r\nLa prise des RDV sera possible par mail à partir du 22 décembre 2014.\r\n\r\n&nbsp;", "Le cabinet", "", "publish", "open", "open", "", "le-cabinet", "", "", "2014-10-24 17:32:26", "2014-10-24 16:32:26", "", "0", "http://krooga.net/pascalinegrue/?page_id=13", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("14", "1", "2014-06-04 20:17:36", "2014-06-04 19:17:36", "", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-06-04 20:17:36", "2014-06-04 19:17:36", "", "13", "http://krooga.net/pascalinegrue/?p=14", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("15", "1", "2014-06-04 20:17:53", "2014-06-04 19:17:53", "", "Conseils", "", "publish", "open", "open", "", "conseils", "", "", "2014-10-08 04:30:07", "2014-10-08 03:30:07", "", "0", "http://krooga.net/pascalinegrue/?page_id=15", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("16", "1", "2014-06-04 20:17:53", "2014-06-04 19:17:53", "", "Conseils", "", "inherit", "open", "open", "", "15-revision-v1", "", "", "2014-06-04 20:17:53", "2014-06-04 19:17:53", "", "15", "http://krooga.net/pascalinegrue/?p=16", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("21", "1", "2014-06-04 20:29:32", "2014-06-04 19:29:32", "", "Sample Image", "", "publish", "closed", "closed", "", "sample-image", "", "", "2014-06-04 20:58:23", "2014-06-04 19:58:23", "", "0", "http://krooga.net/pascalinegrue/?post_type=slider&#038;p=21", "0", "slider", "", "0");
INSERT INTO `wp_posts` VALUES("31", "1", "2014-06-05 13:48:35", "2014-06-05 12:48:35", " ", "", "", "publish", "open", "open", "", "31", "", "", "2014-10-24 17:23:15", "2014-10-24 16:23:15", "", "0", "http://krooga.net/pascalinegrue/?p=31", "9", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("32", "1", "2014-06-05 13:48:35", "2014-06-05 12:48:35", " ", "", "", "publish", "open", "open", "", "32", "", "", "2014-10-24 17:23:14", "2014-10-24 16:23:14", "", "0", "http://krooga.net/pascalinegrue/?p=32", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("33", "1", "2014-06-05 13:48:35", "2014-06-05 12:48:35", " ", "", "", "publish", "open", "open", "", "33", "", "", "2014-10-24 17:23:14", "2014-10-24 16:23:14", "", "0", "http://krooga.net/pascalinegrue/?p=33", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("38", "1", "2014-06-05 14:16:19", "0000-00-00 00:00:00", "", "Image", "", "draft", "closed", "closed", "", "", "", "", "2014-06-05 14:16:19", "2014-06-05 13:16:19", "", "0", "http://krooga.net/pascalinegrue/?post_type=slider&#038;p=38", "0", "slider", "", "0");
INSERT INTO `wp_posts` VALUES("50", "1", "2014-09-29 21:20:46", "2014-09-29 20:20:46", "<img class=\"margin_bottom_img alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée\r\nHonoraires libres\r\nSecteur 2", "Maison", "", "publish", "open", "open", "", "maison", "", "", "2014-10-24 17:03:11", "2014-10-24 16:03:11", "", "0", "http://krooga.net/clients/pascalinegrue/?page_id=50", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("51", "1", "2014-09-29 21:20:46", "2014-09-29 20:20:46", "", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-29 21:20:46", "2014-09-29 20:20:46", "", "50", "http://krooga.net/clients/pascalinegrue/?p=51", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("52", "1", "2014-09-29 21:30:55", "2014-09-29 20:30:55", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/header-image.jpg", "header-image.jpg", "", "inherit", "closed", "open", "", "header-image-jpg", "", "", "2014-09-29 21:30:55", "2014-09-29 20:30:55", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/header-image.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("56", "1", "2014-09-29 23:09:21", "2014-09-29 22:09:21", " ", "", "", "publish", "open", "open", "", "56", "", "", "2014-10-09 06:02:00", "2014-10-09 05:02:00", "", "0", "http://krooga.net/clients/pascalinegrue/?p=56", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("57", "1", "2014-09-29 23:09:21", "2014-09-29 22:09:21", " ", "", "", "publish", "open", "open", "", "57", "", "", "2014-10-09 06:02:00", "2014-10-09 05:02:00", "", "0", "http://krooga.net/clients/pascalinegrue/?p=57", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("58", "1", "2014-09-29 23:09:22", "2014-09-29 22:09:22", " ", "", "", "publish", "open", "open", "", "58", "", "", "2014-10-09 06:02:01", "2014-10-09 05:02:01", "", "0", "http://krooga.net/clients/pascalinegrue/?p=58", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("62", "1", "2014-09-29 23:31:05", "2014-09-29 22:31:05", "", "doctor", "", "inherit", "open", "open", "", "doctor", "", "", "2014-09-29 23:31:05", "2014-09-29 22:31:05", "", "50", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("63", "1", "2014-09-29 23:31:38", "2014-09-29 22:31:38", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />\r\nPédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-29 23:31:38", "2014-09-29 22:31:38", "", "50", "http://krooga.net/clients/pascalinegrue/?p=63", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("64", "1", "2014-09-29 23:32:02", "2014-09-29 22:32:02", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-29 23:32:02", "2014-09-29 22:32:02", "", "50", "http://krooga.net/clients/pascalinegrue/?p=64", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("65", "1", "2014-09-29 23:40:49", "2014-09-29 22:40:49", "", "map", "", "inherit", "open", "open", "", "map", "", "", "2014-09-29 23:40:49", "2014-09-29 22:40:49", "", "50", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/map.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("66", "1", "2014-09-29 23:42:23", "2014-09-29 22:42:23", "", "Home Page", "", "publish", "closed", "closed", "", "acf_home-page", "", "", "2014-09-30 00:28:47", "2014-09-29 23:28:47", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=acf&#038;p=66", "0", "acf", "", "0");
INSERT INTO `wp_posts` VALUES("67", "1", "2014-09-29 23:43:56", "2014-09-29 22:43:56", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-29 23:43:56", "2014-09-29 22:43:56", "", "50", "http://krooga.net/clients/pascalinegrue/?p=67", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("68", "1", "2014-09-29 23:46:09", "2014-09-29 22:46:09", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-29 23:46:09", "2014-09-29 22:46:09", "", "50", "http://krooga.net/clients/pascalinegrue/?p=68", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("69", "1", "2014-09-29 23:46:42", "2014-09-29 22:46:42", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-29 23:46:42", "2014-09-29 22:46:42", "", "50", "http://krooga.net/clients/pascalinegrue/?p=69", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("70", "1", "2014-09-29 23:47:20", "2014-09-29 22:47:20", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-29 23:47:20", "2014-09-29 22:47:20", "", "50", "http://krooga.net/clients/pascalinegrue/?p=70", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("71", "1", "2014-09-29 23:47:31", "2014-09-29 22:47:31", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-29 23:47:31", "2014-09-29 22:47:31", "", "50", "http://krooga.net/clients/pascalinegrue/?p=71", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("72", "1", "2014-09-29 23:49:00", "2014-09-29 22:49:00", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-29 23:49:00", "2014-09-29 22:49:00", "", "50", "http://krooga.net/clients/pascalinegrue/?p=72", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("73", "1", "2014-09-29 23:50:09", "2014-09-29 22:50:09", "", "marker", "", "inherit", "open", "open", "", "marker", "", "", "2014-09-29 23:50:09", "2014-09-29 22:50:09", "", "50", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("74", "1", "2014-09-29 23:51:14", "2014-09-29 22:51:14", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-29 23:51:14", "2014-09-29 22:51:14", "", "50", "http://krooga.net/clients/pascalinegrue/?p=74", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("75", "1", "2014-09-29 23:52:56", "2014-09-29 22:52:56", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-29 23:52:56", "2014-09-29 22:52:56", "", "50", "http://krooga.net/clients/pascalinegrue/?p=75", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("76", "1", "2014-09-29 23:55:24", "2014-09-29 22:55:24", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-29 23:55:24", "2014-09-29 22:55:24", "", "50", "http://krooga.net/clients/pascalinegrue/?p=76", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("77", "1", "2014-09-29 23:55:59", "2014-09-29 22:55:59", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-29 23:55:59", "2014-09-29 22:55:59", "", "50", "http://krooga.net/clients/pascalinegrue/?p=77", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("78", "1", "2014-09-29 23:59:03", "2014-09-29 22:59:03", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-29 23:59:03", "2014-09-29 22:59:03", "", "50", "http://krooga.net/clients/pascalinegrue/?p=78", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79", "1", "2014-09-30 00:00:02", "2014-09-29 23:00:02", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-30 00:00:02", "2014-09-29 23:00:02", "", "50", "http://krooga.net/clients/pascalinegrue/?p=79", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("80", "1", "2014-09-30 00:01:20", "2014-09-29 23:01:20", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-30 00:01:20", "2014-09-29 23:01:20", "", "50", "http://krooga.net/clients/pascalinegrue/?p=80", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("81", "1", "2014-09-30 00:08:23", "2014-09-29 23:08:23", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-30 00:08:23", "2014-09-29 23:08:23", "", "50", "http://krooga.net/clients/pascalinegrue/?p=81", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("82", "1", "2014-09-30 00:15:59", "2014-09-29 23:15:59", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-30 00:15:59", "2014-09-29 23:15:59", "", "50", "http://krooga.net/clients/pascalinegrue/?p=82", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("83", "1", "2014-09-30 00:20:28", "2014-09-29 23:20:28", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-30 00:20:28", "2014-09-29 23:20:28", "", "50", "http://krooga.net/clients/pascalinegrue/?p=83", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("84", "1", "2014-09-30 00:26:39", "2014-09-29 23:26:39", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-30 00:26:39", "2014-09-29 23:26:39", "", "50", "http://krooga.net/clients/pascalinegrue/?p=84", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("85", "1", "2014-09-30 00:31:01", "2014-09-29 23:31:01", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-30 00:31:01", "2014-09-29 23:31:01", "", "50", "http://krooga.net/clients/pascalinegrue/?p=85", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("86", "1", "2014-09-30 00:31:34", "2014-09-29 23:31:34", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-09-30 00:31:34", "2014-09-29 23:31:34", "", "50", "http://krooga.net/clients/pascalinegrue/?p=86", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("87", "1", "2014-10-01 03:11:06", "2014-10-01 02:11:06", "", "Untitled-1", "", "inherit", "open", "open", "", "untitled-1", "", "", "2014-10-01 06:01:57", "2014-10-01 05:01:57", "", "109", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Untitled-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("88", "1", "2014-10-01 03:11:06", "2014-10-01 02:11:06", "", "Untitled-2", "", "inherit", "open", "open", "", "untitled-2", "", "", "2014-10-01 03:11:06", "2014-10-01 02:11:06", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Untitled-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("94", "1", "2014-10-01 05:02:51", "2014-10-01 04:02:51", "<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe>", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-01 05:02:51", "2014-10-01 04:02:51", "", "13", "http://krooga.net/clients/pascalinegrue/?p=94", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("95", "1", "2014-10-01 05:03:36", "2014-10-01 04:03:36", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-01 05:03:36", "2014-10-01 04:03:36", "", "13", "http://krooga.net/clients/pascalinegrue/?p=95", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("96", "1", "2014-10-01 05:09:57", "2014-10-01 04:09:57", "", "Le Cabinet", "", "publish", "closed", "closed", "", "acf_le-cabinet", "", "", "2014-10-15 20:37:46", "2014-10-15 19:37:46", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=acf&#038;p=96", "0", "acf", "", "0");
INSERT INTO `wp_posts` VALUES("97", "1", "2014-10-01 05:12:05", "2014-10-01 04:12:05", "", "le-cab", "", "inherit", "open", "open", "", "le-cab", "", "", "2014-10-01 05:12:05", "2014-10-01 04:12:05", "", "13", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/06/le-cab.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("98", "1", "2014-10-01 05:12:30", "2014-10-01 04:12:30", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-01 05:12:30", "2014-10-01 04:12:30", "", "13", "http://krooga.net/clients/pascalinegrue/?p=98", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("99", "1", "2014-10-01 05:28:42", "2014-10-01 04:28:42", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-01 05:28:42", "2014-10-01 04:28:42", "", "13", "http://krooga.net/clients/pascalinegrue/?p=99", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("100", "1", "2014-10-01 05:40:02", "2014-10-01 04:40:02", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLe <strong>Docteur Pascaline Grué-Fertin</strong> travaille à la maternité de la <strong>Clinique Bretéché</strong> à Nantes. Les pédiatres de la Clinique assurent les visites des nouveau-nés au cours du séjour.\r\nUne unité Kangourou située au sein de la maternité permet d’accueillir les nouveaunés nécessitant des soins spécifiques. Elle permet de prendre en charge des bébés légèrement prématurés (&gt;35 SA), des bébés de faible poids de naissance (&gt;1800g), des bébés présentant des difficultés légères d’adaptation à la vie extra-utérine, des bébés nécessitant une antibiothérapie ou une surveillance rapprochée. <strong>Une garde est assurée 24h/24 par un pédiatre.</strong>\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Adresse :</strong>\r\nClinique Bretéché\r\nBâtiment Platon\r\n3 rue Béraudière, BP 54613\r\n44 046 Nantes Cedex 1\r\n08 90 71 07 11\r\nUrgences Maternité : 02 51 86 86 58\r\n\r\n<a title=\"Gynecologue obstetricien Nantes\" href=\"http://www.gynecologue-obstetricien-nantes.fr\">Gynécologue Obstétricien Nantes</a>\r\n<a title=\"Clinique Breteche\" href=\"http://www.clinique-breteche.fr/hospitalisation/maternite.html\">Clinique Brétéché</a>[/efscolumn]\r\n[/efsrow]\r\n<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d10838.049418981029!2d-1.5440366972534103!3d47.22612316074859!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805ee96ed52f257%3A0x311004568604e47!2zQ2xpbmlxdWUgQnJldMOpY2jDqQ!5e0!3m2!1sen!2sua!4v1413911375132\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "La maternité", "", "publish", "open", "open", "", "la-maternite", "", "", "2014-10-24 11:37:54", "2014-10-24 10:37:54", "", "0", "http://krooga.net/clients/pascalinegrue/?page_id=100", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("101", "1", "2014-10-01 05:40:02", "2014-10-01 04:40:02", "[column lg=\"6\"]Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.[/column]\r\n[column lg=\"6\"]Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.[/column]", "La maternité", "", "inherit", "open", "open", "", "100-revision-v1", "", "", "2014-10-01 05:40:02", "2014-10-01 04:40:02", "", "100", "http://krooga.net/clients/pascalinegrue/100-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("102", "1", "2014-10-01 05:40:31", "2014-10-01 04:40:31", " ", "", "", "publish", "open", "open", "", "102", "", "", "2014-10-09 06:02:01", "2014-10-09 05:02:01", "", "0", "http://krooga.net/clients/pascalinegrue/?p=102", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("103", "1", "2014-10-01 05:41:01", "2014-10-01 04:41:01", " ", "", "", "publish", "open", "open", "", "103", "", "", "2014-10-24 17:23:15", "2014-10-24 16:23:15", "", "0", "http://krooga.net/clients/pascalinegrue/?p=103", "8", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("104", "1", "2014-10-01 05:43:04", "2014-10-01 04:43:04", "[column lg=\"6\"]Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.[/column]\r\n[column lg=\"6\"]Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.[/column]\r\n\r\n<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "La maternité", "", "inherit", "open", "open", "", "100-revision-v1", "", "", "2014-10-01 05:43:04", "2014-10-01 04:43:04", "", "100", "http://krooga.net/clients/pascalinegrue/100-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("105", "1", "2014-10-10 14:45:12", "2014-10-10 13:45:12", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLe <strong>Docteur Pascaline Grué-Fertin</strong> travaille à la maternité de la <strong>Clinique Bretéché</strong> à Nantes. Les pédiatres de la Clinique assurent les visites des nouveau-nés au cours du séjour.\r\nUne unité Kangourou située au sein de la maternité permet d’accueillir les nouveaunés nécessitant des soins spécifiques. Elle permet de prendre en charge des bébés légèrement prématurés (&gt;35 SA), des bébés de faible poids de naissance (&gt;1800g), des bébés présentant des difficultés légères d’adaptation à la vie extra-utérine, des bébés nécessitant une antibiothérapie ou une surveillance rapprochée. <strong>Une garde est assurée 24h/24 par un pédiatre.</strong>\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Adresse :</strong>\r\nClinique Bretéché\r\nBâtiment Platon\r\n3 rue Béraudière, BP 54613\r\n44046 Nantes Cedex 1\r\n0890710711\r\nUrgences Maternité : 0251868658\r\n\r\n<a title=\"Gynecologue obstetricien Nantes\" href=\"http://www.gynecologue-obstetricien-nantes.fr\">Gynécologue Obstétricien Nantes</a>\r\n<a title=\"Clinique Breteche\" href=\"http://www.clinique-breteche.fr/hospitalisation/maternite.html\">Clinique Brétéché</a>[/efscolumn]\r\n[/efsrow]\r\n<div class=\"map\"><iframe style=\"border: 0;\" src=\"<iframe src=\"https://www.google.com/maps/embed?pb=!1m12!1m8!1m3!1d5419.081753750044!2d-1.544726000388685!3d47.22556516107047!3m2!1i1024!2i768!4f13.1!2m1!1s3+rue+B%C3%A9raudi%C3%A8re%2C+BP+54613+44046+Nantes+Cedex+1!5e0!3m2!1sfr!2sfr!4v1412948460759\" width=\"600\" height=\"450\" frameborder=\"0\" style=\"border:0\"></iframe>\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "La maternité", "", "inherit", "open", "open", "", "100-autosave-v1", "", "", "2014-10-10 14:45:12", "2014-10-10 13:45:12", "", "100", "http://krooga.net/clients/pascalinegrue/100-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("106", "1", "2014-10-01 05:44:30", "2014-10-01 04:44:30", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "La maternité", "", "inherit", "open", "open", "", "100-revision-v1", "", "", "2014-10-01 05:44:30", "2014-10-01 04:44:30", "", "100", "http://krooga.net/clients/pascalinegrue/100-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("107", "1", "2014-10-01 05:45:00", "2014-10-01 04:45:00", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe>", "La maternité", "", "inherit", "open", "open", "", "100-revision-v1", "", "", "2014-10-01 05:45:00", "2014-10-01 04:45:00", "", "100", "http://krooga.net/clients/pascalinegrue/100-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("108", "1", "2014-10-01 05:45:39", "2014-10-01 04:45:39", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n[/efscolumn]\r\n[/efsrow]\r\n<div class=\"map\">\r\n<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "La maternité", "", "inherit", "open", "open", "", "100-revision-v1", "", "", "2014-10-01 05:45:39", "2014-10-01 04:45:39", "", "100", "http://krooga.net/clients/pascalinegrue/100-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("109", "1", "2014-10-01 05:59:41", "2014-10-01 04:59:41", "<img class=\"alignleft size-full wp-image-87\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Untitled-1.png\" alt=\"Untitled-1\" width=\"158\" height=\"158\" />Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis.\r\n\r\nDuis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis.[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.\r\n[/efscolumn]\r\n[/efsrow]", "Default Page", "", "publish", "open", "open", "", "default-page", "", "", "2014-10-02 03:44:38", "2014-10-02 02:44:38", "", "0", "http://krooga.net/clients/pascalinegrue/?page_id=109", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("110", "1", "2014-10-01 05:59:41", "2014-10-01 04:59:41", "Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis.\r\n\r\nDuis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis.[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.\r\n[/efscolumn]\r\n[/efsrow]", "Header", "", "inherit", "open", "open", "", "109-revision-v1", "", "", "2014-10-01 05:59:41", "2014-10-01 04:59:41", "", "109", "http://krooga.net/clients/pascalinegrue/109-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("111", "1", "2014-10-01 06:01:59", "2014-10-01 05:01:59", "<img class=\"alignleft size-full wp-image-87\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Untitled-1.png\" alt=\"Untitled-1\" width=\"158\" height=\"158\" />Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis.\r\n\r\nDuis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis.[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.\r\n[/efscolumn]\r\n[/efsrow]", "Header", "", "inherit", "open", "open", "", "109-revision-v1", "", "", "2014-10-01 06:01:59", "2014-10-01 05:01:59", "", "109", "http://krooga.net/clients/pascalinegrue/109-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("112", "1", "2014-10-02 03:41:55", "2014-10-02 02:41:55", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-02 03:41:55", "2014-10-02 02:41:55", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("113", "1", "2014-10-02 03:44:28", "2014-10-02 02:44:28", "<img class=\"alignleft size-full wp-image-87\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Untitled-1.png\" alt=\"Untitled-1\" width=\"158\" height=\"158\" />Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis.\r\n\r\nDuis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis.[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.\r\n[/efscolumn]\r\n[/efsrow]", "Default Page", "", "inherit", "open", "open", "", "109-revision-v1", "", "", "2014-10-02 03:44:28", "2014-10-02 02:44:28", "", "109", "http://krooga.net/clients/pascalinegrue/109-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("114", "1", "2014-10-02 03:46:56", "2014-10-02 02:46:56", "<strong>Phone :</strong> 02 40 74 29 68\r\n<strong>Email :</strong> contact@pediatregruenantes.fr\r\n\r\nAttention aucun conseil médical ne sera donner par mail. Ce mail ne remplace en aucune façon une consultation médicale. Il est transmis à la secrétaire pour traitement. La prise des RDV sera possible par mail à partir du 22 décembre 2014.\r\n\r\nInscription au tableau de l’Ordre des Médecins de Loire-Atlantique :\r\nN° 9476\r\nN° RPPS: 10100070415", "Mon parcours", "", "publish", "open", "open", "", "mon-parcours", "", "", "2014-10-24 11:39:57", "2014-10-24 10:39:57", "", "0", "http://krooga.net/clients/pascalinegrue/?page_id=114", "6", "page", "", "0");
INSERT INTO `wp_posts` VALUES("115", "1", "2014-10-02 03:46:56", "2014-10-02 02:46:56", "", "Mon parcours", "", "inherit", "open", "open", "", "114-revision-v1", "", "", "2014-10-02 03:46:56", "2014-10-02 02:46:56", "", "114", "http://krooga.net/clients/pascalinegrue/114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("116", "1", "2014-10-02 03:51:27", "2014-10-02 02:51:27", "", "big_photo", "", "inherit", "open", "open", "", "big_photo", "", "", "2014-10-02 03:51:27", "2014-10-02 02:51:27", "", "114", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/big_photo.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("117", "1", "2014-10-02 03:51:56", "2014-10-02 02:51:56", " ", "", "", "publish", "open", "open", "", "117", "", "", "2014-10-24 17:23:15", "2014-10-24 16:23:15", "", "0", "http://krooga.net/clients/pascalinegrue/?p=117", "15", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("118", "1", "2014-10-02 03:52:09", "2014-10-02 02:52:09", " ", "", "", "publish", "open", "open", "", "118", "", "", "2014-10-09 06:02:01", "2014-10-09 05:02:01", "", "0", "http://krooga.net/clients/pascalinegrue/?p=118", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("119", "1", "2014-10-02 03:54:36", "2014-10-02 02:54:36", "Phone: xxx-xxx-xxxx \r\nFax: xxx-xxx-xxxx \r\nEmail: office@somedomain.com \r\n\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.", "Mon parcours", "", "inherit", "open", "open", "", "114-revision-v1", "", "", "2014-10-02 03:54:36", "2014-10-02 02:54:36", "", "114", "http://krooga.net/clients/pascalinegrue/114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("120", "1", "2014-10-02 03:56:46", "2014-10-02 02:56:46", "", "Mon parcours", "", "publish", "closed", "closed", "", "acf_mon-parcours", "", "", "2014-10-09 12:49:57", "2014-10-09 11:49:57", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=acf&#038;p=120", "0", "acf", "", "0");
INSERT INTO `wp_posts` VALUES("122", "1", "2014-10-02 03:58:56", "2014-10-02 02:58:56", "Phone: xxx-xxx-xxxx\r\nFax: xxx-xxx-xxxx\r\nEmail: office@somedomain.com\r\n\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.", "Mon parcours", "", "inherit", "open", "open", "", "114-revision-v1", "", "", "2014-10-02 03:58:56", "2014-10-02 02:58:56", "", "114", "http://krooga.net/clients/pascalinegrue/114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("123", "1", "2014-10-02 04:05:12", "2014-10-02 03:05:12", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-02 04:05:12", "2014-10-02 03:05:12", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("124", "1", "2014-10-02 04:08:26", "2014-10-02 03:08:26", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-02 04:08:26", "2014-10-02 03:08:26", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("133", "1", "2014-10-02 04:46:02", "2014-10-02 03:46:02", "", "Suivi Medical", "", "publish", "closed", "closed", "", "acf_suivi-medical", "", "", "2014-10-02 04:46:39", "2014-10-02 03:46:39", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=acf&#038;p=133", "0", "acf", "", "0");
INSERT INTO `wp_posts` VALUES("134", "1", "2014-10-02 04:46:52", "2014-10-02 03:46:52", "", "Suivi médical", "", "inherit", "open", "open", "", "11-revision-v1", "", "", "2014-10-02 04:46:52", "2014-10-02 03:46:52", "", "11", "http://krooga.net/clients/pascalinegrue/11-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("135", "1", "2014-10-02 04:47:59", "2014-10-02 03:47:59", "", "Suivi médical", "", "inherit", "open", "open", "", "11-revision-v1", "", "", "2014-10-02 04:47:59", "2014-10-02 03:47:59", "", "11", "http://krooga.net/clients/pascalinegrue/11-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("136", "1", "2014-10-02 04:48:12", "2014-10-02 03:48:12", "", "Suivi médical", "", "inherit", "open", "open", "", "11-revision-v1", "", "", "2014-10-02 04:48:12", "2014-10-02 03:48:12", "", "11", "http://krooga.net/clients/pascalinegrue/11-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("137", "1", "2014-10-02 05:09:58", "2014-10-02 04:09:58", "", "Suivi médical", "", "inherit", "open", "open", "", "11-revision-v1", "", "", "2014-10-02 05:09:58", "2014-10-02 04:09:58", "", "11", "http://krooga.net/clients/pascalinegrue/11-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("138", "1", "2014-10-02 05:37:51", "2014-10-02 04:37:51", "", "Suivi médical", "", "inherit", "open", "open", "", "11-revision-v1", "", "", "2014-10-02 05:37:51", "2014-10-02 04:37:51", "", "11", "http://krooga.net/clients/pascalinegrue/11-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("139", "1", "2014-10-24 11:39:55", "2014-10-24 10:39:55", "<strong>Phone :</strong> 02 40 74 29 68\r\n<strong>Email :</strong> contact@pediatregruenantes.fr\r\n\r\nAttention aucun conseil médical ne sera donner par mail. Ce mail ne remplace en aucune façon une consultation médicale. Il est transmis à la secrétaire pour traitement. La prise des RDV sera possible par mail à partir du 22 décembre 2014.\r\n\r\nInscription au tableau de l’Ordre des Médecins de Loire-Atlantique :\r\nN° 9476\r\nN° RPPS: 10100070415", "Mon parcours", "", "inherit", "open", "open", "", "114-autosave-v1", "", "", "2014-10-24 11:39:55", "2014-10-24 10:39:55", "", "114", "http://krooga.net/clients/pascalinegrue/114-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("141", "1", "2014-10-08 04:16:56", "2014-10-08 03:16:56", "", "bebe-0-1-an", "", "inherit", "open", "open", "", "bebe-0-1-an", "", "", "2014-10-08 04:16:56", "2014-10-08 03:16:56", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/bebe-0-1-an.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("142", "1", "2014-10-08 04:17:08", "2014-10-08 03:17:08", "", "Enfant-3-6-ans", "", "inherit", "open", "open", "", "enfant-3-6-ans", "", "", "2014-10-08 04:17:08", "2014-10-08 03:17:08", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Enfant-3-6-ans.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("143", "1", "2014-10-08 04:17:21", "2014-10-08 03:17:21", "", "nouveau_ne", "", "inherit", "open", "open", "", "nouveau_ne", "", "", "2014-10-08 04:17:21", "2014-10-08 03:17:21", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/nouveau_ne.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("144", "1", "2014-10-08 04:17:32", "2014-10-08 03:17:32", "", "Petit-enfant-1-3-ans", "", "inherit", "open", "open", "", "petit-enfant-1-3-ans", "", "", "2014-10-08 04:17:32", "2014-10-08 03:17:32", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Petit-enfant-1-3-ans.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("145", "1", "2014-10-08 04:19:32", "2014-10-08 03:19:32", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "Are We Putting The Next Generation Of Brains In Danger?", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "publish", "closed", "closed", "", "are-we-putting-the-next-generation-of-brains-in-danger", "", "", "2014-10-09 18:58:50", "2014-10-09 17:58:50", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=conseils&#038;p=145", "0", "conseils", "", "0");
INSERT INTO `wp_posts` VALUES("146", "1", "2014-10-08 04:19:32", "2014-10-08 03:19:32", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "Are We Putting The Next Generation Of Brains In Danger?", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "inherit", "open", "open", "", "145-revision-v1", "", "", "2014-10-08 04:19:32", "2014-10-08 03:19:32", "", "145", "http://krooga.net/clients/pascalinegrue/145-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("147", "1", "2014-10-08 04:20:15", "2014-10-08 03:20:15", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "Next Generation Of Brains In Danger?", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "publish", "closed", "closed", "", "next-generation-of-brains-in-danger", "", "", "2014-10-09 19:00:22", "2014-10-09 18:00:22", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=conseils&#038;p=147", "0", "conseils", "", "0");
INSERT INTO `wp_posts` VALUES("148", "1", "2014-10-08 04:20:36", "2014-10-08 03:20:36", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "Are We Putting The Next Generation?", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "publish", "closed", "closed", "", "are-we-putting-the-next-generation", "", "", "2014-10-09 18:58:59", "2014-10-09 17:58:59", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=conseils&#038;p=148", "0", "conseils", "", "0");
INSERT INTO `wp_posts` VALUES("149", "1", "2014-10-08 04:20:52", "2014-10-08 03:20:52", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "Are We PuttingIn Danger?", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "publish", "closed", "closed", "", "are-we-puttingin-danger", "", "", "2014-10-16 11:16:26", "2014-10-16 10:16:26", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=conseils&#038;p=149", "0", "conseils", "", "0");
INSERT INTO `wp_posts` VALUES("150", "1", "2014-10-08 04:20:15", "2014-10-08 03:20:15", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "Next Generation Of Brains In Danger?", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "inherit", "open", "open", "", "147-revision-v1", "", "", "2014-10-08 04:20:15", "2014-10-08 03:20:15", "", "147", "http://krooga.net/clients/pascalinegrue/147-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("151", "1", "2014-10-08 04:20:36", "2014-10-08 03:20:36", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "Are We Putting The Next Generation?", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "inherit", "open", "open", "", "148-revision-v1", "", "", "2014-10-08 04:20:36", "2014-10-08 03:20:36", "", "148", "http://krooga.net/clients/pascalinegrue/148-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("152", "1", "2014-10-08 04:20:52", "2014-10-08 03:20:52", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.\r\n\r\nThe two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "Are We PuttingIn Danger?", "The two scientists behind the study, Dr. Philip Landrigan at Mount Sinai School of Medicine in New York and Dr. Philippe Grandjean from Harvard School of Public Health, are so shocked by the news that they are sounding the alarm.", "inherit", "open", "open", "", "149-revision-v1", "", "", "2014-10-08 04:20:52", "2014-10-08 03:20:52", "", "149", "http://krooga.net/clients/pascalinegrue/149-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("155", "1", "2014-10-09 05:26:46", "0000-00-00 00:00:00", "", "Dropdown 1", "", "draft", "open", "open", "", "", "", "", "2014-10-09 05:26:46", "0000-00-00 00:00:00", "", "0", "http://krooga.net/clients/pascalinegrue/?p=155", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("166", "1", "2014-10-09 06:01:20", "2014-10-09 05:01:20", "<h2 style=\"text-align: center;\">Nom et prénom de l\'enfant?</h2>\r\n<h3 style=\"text-align: center;\">Les demandes d\'identifiants sont réservés aux patients du cabinet</h3>\r\n<br/>", "Espace Patient", "", "publish", "open", "open", "", "espace-patient", "", "", "2014-10-24 17:45:58", "2014-10-24 16:45:58", "", "0", "http://krooga.net/clients/pascalinegrue/?page_id=166", "5", "page", "", "0");
INSERT INTO `wp_posts` VALUES("167", "1", "2014-10-09 06:01:20", "2014-10-09 05:01:20", "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.", "Espace Patient", "", "inherit", "open", "open", "", "166-revision-v1", "", "", "2014-10-09 06:01:20", "2014-10-09 05:01:20", "", "166", "http://krooga.net/clients/pascalinegrue/166-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("168", "1", "2014-10-09 06:01:45", "2014-10-09 05:01:45", " ", "", "", "publish", "open", "open", "", "168", "", "", "2014-10-24 17:23:15", "2014-10-24 16:23:15", "", "0", "http://krooga.net/clients/pascalinegrue/?p=168", "14", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("169", "1", "2014-10-09 06:02:01", "2014-10-09 05:02:01", " ", "", "", "publish", "open", "open", "", "169", "", "", "2014-10-09 06:02:01", "2014-10-09 05:02:01", "", "0", "http://krooga.net/clients/pascalinegrue/?p=169", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("170", "1", "2014-10-09 06:16:02", "2014-10-09 05:16:02", "", "Demander mes identifiants", "", "publish", "open", "open", "", "demander-mes-identifiants", "", "", "2014-10-09 07:08:05", "2014-10-09 06:08:05", "", "0", "http://krooga.net/clients/pascalinegrue/?page_id=170", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("171", "1", "2014-10-09 06:16:02", "2014-10-09 05:16:02", "", "Register", "", "inherit", "open", "open", "", "170-revision-v1", "", "", "2014-10-09 06:16:02", "2014-10-09 05:16:02", "", "170", "http://krooga.net/clients/pascalinegrue/170-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("173", "1", "2014-10-09 06:21:10", "2014-10-09 05:21:10", "[register role=\"subscriber\" message=\"Thanks!\" notify=\"de@dd.com\" password=\"yes\"]", "Register", "", "inherit", "open", "open", "", "170-revision-v1", "", "", "2014-10-09 06:21:10", "2014-10-09 05:21:10", "", "170", "http://krooga.net/clients/pascalinegrue/170-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("174", "1", "2014-10-09 06:27:06", "2014-10-09 05:27:06", "", "Demander mes identifiants", "", "inherit", "open", "open", "", "170-revision-v1", "", "", "2014-10-09 06:27:06", "2014-10-09 05:27:06", "", "170", "http://krooga.net/clients/pascalinegrue/170-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("177", "1", "2014-10-09 07:38:53", "2014-10-09 06:38:53", "", "Espace Patient", "", "publish", "closed", "closed", "", "acf_espace-patient", "", "", "2014-10-24 17:44:29", "2014-10-24 16:44:29", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=acf&#038;p=177", "0", "acf", "", "0");
INSERT INTO `wp_posts` VALUES("178", "1", "2014-10-09 07:39:19", "2014-10-09 06:39:19", "", "Espace Patient", "", "inherit", "open", "open", "", "166-revision-v1", "", "", "2014-10-09 07:39:19", "2014-10-09 06:39:19", "", "166", "http://krooga.net/clients/pascalinegrue/166-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("179", "1", "2014-10-09 07:41:26", "2014-10-09 06:41:26", "", "Espace Patient", "", "inherit", "open", "open", "", "166-revision-v1", "", "", "2014-10-09 07:41:26", "2014-10-09 06:41:26", "", "166", "http://krooga.net/clients/pascalinegrue/166-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("180", "1", "2014-10-09 07:41:57", "2014-10-09 06:41:57", "", "Espace Patient", "", "inherit", "open", "open", "", "166-revision-v1", "", "", "2014-10-09 07:41:57", "2014-10-09 06:41:57", "", "166", "http://krooga.net/clients/pascalinegrue/166-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("181", "1", "2014-10-09 12:32:29", "2014-10-09 11:32:29", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\n<span style=\"text-decoration: underline;\">Horaires d’ouverture du secrétariat</span>\r\n\r\n<strong>Actuellement :</strong>\r\n\r\nLundi : 9h-13h / 14h30-18h\r\nMardi : 9h-13h / 14h30-18h\r\nMercredi : 9h-13h\r\nJeudi : 9h-13h / 14h30-18h\r\nVendredi : 9h-13h / 14h30-18h\r\n\r\n<strong>En Janvier 2015 :</strong>\r\n\r\nLundi : 9h-12h15 / 13h45-18h45\r\nMardi : 10h-12h15 / 13h45-18h45\r\nMercredi : 9h-12h15 / 13h45-18h15\r\nJeudi : 9h15-12h30\r\nVendredi : 9h-12h / 13h-18h\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\n<span style=\"text-decoration: underline;\">Horaires de consultations</span>\r\n\r\nEtant d’astreinte à la clinique Brétéché tous les mardis, il peut y avoir un peu de retard occasionné par d’éventuelles urgences à la maternité.\r\n\r\n<strong>Actuellement :</strong>\r\n\r\nMardi : 14h-19h\r\nMercredi : 9h-13h 14h30-19h\r\nJeudi : 14h-19h\r\nVendredi : 14h-19h\r\n\r\n<strong>En Janvier 2015 :</strong>\r\n\r\nLundi : 9h-12h30 14h-19h\r\nMardi : 11h-12h30 14h-19h\r\nMercredi : 9h-12h30 14h-19h\r\nJeudi : 9h-12h30\r\nVendredi : 13h-19h\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "Horaires d’ouverture", "", "publish", "open", "open", "", "horaires-douverture", "", "", "2014-10-24 17:38:33", "2014-10-24 16:38:33", "", "13", "http://krooga.net/clients/pascalinegrue/?page_id=181", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("182", "1", "2014-10-09 12:32:29", "2014-10-09 11:32:29", "Horaires d’ouverture du secrétariat\r\n\r\nActuellement :\r\n\r\nLundi 9h-13h 14h30-18h\r\nMardi 9h-13h 14h30-18h\r\nMercredi 9h-13h\r\nJeudi 9h-13h 14h30-18h\r\nVendredi 9h-13h 14h30-18h\r\n\r\nEn Janvier 2015 :\r\n\r\nLundi 9h-12h15 13h45-18h45\r\nMardi 10h-12h15 13h45-18h45\r\nMercredi 9h-12h15 13h45-18h\r\nJeudi 9h-12h30\r\nVendredi 9h-12h15 13h45-18h\r\n\r\nHoraires de consultations\r\n\r\nEtant d’astreinte à la clinique Brétéché tous les mardis, il peut y avoir un peu de retard occasionné par d’éventuelles urgences à la maternité.\r\n\r\nActuellement :\r\n\r\nMardi 14h-19h\r\nMercredi 9h-13h 14h30-19h\r\nJeudi 14h-19h\r\nVendredi 14h-19h\r\n\r\nEn Janvier 2015 :\r\n\r\nLundi 9h-12h30 14h-19h\r\nMardi 11h-12h30 14h-19h\r\nMercredi 9h-12h30 14h-19h\r\nJeudi 9h-12h30\r\nVendredi 9h-12h30 14h-19h", "Horaires d’ouverture", "", "inherit", "open", "open", "", "181-revision-v1", "", "", "2014-10-09 12:32:29", "2014-10-09 11:32:29", "", "181", "http://krooga.net/clients/pascalinegrue/181-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("183", "1", "2014-10-09 12:32:51", "2014-10-09 11:32:51", "<span style=\"text-decoration: underline;\">Horaires d’ouverture du secrétariat</span>\r\n\r\nActuellement :\r\n\r\nLundi 9h-13h 14h30-18h\r\nMardi 9h-13h 14h30-18h\r\nMercredi 9h-13h\r\nJeudi 9h-13h 14h30-18h\r\nVendredi 9h-13h 14h30-18h\r\n\r\nEn Janvier 2015 :\r\n\r\nLundi 9h-12h15 13h45-18h45\r\nMardi 10h-12h15 13h45-18h45\r\nMercredi 9h-12h15 13h45-18h\r\nJeudi 9h-12h30\r\nVendredi 9h-12h15 13h45-18h\r\n\r\n<span style=\"text-decoration: underline;\">Horaires de consultations</span>\r\n\r\nEtant d’astreinte à la clinique Brétéché tous les mardis, il peut y avoir un peu de retard occasionné par d’éventuelles urgences à la maternité.\r\n\r\nActuellement :\r\n\r\nMardi 14h-19h\r\nMercredi 9h-13h 14h30-19h\r\nJeudi 14h-19h\r\nVendredi 14h-19h\r\n\r\nEn Janvier 2015 :\r\n\r\nLundi 9h-12h30 14h-19h\r\nMardi 11h-12h30 14h-19h\r\nMercredi 9h-12h30 14h-19h\r\nJeudi 9h-12h30\r\nVendredi 9h-12h30 14h-19h", "Horaires d’ouverture", "", "inherit", "open", "open", "", "181-revision-v1", "", "", "2014-10-09 12:32:51", "2014-10-09 11:32:51", "", "181", "http://krooga.net/clients/pascalinegrue/181-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("184", "1", "2014-10-09 12:33:04", "2014-10-09 11:33:04", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 12:33:04", "2014-10-09 11:33:04", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("185", "1", "2014-10-09 12:35:01", "2014-10-09 11:35:01", "<strong> </strong>\r\n<table>\r\n<tbody>\r\n<tr>\r\n<td><strong>Consultation</strong></td>\r\n<td><strong>Honoraires</strong></td>\r\n<td><strong>Base de remboursement par la sécurité sociale</strong></td>\r\n</tr>\r\n<tr>\r\n<td>De 0 à 28 jours</td>\r\n<td>45€</td>\r\n<td>35€</td>\r\n</tr>\r\n<tr>\r\n<td>De 29 jours à 25 mois</td>\r\n<td>40€</td>\r\n<td>28€</td>\r\n</tr>\r\n<tr>\r\n<td>De 25 mois à 6 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td>De 6 à 16 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td>De 16 à 18 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td><strong>Bilan de dépistage :</strong></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>9 mois-24 moi-36 mois</td>\r\n<td>65€</td>\r\n<td>52,89€</td>\r\n</tr>\r\n<tr>\r\n<td>4 ans- Fin de Gs-Fin de CP</td>\r\n<td>55€</td>\r\n<td>43,96€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Avis spécialisé</td>\r\n<td>55€</td>\r\n<td>46€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Consultation allaitement</td>\r\n<td>50€</td>\r\n<td>28€</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation homéopathie (traitement de fond)</td>\r\n<td>50€</td>\r\n<td>28€ avant 2 ans &amp; 23€ après 2 ans</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation dépistage des troubles des apprentissages</td>\r\n<td>80€</td>\r\n<td>69,12€</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation annuelle ALD</td>\r\n<td>50€</td>\r\n<td>41€</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\nConventionnée Honoraires Libres, Secteur 2.\r\n\r\nLes honoraires sont supérieurs à ceux fixés par l’assurance maladie, certaines mutuelles prennent en charge le dépassement des honoraires.\r\nSi vous bénéficiez de la couverture universelle complémentaire (CMU), le tarif de remboursement de l’assurance maladie du secteur 1 est appliqué.", "Honoraires", "", "publish", "open", "open", "", "honoraires-page", "", "", "2014-10-24 11:21:32", "2014-10-24 10:21:32", "", "13", "http://krooga.net/clients/pascalinegrue/?page_id=185", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("186", "1", "2014-10-09 12:35:01", "2014-10-09 11:35:01", "<strong> </strong>\r\n<table>\r\n<tbody>\r\n<tr>\r\n<td>consultation</td>\r\n<td>honoraires</td>\r\n<td>Base de remboursement par la sécurité sociale</td>\r\n</tr>\r\n<tr>\r\n<td>De 0 à 28 jours</td>\r\n<td>45€</td>\r\n<td>35</td>\r\n</tr>\r\n<tr>\r\n<td>De 29 jours à 25 mois</td>\r\n<td>40</td>\r\n<td>28</td>\r\n</tr>\r\n<tr>\r\n<td>De 25 mois à 6 ans</td>\r\n<td>40</td>\r\n<td>23</td>\r\n</tr>\r\n<tr>\r\n<td>De 6 à 16 ans</td>\r\n<td>40</td>\r\n<td>23</td>\r\n</tr>\r\n<tr>\r\n<td>De 16 à 18 ans</td>\r\n<td>40</td>\r\n<td>23</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Bilan de dépistage :</td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>9 mois-24 moi-36 mois</td>\r\n<td>65</td>\r\n<td>52,89</td>\r\n</tr>\r\n<tr>\r\n<td>4 ans- Fin de Gs-Fin de CP</td>\r\n<td>55</td>\r\n<td>43,96</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Avis spécialisé</td>\r\n<td>55</td>\r\n<td>46</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Consultation allaitement</td>\r\n<td>50</td>\r\n<td>28</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation homéopathie (traitement de fond)</td>\r\n<td>50</td>\r\n<td>28 avant 2 ans\r\n\r\n23 après 2 ans</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation dépistage des troubles des apprentissages</td>\r\n<td>80</td>\r\n<td>69,12</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation annuelle ALD</td>\r\n<td>50</td>\r\n<td>41</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n\r\nConventionnée Honoraires Libres, Secteur 2.\r\n\r\nLes honoraires sont supérieurs à ceux fixés par l’assurance maladie, certaines mutuelles prennent en charge le dépassement des honoraires.\r\nSi vous bénéficiez de la couverture universelle complémentaire (CMU), le tarif de remboursement de l’assurance maladie du secteur 1 est appliqué.", "Honoraires » Page", "", "inherit", "open", "open", "", "185-revision-v1", "", "", "2014-10-09 12:35:01", "2014-10-09 11:35:01", "", "185", "http://krooga.net/clients/pascalinegrue/185-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("187", "1", "2014-10-09 12:35:18", "2014-10-09 11:35:18", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 12:35:18", "2014-10-09 11:35:18", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("188", "1", "2014-10-09 12:35:22", "2014-10-09 11:35:22", "<strong> </strong>\r\n<table>\r\n<tbody>\r\n<tr>\r\n<td>consultation</td>\r\n<td>honoraires</td>\r\n<td>Base de remboursement par la sécurité sociale</td>\r\n</tr>\r\n<tr>\r\n<td>De 0 à 28 jours</td>\r\n<td>45€</td>\r\n<td>35</td>\r\n</tr>\r\n<tr>\r\n<td>De 29 jours à 25 mois</td>\r\n<td>40</td>\r\n<td>28</td>\r\n</tr>\r\n<tr>\r\n<td>De 25 mois à 6 ans</td>\r\n<td>40</td>\r\n<td>23</td>\r\n</tr>\r\n<tr>\r\n<td>De 6 à 16 ans</td>\r\n<td>40</td>\r\n<td>23</td>\r\n</tr>\r\n<tr>\r\n<td>De 16 à 18 ans</td>\r\n<td>40</td>\r\n<td>23</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Bilan de dépistage :</td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>9 mois-24 moi-36 mois</td>\r\n<td>65</td>\r\n<td>52,89</td>\r\n</tr>\r\n<tr>\r\n<td>4 ans- Fin de Gs-Fin de CP</td>\r\n<td>55</td>\r\n<td>43,96</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Avis spécialisé</td>\r\n<td>55</td>\r\n<td>46</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Consultation allaitement</td>\r\n<td>50</td>\r\n<td>28</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation homéopathie (traitement de fond)</td>\r\n<td>50</td>\r\n<td>28 avant 2 ans\r\n\r\n23 après 2 ans</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation dépistage des troubles des apprentissages</td>\r\n<td>80</td>\r\n<td>69,12</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation annuelle ALD</td>\r\n<td>50</td>\r\n<td>41</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n\r\nConventionnée Honoraires Libres, Secteur 2.\r\n\r\nLes honoraires sont supérieurs à ceux fixés par l’assurance maladie, certaines mutuelles prennent en charge le dépassement des honoraires.\r\nSi vous bénéficiez de la couverture universelle complémentaire (CMU), le tarif de remboursement de l’assurance maladie du secteur 1 est appliqué.", "Honoraires", "", "inherit", "open", "open", "", "185-revision-v1", "", "", "2014-10-09 12:35:22", "2014-10-09 11:35:22", "", "185", "http://krooga.net/clients/pascalinegrue/185-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("189", "1", "2014-10-09 12:36:49", "2014-10-09 11:36:49", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n\r\nContact, accès\r\n\r\nActuellement : \r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\nPlan google MAP\r\nAccès : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\nPlan google MAP\r\nAccès : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n\r\nPhotos nouveau cabinet\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.\r\n", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 12:36:49", "2014-10-09 11:36:49", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("190", "1", "2014-10-09 12:47:50", "2014-10-09 11:47:50", "", "photo _mon parcours_", "", "inherit", "open", "open", "", "photo-_mon-parcours_", "", "", "2014-10-09 12:47:50", "2014-10-09 11:47:50", "", "114", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/photo-_mon-parcours_.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("191", "1", "2014-10-09 12:51:16", "2014-10-09 11:51:16", "Phone: xxx-xxx-xxxx\r\nFax: xxx-xxx-xxxx\r\nEmail: office@somedomain.com\r\n\r\nInscription au tableau de l’Ordre des Médecins de Loire-Atlantique: n° 9476 N° RPPS: 10100070415", "Mon parcours", "", "inherit", "open", "open", "", "114-revision-v1", "", "", "2014-10-09 12:51:16", "2014-10-09 11:51:16", "", "114", "http://krooga.net/clients/pascalinegrue/114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("192", "1", "2014-10-09 12:57:27", "2014-10-09 11:57:27", "Phone: xxx-xxx-xxxx\r\nFax: xxx-xxx-xxxx\r\nEmail: office@somedomain.com\r\n\r\nInscription au tableau de l’Ordre des Médecins de Loire-Atlantique: n° 9476 N° RPPS: 10100070415", "Mon parcours", "", "inherit", "open", "open", "", "114-revision-v1", "", "", "2014-10-09 12:57:27", "2014-10-09 11:57:27", "", "114", "http://krooga.net/clients/pascalinegrue/114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("193", "1", "2014-10-09 16:11:40", "2014-10-09 15:11:40", "Phone: xxx-xxx-xxxx\r\nFax: xxx-xxx-xxxx\r\nEmail: office@somedomain.com\r\n\r\nInscription au tableau de l’Ordre des Médecins de Loire-Atlantique: n° 9476 N° RPPS: 10100070415", "Mon parcours", "", "inherit", "open", "open", "", "114-revision-v1", "", "", "2014-10-09 16:11:40", "2014-10-09 15:11:40", "", "114", "http://krooga.net/clients/pascalinegrue/114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("194", "1", "2014-10-09 16:15:01", "2014-10-09 15:15:01", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\nContact, accès\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nActuellement :\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\nPlan google MAP\r\nAccès : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\nPlan google MAP\r\nAccès : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\nPhotos nouveau cabinet\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:15:01", "2014-10-09 15:15:01", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("195", "1", "2014-10-09 16:15:29", "2014-10-09 15:15:29", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\nPlan google MAP\r\nAccès : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\nPlan google MAP\r\nAccès : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n<strong>Photos nouveau cabinet</strong>\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:15:29", "2014-10-09 15:15:29", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("196", "1", "2014-10-09 16:16:27", "2014-10-09 15:16:27", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n\r\nAccès : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\nAccès : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n<strong>Photos nouveau cabinet</strong>\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:16:27", "2014-10-09 15:16:27", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("197", "1", "2014-10-09 16:17:12", "2014-10-09 15:17:12", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n<br>Accès : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\nAccès : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n<strong>Photos nouveau cabinet</strong>\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:17:12", "2014-10-09 15:17:12", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("198", "1", "2014-10-09 16:17:29", "2014-10-09 15:17:29", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n<br>Accès : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\nAccès : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n<br><strong>Photos nouveau cabinet</strong>\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:17:29", "2014-10-09 15:17:29", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("199", "1", "2014-10-09 16:17:39", "2014-10-09 15:17:39", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n<br>Accès : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\nAccès : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n<br><br>\r\n<strong>Photos nouveau cabinet</strong>\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:17:39", "2014-10-09 15:17:39", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("200", "1", "2014-10-09 16:17:51", "2014-10-09 15:17:51", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n\r\nAccès : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\nAccès : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n<strong>Photos nouveau cabinet</strong>\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:17:51", "2014-10-09 15:17:51", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("201", "1", "2014-10-09 16:17:58", "2014-10-09 15:17:58", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n\r\nAccès : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\nAccès : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n&nbsp;\r\n\r\n<strong>Photos nouveau cabinet</strong>\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:17:58", "2014-10-09 15:17:58", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("202", "1", "2014-10-09 16:18:22", "2014-10-09 15:18:22", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n\r\nAccès : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\nAccès : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n<strong>Photos nouveau cabinet</strong>\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:18:22", "2014-10-09 15:18:22", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("203", "1", "2014-10-09 16:18:50", "2014-10-09 15:18:50", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n<strong>Photos nouveau cabinet</strong>\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:18:50", "2014-10-09 15:18:50", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("204", "1", "2014-10-09 16:19:21", "2014-10-09 15:19:21", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n<br>\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n<strong>Photos nouveau cabinet</strong>\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:19:21", "2014-10-09 15:19:21", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("205", "1", "2014-10-09 16:20:59", "2014-10-09 15:20:59", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n<br>\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n<br/><br/>\r\n<strong>Photos nouveau cabinet</strong>\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:20:59", "2014-10-09 15:20:59", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("206", "1", "2014-10-09 16:21:10", "2014-10-09 15:21:10", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n<br>\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n<br/>\r\n<strong>Photos nouveau cabinet</strong>\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:21:10", "2014-10-09 15:21:10", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("207", "1", "2014-10-09 16:21:30", "2014-10-09 15:21:30", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n<br>\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n<strong>Photos nouveau cabinet</strong>\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:21:30", "2014-10-09 15:21:30", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("208", "1", "2014-10-09 16:22:14", "2014-10-09 15:22:14", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n<br>\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:22:14", "2014-10-09 15:22:14", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("209", "1", "2014-10-09 16:22:29", "2014-10-09 15:22:29", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n<br>\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy\r\n[/efscolumn]\r\n[/efsrow]\r\n<br>Mail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:22:29", "2014-10-09 15:22:29", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("210", "1", "2014-10-09 16:22:39", "2014-10-09 15:22:39", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n<br>\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n<br>Mail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:22:39", "2014-10-09 15:22:39", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("211", "1", "2014-10-09 16:22:47", "2014-10-09 15:22:47", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n<br>\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:22:47", "2014-10-09 15:22:47", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("212", "1", "2014-10-09 16:23:03", "2014-10-09 15:23:03", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n\r\n\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\n\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:23:03", "2014-10-09 15:23:03", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("213", "1", "2014-10-09 16:23:29", "2014-10-09 15:23:29", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n\r\n&nbsp;\r\n\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:23:29", "2014-10-09 15:23:29", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("214", "1", "2014-10-09 16:23:54", "2014-10-09 15:23:54", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:23:54", "2014-10-09 15:23:54", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("215", "1", "2014-10-09 16:24:03", "2014-10-09 15:24:03", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n\r\n&nbsp;\r\n\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:24:03", "2014-10-09 15:24:03", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("216", "1", "2014-10-09 16:24:21", "2014-10-09 15:24:21", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:24:21", "2014-10-09 15:24:21", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("217", "1", "2014-10-09 16:24:33", "2014-10-09 15:24:33", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n<br/>\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:24:33", "2014-10-09 15:24:33", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("218", "1", "2014-10-09 16:24:40", "2014-10-09 15:24:40", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes<br/>\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:24:40", "2014-10-09 15:24:40", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("219", "1", "2014-10-09 16:24:57", "2014-10-09 15:24:57", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes<br/>\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]<br/>\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 16:24:57", "2014-10-09 15:24:57", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("220", "1", "2014-10-09 20:19:37", "2014-10-09 19:19:37", "At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, At accusam aliquyam diam diam dolore dolores duo eirmod eos erat, et nonumy sed tempor et et invidunt justo labore Stet clita ea et gubergren, kasd magna no rebum. sanctus sea sed takimata ut vero voluptua. est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat.", "Bebe Sub Cat 1", "ctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, At accusam aliquyam diam diam dolore dolores duo eirmod eos erat, et nonumy sed tempor et et invidunt justo labore Stet clita ea et gubergren, kasd magna no re", "publish", "closed", "closed", "", "bebe-sub-cat-1", "", "", "2014-10-09 20:19:37", "2014-10-09 19:19:37", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=conseils&#038;p=220", "0", "conseils", "", "0");
INSERT INTO `wp_posts` VALUES("221", "1", "2014-10-09 20:29:27", "2014-10-09 19:29:27", "<img class=\"alignleft size-full wp-image-62\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-10-09 20:29:27", "2014-10-09 19:29:27", "", "50", "http://krooga.net/clients/pascalinegrue/50-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("222", "1", "2014-10-09 20:53:27", "2014-10-09 19:53:27", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 20:53:27", "2014-10-09 19:53:27", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("223", "1", "2014-10-09 20:54:54", "2014-10-09 19:54:54", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n&nbsp;\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 20:54:54", "2014-10-09 19:54:54", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("224", "1", "2014-10-09 20:55:08", "2014-10-09 19:55:08", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n&nbsp;\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n&nbsp;\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 20:55:08", "2014-10-09 19:55:08", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("225", "1", "2014-10-09 20:55:23", "2014-10-09 19:55:23", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n&nbsp;\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n&nbsp;\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.\r\n&nbsp;", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-09 20:55:23", "2014-10-09 19:55:23", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("226", "1", "2014-10-10 14:42:49", "2014-10-10 13:42:49", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLe <strong>Docteur Pascaline Grué-Fertin</strong> travaille à la maternité de la <strong>Clinique Bretéché</strong> à Nantes. Les pédiatres de la Clinique assurent les visites des nouveau-nés au cours du séjour.\r\nUne unité Kangourou située au sein de la maternité permet d’accueillir les nouveaunés nécessitant des soins spécifiques. Elle permet de prendre en charge des bébés légèrement prématurés (&gt;35 SA), des bébés de faible poids de naissance (&gt;1800g), des bébés présentant des difficultés légères d’adaptation à la vie extra-utérine, des bébés nécessitant une antibiothérapie ou une surveillance rapprochée. <strong>Une garde est assurée 24h/24 par un pédiatre.</strong>\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Adresse :</strong>\r\nClinique Bretéché\r\nBâtiment Platon\r\n3 rue Béraudière, BP 54613\r\n44046 Nantes Cedex 1\r\n0890710711\r\nUrgences Maternité : 0251868658\r\n\r\n<a title=\"Gynecologue obstetricien Nantes\" href=\"http://www.gynecologue-obstetricien-nantes.fr\">Gynécologue Obstétricien Nantes</a>\r\n<a title=\"Clinique Breteche\" href=\"http://www.clinique-breteche.fr/hospitalisation/maternite.html\">Clinique Brétéché</a>[/efscolumn]\r\n[/efsrow]\r\n<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "La maternité", "", "inherit", "open", "open", "", "100-revision-v1", "", "", "2014-10-10 14:42:49", "2014-10-10 13:42:49", "", "100", "http://krooga.net/clients/pascalinegrue/100-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("229", "1", "2014-10-10 16:43:13", "2014-10-10 15:43:13", "En cas de maladie ou de problèmes particuliers, vous pouvez consulter à tout moment.\r\n\r\nEn cas d’urgences graves, vous pouvez vous rendre directement aux <strong>Urgences Pédiatriques du CHU de Nantes</strong>.\r\n\r\n<strong>Adresse :</strong> 9 quai Moncousu, 44000 Nantes. <a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2710.393231060761!2d-1.5517109999999996!3d47.2088876!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eeae7eb5beef%3A0x9cca18917d0390fb!2s9+Quai+Moncousu%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1414167340541\"><img class=\"marker\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a>\r\n\r\nEn cas d’urgences graves ou vitales, vous pouvez composer le <strong>15</strong> pour avoir un avis médical.\r\n<div>En Hiver, une permanence des soins est assurée le dimanche entre 9h et18h par les pédiatres de l’agglomération nantaise. Pour connaitre le pédiatre de garde, vous pouvez appeler au <strong>02 40 29 75 75</strong>. Vous trouverez le tableau de garde dans l’accès patient, documents à imprimer.</div>\r\n&nbsp;", "Consultations d’urgence :", "En cas de maladie ou de problèmes particuliers, vous pouvez consulter à tout moment.", "publish", "open", "closed", "", "consultations-durgence", "", "", "2014-10-27 19:20:51", "2014-10-27 18:20:51", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=suivi-medical&#038;p=229", "0", "suivi-medical", "", "0");
INSERT INTO `wp_posts` VALUES("230", "1", "2014-10-11 15:48:38", "2014-10-11 14:48:38", "Pour tout problème particulier, vous pouvez consulter à tout moment.\r\n\r\nDes <strong>consultations plus spécifiques</strong> vous sont proposées comme :\r\n\r\n- <strong>des consultations d’allaitement</strong> pour les mamans ayant besoin d’un soutien ou d’un suivi lorsque l’allaitement est difficile,\r\n\r\n- <strong>des consultations d’homéopathie</strong> pour la mise en place de traitement de fond\r\n\r\n- <strong>des consultations de dépistages des troubles des apprentissages</strong>, des troubles du langage oral et du langage écrit (batterie de tests EDA).", "Consultations spécifiques :", "Pour tout problème particulier, vous pouvez consulter à tout moment.\r\n\r\nDes consultations plus spécifiques vous sont proposées comme  ...", "publish", "closed", "closed", "", "consultations-specifiques", "", "", "2014-10-22 09:42:30", "2014-10-22 08:42:30", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=suivi-medical&#038;p=230", "0", "suivi-medical", "", "0");
INSERT INTO `wp_posts` VALUES("231", "1", "2014-10-11 15:49:41", "2014-10-11 14:49:41", "<strong>Pour suivre l’évolution de votre enfant, dépister les problèmes éventuels et y apporter une réponse rapidement, il vous est recommandé de réaliser les examens médicaux suivants :</strong>\r\n\r\n- Visite dans les <strong>8 premiers jours</strong> suivant la naissance, réalisée à la maternité\r\n\r\n- Visite à <strong>15 jours, 1 mois, 2 mois (vaccins), 3 mois, 4 mois (vaccins), 5 mois, 6 mois</strong>\r\n\r\n- <strong>Bilan à 9 mois</strong> : Cette visite est particulièrement importante car elle permet de faire le point sur les acquisitions (langage, expression, comportement social, motricité fine et globale), le mode de garde, l’alimentation, le sommeil de votre enfant. Cette consultation comporte un test de l’audition (Sensory Baby Test) et un bilan ophtalmologique (test des lunettes à secteur, test des lunettes à écran) réalisés avec des outils adaptés et validés. Cette visite donne lieu à l’établissement d’un certificat de santé obligatoire à envoyer au médecin responsable du service départemental de PMI de votre département. Pour bien préparer la consultation, un questionnaire est à remplir par les parents avant la consultation (Questionnaire 9 mois).\r\n\r\n- <strong>Visite à 11 mois</strong> (vaccins), <strong>12 mois</strong> (vaccins)\r\n\r\n- <strong>Visite à 16 mois</strong> (vaccin)\r\n\r\n- <strong>Visite à 20 mois</strong> : Cette visite permet d’évaluer la communication, le comportement et la socialisation de votre enfant (test CHAT).\r\n\r\n- <strong>Bilan à 24 mois</strong> : Cette visite est particulièrement importante car elle permet de faire le point sur les acquisitions (langage, expression, comportement social, motricité fine et globale), le mode de garde, l’alimentation, le sommeil de votre enfant. Cette consultation comporte un test de l’audition (Sensory Baby Test, test de la voix chuchotée) et un bilan ophtalmologique (test des lunettes à secteur, test des lunettes à écran) réalisés avec des outils adaptés et validés. Cette visite donne lieu à l’établissement d’un certificat de santé obligatoire à envoyer au médecin responsable du service départemental de PMI de votre département. Pour bien préparer la consultation, un questionnaire est à remplir par les parents avant la consultation (Questionnaire 24 mois).\r\n\r\n- <strong>Visite à 30 mois</strong>\r\n\r\n- <strong>Bilan à 3 ans</strong> : Cette visite permet d’évaluer les compétences de votre enfant : son autonomie et son comportement social, son langage (test DPL3), sa motricité fine et globale. Elle permet d’évaluer son alimentation, son sommeil et ses conditions de vie. Cette consultation comporte un test de l’audition (test de la voix chuchotée) et un bilan ophtalmologique (test des lunettes à secteur, test des lunettes à écran, test DAVL, test de Lang) réalisés avec des outils adaptés et validés. Pour bien préparer la consultation, un questionnaire est à remplir par les parents avant la consultation (Questionnaire 3 ans).\r\n\r\n- <strong>Bilan à 4 ans</strong> : A 4 ans, l’évaluation du langage est indispensable (test ERTL4). Elle permet de repérer d’éventuelles difficultés de langage et de pouvoir y remédier rapidement. Cette visite est permet d’évaluer les compétences de votre enfant : son autonomie et son comportement social, sa motricité fine et globale. Elle permet de faire le point sur son alimentation, son sommeil et ses conditions de vie. Cette consultation comporte un test de l’audition (AUDIO4) et un bilan ophtalmologique (mesure de l’acuité visuelle, test de Lang) réalisés avec des outils adaptés et validés. Pour bien préparer la consultation, un questionnaire est à remplir par les parents avant la consultation (Questionnaire 4 ans).\r\n\r\n- <strong>Bilan en fin de Grande Section (3ème trimestre)-début de CP (1er trimestre)</strong> : Cette consultation permet d’évaluer les compétences de votre enfant avant l’entrée en CP. Elle se déroule en 2 temps. Une première consultation permet d’évaluer l’autonomie, l’alimentation, le sommeil, le comportement, la vie affective et relationnelle, les difficultés scolaires de votre enfant. Un test de l’audition (AUDIO4) et un bilan ophtalmologique (mesure de l’acuité visuelle, test de Lang, test d’Ishihara) sont réalisés. Lors d’une deuxième consultation, un test est proposé pour repérer d’éventuels troubles des apprentissages et du langage (ERTLA6). Pour bien préparer la consultation, un questionnaire est à remplir par les parents avant la consultation (Questionnaire Fin de GS).\r\n\r\n- <strong>Visite à 6 ans</strong> : Lors de cette consultation, le rappel vaccinal DTP-Coqueluche sera réalisé, ainsi que la prise de tension artérielle et la recherche de protéines dans les urines.\r\n\r\n- <strong>Bilan en fin de CP (3ème trimestre)-début de CE1 (1er trimestre)</strong> : Cette consultation permet d’évaluer les compétences de votre enfant acquises au cours du CP et de repérer d’éventuels difficultés d’apprentissage (test de lecture, test d’écriture, test de graphisme, test de conscience phonémique). Un test de l’audition (AUDIO4) et un bilan ophtalmologique (mesure de l’acuité visuelle, test de Lang, test d’Ishihara) sont réalisés. Pour bien préparer la consultation, un questionnaire est à remplir par les parents avant la consultation (Questionnaire Fin CP).\r\n\r\n- <strong>Après 6 ans</strong>, une visite annuelle permet d’évaluer le bien-être général de votre enfant, la croissance, l’état du dos et des postures, la vision, l’état buccodentaire, la puberté…. La réalisation de certificats médicaux peut se faire lors de ces consultations.\r\n\r\n- <strong>Visite à 11-13 ans </strong>: rappel vaccinal DTP-Coqueluche, vaccin HPV\r\n\r\nEn cas de maladie ou de problèmes particuliers, vous pouvez consulter à tout moment.\r\n\r\n<strong>A ne pas oublier pour bien préparer la visite médicale :</strong>\r\n\r\n- Entre 2 rendez-vous, notez vos questions sur un papier pour ne rien oublier le jour de la visite.\r\n\r\n- Dans la mesure du possible, essayer de vous arrangez pour que votre bébé soit dans les meilleurs conditions : pensez à apporter son doudou, un petit jouet, un biberon d’eau et tout ce qu’il faut pour le changer. Essayer de vous arranger pour lui donner à manger avant la consultation. Parlez-lui de la consultation, du vaccin avant le rendez-vous, pour le rassurer.\r\n\r\n- Pensez à apporter les résultats d’analyses, radiographies, échographies…\r\n\r\n- Pensez à apporter votre carte vitale.\r\n\r\n- Pour les visites de dépistage (9 mois, 24 mois, 3 ans, 4 ans, fin de GS, fin de CP) :\r\n\r\no pensez à programmer cette visite à un moment où votre enfant est en forme,\r\n\r\no pensez à prévoir du temps,\r\n\r\no pensez à répondre à l’avance aux questionnaires qui accompagne les visites.", "Rythme des consultations :", "Pour suivre l’évolution de votre enfant, dépister les problèmes éventuels et y apporter une réponse rapidement, il vous est recommandé de réaliser les examens médicaux suivants ...", "publish", "open", "closed", "", "suivi-medical", "", "", "2014-10-24 11:31:53", "2014-10-24 10:31:53", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=suivi-medical&#038;p=231", "0", "suivi-medical", "", "0");
INSERT INTO `wp_posts` VALUES("233", "1", "2014-10-14 00:05:38", "2014-10-13 23:05:38", "<p style=\"text-align: justify;\">Les <strong><span class=\"il\">courbes</span> de croissance</strong> (poids, taille, périmètre crânien, indice de masse corporelle) permettent de dépister précocement une anomalie (cassure ou accélération de la vitesse de croissance). Cela permet de réagir rapidement. Il existe des <span class=\"il\">courbes</span> spécifiques pour les garçons et les filles car les vitesses de croissance sont différentes. <strong>Ce qui est important, c\'est une croissance régulière et équilibrée</strong>.</p>\r\n<p style=\"text-align: justify;\">Pour les enfants allaités, les <span class=\"il\">courbes</span> de croissance de référence sont celles de l\'OMS et non celles du carnet de santé.</p>\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Filles : </strong>\r\n<ul>\r\n	<li><a title=\"poids filles courbe\" href=\"http://www.who.int/childgrowth/standards/cht_wfa_filles_p_0_6.pdf\">poids de la naissance à 6 mois</a></li>\r\n	<li><a title=\"poids filles naissance 2 ans\" href=\"http://www.who.int/childgrowth/standards/cht_wfa_filles_p_0_2.pdf\">poids de la naissance à 2 ans</a></li>\r\n	<li><a title=\"poids 6 mois 2 ans filles\" href=\"http://www.who.int/childgrowth/standards/cht_wfa_filles_p_6_2.pdf\">poids de 6 mois à 2 ans</a></li>\r\n	<li><a title=\"poids age naissance 5 ans filles\" href=\"http://www.who.int/childgrowth/standards/cht_wfa_filles_p_0_5.pdf\">poids de la naissance à 5 ans</a></li>\r\n	<li><a title=\"taille naissance 2 ans\" href=\"http://www.who.int/childgrowth/standards/cht_wfa_garcs_p_0_5.pdf?ua=1\">taille de la naissance à 2 ans</a></li>\r\n	<li><a title=\"taille naissance 5 ans filles\" href=\"http://www.who.int/childgrowth/standards/cht_lfa_filles_p_0_5.pdf\">taille de la naissance à 5 ans</a></li>\r\n	<li><a title=\"perimetre cranien fille naissance 2 ans\" href=\"http://www.who.int/childgrowth/standards/second_set/cht_hcfa_filles_p_0_2.pdf?ua=1\">périmètre crânien de la naissance à 2 ans</a></li>\r\n	<li><a title=\"perimetre cranien fille naissance 5 ans\" href=\"http://www.who.int/childgrowth/standards/second_set/cht_hcfa_filles_p_0_5.pdf?ua=1\">périmètre crânien de la naissance à 5 ans</a></li>\r\n	<li><a title=\"imc naissance 5 ans filles\" href=\"http://www.who.int/childgrowth/standards/cht_bfa_filles_p_0_5.pdf?ua=1\">IMC de la naissance à 5 ans</a></li>\r\n</ul>\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Garçons :</strong>\r\n<ul>\r\n	<li><a title=\"poids age garcon naissance 6 mois\" href=\"http://www.who.int/childgrowth/standards/cht_wfa_garcs_p_0_6.pdf?ua=1\">poids de la naissance à 6 mois</a></li>\r\n	<li><a title=\"poids age garcon naissance 2 ans \" href=\"http://www.who.int/childgrowth/standards/cht_wfa_garcs_p_0_2.pdf?ua=1\">poids de la naissance à 2 ans</a></li>\r\n	<li><a title=\"poids age 6 mois 2 ans\" href=\"http://www.who.int/childgrowth/standards/cht_wfa_garcs_p_6_2.pdf?ua=1\">poids de 6 mois à 2 ans</a></li>\r\n	<li><a title=\"poids age naissance 5 ans\" href=\"http://www.who.int/childgrowth/standards/cht_wfa_garcs_p_0_5.pdf?ua=1\">poids de la naissance à 5 ans</a></li>\r\n	<li><a title=\"taille naissance 2 ans garcon\" href=\"http://www.who.int/childgrowth/standards/cht_lfa_garcs_p_0_2.pdf?ua=1\">taille de la naissance à 2 ans</a></li>\r\n	<li><a title=\"taille naissance 5 ans garcon\" href=\"http://www.who.int/childgrowth/standards/cht_lfa_garcs_p_0_5.pdf?ua=1\">taille de la naissance à 5 ans</a></li>\r\n	<li><a title=\"perimetre cranien garcon naissance 2 ans\" href=\"http://www.who.int/childgrowth/standards/second_set/cht_hcfa_garcs_p_0_2.pdf\">périmètre crânien de la naissance à 2 ans</a></li>\r\n	<li><a title=\"perimetre cranien garcon naissance 5 ans\" href=\"http://www.who.int/childgrowth/standards/second_set/cht_hcfa_garcs_p_0_5.pdf\">périmètre crânien de la naissance à 5 ans</a></li>\r\n	<li><a title=\"imc naissance 5 ans garcon\" href=\"http://www.who.int/childgrowth/standards/cht_bfa_garcs_p_0_5.pdf?ua=1\">IMC de la naissance à 5 ans</a></li>\r\n</ul>\r\n[/efscolumn]\r\n[/efsrow]", "Les Courbes De Croissance Et De Poids:", "Les courbes de croissance (poids, taille, périmètre crânien, indice de masse corporelle) permettent de dépister précocement une anomalie (cassure ou accélération de la vitesse de croissance). Cela permet de réagir rapidement. Il existe des courbes spécifiques pour les garçons et les filles car les vitesses de croissance sont différentes. Ce qui est important, c est une croissance régulière et équilibrée.", "publish", "open", "open", "", "les-courbes-de-croissance-et-de-poids", "", "", "2014-10-22 09:19:52", "2014-10-22 08:19:52", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=suivi-medical&#038;p=233", "0", "suivi-medical", "", "0");
INSERT INTO `wp_posts` VALUES("239", "1", "2014-10-14 00:18:30", "2014-10-13 23:18:30", " ", "", "", "publish", "open", "open", "", "239", "", "", "2014-10-24 17:23:14", "2014-10-24 16:23:14", "", "0", "http://krooga.net/clients/pascalinegrue/?p=239", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("240", "1", "2014-10-14 00:18:31", "2014-10-13 23:18:31", " ", "", "", "publish", "open", "open", "", "240", "", "", "2014-10-24 17:23:14", "2014-10-24 16:23:14", "", "0", "http://krooga.net/clients/pascalinegrue/?p=240", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("241", "1", "2014-10-14 00:22:11", "2014-10-13 23:22:11", "<ul>\r\n	<li><b><b>Pourquoi on vaccine ?</b></b></li>\r\n</ul>\r\n<p style=\"text-align: justify;\">Les vaccinations sont le moyen le plus efficace de <strong>protéger votre enfant contre certaines maladies contagieuses</strong> qui peuvent avoir des conséquences graves. Les vaccins permettent au corps de produire ses propres défenses immunitaires, comme s’il s’agissait d’une infection naturelle. Cet entrainement permet au corps de se défendre rapidement si  l’enfant est au contact de la maladie.</p>\r\n<p style=\"text-align: justify;\">La vaccination consiste à administrer, généralement sous forme d’injection, soit un micro-organisme vivant atténué (vaccins vivants : rougeole, oreillons, rubéole), soit un micro-organisme mort (vaccins tués : tétanos, diphtérie, coqueluche). Souvent les vaccins tués ne contiennent plus que des fragments de ces agents pathogènes, les antigènes, que le système immunitaire reconnaît comme étrangers. Le vaccin provoque ainsi une réaction immunitaire de défense en produisant des anticorps et permet à l’organisme de se construire une mémoire immunologique.</p>\r\n<p style=\"text-align: justify;\"><strong>La vaccination permet une protection individuelle mais aussi collective.</strong> Certaines maladies comme la polyomyélite et la diphtérie ont disparu en France grâce à une vaccination efficace. Mais si la couverture vaccinale diminue, on peut voir réapparaître certaines maladies (épidémie de rougeole entre 2008 et 2013, recrudescence de la coqueluche depuis 2009). Les personnes non vaccinées peuvent alors être en danger. Certaines maladies sont plus graves chez le nourrisson (coqueluche, haemophilus influenzae), d’autres sont plus graves chez les adultes et les femmes enceintes (rougeole, rubéole).</p>\r\n<p style=\"text-align: justify;\">En faisant vacciner votre enfant, vous contribuer à protéger votre enfant, les enfants des autres, les nouveau-nés, les femmes enceintes et les adultes en général car vous permettez d’enrayer la propagation des maladies infectieuses graves.</p>\r\n<p style=\"text-align: justify;\"><strong>La responsabilité de vacciner les enfants incombe aux parents.</strong> Il s’agit d’une décision personnelle importante. Si vous avez des questions, des réserves ou des peurs concernant les vaccins, n’hésitez pas à en parler lors de la consultation.</p>\r\n<strong>Vous pouvez également consulter les documents suivants :</strong>\r\n\r\n<strong><strong> </strong></strong><a href=\"http://www.infovac.fr/index2.php?option=com_docman&amp;task=docget&amp;Itemid=103&amp;id=19\">http://www.infovac.fr/index2.php?option=com_docman&amp;task=docget&amp;Itemid=103&amp;id=19</a>\r\n\r\n<a href=\"http://www.infovac.fr/index2.php?option=com_docman&amp;task=docget&amp;Itemid=103&amp;id=18\">http://www.infovac.fr/index2.php?option=com_docman&amp;task=docget&amp;Itemid=103&amp;id=18</a>\r\n\r\n<a href=\"http://www.infovac.fr/pourquoi-vacciner-\">http://www.infovac.fr/pourquoi-vacciner-</a>\r\n\r\n<strong><strong> </strong></strong>\r\n<ul>\r\n	<li><b><b>Quels sont les effets secondaires des vaccins ?</b></b></li>\r\n</ul>\r\nLes réactions aux vaccins sont très faibles et se manifestent en général 24 à 48 heures après la vaccination. Elles disparaissent très vite.\r\n\r\nL’enfant peut avoir une rougeur, une petite tuméfaction, et une douleur au point d’injection. Il peut aussi avoir de la fièvre souvent inférieure à 39°. La fièvre est le témoin d’une réaction immunitaire. Il est important de la respecter. Le paracétamol peut diminuer l’efficacité du vaccin. Il est donc important de ne donner du paracétamol que si la fièvre est mal tolérée et non en systématique.\r\n\r\nCertains nourrissons peuvent pleurer beaucoup et être inconsolables durant quelques heures après les vaccins.\r\n\r\nLes manifestations post-vaccinales graves sont extrêmement rares et font l’objet d’un suivi et de recherches approfondies. Il faut retenir que des millions d’enfants ont été vaccinés avec succès et que les dangers de la vaccination sont nettement inférieurs à ceux que pourrait présenter la maladie si elle se développait naturellement. Il arrive toujours que des personnes meurent parce qu’elles n’ont pas été vaccinées ou en raison d’une couverture vaccinale insuffisante.\r\n\r\nEnfin, un effet secondaire observé après une vaccination peut ou non être dû à la vaccination. Certains évènements peuvent avoir lieu de façon naturelle et indépendante du vaccin mais observés dans les suites d’une vaccination. Il est inévitable que certaines maladies (maladies auto-immunes ou inflammatoires, autisme, allergies) surviennent aussi chez des personnes qui ont été vaccinées, juste avant ou juste après un vaccin. Le vaccin n’en est pour autant pas nécessairement la cause !\r\n\r\n<strong><strong> </strong></strong>\r\n\r\n<strong>De nombreuses études ont démontré :</strong>\r\n<ul>\r\n	<li>que le vaccin Rougeole-rubéole-oreillons n’augmente pas le risque d’autisme</li>\r\n</ul>\r\n<strong><i>Références :</i></strong>\r\n<ul>\r\n	<li><i>DeStefano F. Vaccines and autism. Pediatr Infect Dis J 2001; 20(9):887-8.</i></li>\r\n	<li><i>Jefferson T et al. Unintended events following immunization with MMR: a systematic review. Vaccine 2003; 21(25-26):3954-60.</i></li>\r\n	<li><i>Stehr-Green P et al. Autism and thimerosal-containing vaccines: lack of consistent evidence for an association. Am J Prev Med 2003; 25(2):101-6.</i></li>\r\n	<li><i>Halsey NA Hyman SL. Measles-mumps-rubella vaccine and autistic spectrum disorder: report from the New Challenges in Childhood Immunizations Conference convened in Oak Brook, Illinois, June 12-13, 2000. Pediatrics 2001; 107(5):E84.</i></li>\r\n	<li><i>Farrington CP et al. MMR and autism: further evidence against a causal association. Vaccine 2001.</i></li>\r\n	<li><i>Fombonne E et al. </i><i>No Evidence for A New Variant of Measles-Mumps-Rubella–Induced Autism</i><i> Pediatrics 2001.</i></li>\r\n	<li><i>Smeeth L et al. MMR vaccination and pervasive developmental disorders: a case-control study. Lancet 2004 </i></li>\r\n	<li><i>Madsen KM et al. A population-based study of measles, mumps, and rubella vaccination and autism. New England Journal of Medecine 2002,</i></li>\r\n</ul>\r\n&nbsp;\r\n<ul>\r\n	<li>que le vaccin coqueluche ne provoque pas de dommages cérébraux</li>\r\n</ul>\r\n<strong><i>Référence :</i></strong>\r\n<ul>\r\n	<li><i>Moore DL et al. Lack of evidence of encephalopathy related to pertussis vaccine: active surveillance by IMPACT, Canada, 1993-2002. Pediatr Infect Dis J 2004; 23(6):568-71.</i></li>\r\n</ul>\r\n&nbsp;\r\n<ul>\r\n	<li>que le vaccin contre la méningite à haemophillus influenzae n’augmente pas le risque de diabète</li>\r\n</ul>\r\n<strong><i>Références :</i></strong>\r\n<ul>\r\n	<li><i>Black SB et al. Lack of association between receipt of conjugate haemophilus influenzae type B vaccine (HbOC) in infancy and risk of type 1 (juvenile onset) diabetes: long term follow-up of the HbOC efficacy trial cohort. Pediatr Infect Dis J 2002; 21(6):568-9.</i></li>\r\n	<li><i>Karvonen M et al. Association between type 1 diabetes and Haemophilus influenzae type b vaccination: birth cohort study. Bmj 1999; 318(7192):1169-72.</i></li>\r\n</ul>\r\n&nbsp;\r\n<ul>\r\n	<li>que le vaccin contre l’hépatite B n’augmente pas le risque de sclérose en plaque</li>\r\n</ul>\r\n<strong><i>Références :</i></strong>\r\n<ul>\r\n	<li><i>Belloni C et al. No evidence of autoimmunity in 6-year-old children immunized at birth with recombinant hepatitis B vaccine. Pediatrics 2002; 110(1 Pt 1):e4.</i></li>\r\n	<li><i>Demicheli V et al. Hepatitis B vaccination and multiple sclerosis: evidence from a systematic review. J Viral Hepat 2003; 10(5):343-4.</i></li>\r\n	<li><i>Merelli E et al. Prognostic factors in multiple sclerosis: role of intercurrent infections and vaccinations against influenza and hepatitis B. Neurol Sci 2000; 21(4 Suppl 2):S853-6.</i></li>\r\n	<li><i>Mikaeloff Y et al. Hepatitis B vaccination and the risk of childhood onset multiple sclerosis. Arch Pediatr Adolesc Med 2007;161:1176-1182. </i></li>\r\n	<li><i>Mikaeloff Y et al. Hepatitis B vaccine and risk of relapse after first childhood CNS inflammatory demyelination. Brain 2007; 130:1105-1110.</i></li>\r\n</ul>\r\n&nbsp;\r\n<ul>\r\n	<li>que la vaccination des nourrissons ne joue aucun rôle déclenchant dans la mort subite</li>\r\n</ul>\r\n<strong><strong> </strong></strong>\r\n\r\n<strong><i>Sources : </i></strong>\r\n\r\n<i><a href=\"http://www.infovac.fr/effets-secondaires-des-vaccins\">http://www.infovac.fr/effets-secondaires-des-vaccins</a></i>\r\n\r\n<i><a href=\"http://www.infovac.fr/evidences-contre-croyances/securite-des-vaccins-\">http://www.infovac.fr/evidences-contre-croyances/securite-des-vaccins-</a></i>\r\n\r\n<a href=\"http://www.who.int/features/qa/84/fr/\"><i>http://www.who.int/features/qa/84/fr/</i></a>\r\n\r\n<strong><strong> </strong></strong>\r\n\r\nIl est important de noter que les vaccins n’affaiblissent pas le système immunitaire des nourrissons.\r\n\r\n<strong>Sources:</strong>\r\n\r\n<strong><strong> </strong></strong><a href=\"http://www.infovac.fr/index.php?Itemid=127\">http://www.infovac.fr/index.php?Itemid=127</a>\r\n\r\n&nbsp;\r\n<ul>\r\n	<li><strong><strong> Que penser du</strong></strong><b> sel d’aluminium comme adjuvant dans les vaccins :</b></li>\r\n</ul>\r\n<ul>\r\n	<li>Beaucoup de vaccins nécessitent des adjuvants pour être efficaces, le plus fréquemment un sel d’aluminium. L’aluminium est l’adjuvant le plus efficace et le plus utilisé pour les vaccins humains. Retirer l’aluminium conduirait à une baisse de leur efficacité et donc à une diminution de la protection. Les adjuvants permettent au système immunitaire de réagir plus fortement au vaccin et de renforcer l’effet protecteur de celui-ci.</li>\r\n</ul>\r\n<ul>\r\n	<li>Les doses d’aluminium administrées dans le cadre des vaccinations sont négligeables par rapport à l’apport l’alimentaire normal. On retrouve la présence d’aluminium dans l’organisme humain dès la naissance et par la suite on en absorbe quotidiennement avec l’alimentation et les boissons. Les petites quantités d’aluminium contenues dans les vaccins ne sont pas nocives.</li>\r\n</ul>\r\n<ul>\r\n	<li>Le fait d’avoir un granulome contenant de l’aluminium au lieu d’injection des vaccins est un phénomène normal et connu.</li>\r\n</ul>\r\n<ul>\r\n	<li>Il n’existe aucune corrélation entre la constatation d’un granulome au point d’injection des vaccins et une maladie systémique.</li>\r\n</ul>\r\n<strong><strong> </strong></strong>\r\n\r\n<strong><i>References: </i></strong>\r\n<ul>\r\n	<li><i>Siegrist CA. Les adjuvants vaccinaux et la myofasciite à macrophages Arch Pediatr 2005; 12: 96-101 </i></li>\r\n	<li><i>Mitkus RJ et al. Updated aluminium pharmacokinetics following infant exposures through diet and vaccination. Vaccine. 2011; 29: 9538-43.</i></li>\r\n</ul>\r\n<strong><i>Sources:</i></strong>\r\n\r\n<i>http://www.academie-medecine.fr/wp-content/uploads/2013/10/adjuvants-vaccinaux-rapport-ANM1.pdf</i>", "A propos des vaccins :", "Les vaccinations sont le moyen le plus efficace de protéger votre enfant contre certaines maladies contagieuses qui peuvent avoir des conséquences graves. Les vaccins permettent au corps de produire ses propres défenses immunitaires, comme s’il s’agissait d’une infection naturelle. Cet entrainement permet au corps de se défendre rapidement si  l’enfant est au contact de la maladie.", "publish", "open", "open", "", "a-propos-des-vaccins", "", "", "2014-10-27 19:19:47", "2014-10-27 18:19:47", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=suivi-medical&#038;p=241", "0", "suivi-medical", "", "0");
INSERT INTO `wp_posts` VALUES("242", "1", "2014-10-14 00:23:02", "2014-10-13 23:23:02", "", "Suivi médical", "", "inherit", "open", "open", "", "11-revision-v1", "", "", "2014-10-14 00:23:02", "2014-10-13 23:23:02", "", "11", "http://krooga.net/clients/pascalinegrue/11-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("243", "1", "2014-10-14 00:27:01", "2014-10-13 23:27:01", "<strong>Le ministère de la Santé actualise chaque année le calendrier vaccinal après avis du Haut Conseil de la santé publique.</strong>\r\n\r\n<strong><img class=\"alignnone size-full wp-image-244\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Screenshot_2.png\" alt=\"calendar\" width=\"581\" height=\"407\" /></strong>\r\n\r\nSources :\r\n\r\n<a href=\"http://www.inpes.sante.fr/10000/themes/vaccination/calendrier/calendrier-vaccination.asp\">http://www.inpes.sante.fr/10000/themes/vaccination/calendrier/calendrier-vaccination.asp</a>\r\n\r\n<a href=\"http://www.sante.gouv.fr/IMG/pdf/Calendrier_vaccinal_ministere_sante_2014.pdf\">http://www.sante.gouv.fr/IMG/pdf/Calendrier_vaccinal_ministere_sante_2014.pdf</a>", "Le calendrier vaccinal", "Le ministère de la Santé actualise chaque année le calendrier vaccinal après avis du Haut Conseil de la santé publique.", "publish", "closed", "closed", "", "le-calendrier-vaccinal", "", "", "2014-10-24 11:33:22", "2014-10-24 10:33:22", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=suivi-medical&#038;p=243", "0", "suivi-medical", "", "0");
INSERT INTO `wp_posts` VALUES("244", "1", "2014-10-14 00:26:42", "2014-10-13 23:26:42", "", "calendar", "", "inherit", "open", "open", "", "screenshot_2", "", "", "2014-10-14 00:26:49", "2014-10-13 23:26:49", "", "243", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Screenshot_2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("245", "1", "2014-10-14 00:35:02", "2014-10-13 23:35:02", "<strong>A quels endroits on vaccine ?</strong>\r\n\r\nLes vaccins se font dans la <strong>face antéro-externe des cuisses</strong> du nourrisson et de l’enfant.\r\nA 6 ans, le vaccin se fait en général <strong>dans le bras</strong> au niveau de la partie supéro-externe (muscle deltoïde). Il peut être réalisé <strong>dans la face antéro-externe de cuisse</strong> si l’enfant le souhaite.\r\n\r\n<strong>Quelles sont les stratégies « anti-douleur » ?</strong>\r\nIl est important d’expliquer et de rassurer l’enfant avant la consultation prévue pour les vaccins.\r\nSi votre enfant est allaité, il est possible de donner le sein pendant le geste.\r\nSi votre enfant prend des biberons, il est possible de lui donner un peu d’eau sucrée (diluer 1 morceau de sucre de 5 grammes dans 20 ml d’eau) ou de lui donner son biberon de lait pendant le geste. Il existe en pharmacie des préparations de saccharose à 25% mais le prix est assez élevé.\r\n\r\nPour prévenir la douleur, on peut aussi utiliser des anesthésiques locaux (EMLA® patch). Ne pas oublier de découper les surplus collants avant de les poser. Cela fera moins mal en les retirant. Les patchs d’EMLA® sont à poser 1 heure avant la consultation sur les faces antéro-externes des cuisses pour les nourrissons ou la face supéro-externe du bras pour les enfants de 6 ans (1heure maximum pour les nourrissons de 0 à 3 mois, 1 à 2 heures pour les Nourrissons &gt;3 mois). L’anesthésie obtenue persiste 1 à 2 heures après le retrait du patch. Même s’il y a du retard dans les consultations, il est préférable de retirer le patch au bout du temps écoulé.\r\n\r\nUn traitement homéopathique sera prescrit à l’enfant pour prévenir les effets indésirables (fièvre, réaction inflammatoire locale).", "Comment on vaccine ? ", "Les vaccins se font dans la face antéro-externe des cuisses du nourrisson et de l’enfant.\r\nA 6 ans, le vaccin se fait en général dans le bras au niveau de la partie supéro-externe (muscle deltoïde). Il peut être réalisé dans la face antéro-externe de cuisse si l’enfant le souhaite.", "publish", "open", "open", "", "comment-on-vaccine", "", "", "2014-10-27 19:20:23", "2014-10-27 18:20:23", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=suivi-medical&#038;p=245", "0", "suivi-medical", "", "0");
INSERT INTO `wp_posts` VALUES("246", "1", "2014-10-14 00:36:24", "2014-10-13 23:36:24", " ", "", "", "publish", "open", "open", "", "246", "", "", "2014-10-24 17:23:14", "2014-10-24 16:23:14", "", "0", "http://krooga.net/clients/pascalinegrue/?p=246", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("248", "1", "2014-10-15 19:21:40", "2014-10-15 18:21:40", "", "eveil et dvpt petit enfant", "", "inherit", "open", "open", "", "eveil-et-dvpt-petit-enfant", "", "", "2014-10-15 19:21:40", "2014-10-15 18:21:40", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/eveil-et-dvpt-petit-enfant.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("249", "1", "2014-10-15 19:21:41", "2014-10-15 18:21:41", "", "la naissance", "", "inherit", "open", "open", "", "la-naissance", "", "", "2014-10-15 19:21:41", "2014-10-15 18:21:41", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/la-naissance.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("250", "1", "2014-10-15 19:21:42", "2014-10-15 18:21:42", "", "Nouveau né", "", "inherit", "open", "open", "", "nouveau-ne", "", "", "2014-10-15 19:21:42", "2014-10-15 18:21:42", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Nouveau-né.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("251", "1", "2014-10-15 19:21:44", "2014-10-15 18:21:44", "", "petit enfant", "", "inherit", "open", "open", "", "petit-enfant", "", "", "2014-10-15 19:21:44", "2014-10-15 18:21:44", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/petit-enfant.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("252", "1", "2014-10-15 19:21:45", "2014-10-15 18:21:45", "", "rythme des consultations", "", "inherit", "open", "open", "", "rythme-des-consultations", "", "", "2014-10-15 19:21:45", "2014-10-15 18:21:45", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/rythme-des-consultations.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("253", "1", "2014-10-15 19:21:46", "2014-10-15 18:21:46", "", "vaccins", "", "inherit", "open", "open", "", "vaccins", "", "", "2014-10-15 19:21:46", "2014-10-15 18:21:46", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/vaccins.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("254", "1", "2014-10-15 19:21:47", "2014-10-15 18:21:47", "", "a lecole enfant", "", "inherit", "open", "open", "", "a-lecole-enfant", "", "", "2014-10-15 19:21:47", "2014-10-15 18:21:47", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/a-lecole-enfant.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("255", "1", "2014-10-15 19:21:48", "2014-10-15 18:21:48", "", "alimentation bébé", "", "inherit", "open", "open", "", "alimentation-bebe", "", "", "2014-10-15 19:21:48", "2014-10-15 18:21:48", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/alimentation-bébé.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("256", "1", "2014-10-15 19:21:49", "2014-10-15 18:21:49", "", "alimentation enfant", "", "inherit", "open", "open", "", "alimentation-enfant", "", "", "2014-10-15 19:21:49", "2014-10-15 18:21:49", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/alimentation-enfant.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("257", "1", "2014-10-15 19:21:50", "2014-10-15 18:21:50", "", "alimentation petit enfant", "", "inherit", "open", "open", "", "alimentation-petit-enfant", "", "", "2014-10-15 19:21:50", "2014-10-15 18:21:50", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/alimentation-petit-enfant.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("258", "1", "2014-10-15 19:21:51", "2014-10-15 18:21:51", "", "alimentation", "", "inherit", "open", "open", "", "alimentation", "", "", "2014-10-15 19:21:51", "2014-10-15 18:21:51", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/alimentation.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("259", "1", "2014-10-15 19:21:52", "2014-10-15 18:21:52", "", "au quotidien enfant", "", "inherit", "open", "open", "", "au-quotidien-enfant", "", "", "2014-10-15 19:21:52", "2014-10-15 18:21:52", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/au-quotidien-enfant.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("260", "1", "2014-10-15 19:21:54", "2014-10-15 18:21:54", "", "au quotidien petit enfant", "", "inherit", "open", "open", "", "au-quotidien-petit-enfant", "", "", "2014-10-15 19:21:54", "2014-10-15 18:21:54", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/au-quotidien-petit-enfant.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("261", "1", "2014-10-15 19:21:55", "2014-10-15 18:21:55", "", "au quotidien", "", "inherit", "open", "open", "", "au-quotidien", "", "", "2014-10-15 19:21:55", "2014-10-15 18:21:55", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/au-quotidien.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("262", "1", "2014-10-15 19:21:55", "2014-10-15 18:21:55", "", "au qutidien bébé", "", "inherit", "open", "open", "", "au-qutidien-bebe", "", "", "2014-10-15 19:21:55", "2014-10-15 18:21:55", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/au-qutidien-bébé.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("263", "1", "2014-10-15 19:21:56", "2014-10-15 18:21:56", "", "bébé", "", "inherit", "open", "open", "", "bebe", "", "", "2014-10-15 19:21:56", "2014-10-15 18:21:56", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/bébé.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("264", "1", "2014-10-15 19:21:57", "2014-10-15 18:21:57", "", "courbes de croissance", "", "inherit", "open", "open", "", "courbes-de-croissance", "", "", "2014-10-15 19:21:57", "2014-10-15 18:21:57", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/courbes-de-croissance.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("265", "1", "2014-10-15 19:21:58", "2014-10-15 18:21:58", "", "enfants", "", "inherit", "open", "open", "", "enfants", "", "", "2014-10-15 19:21:58", "2014-10-15 18:21:58", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/enfants.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("266", "1", "2014-10-15 19:21:59", "2014-10-15 18:21:59", "", "eveil et dvpt bébé", "", "inherit", "open", "open", "", "eveil-et-dvpt-bebe", "", "", "2014-10-15 19:21:59", "2014-10-15 18:21:59", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/eveil-et-dvpt-bébé.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("267", "1", "2014-10-15 19:22:00", "2014-10-15 18:22:00", "", "eveil et dvpt enfant", "", "inherit", "open", "open", "", "eveil-et-dvpt-enfant", "", "", "2014-10-15 19:22:00", "2014-10-15 18:22:00", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/eveil-et-dvpt-enfant.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("268", "1", "2014-10-15 20:03:09", "2014-10-15 19:03:09", "<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-DTP.pdf\">Fiche DTP</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Grippe.pdf\">Fiche Grippe</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Haemophilus-Influenzae.pdf\">Fiche Haemophilus Influenzae</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Hépatite-A.pdf\">Fiche Hépatite A</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Hépatite-B-1.pdf\">Fiche Hépatite B-1</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Hépatite-B.pdf\">Fiche Hépatite B</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Méningocoque-C.pdf\">Fiche Méningocoque C</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-méningoencéphalite-à-tiques.pdf\">Fiche méningoencéphalite à tiques</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Pneumocoque.pdf\">Fiche Pneumocoque</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Rotavirus.pdf\">Fiche Rotavirus</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Rougeole.pdf\">Fiche Rougeole</a>", "Documents à imprimer", "", "publish", "open", "open", "", "documents-a-imprimer", "", "", "2014-10-15 20:05:44", "2014-10-15 19:05:44", "", "166", "http://krooga.net/clients/pascalinegrue/?page_id=268", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("269", "1", "2014-10-15 20:03:09", "2014-10-15 19:03:09", "", "Documents à imprimer", "", "inherit", "open", "open", "", "268-revision-v1", "", "", "2014-10-15 20:03:09", "2014-10-15 19:03:09", "", "268", "http://krooga.net/clients/pascalinegrue/268-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("270", "1", "2014-10-15 20:04:30", "2014-10-15 19:04:30", "", "Fiche DTP", "", "inherit", "open", "open", "", "fiche-dtp", "", "", "2014-10-15 20:04:30", "2014-10-15 19:04:30", "", "268", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-DTP.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("271", "1", "2014-10-15 20:04:31", "2014-10-15 19:04:31", "", "Fiche Grippe", "", "inherit", "open", "open", "", "fiche-grippe", "", "", "2014-10-15 20:04:31", "2014-10-15 19:04:31", "", "268", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Grippe.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("272", "1", "2014-10-15 20:04:31", "2014-10-15 19:04:31", "", "Fiche Haemophilus Influenzae", "", "inherit", "open", "open", "", "fiche-haemophilus-influenzae", "", "", "2014-10-15 20:04:31", "2014-10-15 19:04:31", "", "268", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Haemophilus-Influenzae.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("273", "1", "2014-10-15 20:04:32", "2014-10-15 19:04:32", "", "Fiche Hépatite A", "", "inherit", "open", "open", "", "fiche-hepatite-a", "", "", "2014-10-15 20:04:32", "2014-10-15 19:04:32", "", "268", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Hépatite-A.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("274", "1", "2014-10-15 20:04:33", "2014-10-15 19:04:33", "", "Fiche Hépatite B-1", "", "inherit", "open", "open", "", "fiche-hepatite-b-1", "", "", "2014-10-15 20:05:00", "2014-10-15 19:05:00", "", "268", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Hépatite-B-1.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("275", "1", "2014-10-15 20:04:34", "2014-10-15 19:04:34", "", "Fiche Hépatite B", "", "inherit", "open", "open", "", "fiche-hepatite-b", "", "", "2014-10-15 20:04:34", "2014-10-15 19:04:34", "", "268", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Hépatite-B.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("276", "1", "2014-10-15 20:04:35", "2014-10-15 19:04:35", "", "Fiche Méningocoque C", "", "inherit", "open", "open", "", "fiche-meningocoque-c", "", "", "2014-10-15 20:04:35", "2014-10-15 19:04:35", "", "268", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Méningocoque-C.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("277", "1", "2014-10-15 20:04:36", "2014-10-15 19:04:36", "", "Fiche méningoencéphalite à tiques", "", "inherit", "open", "open", "", "fiche-meningoencephalite-a-tiques", "", "", "2014-10-15 20:04:36", "2014-10-15 19:04:36", "", "268", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-méningoencéphalite-à-tiques.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("278", "1", "2014-10-15 20:04:36", "2014-10-15 19:04:36", "", "Fiche Pneumocoque", "", "inherit", "open", "open", "", "fiche-pneumocoque", "", "", "2014-10-15 20:04:36", "2014-10-15 19:04:36", "", "268", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Pneumocoque.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("279", "1", "2014-10-15 20:04:37", "2014-10-15 19:04:37", "", "Fiche Rotavirus", "", "inherit", "open", "open", "", "fiche-rotavirus", "", "", "2014-10-15 20:04:37", "2014-10-15 19:04:37", "", "268", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Rotavirus.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("280", "1", "2014-10-15 20:04:38", "2014-10-15 19:04:38", "", "Fiche Rougeole", "", "inherit", "open", "open", "", "fiche-rougeole", "", "", "2014-10-15 20:04:38", "2014-10-15 19:04:38", "", "268", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Rougeole.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("281", "1", "2014-10-15 20:05:44", "2014-10-15 19:05:44", "<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-DTP.pdf\">Fiche DTP</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Grippe.pdf\">Fiche Grippe</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Haemophilus-Influenzae.pdf\">Fiche Haemophilus Influenzae</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Hépatite-A.pdf\">Fiche Hépatite A</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Hépatite-B-1.pdf\">Fiche Hépatite B-1</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Hépatite-B.pdf\">Fiche Hépatite B</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Méningocoque-C.pdf\">Fiche Méningocoque C</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-méningoencéphalite-à-tiques.pdf\">Fiche méningoencéphalite à tiques</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Pneumocoque.pdf\">Fiche Pneumocoque</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Rotavirus.pdf\">Fiche Rotavirus</a> \r\n<a href=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/Fiche-Rougeole.pdf\">Fiche Rougeole</a>", "Documents à imprimer", "", "inherit", "open", "open", "", "268-revision-v1", "", "", "2014-10-15 20:05:44", "2014-10-15 19:05:44", "", "268", "http://krooga.net/clients/pascalinegrue/268-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("282", "1", "2014-10-15 20:07:28", "2014-10-15 19:07:28", "", "Espace Patient", "", "inherit", "open", "open", "", "166-revision-v1", "", "", "2014-10-15 20:07:28", "2014-10-15 19:07:28", "", "166", "http://krooga.net/clients/pascalinegrue/166-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("283", "1", "2014-10-15 20:08:32", "2014-10-15 19:08:32", "", "imprimer", "", "inherit", "open", "open", "", "imprimer", "", "", "2014-10-15 20:08:32", "2014-10-15 19:08:32", "", "166", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/imprimer.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("284", "1", "2014-10-15 20:08:58", "2014-10-15 19:08:58", "", "questionnaires", "", "inherit", "open", "open", "", "questionnaires", "", "", "2014-10-15 20:08:58", "2014-10-15 19:08:58", "", "166", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/questionnaires.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("285", "1", "2014-10-15 20:09:47", "2014-10-15 19:09:47", "", "contact", "", "inherit", "open", "open", "", "contact", "", "", "2014-10-15 20:09:47", "2014-10-15 19:09:47", "", "166", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/contact.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("286", "1", "2014-10-15 20:10:00", "2014-10-15 19:10:00", "", "Espace Patient", "", "inherit", "open", "open", "", "166-revision-v1", "", "", "2014-10-15 20:10:00", "2014-10-15 19:10:00", "", "166", "http://krooga.net/clients/pascalinegrue/166-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("287", "1", "2014-10-15 20:28:31", "2014-10-15 19:28:31", "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.", "Questionnaires des visites de dépistage", "", "publish", "open", "open", "", "questionnaires-des-visites-de-depistage", "", "", "2014-10-15 20:28:31", "2014-10-15 19:28:31", "", "166", "http://krooga.net/clients/pascalinegrue/?page_id=287", "2", "page", "", "0");
INSERT INTO `wp_posts` VALUES("288", "1", "2014-10-15 20:28:31", "2014-10-15 19:28:31", "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.", "Questionnaires des visites de dépistage", "", "inherit", "open", "open", "", "287-revision-v1", "", "", "2014-10-15 20:28:31", "2014-10-15 19:28:31", "", "287", "http://krooga.net/clients/pascalinegrue/287-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("289", "1", "2014-10-15 20:28:49", "0000-00-00 00:00:00", "", "Annuaires des spécialistes", "", "draft", "open", "open", "", "", "", "", "2014-10-15 20:28:49", "2014-10-15 19:28:49", "", "0", "http://krooga.net/clients/pascalinegrue/?p=289", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("290", "1", "2014-10-15 20:29:03", "2014-10-15 19:29:03", "Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim qui blandit praesent luptatum zzril delenit augue duis dolore te feugait nulla facilisi.", "Annuaires des spécialistes", "", "publish", "open", "open", "", "annuaires-des-specialistes", "", "", "2014-10-15 20:29:03", "2014-10-15 19:29:03", "", "166", "http://krooga.net/clients/pascalinegrue/?page_id=290", "3", "page", "", "0");
INSERT INTO `wp_posts` VALUES("291", "1", "2014-10-15 20:29:03", "2014-10-15 19:29:03", "Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim qui blandit praesent luptatum zzril delenit augue duis dolore te feugait nulla facilisi.", "Annuaires des spécialistes", "", "inherit", "open", "open", "", "290-revision-v1", "", "", "2014-10-15 20:29:03", "2014-10-15 19:29:03", "", "290", "http://krooga.net/clients/pascalinegrue/290-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("292", "1", "2014-10-15 20:29:19", "2014-10-15 19:29:19", "", "Espace Patient", "", "inherit", "open", "open", "", "166-revision-v1", "", "", "2014-10-15 20:29:19", "2014-10-15 19:29:19", "", "166", "http://krooga.net/clients/pascalinegrue/166-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("293", "1", "2014-10-15 20:30:16", "2014-10-15 19:30:16", "", "honoraires2", "", "inherit", "open", "open", "", "honoraires2", "", "", "2014-10-15 20:30:16", "2014-10-15 19:30:16", "", "13", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/06/honoraires2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("294", "1", "2014-10-15 20:30:26", "2014-10-15 19:30:26", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact, accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n&nbsp;\r\n<strong>Accès</strong> : arrêt tramway Duchesse Anne ligne 1\r\nArrêt de bus Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nNouvelle adresse en janvier 2015\r\n52 rue Paul Bellamy, 44000 Nantes\r\n&nbsp;\r\n<strong>Accès</strong> : arrêt tramway 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.\r\n&nbsp;", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-15 20:30:26", "2014-10-15 19:30:26", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("297", "1", "2014-10-19 18:17:00", "2014-10-19 17:17:00", "<img class=\"alignleft size-full wp-image-62\" class=\"margin_bottom_img\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-10-19 18:17:00", "2014-10-19 17:17:00", "", "50", "http://krooga.net/clients/pascalinegrue/50-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("298", "1", "2014-10-19 18:17:56", "2014-10-19 17:17:56", "<img class=\"margin_bottom_img\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-10-19 18:17:56", "2014-10-19 17:17:56", "", "50", "http://krooga.net/clients/pascalinegrue/50-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("299", "1", "2014-10-19 18:18:29", "2014-10-19 17:18:29", "<img class=\"margin_bottom_img alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-10-19 18:18:29", "2014-10-19 17:18:29", "", "50", "http://krooga.net/clients/pascalinegrue/50-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("300", "1", "2014-10-24 11:29:23", "2014-10-24 10:29:23", "<img class=\"margin_bottom_img alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée\r\nHonoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-autosave-v1", "", "", "2014-10-24 11:29:23", "2014-10-24 10:29:23", "", "50", "http://krooga.net/clients/pascalinegrue/50-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("301", "1", "2014-10-19 18:37:57", "2014-10-19 17:37:57", "<img class=\"margin_bottom_img alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" /><article class=\"descrition_bio\">Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2\r\n</article>", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-10-19 18:37:57", "2014-10-19 17:37:57", "", "50", "http://krooga.net/clients/pascalinegrue/50-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("302", "1", "2014-10-19 18:38:30", "2014-10-19 17:38:30", "<img class=\"margin_bottom_img alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée Honoraires libres\r\nSecteur 2\r\n</article>", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-10-19 18:38:30", "2014-10-19 17:38:30", "", "50", "http://krooga.net/clients/pascalinegrue/50-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("303", "1", "2014-10-21 18:14:12", "2014-10-21 17:14:12", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLe <strong>Docteur Pascaline Grué-Fertin</strong> travaille à la maternité de la <strong>Clinique Bretéché</strong> à Nantes. Les pédiatres de la Clinique assurent les visites des nouveau-nés au cours du séjour.\r\nUne unité Kangourou située au sein de la maternité permet d’accueillir les nouveaunés nécessitant des soins spécifiques. Elle permet de prendre en charge des bébés légèrement prématurés (&gt;35 SA), des bébés de faible poids de naissance (&gt;1800g), des bébés présentant des difficultés légères d’adaptation à la vie extra-utérine, des bébés nécessitant une antibiothérapie ou une surveillance rapprochée. <strong>Une garde est assurée 24h/24 par un pédiatre.</strong>\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Adresse :</strong>\r\nClinique Bretéché\r\nBâtiment Platon\r\n3 rue Béraudière, BP 54613\r\n44046 Nantes Cedex 1\r\n0890710711\r\nUrgences Maternité : 0251868658\r\n\r\n<a title=\"Gynecologue obstetricien Nantes\" href=\"http://www.gynecologue-obstetricien-nantes.fr\">Gynécologue Obstétricien Nantes</a>\r\n<a title=\"Clinique Breteche\" href=\"http://www.clinique-breteche.fr/hospitalisation/maternite.html\">Clinique Brétéché</a>[/efscolumn]\r\n[/efsrow]\r\n<div class=\"map\"><iframe src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d10838.049418981029!2d-1.5440366972534103!3d47.22612316074859!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805ee96ed52f257%3A0x311004568604e47!2zQ2xpbmlxdWUgQnJldMOpY2jDqQ!5e0!3m2!1sen!2sua!4v1413911375132\" width=\"960\" height=\"340\" frameborder=\"0\" style=\"border:0\"></iframe></div>", "La maternité", "", "inherit", "open", "open", "", "100-revision-v1", "", "", "2014-10-21 18:14:12", "2014-10-21 17:14:12", "", "100", "http://krooga.net/clients/pascalinegrue/100-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("304", "1", "2014-10-21 18:17:27", "2014-10-21 17:17:27", "Phone: 02 40 74 29 68\r\nEmail: contact@pediatregruenantes.fr\r\n\r\nInscription au tableau de l’Ordre des Médecins de Loire-Atlantique: n° 9476 N° RPPS: 10100070415", "Mon parcours", "", "inherit", "open", "open", "", "114-revision-v1", "", "", "2014-10-21 18:17:27", "2014-10-21 17:17:27", "", "114", "http://krooga.net/clients/pascalinegrue/114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("306", "1", "2014-10-22 09:17:15", "2014-10-22 08:17:15", "Pour tout problème particulier, vous pouvez consulter à tout moment.\r\n\r\nDes <strong>consultations plus spécifiques</strong> vous sont proposées comme :\r\n\r\n- <strong>des consultations d’allaitement pour les mamans</strong> ayant besoin d’un soutien ou d’un suivi lorsque l’allaitement est difficile,\r\n\r\n- <strong>des consultations d’homéopathie</strong> pour la mise en place de traitement de fond\r\n\r\n- <strong>des consultations de dépistages des troubles des apprentissages</strong>, des troubles du langage oral et du langage écrit (batterie de tests EDA).", "Consultations spécifiques :", "Pour tout problème particulier, vous pouvez consulter à tout moment.\r\n\r\nDes consultations plus spécifiques vous sont proposées comme  ...", "inherit", "open", "open", "", "230-autosave-v1", "", "", "2014-10-22 09:17:15", "2014-10-22 08:17:15", "", "230", "http://krooga.net/clients/pascalinegrue/230-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("307", "1", "2014-10-22 09:21:09", "2014-10-22 08:21:09", "<strong>Partie du corps :</strong>\nLes vaccins se font dans la <strong>face antéro-externe des cuisses</strong> du nourrisson et de l’enfant.\nA 6 ans, le vaccin se fait en général <strong>dans le bras</strong> au niveau de la partie supéro-externe (muscle deltoïde). Il peut être réalisé dans la face antéro-externe de cuisse si l’enfant le souhaite.\n\nStratégies « anti-douleur » :\nIl est important d’expliquer et de rassurer l’enfant avant la consultation prévue pour les vaccins.\nSi votre enfant est allaité, il est possible de donner le sein pendant le geste.\nSi votre enfant prend des biberons, il est possible de lui donner un peu d’eau sucrée (diluer 1 morceau de sucre de 5 grammes dans 20 ml d’eau) ou de lui donner son biberon de lait pendant le geste. Il existe en pharmacie des préparations de saccharose à 25% mais le prix est assez élevé.\n\nPour prévenir la douleur, on peut aussi utiliser des anesthésiques locaux (EMLA® patch). Ne pas oublier de découper les surplus collants avant de les poser. Cela fera moins mal en les retirant. Les patchs d’EMLA® sont à poser 1 heure avant la consultation sur les faces antéro-externes des cuisses pour les nourrissons ou la face supéro-externe du bras pour les enfants de 6 ans (1heure maximum pour les nourrissons de 0 à 3 mois, 1 à 2 heures pour les Nourrissons &gt;3 mois). L’anesthésie obtenue persiste 1 à 2 heures après le retrait du patch. Même s’il y a du retard dans les consultations, il est préférable de retirer le patch au bout du temps écoulé.\n\nSchéma pour patche emla à insérer\n\nUn traitement homéopathique sera prescrit à l’enfant pour prévenir les effets indésirables (fièvre, réaction inflammatoire locale).", "Comment on vaccine ? ", "Les vaccins se font dans la face antéro-externe des cuisses du nourrisson et de l’enfant.\nA 6 ans, le vaccin se fait en général dans le bras au niveau de la partie supéro-externe (muscle deltoïde). Il peut être réalisé dans la face antéro-externe de cuisse si l’enfant le souhaite.", "inherit", "open", "open", "", "245-autosave-v1", "", "", "2014-10-22 09:21:09", "2014-10-22 08:21:09", "", "245", "http://krooga.net/clients/pascalinegrue/245-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("309", "1", "2014-10-22 09:49:06", "2014-10-22 08:49:06", "<strong>Phone :</strong> 02 40 74 29 68\r\n<strong>Email :</strong> contact@pediatregruenantes.fr\r\n\r\nInscription au tableau de l’Ordre des Médecins de Loire-Atlantique: n° 9476 N° RPPS: 10100070415", "Mon parcours", "", "inherit", "open", "open", "", "114-revision-v1", "", "", "2014-10-22 09:49:06", "2014-10-22 08:49:06", "", "114", "http://krooga.net/clients/pascalinegrue/114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("310", "1", "2014-10-22 09:50:12", "2014-10-22 08:50:12", "<span style=\"text-decoration: underline;\">Horaires d’ouverture du secrétariat</span>\r\n\r\n<strong>Actuellement :</strong>\r\n\r\nLundi 9h-13h 14h30-18h\r\nMardi 9h-13h 14h30-18h\r\nMercredi 9h-13h\r\nJeudi 9h-13h 14h30-18h\r\nVendredi 9h-13h 14h30-18h\r\n\r\n<strong>En Janvier 2015 :</strong>\r\n\r\nLundi 9h-12h15 13h45-18h45\r\nMardi 10h-12h15 13h45-18h45\r\nMercredi 9h-12h15 13h45-18h\r\nJeudi 9h-12h30\r\nVendredi 9h-12h15 13h45-18h\r\n\r\n<span style=\"text-decoration: underline;\">Horaires de consultations</span>\r\n\r\nEtant d’astreinte à la clinique Brétéché tous les mardis, il peut y avoir un peu de retard occasionné par d’éventuelles urgences à la maternité.\r\n\r\n<strong>Actuellement :</strong>\r\n\r\nMardi 14h-19h\r\nMercredi 9h-13h 14h30-19h\r\nJeudi 14h-19h\r\nVendredi 14h-19h\r\n\r\n<strong>En Janvier 2015 :</strong>\r\n\r\nLundi 9h-12h30 14h-19h\r\nMardi 11h-12h30 14h-19h\r\nMercredi 9h-12h30 14h-19h\r\nJeudi 9h-12h30\r\nVendredi 9h-12h30 14h-19h", "Horaires d’ouverture", "", "inherit", "open", "open", "", "181-revision-v1", "", "", "2014-10-22 09:50:12", "2014-10-22 08:50:12", "", "181", "http://krooga.net/clients/pascalinegrue/181-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("311", "1", "2014-10-22 09:51:09", "2014-10-22 08:51:09", "<span style=\"text-decoration: underline;\">Horaires d’ouverture du secrétariat</span>\r\n\r\n<strong>Actuellement :</strong>\r\n\r\nLundi : 9h-13h 14h30-18h\r\nMardi : 9h-13h 14h30-18h\r\nMercredi : 9h-13h\r\nJeudi : 9h-13h 14h30-18h\r\nVendredi : 9h-13h 14h30-18h\r\n\r\n<strong>En Janvier 2015 :</strong>\r\n\r\nLundi : 9h-12h15 13h45-18h45\r\nMardi : 10h-12h15 13h45-18h45\r\nMercredi : 9h-12h15 13h45-18h\r\nJeudi : 9h-12h30\r\nVendredi : 9h-12h15 13h45-18h\r\n\r\n<span style=\"text-decoration: underline;\">Horaires de consultations</span>\r\n\r\nEtant d’astreinte à la clinique Brétéché tous les mardis, il peut y avoir un peu de retard occasionné par d’éventuelles urgences à la maternité.\r\n\r\n<strong>Actuellement :</strong>\r\n\r\nMardi : 14h-19h\r\nMercredi : 9h-13h 14h30-19h\r\nJeudi : 14h-19h\r\nVendredi : 14h-19h\r\n\r\n<strong>En Janvier 2015 :</strong>\r\n\r\nLundi : 9h-12h30 14h-19h\r\nMardi : 11h-12h30 14h-19h\r\nMercredi : 9h-12h30 14h-19h\r\nJeudi : 9h-12h30\r\nVendredi : 9h-12h30 14h-19h", "Horaires d’ouverture", "", "inherit", "open", "open", "", "181-revision-v1", "", "", "2014-10-22 09:51:09", "2014-10-22 08:51:09", "", "181", "http://krooga.net/clients/pascalinegrue/181-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("312", "1", "2014-10-22 09:53:06", "2014-10-22 08:53:06", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\n<strong>Contact &amp; Accès</strong>\n\n[efsrow]\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\n<strong>Actuellement :</strong>\n0240742968\n1 rue Sully, 44000 Nantes\n\n<strong>Accès</strong> :\nArrêt tramway : Duchesse Anne ligne 1\nArrêt de bus : Foch Cathédrale ligne 4, C1, C6, 11, 12\nParking public Cathédrale\n[/efscolumn]\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\n<strong>Nouvelle adresse en janvier 2015 :</strong>\n52 rue Paul Bellamy, 44000 Nantes\n\n<strong>Accès</strong> :\nArrêt tramway : 50 otages ou Saint Mihiel ligne 2\nArrêt de bus : Saint Stanislas C2, 12, 23\nParking public Bellamy[/efscolumn][/efsrow]\nMail : cabinet@pediatregruenantes.fr\nAttention aucun conseil médicaux ne sera donner par mail.\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-autosave-v1", "", "", "2014-10-22 09:53:06", "2014-10-22 08:53:06", "", "13", "http://krooga.net/clients/pascalinegrue/13-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("313", "1", "2014-10-22 09:53:09", "2014-10-22 08:53:09", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact &amp; Accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : Duchesse Anne ligne 1\r\nArrêt de bus : Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Nouvelle adresse en janvier 2015 :</strong>\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus : Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-22 09:53:09", "2014-10-22 08:53:09", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("314", "1", "2014-10-22 09:54:07", "2014-10-22 08:54:07", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact &amp; Accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : Duchesse Anne ligne 1\r\nArrêt de bus : Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Nouvelle adresse en janvier 2015 :</strong>\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus : Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\nMail : cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.\r\n\r\n&nbsp;", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-22 09:54:07", "2014-10-22 08:54:07", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("315", "1", "2014-10-22 09:54:29", "2014-10-22 08:54:29", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact &amp; Accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : Duchesse Anne ligne 1\r\nArrêt de bus : Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Nouvelle adresse en janvier 2015 :</strong>\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus : Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n<strong>Mail :</strong> cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.\r\n\r\n&nbsp;", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-22 09:54:29", "2014-10-22 08:54:29", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("316", "1", "2014-10-22 09:56:32", "2014-10-22 08:56:32", "<strong> </strong>\r\n<table>\r\n<tbody>\r\n<tr>\r\n<td>consultation</td>\r\n<td>honoraires</td>\r\n<td>Base de remboursement par la sécurité sociale</td>\r\n</tr>\r\n<tr>\r\n<td>De 0 à 28 jours</td>\r\n<td>45€</td>\r\n<td>35€</td>\r\n</tr>\r\n<tr>\r\n<td>De 29 jours à 25 mois</td>\r\n<td>40€</td>\r\n<td>28€</td>\r\n</tr>\r\n<tr>\r\n<td>De 25 mois à 6 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td>De 6 à 16 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td>De 16 à 18 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Bilan de dépistage :</td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>9 mois-24 moi-36 mois</td>\r\n<td>65€</td>\r\n<td>52,89€</td>\r\n</tr>\r\n<tr>\r\n<td>4 ans- Fin de Gs-Fin de CP</td>\r\n<td>55€</td>\r\n<td>43,96€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Avis spécialisé</td>\r\n<td>55€</td>\r\n<td>46€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Consultation allaitement</td>\r\n<td>50€</td>\r\n<td>28€</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation homéopathie (traitement de fond)</td>\r\n<td>50€</td>\r\n<td>28€ avant 2 ans\r\n\r\n23€ après 2 ans</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation dépistage des troubles des apprentissages</td>\r\n<td>80€</td>\r\n<td>69,12€</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation annuelle ALD</td>\r\n<td>50€</td>\r\n<td>41€</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\nConventionnée Honoraires Libres, Secteur 2.\r\n\r\nLes honoraires sont supérieurs à ceux fixés par l’assurance maladie, certaines mutuelles prennent en charge le dépassement des honoraires.\r\nSi vous bénéficiez de la couverture universelle complémentaire (CMU), le tarif de remboursement de l’assurance maladie du secteur 1 est appliqué.", "Honoraires", "", "inherit", "open", "open", "", "185-revision-v1", "", "", "2014-10-22 09:56:32", "2014-10-22 08:56:32", "", "185", "http://krooga.net/clients/pascalinegrue/185-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("317", "1", "2014-10-22 09:57:08", "2014-10-22 08:57:08", "<strong> </strong>\r\n<table>\r\n<tbody>\r\n<tr>\r\n<td><strong>Consultation</strong></td>\r\n<td><strong>Honoraires</strong></td>\r\n<td><strong>Base de remboursement par la sécurité sociale</strong></td>\r\n</tr>\r\n<tr>\r\n<td>De 0 à 28 jours</td>\r\n<td>45€</td>\r\n<td>35€</td>\r\n</tr>\r\n<tr>\r\n<td>De 29 jours à 25 mois</td>\r\n<td>40€</td>\r\n<td>28€</td>\r\n</tr>\r\n<tr>\r\n<td>De 25 mois à 6 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td>De 6 à 16 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td>De 16 à 18 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Bilan de dépistage :</td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>9 mois-24 moi-36 mois</td>\r\n<td>65€</td>\r\n<td>52,89€</td>\r\n</tr>\r\n<tr>\r\n<td>4 ans- Fin de Gs-Fin de CP</td>\r\n<td>55€</td>\r\n<td>43,96€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Avis spécialisé</td>\r\n<td>55€</td>\r\n<td>46€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Consultation allaitement</td>\r\n<td>50€</td>\r\n<td>28€</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation homéopathie (traitement de fond)</td>\r\n<td>50€</td>\r\n<td>28€ avant 2 ans23€ après 2 ans</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation dépistage des troubles des apprentissages</td>\r\n<td>80€</td>\r\n<td>69,12€</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation annuelle ALD</td>\r\n<td>50€</td>\r\n<td>41€</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\nConventionnée Honoraires Libres, Secteur 2.\r\n\r\nLes honoraires sont supérieurs à ceux fixés par l’assurance maladie, certaines mutuelles prennent en charge le dépassement des honoraires.\r\nSi vous bénéficiez de la couverture universelle complémentaire (CMU), le tarif de remboursement de l’assurance maladie du secteur 1 est appliqué.", "Honoraires", "", "inherit", "open", "open", "", "185-revision-v1", "", "", "2014-10-22 09:57:08", "2014-10-22 08:57:08", "", "185", "http://krooga.net/clients/pascalinegrue/185-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("318", "1", "2014-10-22 09:57:27", "2014-10-22 08:57:27", "<strong> </strong>\r\n<table>\r\n<tbody>\r\n<tr>\r\n<td><strong>Consultation</strong></td>\r\n<td><strong>Honoraires</strong></td>\r\n<td><strong>Base de remboursement par la sécurité sociale</strong></td>\r\n</tr>\r\n<tr>\r\n<td>De 0 à 28 jours</td>\r\n<td>45€</td>\r\n<td>35€</td>\r\n</tr>\r\n<tr>\r\n<td>De 29 jours à 25 mois</td>\r\n<td>40€</td>\r\n<td>28€</td>\r\n</tr>\r\n<tr>\r\n<td>De 25 mois à 6 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td>De 6 à 16 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td>De 16 à 18 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Bilan de dépistage :</td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>9 mois-24 moi-36 mois</td>\r\n<td>65€</td>\r\n<td>52,89€</td>\r\n</tr>\r\n<tr>\r\n<td>4 ans- Fin de Gs-Fin de CP</td>\r\n<td>55€</td>\r\n<td>43,96€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Avis spécialisé</td>\r\n<td>55€</td>\r\n<td>46€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Consultation allaitement</td>\r\n<td>50€</td>\r\n<td>28€</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation homéopathie (traitement de fond)</td>\r\n<td>50€</td>\r\n<td>28€ avant 2 ans &amp; 23€ après 2 ans</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation dépistage des troubles des apprentissages</td>\r\n<td>80€</td>\r\n<td>69,12€</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation annuelle ALD</td>\r\n<td>50€</td>\r\n<td>41€</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\nConventionnée Honoraires Libres, Secteur 2.\r\n\r\nLes honoraires sont supérieurs à ceux fixés par l’assurance maladie, certaines mutuelles prennent en charge le dépassement des honoraires.\r\nSi vous bénéficiez de la couverture universelle complémentaire (CMU), le tarif de remboursement de l’assurance maladie du secteur 1 est appliqué.", "Honoraires", "", "inherit", "open", "open", "", "185-revision-v1", "", "", "2014-10-22 09:57:27", "2014-10-22 08:57:27", "", "185", "http://krooga.net/clients/pascalinegrue/185-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("319", "1", "2014-10-22 10:00:45", "2014-10-22 09:00:45", "", "Espace Patient", "", "inherit", "open", "open", "", "166-revision-v1", "", "", "2014-10-22 10:00:45", "2014-10-22 09:00:45", "", "166", "http://krooga.net/clients/pascalinegrue/166-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("320", "1", "2014-10-22 10:08:58", "2014-10-22 09:08:58", "Retrouvez des conseils sur la naissance, le quotidien, et l’alimentation de votre Nouveau né.", "", "", "publish", "open", "open", "", "320", "", "", "2014-10-24 17:23:15", "2014-10-24 16:23:15", "", "0", "http://krooga.net/clients/pascalinegrue/?p=320", "10", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("321", "1", "2014-10-22 10:08:58", "2014-10-22 09:08:58", "Retrouvez des conseils sur le quotidien, l’alimentation, l’eveil et le développement de votre bébé de 0 à 1 an.", "", "", "publish", "open", "open", "", "321", "", "", "2014-10-24 17:23:15", "2014-10-24 16:23:15", "", "0", "http://krooga.net/clients/pascalinegrue/?p=321", "11", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("322", "1", "2014-10-22 10:08:58", "2014-10-22 09:08:58", "Retrouvez des conseils sur le quotidien, l’alimentation, l’eveil et le développement de votre petit enfant de 1 à 3 ans.", "", "", "publish", "open", "open", "", "322", "", "", "2014-10-24 17:23:15", "2014-10-24 16:23:15", "", "0", "http://krooga.net/clients/pascalinegrue/?p=322", "12", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("323", "1", "2014-10-22 10:08:59", "2014-10-22 09:08:59", "Retrouvez des conseils sur le quotidien, la vie à l’école, l’alimentation, l’eveil et le développement de votre enfant de 3 à 6 ans.", "", "", "publish", "open", "open", "", "323", "", "", "2014-10-24 17:23:15", "2014-10-24 16:23:15", "", "0", "http://krooga.net/clients/pascalinegrue/?p=323", "13", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("324", "1", "2014-10-22 10:43:26", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2014-10-22 10:43:26", "0000-00-00 00:00:00", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=conseils&p=324", "0", "conseils", "", "0");
INSERT INTO `wp_posts` VALUES("325", "1", "2014-10-22 19:40:34", "2014-10-22 18:40:34", "", "login-logo", "", "inherit", "open", "open", "", "login-logo", "", "", "2014-10-22 19:40:34", "2014-10-22 18:40:34", "", "0", "http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/10/login-logo.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("326", "1", "2014-10-23 18:36:35", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2014-10-23 18:36:35", "0000-00-00 00:00:00", "", "0", "http://krooga.net/clients/pascalinegrue/?p=326", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("327", "1", "2014-10-24 08:49:28", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2014-10-24 08:49:28", "0000-00-00 00:00:00", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=suivi-medical&p=327", "0", "suivi-medical", "", "0");
INSERT INTO `wp_posts` VALUES("328", "1", "2014-10-24 10:35:33", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2014-10-24 10:35:33", "0000-00-00 00:00:00", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=suivi-medical&p=328", "0", "suivi-medical", "", "0");
INSERT INTO `wp_posts` VALUES("329", "1", "2014-10-24 10:35:36", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2014-10-24 10:35:36", "0000-00-00 00:00:00", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=suivi-medical&p=329", "0", "suivi-medical", "", "0");
INSERT INTO `wp_posts` VALUES("330", "1", "2014-10-24 11:34:45", "2014-10-24 10:34:45", "<ul>\r\n	<li><b><b>Pourquoi on vaccine ?</b></b></li>\r\n</ul>\r\n<p style=\"text-align: justify;\">Les vaccinations sont le moyen le plus efficace de <strong>protéger votre enfant contre certaines maladies contagieuses</strong> qui peuvent avoir des conséquences graves. Les vaccins permettent au corps de produire ses propres défenses immunitaires, comme s’il s’agissait d’une infection naturelle. Cet entrainement permet au corps de se défendre rapidement si  l’enfant est au contact de la maladie.</p>\r\n<p style=\"text-align: justify;\">La vaccination consiste à administrer, généralement sous forme d’injection, soit un micro-organisme vivant atténué (vaccins vivants : rougeole, oreillons, rubéole), soit un micro-organisme mort (vaccins tués : tétanos, diphtérie, coqueluche). Souvent les vaccins tués ne contiennent plus que des fragments de ces agents pathogènes, les antigènes, que le système immunitaire reconnaît comme étrangers. Le vaccin provoque ainsi une réaction immunitaire de défense en produisant des anticorps et permet à l’organisme de se construire une mémoire immunologique.</p>\r\n<p style=\"text-align: justify;\"><strong>La vaccination permet une protection individuelle mais aussi collective.</strong> Certaines maladies comme la polyomyélite et la diphtérie ont disparu en France grâce à une vaccination efficace. Mais si la couverture vaccinale diminue, on peut voir réapparaître certaines maladies (épidémie de rougeole entre 2008 et 2013, recrudescence de la coqueluche depuis 2009). Les personnes non vaccinées peuvent alors être en danger. Certaines maladies sont plus graves chez le nourrisson (coqueluche, haemophilus influenzae), d’autres sont plus graves chez les adultes et les femmes enceintes (rougeole, rubéole).</p>\r\n<p style=\"text-align: justify;\">En faisant vacciner votre enfant, vous contribuer à protéger votre enfant, les enfants des autres, les nouveau-nés, les femmes enceintes et les adultes en général car vous permettez d’enrayer la propagation des maladies infectieuses graves.</p>\r\n<p style=\"text-align: justify;\"><strong>La responsabilité de vacciner les enfants incombe aux parents.</strong> Il s’agit d’une décision personnelle importante. Si vous avez des questions, des réserves ou des peurs concernant les vaccins, n’hésitez pas à en parler lors de la consultation.</p>\r\n<strong>Vous pouvez également consulter les documents suivants :</strong>\r\n\r\n<strong><strong> </strong></strong><a href=\"http://www.infovac.fr/index2.php?option=com_docman&amp;task=docget&amp;Itemid=103&amp;id=19\">http://www.infovac.fr/index2.php?option=com_docman&amp;task=docget&amp;Itemid=103&amp;id=19</a>\r\n\r\n<a href=\"http://www.infovac.fr/index2.php?option=com_docman&amp;task=docget&amp;Itemid=103&amp;id=18\">http://www.infovac.fr/index2.php?option=com_docman&amp;task=docget&amp;Itemid=103&amp;id=18</a>\r\n\r\n<a href=\"http://www.infovac.fr/pourquoi-vacciner-\">http://www.infovac.fr/pourquoi-vacciner-</a>\r\n\r\n<strong><strong> </strong></strong>\r\n<ul>\r\n	<li><b><b>Quels sont les effets secondaires des vaccins ?</b></b></li>\r\n</ul>\r\nLes réactions aux vaccins sont très faibles et se manifestent en général 24 à 48 heures après la vaccination. Elles disparaissent très vite.\r\n\r\nL’enfant peut avoir une rougeur, une petite tuméfaction, et une douleur au point d’injection. Il peut aussi avoir de la fièvre souvent inférieure à 39°. La fièvre est le témoin d’une réaction immunitaire. Il est important de la respecter. Le paracétamol peut diminuer l’efficacité du vaccin. Il est donc important de ne donner du paracétamol que si la fièvre est mal tolérée et non en systématique.\r\n\r\nCertains nourrissons peuvent pleurer beaucoup et être inconsolables durant quelques heures après les vaccins.\r\n\r\nLes manifestations post-vaccinales graves sont extrêmement rares et font l’objet d’un suivi et de recherches approfondies. Il faut retenir que des millions d’enfants ont été vaccinés avec succès et que les dangers de la vaccination sont nettement inférieurs à ceux que pourrait présenter la maladie si elle se développait naturellement. Il arrive toujours que des personnes meurent parce qu’elles n’ont pas été vaccinées ou en raison d’une couverture vaccinale insuffisante.\r\n\r\nEnfin, un effet secondaire observé après une vaccination peut ou non être dû à la vaccination. Certains évènements peuvent avoir lieu de façon naturelle et indépendante du vaccin mais observés dans les suites d’une vaccination. Il est inévitable que certaines maladies (maladies auto-immunes ou inflammatoires, autisme, allergies) surviennent aussi chez des personnes qui ont été vaccinées, juste avant ou juste après un vaccin. Le vaccin n’en est pour autant pas nécessairement la cause !\r\n\r\n<strong><strong> </strong></strong>\r\n\r\n<strong>De nombreuses études ont démontré :</strong>\r\n<ul>\r\n	<li>que le vaccin Rougeole-rubéole-oreillons n’augmente pas le risque d’autisme</li>\r\n</ul>\r\n<strong><i>Références :</i></strong>\r\n<ul>\r\n	<li><i>DeStefano F. Vaccines and autism. Pediatr Infect Dis J 2001; 20(9):887-8.</i></li>\r\n	<li><i>Jefferson T et al. Unintended events following immunization with MMR: a systematic review. Vaccine 2003; 21(25-26):3954-60.</i></li>\r\n	<li><i>Stehr-Green P et al. Autism and thimerosal-containing vaccines: lack of consistent evidence for an association. Am J Prev Med 2003; 25(2):101-6.</i></li>\r\n	<li><i>Halsey NA Hyman SL. Measles-mumps-rubella vaccine and autistic spectrum disorder: report from the New Challenges in Childhood Immunizations Conference convened in Oak Brook, Illinois, June 12-13, 2000. Pediatrics 2001; 107(5):E84.</i></li>\r\n	<li><i>Farrington CP et al. MMR and autism: further evidence against a causal association. Vaccine 2001.</i></li>\r\n	<li><i>Fombonne E et al. </i><i>No Evidence for A New Variant of Measles-Mumps-Rubella–Induced Autism</i><i> Pediatrics 2001.</i></li>\r\n	<li><i>Smeeth L et al. MMR vaccination and pervasive developmental disorders: a case-control study. Lancet 2004 </i></li>\r\n	<li><i>Madsen KM et al. A population-based study of measles, mumps, and rubella vaccination and autism. New England Journal of Medecine 2002,</i></li>\r\n</ul>\r\n&nbsp;\r\n<ul>\r\n	<li>que le vaccin coqueluche ne provoque pas de dommages cérébraux</li>\r\n</ul>\r\n<strong><i>Référence :</i></strong>\r\n<ul>\r\n	<li><i>Moore DL et al. Lack of evidence of encephalopathy related to pertussis vaccine: active surveillance by IMPACT, Canada, 1993-2002. Pediatr Infect Dis J 2004; 23(6):568-71.</i></li>\r\n</ul>\r\n&nbsp;\r\n<ul>\r\n	<li>que le vaccin contre la méningite à haemophillus influenzae n’augmente pas le risque de diabète</li>\r\n</ul>\r\n<strong><i>Références :</i></strong>\r\n<ul>\r\n	<li><i>Black SB et al. Lack of association between receipt of conjugate haemophilus influenzae type B vaccine (HbOC) in infancy and risk of type 1 (juvenile onset) diabetes: long term follow-up of the HbOC efficacy trial cohort. Pediatr Infect Dis J 2002; 21(6):568-9.</i></li>\r\n	<li><i>Karvonen M et al. Association between type 1 diabetes and Haemophilus influenzae type b vaccination: birth cohort study. Bmj 1999; 318(7192):1169-72.</i></li>\r\n</ul>\r\n&nbsp;\r\n<ul>\r\n	<li>que le vaccin contre l’hépatite B n’augmente pas le risque de sclérose en plaque</li>\r\n</ul>\r\n<strong><i>Références :</i></strong>\r\n<ul>\r\n	<li><i>Belloni C et al. No evidence of autoimmunity in 6-year-old children immunized at birth with recombinant hepatitis B vaccine. Pediatrics 2002; 110(1 Pt 1):e4.</i></li>\r\n	<li><i>Demicheli V et al. Hepatitis B vaccination and multiple sclerosis: evidence from a systematic review. J Viral Hepat 2003; 10(5):343-4.</i></li>\r\n	<li><i>Merelli E et al. Prognostic factors in multiple sclerosis: role of intercurrent infections and vaccinations against influenza and hepatitis B. Neurol Sci 2000; 21(4 Suppl 2):S853-6.</i></li>\r\n	<li><i>Mikaeloff Y et al. Hepatitis B vaccination and the risk of childhood onset multiple sclerosis. Arch Pediatr Adolesc Med 2007;161:1176-1182. </i></li>\r\n	<li><i>Mikaeloff Y et al. Hepatitis B vaccine and risk of relapse after first childhood CNS inflammatory demyelination. Brain 2007; 130:1105-1110.</i></li>\r\n</ul>\r\n&nbsp;\r\n<ul>\r\n	<li>que la vaccination des nourrissons ne joue aucun rôle déclenchant dans la mort subite</li>\r\n</ul>\r\n<strong><strong> </strong></strong>\r\n\r\n<strong><i>Sources : </i></strong>\r\n\r\n<i><a href=\"http://www.infovac.fr/effets-secondaires-des-vaccins\">http://www.infovac.fr/effets-secondaires-des-vaccins</a></i>\r\n\r\n<i><a href=\"http://www.infovac.fr/evidences-contre-croyances/securite-des-vaccins-\">http://www.infovac.fr/evidences-contre-croyances/securite-des-vaccins-</a></i>\r\n\r\n<a href=\"http://www.who.int/features/qa/84/fr/\"><i>http://www.who.int/features/qa/84/fr/</i></a>\r\n\r\n<strong><strong> </strong></strong>\r\n\r\nIl est important de noter que les vaccins n’affaiblissent pas le système immunitaire des nourrissons.\r\n\r\n<strong>Sources:</strong>\r\n\r\n<strong><strong> </strong></strong><a href=\"http://www.infovac.fr/index.php?Itemid=127\">http://www.infovac.fr/index.php?Itemid=127</a>\r\n\r\n&nbsp;\r\n<ul>\r\n	<li><strong><strong> Que penser du</strong></strong><b> sel d’aluminium comme adjuvant dans les vaccins :</b></li>\r\n</ul>\r\n<ul>\r\n	<li>Beaucoup de vaccins nécessitent des adjuvants pour être efficaces, le plus fréquemment un sel d’aluminium. L’aluminium est l’adjuvant le plus efficace et le plus utilisé pour les vaccins humains. Retirer l’aluminium conduirait à une baisse de leur efficacité et donc à une diminution de la protection. Les adjuvants permettent au système immunitaire de réagir plus fortement au vaccin et de renforcer l’effet protecteur de celui-ci.</li>\r\n</ul>\r\n<ul>\r\n	<li>Les doses d’aluminium administrées dans le cadre des vaccinations sont négligeables par rapport à l’apport l’alimentaire normal. On retrouve la présence d’aluminium dans l’organisme humain dès la naissance et par la suite on en absorbe quotidiennement avec l’alimentation et les boissons. Les petites quantités d’aluminium contenues dans les vaccins ne sont pas nocives.</li>\r\n</ul>\r\n<ul>\r\n	<li>Le fait d’avoir un granulome contenant de l’aluminium au lieu d’injection des vaccins est un phénomène normal et connu.</li>\r\n</ul>\r\n<ul>\r\n	<li>Il n’existe aucune corrélation entre la constatation d’un granulome au point d’injection des vaccins et une maladie systémique.</li>\r\n</ul>\r\n<strong><strong> </strong></strong>\r\n\r\n<strong><i>References: </i></strong>\r\n<ul>\r\n	<li><i>Siegrist CA. Les adjuvants vaccinaux et la myofasciite à macrophages Arch Pediatr 2005; 12: 96-101 </i></li>\r\n	<li><i>Mitkus RJ et al. Updated aluminium pharmacokinetics following infant exposures through diet and vaccination. Vaccine. 2011; 29: 9538-43.</i></li>\r\n</ul>\r\n<strong><i>Sources:</i></strong>\r\n\r\n<i>http://www.academie-medecine.fr/wp-content/uploads/2013/10/adjuvants-vaccinaux-rapport-ANM1.pdf</i>", "A propos des vaccins :", "Les vaccinations sont le moyen le plus efficace de protéger votre enfant contre certaines maladies contagieuses qui peuvent avoir des conséquences graves. Les vaccins permettent au corps de produire ses propres défenses immunitaires, comme s’il s’agissait d’une infection naturelle. Cet entrainement permet au corps de se défendre rapidement si  l’enfant est au contact de la maladie.", "inherit", "open", "open", "", "241-autosave-v1", "", "", "2014-10-24 11:34:45", "2014-10-24 10:34:45", "", "241", "http://krooga.net/clients/pascalinegrue/241-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("332", "1", "2014-10-24 11:19:05", "2014-10-24 10:19:05", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact &amp; Accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n0240742968\r\n1 rue Sully, 44000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : Duchesse Anne ligne 1\r\nArrêt de bus : Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Nouvelle adresse le 22 décembre 2014 :</strong>\r\n52 rue Paul Bellamy, 44000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus : Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n<strong>Mail :</strong> cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.\r\n\r\n&nbsp;", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-24 11:19:05", "2014-10-24 10:19:05", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("333", "1", "2014-10-24 11:20:40", "2014-10-24 10:20:40", "<span style=\"text-decoration: underline;\">Horaires d’ouverture du secrétariat</span>\n\n<strong>Actuellement :</strong>\n\nLundi : 9h-13h / 14h30-18h\nMardi : 9h-13h / 14h30-18h\nMercredi : 9h-13h\nJeudi : 9h-13h / 14h30-18h\nVendredi : 9h-13h / 14h30-18h\n\n<strong>En Janvier 2015 :</strong>\n\nLundi : 9h-12h15 / 13h45-18h45\nMardi : 10h-12h15 / 13h45-18h45\nMercredi : 9h-12h15 / 13h45-18h15\nJeudi : 9h15-12h30\nVendredi : 9h-12h / 13h45-18h\n\n<span style=\"text-decoration: underline;\">Horaires de consultations</span>\n\nEtant d’astreinte à la clinique Brétéché tous les mardis, il peut y avoir un peu de retard occasionné par d’éventuelles urgences à la maternité.\n\n<strong>Actuellement :</strong>\n\nMardi : 14h-19h\nMercredi : 9h-13h 14h30-19h\nJeudi : 14h-19h\nVendredi : 14h-19h\n\n<strong>En Janvier 2015 :</strong>\n\nLundi : 9h-12h30 14h-19h\nMardi : 11h-12h30 14h-19h\nMercredi : 9h-12h30 14h-19h\nJeudi : 9h-12h30\nVendredi : 9h-12h30 14h-19h", "Horaires d’ouverture", "", "inherit", "open", "open", "", "181-autosave-v1", "", "", "2014-10-24 11:20:40", "2014-10-24 10:20:40", "", "181", "http://krooga.net/clients/pascalinegrue/181-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("334", "1", "2014-10-24 11:21:05", "2014-10-24 10:21:05", "<span style=\"text-decoration: underline;\">Horaires d’ouverture du secrétariat</span>\r\n\r\n<strong>Actuellement :</strong>\r\n\r\nLundi : 9h-13h / 14h30-18h\r\nMardi : 9h-13h / 14h30-18h\r\nMercredi : 9h-13h\r\nJeudi : 9h-13h / 14h30-18h\r\nVendredi : 9h-13h / 14h30-18h\r\n\r\n<strong>En Janvier 2015 :</strong>\r\n\r\nLundi : 9h-12h15 / 13h45-18h45\r\nMardi : 10h-12h15 / 13h45-18h45\r\nMercredi : 9h-12h15 / 13h45-18h15\r\nJeudi : 9h15-12h30\r\nVendredi : 9h-12h / 13h-18h\r\n\r\n<span style=\"text-decoration: underline;\">Horaires de consultations</span>\r\n\r\nEtant d’astreinte à la clinique Brétéché tous les mardis, il peut y avoir un peu de retard occasionné par d’éventuelles urgences à la maternité.\r\n\r\n<strong>Actuellement :</strong>\r\n\r\nMardi : 14h-19h\r\nMercredi : 9h-13h 14h30-19h\r\nJeudi : 14h-19h\r\nVendredi : 14h-19h\r\n\r\n<strong>En Janvier 2015 :</strong>\r\n\r\nLundi : 9h-12h30 14h-19h\r\nMardi : 11h-12h30 14h-19h\r\nMercredi : 9h-12h30 14h-19h\r\nJeudi : 9h-12h30\r\nVendredi : 13h-19h", "Horaires d’ouverture", "", "inherit", "open", "open", "", "181-revision-v1", "", "", "2014-10-24 11:21:05", "2014-10-24 10:21:05", "", "181", "http://krooga.net/clients/pascalinegrue/181-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("335", "1", "2014-10-24 11:21:32", "2014-10-24 10:21:32", "<strong> </strong>\r\n<table>\r\n<tbody>\r\n<tr>\r\n<td><strong>Consultation</strong></td>\r\n<td><strong>Honoraires</strong></td>\r\n<td><strong>Base de remboursement par la sécurité sociale</strong></td>\r\n</tr>\r\n<tr>\r\n<td>De 0 à 28 jours</td>\r\n<td>45€</td>\r\n<td>35€</td>\r\n</tr>\r\n<tr>\r\n<td>De 29 jours à 25 mois</td>\r\n<td>40€</td>\r\n<td>28€</td>\r\n</tr>\r\n<tr>\r\n<td>De 25 mois à 6 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td>De 6 à 16 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td>De 16 à 18 ans</td>\r\n<td>40€</td>\r\n<td>23€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td><strong>Bilan de dépistage :</strong></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>9 mois-24 moi-36 mois</td>\r\n<td>65€</td>\r\n<td>52,89€</td>\r\n</tr>\r\n<tr>\r\n<td>4 ans- Fin de Gs-Fin de CP</td>\r\n<td>55€</td>\r\n<td>43,96€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Avis spécialisé</td>\r\n<td>55€</td>\r\n<td>46€</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n<tr>\r\n<td>Consultation allaitement</td>\r\n<td>50€</td>\r\n<td>28€</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation homéopathie (traitement de fond)</td>\r\n<td>50€</td>\r\n<td>28€ avant 2 ans &amp; 23€ après 2 ans</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation dépistage des troubles des apprentissages</td>\r\n<td>80€</td>\r\n<td>69,12€</td>\r\n</tr>\r\n<tr>\r\n<td>Consultation annuelle ALD</td>\r\n<td>50€</td>\r\n<td>41€</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\nConventionnée Honoraires Libres, Secteur 2.\r\n\r\nLes honoraires sont supérieurs à ceux fixés par l’assurance maladie, certaines mutuelles prennent en charge le dépassement des honoraires.\r\nSi vous bénéficiez de la couverture universelle complémentaire (CMU), le tarif de remboursement de l’assurance maladie du secteur 1 est appliqué.", "Honoraires", "", "inherit", "open", "open", "", "185-revision-v1", "", "", "2014-10-24 11:21:32", "2014-10-24 10:21:32", "", "185", "http://krooga.net/clients/pascalinegrue/185-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("336", "1", "2014-10-24 11:22:23", "2014-10-24 10:22:23", "<strong>Phone :</strong> 02 40 74 29 68\r\n<strong>Email :</strong> contact@pediatregruenantes.fr\r\n\r\nInscription au tableau de l’Ordre des Médecins de Loire-Atlantique:\r\n\r\nn° 9476 N° RPPS: 10100070415", "Mon parcours", "", "inherit", "open", "open", "", "114-revision-v1", "", "", "2014-10-24 11:22:23", "2014-10-24 10:22:23", "", "114", "http://krooga.net/clients/pascalinegrue/114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("337", "1", "2014-10-24 11:22:57", "2014-10-24 10:22:57", "<strong>Phone :</strong> 02 40 74 29 68\r\n<strong>Email :</strong> contact@pediatregruenantes.fr\r\n\r\nInscription au tableau de l’Ordre des Médecins de Loire-Atlantique:\r\n\r\nn° 9476\r\n\r\nN° RPPS: 10100070415", "Mon parcours", "", "inherit", "open", "open", "", "114-revision-v1", "", "", "2014-10-24 11:22:57", "2014-10-24 10:22:57", "", "114", "http://krooga.net/clients/pascalinegrue/114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("338", "1", "2014-10-24 11:23:22", "2014-10-24 10:23:22", "<strong>Phone :</strong> 02 40 74 29 68\r\n<strong>Email :</strong> contact@pediatregruenantes.fr\r\n\r\nInscription au tableau de l’Ordre des Médecins de Loire-Atlantique:\r\n\r\nN° 9476\r\n\r\nN° RPPS: 10100070415", "Mon parcours", "", "inherit", "open", "open", "", "114-revision-v1", "", "", "2014-10-24 11:23:22", "2014-10-24 10:23:22", "", "114", "http://krooga.net/clients/pascalinegrue/114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("339", "1", "2014-10-24 11:29:31", "2014-10-24 10:29:31", "<img class=\"margin_bottom_img alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée\r\nHonoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-10-24 11:29:31", "2014-10-24 10:29:31", "", "50", "http://krooga.net/clients/pascalinegrue/50-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("340", "1", "2014-10-24 11:31:27", "2014-10-24 10:31:27", "<strong>Pour suivre l’évolution de votre enfant, dépister les problèmes éventuels et y apporter une réponse rapidement, il vous est recommandé de réaliser les examens médicaux suivants :</strong>\r\n\r\n- Visite dans les <strong>8 premiers jours</strong> suivant la naissance, réalisée à la maternité\r\n\r\n- Visite à <strong>15 jours, 1 mois, 2 mois (vaccins), 3 mois, 4 mois (vaccins), 5 mois, 6 mois</strong>\r\n\r\n- <strong>Bilan à 9 mois</strong> : Cette visite est particulièrement importante car elle permet de faire le point sur les acquisitions (langage, expression, comportement social, motricité fine et globale), le mode de garde, l’alimentation, le sommeil de votre enfant. Cette consultation comporte un test de l’audition (Sensory Baby Test) et un bilan ophtalmologique (test des lunettes à secteur, test des lunettes à écran) réalisés avec des outils adaptés et validés. Cette visite donne lieu à l’établissement d’un certificat de santé obligatoire à envoyer au médecin responsable du service départemental de PMI de votre département. Pour bien préparer la consultation, un questionnaire est à remplir par les parents avant la consultation (Questionnaire 9 mois).\r\n\r\n- <strong>Visite à 11 mois</strong> (vaccins), <strong>12 mois</strong> (vaccins)\r\n\r\n- <strong>Visite à 16 mois</strong> (vaccin)\r\n\r\n- <strong>Visite à 20 mois</strong> : Cette visite permet d’évaluer la communication, le comportement et la socialisation de votre enfant (test CHAT).\r\n\r\n- <strong>Bilan à 24 mois</strong> : Cette visite est particulièrement importante car elle permet de faire le point sur les acquisitions (langage, expression, comportement social, motricité fine et globale), le mode de garde, l’alimentation, le sommeil de votre enfant. Cette consultation comporte un test de l’audition (Sensory Baby Test, test de la voix chuchotée) et un bilan ophtalmologique (test des lunettes à secteur, test des lunettes à écran) réalisés avec des outils adaptés et validés. Cette visite donne lieu à l’établissement d’un certificat de santé obligatoire à envoyer au médecin responsable du service départemental de PMI de votre département. Pour bien préparer la consultation, un questionnaire est à remplir par les parents avant la consultation (Questionnaire 24 mois).\r\n\r\n- <strong>Visite à 30 mois</strong>\r\n\r\n- <strong>Bilan à 3 ans</strong> : Cette visite permet d’évaluer les compétences de votre enfant : son autonomie et son comportement social, son langage (test DPL3), sa motricité fine et globale. Elle permet d’évaluer son alimentation, son sommeil et ses conditions de vie. Cette consultation comporte un test de l’audition (test de la voix chuchotée) et un bilan ophtalmologique (test des lunettes à secteur, test des lunettes à écran, test DAVL, test de Lang) réalisés avec des outils adaptés et validés. Pour bien préparer la consultation, un questionnaire est à remplir par les parents avant la consultation (Questionnaire 3 ans).\r\n\r\n- <strong>Bilan à 4 ans</strong> : A 4 ans, l’évaluation du langage est indispensable (test ERTL4). Elle permet de repérer d’éventuelles difficultés de langage et de pouvoir y remédier rapidement. Cette visite est permet d’évaluer les compétences de votre enfant : son autonomie et son comportement social, sa motricité fine et globale. Elle permet de faire le point sur son alimentation, son sommeil et ses conditions de vie. Cette consultation comporte un test de l’audition (AUDIO4) et un bilan ophtalmologique (mesure de l’acuité visuelle, test de Lang) réalisés avec des outils adaptés et validés. Pour bien préparer la consultation, un questionnaire est à remplir par les parents avant la consultation (Questionnaire 4 ans).\r\n\r\n- <strong>Bilan en fin de Grande Section (3ème trimestre)-début de CP (1er trimestre)</strong> : Cette consultation permet d’évaluer les compétences de votre enfant avant l’entrée en CP. Elle se déroule en 2 temps. Une première consultation permet d’évaluer l’autonomie, l’alimentation, le sommeil, le comportement, la vie affective et relationnelle, les difficultés scolaires de votre enfant. Un test de l’audition (AUDIO4) et un bilan ophtalmologique (mesure de l’acuité visuelle, test de Lang, test d’Ishihara) sont réalisés. Lors d’une deuxième consultation, un test est proposé pour repérer d’éventuels troubles des apprentissages et du langage (ERTLA6). Pour bien préparer la consultation, un questionnaire est à remplir par les parents avant la consultation (Questionnaire Fin de GS).\r\n\r\n- <strong>Visite à 6 ans</strong> : Lors de cette consultation, le rappel vaccinal DTP-Coqueluche sera réalisé, ainsi que la prise de tension artérielle et la recherche de protéines dans les urines.\r\n\r\n- <strong>Bilan en fin de CP (3ème trimestre)-début de CE1 (1er trimestre)</strong> : Cette consultation permet d’évaluer les compétences de votre enfant acquises au cours du CP et de repérer d’éventuels difficultés d’apprentissage (test de lecture, test d’écriture, test de graphisme, test de conscience phonémique). Un test de l’audition (AUDIO4) et un bilan ophtalmologique (mesure de l’acuité visuelle, test de Lang, test d’Ishihara) sont réalisés. Pour bien préparer la consultation, un questionnaire est à remplir par les parents avant la consultation (Questionnaire Fin CP).\r\n\r\n- <strong>Après 6 ans</strong>, une visite annuelle permet d’évaluer le bien-être général de votre enfant, la croissance, l’état du dos et des postures, la vision, l’état buccodentaire, la puberté…. La réalisation de certificats médicaux peut se faire lors de ces consultations.\r\n\r\n- <strong>Visite à 11-13 ans </strong>: rappel vaccinal DTP-Coqueluche, vaccin HPV\r\n\r\nEn cas de maladie ou de problèmes particuliers, vous pouvez consulter à tout moment.\r\n\r\n<strong>A ne pas oublier pour bien préparer la visite médicale :</strong>\r\n\r\n- Entre 2 rendez-vous, notez vos questions sur un papier pour ne rien oublier le jour de la visite.\r\n\r\n- Dans la mesure du possible, essayer de vous arrangez pour que votre bébé soit dans les meilleurs conditions : pensez à apporter son doudou, un petit jouet, un biberon d’eau et tout ce qu’il faut pour le changer. Essayer de vous arranger pour lui donner à manger avant la consultation. Parlez-lui de la consultation, du vaccin avant le rendez-vous, pour le rassurer.\r\n\r\n- Pensez à apporter les résultats d’analyses, radiographies, échographies…\r\n\r\n- Pensez à apporter votre carte vitale.\r\n\r\n- Pour les visites de dépistage (9 mois, 24 mois, 3 ans, 4 ans, fin de GS, fin de CP) :\r\n\r\no pensez à programmer cette visite à un moment où votre enfant est en forme,\r\n\r\no pensez à prévoir du temps,\r\n\r\no pensez à répondre à l’avance aux questionnaires qui accompagne les visites.", "Rythme des consultations :", "Pour suivre l’évolution de votre enfant, dépister les problèmes éventuels et y apporter une réponse rapidement, il vous est recommandé de réaliser les examens médicaux suivants ...", "inherit", "open", "open", "", "231-autosave-v1", "", "", "2014-10-24 11:31:27", "2014-10-24 10:31:27", "", "231", "http://krooga.net/clients/pascalinegrue/231-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("341", "1", "2014-10-24 11:36:49", "2014-10-24 10:36:49", "<strong>Phone :</strong> 02 40 74 29 68\r\n<strong>Email :</strong> contact@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.\r\n\r\nInscription au tableau de l’Ordre des Médecins de Loire-Atlantique :\r\n\r\nN° 9476\r\n\r\nN° RPPS: 10100070415", "Mon parcours", "", "inherit", "open", "open", "", "114-revision-v1", "", "", "2014-10-24 11:36:49", "2014-10-24 10:36:49", "", "114", "http://krooga.net/clients/pascalinegrue/114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("342", "1", "2014-10-24 11:37:19", "2014-10-24 10:37:19", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact &amp; Accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n02 40 74 29 68\r\n1 rue Sully, 44 000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : Duchesse Anne ligne 1\r\nArrêt de bus : Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Nouvelle adresse le 22 décembre 2014 :</strong>\r\n52 rue Paul Bellamy, 44 000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus : Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n<strong>Mail :</strong> cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise de RDV est possible par mail.\r\n\r\n&nbsp;", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-24 11:37:19", "2014-10-24 10:37:19", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("343", "1", "2014-10-24 11:37:54", "2014-10-24 10:37:54", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\nLe <strong>Docteur Pascaline Grué-Fertin</strong> travaille à la maternité de la <strong>Clinique Bretéché</strong> à Nantes. Les pédiatres de la Clinique assurent les visites des nouveau-nés au cours du séjour.\r\nUne unité Kangourou située au sein de la maternité permet d’accueillir les nouveaunés nécessitant des soins spécifiques. Elle permet de prendre en charge des bébés légèrement prématurés (&gt;35 SA), des bébés de faible poids de naissance (&gt;1800g), des bébés présentant des difficultés légères d’adaptation à la vie extra-utérine, des bébés nécessitant une antibiothérapie ou une surveillance rapprochée. <strong>Une garde est assurée 24h/24 par un pédiatre.</strong>\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Adresse :</strong>\r\nClinique Bretéché\r\nBâtiment Platon\r\n3 rue Béraudière, BP 54613\r\n44 046 Nantes Cedex 1\r\n08 90 71 07 11\r\nUrgences Maternité : 02 51 86 86 58\r\n\r\n<a title=\"Gynecologue obstetricien Nantes\" href=\"http://www.gynecologue-obstetricien-nantes.fr\">Gynécologue Obstétricien Nantes</a>\r\n<a title=\"Clinique Breteche\" href=\"http://www.clinique-breteche.fr/hospitalisation/maternite.html\">Clinique Brétéché</a>[/efscolumn]\r\n[/efsrow]\r\n<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d10838.049418981029!2d-1.5440366972534103!3d47.22612316074859!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805ee96ed52f257%3A0x311004568604e47!2zQ2xpbmlxdWUgQnJldMOpY2jDqQ!5e0!3m2!1sen!2sua!4v1413911375132\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>", "La maternité", "", "inherit", "open", "open", "", "100-revision-v1", "", "", "2014-10-24 11:37:54", "2014-10-24 10:37:54", "", "100", "http://krooga.net/clients/pascalinegrue/100-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("344", "1", "2014-10-24 11:38:33", "2014-10-24 10:38:33", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact &amp; Accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n02 40 74 29 68\r\n1 rue Sully, 44 000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : Duchesse Anne ligne 1\r\nArrêt de bus : Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Nouvelle adresse le 22 décembre 2014 :</strong>\r\n52 rue Paul Bellamy, 44 000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus : Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n<strong>Mail :</strong> cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise des RDV sera possible par mail à partir du 22 décembre 2014.\r\n\r\n&nbsp;", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-24 11:38:33", "2014-10-24 10:38:33", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("345", "1", "2014-10-24 11:38:49", "2014-10-24 10:38:49", "<strong>Phone :</strong> 02 40 74 29 68\r\n<strong>Email :</strong> contact@pediatregruenantes.fr\r\nAttention aucun conseil médicaux ne sera donner par mail.\r\nLa prise des RDV sera possible par mail à partir du 22 décembre 2014.\r\n\r\nInscription au tableau de l’Ordre des Médecins de Loire-Atlantique :\r\n\r\nN° 9476\r\n\r\nN° RPPS: 10100070415", "Mon parcours", "", "inherit", "open", "open", "", "114-revision-v1", "", "", "2014-10-24 11:38:49", "2014-10-24 10:38:49", "", "114", "http://krooga.net/clients/pascalinegrue/114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("346", "1", "2014-10-24 11:39:57", "2014-10-24 10:39:57", "<strong>Phone :</strong> 02 40 74 29 68\r\n<strong>Email :</strong> contact@pediatregruenantes.fr\r\n\r\nAttention aucun conseil médical ne sera donner par mail. Ce mail ne remplace en aucune façon une consultation médicale. Il est transmis à la secrétaire pour traitement. La prise des RDV sera possible par mail à partir du 22 décembre 2014.\r\n\r\nInscription au tableau de l’Ordre des Médecins de Loire-Atlantique :\r\nN° 9476\r\nN° RPPS: 10100070415", "Mon parcours", "", "inherit", "open", "open", "", "114-revision-v1", "", "", "2014-10-24 11:39:57", "2014-10-24 10:39:57", "", "114", "http://krooga.net/clients/pascalinegrue/114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("347", "1", "2014-10-24 11:40:22", "2014-10-24 10:40:22", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact &amp; Accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n02 40 74 29 68\r\n1 rue Sully, 44 000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : Duchesse Anne ligne 1\r\nArrêt de bus : Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Nouvelle adresse le 22 décembre 2014 :</strong>\r\n52 rue Paul Bellamy, 44 000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus : Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n<strong>Mail :</strong> cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médical ne sera donner par mail. Ce mail ne remplace en aucune façon une consultation médicale. Il est transmis à la secrétaire pour traitement.\r\nLa prise des RDV sera possible par mail à partir du 22 décembre 2014.\r\n\r\n&nbsp;", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-24 11:40:22", "2014-10-24 10:40:22", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("348", "1", "2014-10-24 17:03:11", "2014-10-24 16:03:11", "<img class=\"margin_bottom_img alignleft\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/doctor.jpg\" alt=\"doctor\" width=\"158\" height=\"158\" />Pédiatrie\r\nHoméopathie\r\nDIU Allaitement maternel\r\nDESC de Néonatologie\r\nConventionnée\r\nHonoraires libres\r\nSecteur 2", "Maison", "", "inherit", "open", "open", "", "50-revision-v1", "", "", "2014-10-24 17:03:11", "2014-10-24 16:03:11", "", "50", "http://krooga.net/clients/pascalinegrue/50-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("349", "1", "2014-10-24 17:06:39", "2014-10-24 16:06:39", "", "Suivi médical", "", "inherit", "open", "open", "", "11-revision-v1", "", "", "2014-10-24 17:06:39", "2014-10-24 16:06:39", "", "11", "http://krooga.net/clients/pascalinegrue/11-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("350", "1", "2014-10-24 17:16:28", "2014-10-24 16:16:28", "", "Suivi médical", "", "inherit", "open", "open", "", "11-revision-v1", "", "", "2014-10-24 17:16:28", "2014-10-24 16:16:28", "", "11", "http://krooga.net/clients/pascalinegrue/11-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("351", "1", "2014-10-24 17:23:14", "2014-10-24 16:23:14", " ", "", "", "publish", "open", "open", "", "351", "", "", "2014-10-24 17:23:14", "2014-10-24 16:23:14", "", "13", "http://krooga.net/clients/pascalinegrue/?p=351", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("352", "1", "2014-10-24 17:23:15", "2014-10-24 16:23:15", " ", "", "", "publish", "open", "open", "", "352", "", "", "2014-10-24 17:23:15", "2014-10-24 16:23:15", "", "13", "http://krooga.net/clients/pascalinegrue/?p=352", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("353", "1", "2014-10-24 17:32:26", "2014-10-24 16:32:26", "<div class=\"map\"><iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\" width=\"960\" height=\"340\" frameborder=\"0\"></iframe></div>\r\n<strong>Contact &amp; Accès</strong>\r\n\r\n[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Actuellement :</strong>\r\n02 40 74 29 68\r\n1 rue Sully, 44 000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : Duchesse Anne ligne 1\r\nArrêt de bus : Foch Cathédrale ligne 4, C1, C6, 11, 12\r\nParking public Cathédrale\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n<strong>Nouvelle adresse le 22 décembre 2014 : <a class=\"fancybox-iframe\" style=\"border: 0;\" href=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2709.8273241882443!2d-1.5496337999999998!3d47.2199609!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805eebcb7b52085%3A0xe4ebf227a3f4360c!2s1+Rue+Sully%2C+44000+Nantes%2C+France!5e0!3m2!1sen!2sua!4v1412135921396\"><img class=\"marker\" src=\"http://krooga.net/clients/pascalinegrue/wp-content/uploads/2014/09/marker.png\" alt=\"marker\" width=\"31\" height=\"49\" /></a></strong>\r\n52 rue Paul Bellamy, 44 000 Nantes\r\n\r\n<strong>Accès</strong> :\r\nArrêt tramway : 50 otages ou Saint Mihiel ligne 2\r\nArrêt de bus : Saint Stanislas C2, 12, 23\r\nParking public Bellamy[/efscolumn][/efsrow]\r\n<strong>Mail :</strong> cabinet@pediatregruenantes.fr\r\nAttention aucun conseil médical ne sera donner par mail. Ce mail ne remplace en aucune façon une consultation médicale. Il est transmis à la secrétaire pour traitement.\r\nLa prise des RDV sera possible par mail à partir du 22 décembre 2014.\r\n\r\n&nbsp;", "Le cabinet", "", "inherit", "open", "open", "", "13-revision-v1", "", "", "2014-10-24 17:32:26", "2014-10-24 16:32:26", "", "13", "http://krooga.net/clients/pascalinegrue/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("354", "1", "2014-10-24 17:38:16", "2014-10-24 16:38:16", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nHoraires d’ouverture du secrétariat\r\n\r\n<strong>Actuellement :</strong>\r\n\r\nLundi : 9h-13h / 14h30-18h\r\nMardi : 9h-13h / 14h30-18h\r\nMercredi : 9h-13h\r\nJeudi : 9h-13h / 14h30-18h\r\nVendredi : 9h-13h / 14h30-18h\r\n\r\n<strong>En Janvier 2015 :</strong>\r\n\r\nLundi : 9h-12h15 / 13h45-18h45\r\nMardi : 10h-12h15 / 13h45-18h45\r\nMercredi : 9h-12h15 / 13h45-18h15\r\nJeudi : 9h15-12h30\r\nVendredi : 9h-12h / 13h-18h\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\nHoraires de consultations\r\n\r\nEtant d’astreinte à la clinique Brétéché tous les mardis, il peut y avoir un peu de retard occasionné par d’éventuelles urgences à la maternité.\r\n\r\n<strong>Actuellement :</strong>\r\n\r\nMardi : 14h-19h\r\nMercredi : 9h-13h 14h30-19h\r\nJeudi : 14h-19h\r\nVendredi : 14h-19h\r\n\r\n<strong>En Janvier 2015 :</strong>\r\n\r\nLundi : 9h-12h30 14h-19h\r\nMardi : 11h-12h30 14h-19h\r\nMercredi : 9h-12h30 14h-19h\r\nJeudi : 9h-12h30\r\nVendredi : 13h-19h\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "Horaires d’ouverture", "", "inherit", "open", "open", "", "181-revision-v1", "", "", "2014-10-24 17:38:16", "2014-10-24 16:38:16", "", "181", "http://krooga.net/clients/pascalinegrue/181-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("355", "1", "2014-10-24 17:38:33", "2014-10-24 16:38:33", "[efsrow]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\n<span style=\"text-decoration: underline;\">Horaires d’ouverture du secrétariat</span>\r\n\r\n<strong>Actuellement :</strong>\r\n\r\nLundi : 9h-13h / 14h30-18h\r\nMardi : 9h-13h / 14h30-18h\r\nMercredi : 9h-13h\r\nJeudi : 9h-13h / 14h30-18h\r\nVendredi : 9h-13h / 14h30-18h\r\n\r\n<strong>En Janvier 2015 :</strong>\r\n\r\nLundi : 9h-12h15 / 13h45-18h45\r\nMardi : 10h-12h15 / 13h45-18h45\r\nMercredi : 9h-12h15 / 13h45-18h15\r\nJeudi : 9h15-12h30\r\nVendredi : 9h-12h / 13h-18h\r\n[/efscolumn]\r\n[efscolumn lg=\"6\" md=\"6\" smoff=\"0\" mdoff=\"0\" lgoff=\"0\" ]\r\n\r\n<span style=\"text-decoration: underline;\">Horaires de consultations</span>\r\n\r\nEtant d’astreinte à la clinique Brétéché tous les mardis, il peut y avoir un peu de retard occasionné par d’éventuelles urgences à la maternité.\r\n\r\n<strong>Actuellement :</strong>\r\n\r\nMardi : 14h-19h\r\nMercredi : 9h-13h 14h30-19h\r\nJeudi : 14h-19h\r\nVendredi : 14h-19h\r\n\r\n<strong>En Janvier 2015 :</strong>\r\n\r\nLundi : 9h-12h30 14h-19h\r\nMardi : 11h-12h30 14h-19h\r\nMercredi : 9h-12h30 14h-19h\r\nJeudi : 9h-12h30\r\nVendredi : 13h-19h\r\n[/efscolumn]\r\n[/efsrow]\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "Horaires d’ouverture", "", "inherit", "open", "open", "", "181-revision-v1", "", "", "2014-10-24 17:38:33", "2014-10-24 16:38:33", "", "181", "http://krooga.net/clients/pascalinegrue/181-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("356", "1", "2014-10-24 17:44:56", "2014-10-24 16:44:56", "<p style=\"text-align: center;\">Nom et prénom de l\'enfant?</p>\r\n<p style=\"text-align: center;\">Les demandes d\'identifiants sont réservés aux patients du cabinet</p>", "Espace Patient", "", "inherit", "open", "open", "", "166-revision-v1", "", "", "2014-10-24 17:44:56", "2014-10-24 16:44:56", "", "166", "http://krooga.net/clients/pascalinegrue/166-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("357", "1", "2014-10-24 17:45:37", "2014-10-24 16:45:37", "<h2 style=\"text-align: center;\">Nom et prénom de l\'enfant?</h2>\r\n<h3 style=\"text-align: center;\">Les demandes d\'identifiants sont réservés aux patients du cabinet</h3>", "Espace Patient", "", "inherit", "open", "open", "", "166-revision-v1", "", "", "2014-10-24 17:45:37", "2014-10-24 16:45:37", "", "166", "http://krooga.net/clients/pascalinegrue/166-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("358", "1", "2014-10-24 17:45:58", "2014-10-24 16:45:58", "<h2 style=\"text-align: center;\">Nom et prénom de l\'enfant?</h2>\r\n<h3 style=\"text-align: center;\">Les demandes d\'identifiants sont réservés aux patients du cabinet</h3>\r\n<br/>", "Espace Patient", "", "inherit", "open", "open", "", "166-revision-v1", "", "", "2014-10-24 17:45:58", "2014-10-24 16:45:58", "", "166", "http://krooga.net/clients/pascalinegrue/166-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("359", "1", "2014-10-27 19:12:16", "2014-10-27 18:12:16", "", "Suivi Medical Single", "", "publish", "closed", "closed", "", "acf_suivi-medical-single", "", "", "2014-10-27 19:16:57", "2014-10-27 18:16:57", "", "0", "http://krooga.net/clients/pascalinegrue/?post_type=acf&#038;p=359", "0", "acf", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("31", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("32", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("33", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("56", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("57", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("58", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("102", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("103", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("117", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("118", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("145", "26", "0");
INSERT INTO `wp_term_relationships` VALUES("145", "39", "0");
INSERT INTO `wp_term_relationships` VALUES("145", "40", "0");
INSERT INTO `wp_term_relationships` VALUES("147", "25", "0");
INSERT INTO `wp_term_relationships` VALUES("147", "45", "0");
INSERT INTO `wp_term_relationships` VALUES("147", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("148", "27", "0");
INSERT INTO `wp_term_relationships` VALUES("148", "41", "0");
INSERT INTO `wp_term_relationships` VALUES("148", "42", "0");
INSERT INTO `wp_term_relationships` VALUES("149", "24", "0");
INSERT INTO `wp_term_relationships` VALUES("149", "43", "0");
INSERT INTO `wp_term_relationships` VALUES("149", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("168", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("169", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("220", "39", "0");
INSERT INTO `wp_term_relationships` VALUES("229", "14", "0");
INSERT INTO `wp_term_relationships` VALUES("229", "29", "0");
INSERT INTO `wp_term_relationships` VALUES("229", "33", "0");
INSERT INTO `wp_term_relationships` VALUES("229", "52", "0");
INSERT INTO `wp_term_relationships` VALUES("230", "29", "0");
INSERT INTO `wp_term_relationships` VALUES("230", "34", "0");
INSERT INTO `wp_term_relationships` VALUES("230", "52", "0");
INSERT INTO `wp_term_relationships` VALUES("231", "29", "0");
INSERT INTO `wp_term_relationships` VALUES("231", "32", "0");
INSERT INTO `wp_term_relationships` VALUES("231", "52", "0");
INSERT INTO `wp_term_relationships` VALUES("231", "55", "0");
INSERT INTO `wp_term_relationships` VALUES("231", "56", "0");
INSERT INTO `wp_term_relationships` VALUES("231", "57", "0");
INSERT INTO `wp_term_relationships` VALUES("233", "31", "0");
INSERT INTO `wp_term_relationships` VALUES("239", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("240", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("241", "30", "0");
INSERT INTO `wp_term_relationships` VALUES("241", "38", "0");
INSERT INTO `wp_term_relationships` VALUES("241", "53", "0");
INSERT INTO `wp_term_relationships` VALUES("243", "30", "0");
INSERT INTO `wp_term_relationships` VALUES("243", "36", "0");
INSERT INTO `wp_term_relationships` VALUES("243", "53", "0");
INSERT INTO `wp_term_relationships` VALUES("243", "54", "0");
INSERT INTO `wp_term_relationships` VALUES("245", "30", "0");
INSERT INTO `wp_term_relationships` VALUES("245", "37", "0");
INSERT INTO `wp_term_relationships` VALUES("245", "53", "0");
INSERT INTO `wp_term_relationships` VALUES("246", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("289", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("320", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("321", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("322", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("323", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("351", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("352", "2", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("1", "1", "category", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "nav_menu", "", "0", "15");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "nav_menu", "", "0", "6");
INSERT INTO `wp_term_taxonomy` VALUES("14", "14", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("24", "24", "conseils-categories", "Retrouvez des conseils sur la naissance, le quotidien, et l\'alimentation  de votre Nouveau né.", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("25", "25", "conseils-categories", "Retrouvez des conseils sur le quotidien, l\'alimentation, l\'eveil et le développement de votre petit enfant de 1 à 3 ans.", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("26", "26", "conseils-categories", "Retrouvez des conseils sur le quotidien, l\'alimentation, l\'eveil et le développement de votre bébé de 0 à 1 an.", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("27", "27", "conseils-categories", "Retrouvez des conseils sur le quotidien, la vie à l\'école, l\'alimentation, l\'eveil et le développement de votre enfant de 3 à 6 ans.", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("29", "29", "medical", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("30", "30", "medical", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("31", "31", "medical", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("32", "32", "medical", "", "29", "1");
INSERT INTO `wp_term_taxonomy` VALUES("33", "33", "medical", "", "29", "1");
INSERT INTO `wp_term_taxonomy` VALUES("34", "34", "medical", "", "29", "1");
INSERT INTO `wp_term_taxonomy` VALUES("35", "35", "medical", "", "30", "0");
INSERT INTO `wp_term_taxonomy` VALUES("36", "36", "medical", "", "30", "1");
INSERT INTO `wp_term_taxonomy` VALUES("37", "37", "medical", "", "30", "1");
INSERT INTO `wp_term_taxonomy` VALUES("38", "38", "medical", "", "30", "1");
INSERT INTO `wp_term_taxonomy` VALUES("39", "39", "conseils-categories", "", "26", "2");
INSERT INTO `wp_term_taxonomy` VALUES("40", "40", "conseils-categories", "", "26", "1");
INSERT INTO `wp_term_taxonomy` VALUES("41", "41", "conseils-categories", "", "27", "1");
INSERT INTO `wp_term_taxonomy` VALUES("42", "42", "conseils-categories", "", "27", "1");
INSERT INTO `wp_term_taxonomy` VALUES("43", "43", "conseils-categories", "", "24", "1");
INSERT INTO `wp_term_taxonomy` VALUES("44", "44", "conseils-categories", "", "24", "1");
INSERT INTO `wp_term_taxonomy` VALUES("45", "45", "conseils-categories", "", "25", "1");
INSERT INTO `wp_term_taxonomy` VALUES("46", "46", "conseils-categories", "", "25", "1");
INSERT INTO `wp_term_taxonomy` VALUES("47", "47", "conseils-categories", "", "24", "0");
INSERT INTO `wp_term_taxonomy` VALUES("48", "48", "conseils-categories", "", "26", "0");
INSERT INTO `wp_term_taxonomy` VALUES("49", "49", "conseils-categories", "", "27", "0");
INSERT INTO `wp_term_taxonomy` VALUES("50", "50", "conseils-categories", "", "25", "0");
INSERT INTO `wp_term_taxonomy` VALUES("51", "51", "conseils-categories", "", "27", "0");
INSERT INTO `wp_term_taxonomy` VALUES("52", "52", "post_tag", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("53", "53", "post_tag", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("54", "54", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("55", "55", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("56", "56", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("57", "57", "post_tag", "", "0", "1");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("1", "Non classé", "non-classe", "0");
INSERT INTO `wp_terms` VALUES("2", "Menu", "menu", "0");
INSERT INTO `wp_terms` VALUES("3", "Footer", "footer", "0");
INSERT INTO `wp_terms` VALUES("14", "Urgences", "urgences", "0");
INSERT INTO `wp_terms` VALUES("24", "Nouveau né", "nouveau-ne", "0");
INSERT INTO `wp_terms` VALUES("25", "Petit enfant 1-3 ans", "petit-enfant-1-3-ans", "0");
INSERT INTO `wp_terms` VALUES("26", "Bébé 0-1 an", "bebe-0-1-an", "0");
INSERT INTO `wp_terms` VALUES("27", "Enfant 3-6 ans", "enfant-3-6-ans", "0");
INSERT INTO `wp_terms` VALUES("29", "Le rythme des consultations", "le-rythme-des-consultations", "0");
INSERT INTO `wp_terms` VALUES("30", "Les vaccins", "les-vaccins", "0");
INSERT INTO `wp_terms` VALUES("31", "Les courbes de croissance et de poids", "les-courbes-de-croissance-et-de-poids", "0");
INSERT INTO `wp_terms` VALUES("32", "Suivi médical de l’enfant", "suivi-medical-de-lenfant", "0");
INSERT INTO `wp_terms` VALUES("33", "Consultations d’urgences", "consultations-durgences", "0");
INSERT INTO `wp_terms` VALUES("34", "Consultations spécifiques", "consultations-specifiques", "0");
INSERT INTO `wp_terms` VALUES("35", "Vaccins obligatoires et recommandés", "vaccins-obligatoires-et-recommandes", "0");
INSERT INTO `wp_terms` VALUES("36", "Calendrier vaccinal", "calendrier-vaccinal", "0");
INSERT INTO `wp_terms` VALUES("37", "Comment on vaccine ?", "comment-on-vaccine", "0");
INSERT INTO `wp_terms` VALUES("38", "A propos…", "a-propos", "0");
INSERT INTO `wp_terms` VALUES("39", "Alimentation", "alimentation-bebe-0-1-an", "0");
INSERT INTO `wp_terms` VALUES("40", "A quotidien", "a-quotidien", "0");
INSERT INTO `wp_terms` VALUES("41", "Alimentation", "alimentation-enfant-3-6-ans", "0");
INSERT INTO `wp_terms` VALUES("42", "Au quotidien", "au-quotidien-enfant-3-6-ans", "0");
INSERT INTO `wp_terms` VALUES("43", "La naissance", "la-naissance", "0");
INSERT INTO `wp_terms` VALUES("44", "Alimentation", "alimentation-nouveau-ne", "0");
INSERT INTO `wp_terms` VALUES("45", "Alimentation", "alimentation-petit-enfant-1-3-ans", "0");
INSERT INTO `wp_terms` VALUES("46", "Au quotidien", "au-quotidien-petit-enfant-1-3-ans", "0");
INSERT INTO `wp_terms` VALUES("47", "Au quotidien", "au-quotidien", "0");
INSERT INTO `wp_terms` VALUES("48", "Eveil et développement", "eveil-et-developpement", "0");
INSERT INTO `wp_terms` VALUES("49", "Eveil et développement", "eveil-et-developpement-enfant-3-6-ans", "0");
INSERT INTO `wp_terms` VALUES("50", "Eveil et développement", "eveil-et-developpement-petit-enfant-1-3-ans", "0");
INSERT INTO `wp_terms` VALUES("51", "A l\'école", "a-lecole", "0");
INSERT INTO `wp_terms` VALUES("52", "Consultations", "consultations", "0");
INSERT INTO `wp_terms` VALUES("53", "Vaccin", "vaccin", "0");
INSERT INTO `wp_terms` VALUES("54", "Calendrier", "calendrier", "0");
INSERT INTO `wp_terms` VALUES("55", "Suivi", "suivi", "0");
INSERT INTO `wp_terms` VALUES("56", "Visites", "visites", "0");
INSERT INTO `wp_terms` VALUES("57", "Bilan", "bilan", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("2", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "nickname", "pascalinegrue");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("7", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("8", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("9", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("10", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("11", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("12", "1", "dismissed_wp_pointers", "wp350_media,wp360_revisions,wp360_locks,wp390_widgets,xyz2");
INSERT INTO `wp_usermeta` VALUES("13", "1", "show_welcome_panel", "0");
INSERT INTO `wp_usermeta` VALUES("14", "1", "wp_dashboard_quick_press_last_post_id", "326");
INSERT INTO `wp_usermeta` VALUES("16", "1", "_wp_hide_notice", "1");
INSERT INTO `wp_usermeta` VALUES("17", "1", "managenav-menuscolumnshidden", "a:3:{i:0;s:11:\"link-target\";i:1;s:3:\"xfn\";i:2;s:11:\"description\";}");
INSERT INTO `wp_usermeta` VALUES("18", "1", "metaboxhidden_nav-menus", "a:6:{i:0;s:8:\"add-post\";i:1;s:13:\"add-portfolio\";i:2;s:12:\"add-post_tag\";i:3;s:15:\"add-post_format\";i:4;s:22:\"add-portfolio_category\";i:5;s:17:\"add-portfolio_tag\";}");
INSERT INTO `wp_usermeta` VALUES("19", "1", "meta-box-order_slider", "a:3:{s:4:\"side\";s:22:\"submitdiv,postimagediv\";s:6:\"normal\";s:37:\"my-meta-box-slider,postcustom,slugdiv\";s:8:\"advanced\";s:0:\"\";}");
INSERT INTO `wp_usermeta` VALUES("20", "1", "screen_layout_slider", "2");
INSERT INTO `wp_usermeta` VALUES("21", "1", "wp_user-settings", "editor=html&libraryContent=browse&urlbutton=none&align=none&hidetb=1&imgsize=full");
INSERT INTO `wp_usermeta` VALUES("22", "1", "wp_user-settings-time", "1414169134");
INSERT INTO `wp_usermeta` VALUES("23", "1", "nav_menu_recently_edited", "2");
INSERT INTO `wp_usermeta` VALUES("24", "1", "session_tokens", "a:5:{s:64:\"9763cf459b101ab6e4f0dd34168b09ccb8b638d2510c80666d58ce80fce73623\";i:1414450953;s:64:\"1d6cb791dfaccbbd6ed96a5ceddfe853709a718bf86418192513e0222526f0cc\";i:1414663910;s:64:\"9d7559c25085538645abfbe81c3bf1a14ece53cb0414b179b0218007ee35a750\";i:1415193096;s:64:\"481aca2a599aa24ffe41daf1bd86013509254594a76e77f3095c265cbf7da16a\";i:1415295394;s:64:\"46d4ffce92601ac4c649286b6baf901e0c5cd96938806e3f69baec78dd73f3f3\";i:1414524883;}");
INSERT INTO `wp_usermeta` VALUES("25", "1", "closedpostboxes_post", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("26", "1", "metaboxhidden_post", "a:6:{i:0;s:6:\"acf_66\";i:1;s:13:\"trackbacksdiv\";i:2;s:10:\"postcustom\";i:3;s:16:\"commentstatusdiv\";i:4;s:7:\"slugdiv\";i:5;s:9:\"authordiv\";}");
INSERT INTO `wp_usermeta` VALUES("27", "1", "closedpostboxes_conseils", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("28", "1", "metaboxhidden_conseils", "a:9:{i:0;s:6:\"acf_66\";i:1;s:6:\"acf_96\";i:2;s:7:\"acf_120\";i:3;s:7:\"acf_133\";i:4;s:13:\"trackbacksdiv\";i:5;s:10:\"postcustom\";i:6;s:16:\"commentstatusdiv\";i:7;s:7:\"slugdiv\";i:8;s:9:\"authordiv\";}");
INSERT INTO `wp_usermeta` VALUES("130", "1", "closedpostboxes_suivi-medical", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("131", "1", "metaboxhidden_suivi-medical", "a:7:{i:0;s:7:\"acf_177\";i:1;s:6:\"acf_66\";i:2;s:6:\"acf_96\";i:3;s:7:\"acf_120\";i:4;s:7:\"acf_133\";i:5;s:7:\"slugdiv\";i:6;s:9:\"authordiv\";}");
INSERT INTO `wp_usermeta` VALUES("670", "1", "wp-approve-user", "1");
INSERT INTO `wp_usermeta` VALUES("671", "1", "wp-approve-user-mail-sent", "1");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "pascalinegrue", "$P$BYy.E8RZeIsUDO7mV3e5CUdBdTldoa/", "pascalinegrue", "manon.russias@gmail.com", "", "2014-06-03 12:02:05", "", "0", "pascalinegrue");

SET FOREIGN_KEY_CHECKS = 1;